#include "any-server.h"

/* This is the runtime type information */
char *flick_interface_parents_I[] = {
	"IDL:I:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t I_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t120_switch_tag;

    flick_iiop_decode_new_glob(24);
    flick_iiop_check_span(16, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t120_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t120_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t121_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t121_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t121_switch_tag)
            {
            case /* op_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635425):
              {
                unsigned short int _t122_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t122_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t122_switch_tag)
                  {
                  case /* ny */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28281):
                    {
                      char _t123_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t123_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t123_switch_tag)
                        {
                        case 0:
                          {
                            {
                              I _obj;
                              unsigned int _t124_principal_len;
                              CORBA_any *_return;
                              CORBA_any *_local_a;
                              CORBA_any _t125_storage;
                              CORBA_any *_local_b;
                              CORBA_any _t126_storage;
                              CORBA_any **_local_c;
                              CORBA_any *_t127_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t128_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort246);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t124_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_check_span(_t124_principal_len, _flick_abort246);
                              flick_iiop_decode_new_glob(_t124_principal_len);
                              flick_iiop_decode_new_chunk(_t124_principal_len);
                              flick_iiop_decode_end_chunk(_t124_principal_len);
                              flick_iiop_decode_end_glob(_t124_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (CORBA_any *)(&_t125_storage);
                              flick_cdr_swap_decode_type_tag_and_value(iiop, *_local_a, _flick_label168, _flick_abort246);
                              _local_b = (CORBA_any *)(&_t126_storage);
                              flick_cdr_swap_decode_type_tag_and_value(iiop, *_local_b, _flick_label169, _flick_abort246);
                              _local_c = (CORBA_any **)(&_t127_storage);
                              _ev = (CORBA_Environment *)(&_t128_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = I_op_any(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort246);
                                flick_iiop_encode_new_glob(4, _flick_abort246);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_end_glob(4);
                                      flick_cdr_encode_type_tag_and_value(iiop, *_return, _flick_label173, _flick_abort251);
                                      CORBA_flick_free(_return);
                                      _return = (CORBA_any *)0;
                                      flick_cdr_encode_type_tag_and_value(iiop, *_local_b, _flick_label174, _flick_abort251);
                                      flick_cdr_encode_type_tag_and_value(iiop, **_local_c, _flick_label175, _flick_abort251);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = (CORBA_any *)0;
                                      break;
                                      {
                                      _flick_abort251:
                                        goto _flick_abort246;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort252);
                                      break;
                                      {
                                      _flick_abort252:
                                        goto _flick_abort246;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort253);
                                      flick_iiop_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort253:
                                        goto _flick_abort246;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort246:
                                goto _flick_abort245;
                              }
                            }
                            break;
                            {
                            _flick_abort245:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t129_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t129_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t129_switch_tag)
            {
            case /* op_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635425):
              {
                unsigned int _t130_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t130_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t130_switch_tag)
                  {
                  case /* ny_s */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1853448051):
                    {
                      unsigned short int _t131_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t131_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t131_switch_tag)
                        {
                        case /* eq */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25969):
                          {
                            char _t132_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t132_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t132_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    I _obj;
                                    unsigned int _t133_principal_len;
                                    any_seq *_return;
                                    any_seq *_local_a;
                                    any_seq _t134_storage;
                                    CORBA_unsigned_long _t135_array_iter;
                                    any_seq *_local_b;
                                    any_seq _t136_storage;
                                    CORBA_unsigned_long _t137_array_iter;
                                    any_seq **_local_c;
                                    any_seq *_t138_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t139_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort255);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t133_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_check_span(_t133_principal_len, _flick_abort255);
                                    flick_iiop_decode_new_glob(_t133_principal_len);
                                    flick_iiop_decode_new_chunk(_t133_principal_len);
                                    flick_iiop_decode_end_chunk(_t133_principal_len);
                                    flick_iiop_decode_end_glob(_t133_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_a = (any_seq *)(&_t134_storage);
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(4, _flick_abort255);
                                    flick_cdr_swap_decode_unsigned32(0, _local_a->_length, CORBA_unsigned_long );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    {
                                      CORBA_any *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA_any *)(auto_flick_alloc(_local_a->_length * sizeof(CORBA_any )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort255);
                                      _local_a->_buffer = _t_alloc_ptr;
                                      _local_a->_maximum = _local_a->_length;
                                      _local_a->_release = 1;
                                    }
                                    for (_t135_array_iter = 0; _t135_array_iter < _local_a->_length; _t135_array_iter++)
                                      {
                                        flick_cdr_swap_decode_type_tag_and_value(iiop, _local_a->_buffer[_t135_array_iter], _flick_label180, _flick_abort260);
                                        continue;
                                        {
                                        _flick_abort260:
                                          goto _flick_abort259;
                                        }
                                      }
                                    _local_b = (any_seq *)(&_t136_storage);
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(4, _flick_abort259);
                                    flick_cdr_swap_decode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    {
                                      CORBA_any *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA_any *)(CORBA_flick_alloc(_local_b->_length * sizeof(CORBA_any )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort259);
                                      _local_b->_buffer = _t_alloc_ptr;
                                      _local_b->_maximum = _local_b->_length;
                                      _local_b->_release = 1;
                                    }
                                    for (_t137_array_iter = 0; _t137_array_iter < _local_b->_length; _t137_array_iter++)
                                      {
                                        flick_cdr_swap_decode_type_tag_and_value(iiop, _local_b->_buffer[_t137_array_iter], _flick_label185, _flick_abort266);
                                        continue;
                                        {
                                        _flick_abort266:
                                          goto _flick_abort265;
                                        }
                                      }
                                    _local_c = (any_seq **)(&_t138_storage);
                                    _ev = (CORBA_Environment *)(&_t139_storage);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = I_op_any_seq(_obj, _local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort265);
                                      flick_iiop_encode_new_glob(8, _flick_abort265);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            CORBA_unsigned_long _t143_array_iter;
                                            CORBA_unsigned_long _t144_array_iter;
                                            CORBA_unsigned_long _t145_array_iter;

                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(8);
                                            for (_t143_array_iter = 0; _t143_array_iter < _return->_length; _t143_array_iter++)
                                              {
                                                flick_cdr_encode_type_tag_and_value(iiop, _return->_buffer[_t143_array_iter], _flick_label205, _flick_abort291);
                                                continue;
                                                {
                                                _flick_abort291:
                                                  goto _flick_abort287;
                                                }
                                              }
                                            if (_return->_release)
                                              CORBA_flick_free(_return->_buffer);
                                            _return->_maximum = 0;
                                            _return->_release = 0;
                                            _return->_buffer = (CORBA_any *)0;
                                            CORBA_flick_free(_return);
                                            _return = (any_seq *)0;
                                            flick_iiop_encode_new_glob(7, _flick_abort287);
                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(7);
                                            for (_t144_array_iter = 0; _t144_array_iter < _local_b->_length; _t144_array_iter++)
                                              {
                                                flick_cdr_encode_type_tag_and_value(iiop, _local_b->_buffer[_t144_array_iter], _flick_label210, _flick_abort296);
                                                continue;
                                                {
                                                _flick_abort296:
                                                  goto _flick_abort287;
                                                }
                                              }
                                            if (_local_b->_release)
                                              CORBA_flick_free(_local_b->_buffer);
                                            _local_b->_maximum = 0;
                                            _local_b->_release = 0;
                                            _local_b->_buffer = (CORBA_any *)0;
                                            flick_iiop_encode_new_glob(7, _flick_abort287);
                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, (*_local_c)->_length, CORBA_unsigned_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(7);
                                            for (_t145_array_iter = 0; _t145_array_iter < (*_local_c)->_length; _t145_array_iter++)
                                              {
                                                flick_cdr_encode_type_tag_and_value(iiop, (*_local_c)->_buffer[_t145_array_iter], _flick_label215, _flick_abort301);
                                                continue;
                                                {
                                                _flick_abort301:
                                                  goto _flick_abort287;
                                                }
                                              }
                                            if ((*_local_c)->_release)
                                              CORBA_flick_free((*_local_c)->_buffer);
                                            (*_local_c)->_maximum = 0;
                                            (*_local_c)->_release = 0;
                                            (*_local_c)->_buffer = (CORBA_any *)0;
                                            CORBA_flick_free(*_local_c);
                                            *_local_c = (any_seq *)0;
                                            break;
                                            {
                                            _flick_abort287:
                                              goto _flick_abort265;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort303);
                                            break;
                                            {
                                            _flick_abort303:
                                              goto _flick_abort265;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort304);
                                            flick_iiop_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort304:
                                              goto _flick_abort265;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort265:
                                      CORBA_flick_free(_local_b->_buffer);
                                    _flick_abort259:
                                      auto_flick_free(_local_a->_buffer);
                                    _flick_abort255:
                                      goto _flick_abort254;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort254:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 14:
        {
          unsigned int _t146_switch_tag;

          flick_iiop_check_span(20, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t146_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t146_switch_tag)
            {
            case /* op_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635425):
              {
                unsigned int _t147_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t147_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t147_switch_tag)
                  {
                  case /* ny_s */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1853448051):
                    {
                      unsigned int _t148_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t148_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t148_switch_tag)
                        {
                        case /* truc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953658211):
                          {
                            unsigned short int _t149_switch_tag;

                            flick_iiop_decode_new_chunk(2);
                            flick_cdr_decode_unsigned16(0, _t149_switch_tag, unsigned short int );
                            flick_iiop_decode_end_chunk(2);
                            switch ((unsigned short int )_t149_switch_tag)
                              {
                              case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                                {
                                  {
                                    I _obj;
                                    unsigned int _t150_principal_len;
                                    struct any_struct *_return;
                                    struct any_struct *_local_a;
                                    struct any_struct _t151_storage;
                                    struct any_struct *_local_b;
                                    struct any_struct _t152_storage;
                                    struct any_struct **_local_c;
                                    struct any_struct *_t153_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t154_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort306);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(6);
                                    flick_cdr_swap_decode_unsigned32(2, _t150_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(6);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_check_span(_t150_principal_len, _flick_abort306);
                                    flick_iiop_decode_new_glob(_t150_principal_len);
                                    flick_iiop_decode_new_chunk(_t150_principal_len);
                                    flick_iiop_decode_end_chunk(_t150_principal_len);
                                    flick_iiop_decode_end_glob(_t150_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_a = (struct any_struct *)(&_t151_storage);
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(4, _flick_abort306);
                                    flick_cdr_swap_decode_signed32(0, _local_a->slot_1, CORBA_long );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    flick_cdr_swap_decode_type_tag_and_value(iiop, _local_a->slot_2, _flick_label216, _flick_abort306);
                                    flick_iiop_decode_new_glob(11);
                                    flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                                    flick_iiop_check_span(8, _flick_abort306);
                                    flick_cdr_swap_decode_signed32(0, _local_a->slot_3, CORBA_long );
                                    _local_b = (struct any_struct *)(&_t152_storage);
                                    flick_cdr_swap_decode_signed32(4, _local_b->slot_1, CORBA_long );
                                    flick_iiop_decode_end_chunk(8);
                                    flick_iiop_decode_end_glob(11);
                                    flick_cdr_swap_decode_type_tag_and_value(iiop, _local_b->slot_2, _flick_label217, _flick_abort306);
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(4, _flick_abort306);
                                    flick_cdr_swap_decode_signed32(0, _local_b->slot_3, CORBA_long );
                                    _local_c = (struct any_struct **)(&_t153_storage);
                                    _ev = (CORBA_Environment *)(&_t154_storage);
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = I_op_any_struct(_obj, _local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort306);
                                      flick_iiop_encode_new_glob(8, _flick_abort306);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return->slot_1, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(8);
                                            flick_cdr_encode_type_tag_and_value(iiop, _return->slot_2, _flick_label221, _flick_abort311);
                                            flick_iiop_encode_new_glob(11, _flick_abort311);
                                            flick_iiop_encode_new_chunk_align(8, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _return->slot_3, CORBA_long );
                                            CORBA_flick_free(_return);
                                            _return = (struct any_struct *)0;
                                            flick_cdr_encode_signed32(4, _local_b->slot_1, CORBA_long );
                                            flick_iiop_encode_end_chunk(8);
                                            flick_iiop_encode_end_glob(11);
                                            flick_cdr_encode_type_tag_and_value(iiop, _local_b->slot_2, _flick_label222, _flick_abort311);
                                            flick_iiop_encode_new_glob(11, _flick_abort311);
                                            flick_iiop_encode_new_chunk_align(8, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _local_b->slot_3, CORBA_long );
                                            flick_cdr_encode_signed32(4, (*_local_c)->slot_1, CORBA_long );
                                            flick_iiop_encode_end_chunk(8);
                                            flick_iiop_encode_end_glob(11);
                                            flick_cdr_encode_type_tag_and_value(iiop, (*_local_c)->slot_2, _flick_label223, _flick_abort311);
                                            flick_iiop_encode_new_glob(7, _flick_abort311);
                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, (*_local_c)->slot_3, CORBA_long );
                                            CORBA_flick_free(*_local_c);
                                            *_local_c = (struct any_struct *)0;
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(7);
                                            break;
                                            {
                                            _flick_abort311:
                                              goto _flick_abort306;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort312);
                                            break;
                                            {
                                            _flick_abort312:
                                              goto _flick_abort306;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort313);
                                            flick_iiop_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort313:
                                              goto _flick_abort306;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort306:
                                      goto _flick_abort305;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort305:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t155_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t155_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t155_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t156_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t156_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t156_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t157_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t158_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t159_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort315);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t157_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(24);
                        flick_iiop_check_span(_t157_principal_len, _flick_abort315);
                        flick_iiop_decode_new_glob(_t157_principal_len);
                        flick_iiop_decode_new_chunk(_t157_principal_len);
                        flick_iiop_decode_end_chunk(_t157_principal_len);
                        flick_iiop_decode_end_glob(_t157_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort315);
                        flick_cdr_swap_decode_unsigned32(0, _t158_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t158_temp_string_len);
                        flick_iiop_check_span(1 * _t158_temp_string_len, _flick_abort315);
                        flick_iiop_decode_new_chunk(1 * _t158_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t158_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t158_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t159_storage);
                        _par = flick_interface_parents_I;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort315);
                          flick_iiop_encode_new_glob(5, _flick_abort315);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort323);
                                break;
                                {
                                _flick_abort323:
                                  goto _flick_abort315;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort324);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort324:
                                  goto _flick_abort315;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort315:
                          goto _flick_abort314;
                        }
                      }
                      break;
                      {
                      _flick_abort314:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(24);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t40_switch_tag;

    flick_iiop_decode_new_glob(24);
    flick_iiop_check_span(16, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t40_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t40_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t41_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t41_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t41_switch_tag)
            {
            case /* op_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635425):
              {
                unsigned short int _t42_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t42_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t42_switch_tag)
                  {
                  case /* ny */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28281):
                    {
                      char _t43_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t43_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t43_switch_tag)
                        {
                        case 0:
                          {
                            {
                              I _obj;
                              unsigned int _t44_principal_len;
                              CORBA_any *_return;
                              CORBA_any *_local_a;
                              CORBA_any _t45_storage;
                              CORBA_any *_local_b;
                              CORBA_any _t46_storage;
                              CORBA_any **_local_c;
                              CORBA_any *_t47_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t48_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort85);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t44_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_check_span(_t44_principal_len, _flick_abort85);
                              flick_iiop_decode_new_glob(_t44_principal_len);
                              flick_iiop_decode_new_chunk(_t44_principal_len);
                              flick_iiop_decode_end_chunk(_t44_principal_len);
                              flick_iiop_decode_end_glob(_t44_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (CORBA_any *)(&_t45_storage);
                              flick_cdr_decode_type_tag_and_value(iiop, *_local_a, _flick_label56, _flick_abort85);
                              _local_b = (CORBA_any *)(&_t46_storage);
                              flick_cdr_decode_type_tag_and_value(iiop, *_local_b, _flick_label57, _flick_abort85);
                              _local_c = (CORBA_any **)(&_t47_storage);
                              _ev = (CORBA_Environment *)(&_t48_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = I_op_any(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort85);
                                flick_iiop_encode_new_glob(4, _flick_abort85);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_end_glob(4);
                                      flick_cdr_encode_type_tag_and_value(iiop, *_return, _flick_label61, _flick_abort90);
                                      CORBA_flick_free(_return);
                                      _return = (CORBA_any *)0;
                                      flick_cdr_encode_type_tag_and_value(iiop, *_local_b, _flick_label62, _flick_abort90);
                                      flick_cdr_encode_type_tag_and_value(iiop, **_local_c, _flick_label63, _flick_abort90);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = (CORBA_any *)0;
                                      break;
                                      {
                                      _flick_abort90:
                                        goto _flick_abort85;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort91);
                                      break;
                                      {
                                      _flick_abort91:
                                        goto _flick_abort85;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort92);
                                      flick_iiop_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort92:
                                        goto _flick_abort85;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort85:
                                goto _flick_abort84;
                              }
                            }
                            break;
                            {
                            _flick_abort84:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t49_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t49_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t49_switch_tag)
            {
            case /* op_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635425):
              {
                unsigned int _t50_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t50_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t50_switch_tag)
                  {
                  case /* ny_s */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1853448051):
                    {
                      unsigned short int _t51_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t51_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t51_switch_tag)
                        {
                        case /* eq */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25969):
                          {
                            char _t52_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t52_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t52_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    I _obj;
                                    unsigned int _t53_principal_len;
                                    any_seq *_return;
                                    any_seq *_local_a;
                                    any_seq _t54_storage;
                                    CORBA_unsigned_long _t55_array_iter;
                                    any_seq *_local_b;
                                    any_seq _t56_storage;
                                    CORBA_unsigned_long _t57_array_iter;
                                    any_seq **_local_c;
                                    any_seq *_t58_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t59_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort94);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t53_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_check_span(_t53_principal_len, _flick_abort94);
                                    flick_iiop_decode_new_glob(_t53_principal_len);
                                    flick_iiop_decode_new_chunk(_t53_principal_len);
                                    flick_iiop_decode_end_chunk(_t53_principal_len);
                                    flick_iiop_decode_end_glob(_t53_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_a = (any_seq *)(&_t54_storage);
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(4, _flick_abort94);
                                    flick_cdr_decode_unsigned32(0, _local_a->_length, CORBA_unsigned_long );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    {
                                      CORBA_any *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA_any *)(auto_flick_alloc(_local_a->_length * sizeof(CORBA_any )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort94);
                                      _local_a->_buffer = _t_alloc_ptr;
                                      _local_a->_maximum = _local_a->_length;
                                      _local_a->_release = 1;
                                    }
                                    for (_t55_array_iter = 0; _t55_array_iter < _local_a->_length; _t55_array_iter++)
                                      {
                                        flick_cdr_decode_type_tag_and_value(iiop, _local_a->_buffer[_t55_array_iter], _flick_label68, _flick_abort99);
                                        continue;
                                        {
                                        _flick_abort99:
                                          goto _flick_abort98;
                                        }
                                      }
                                    _local_b = (any_seq *)(&_t56_storage);
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(4, _flick_abort98);
                                    flick_cdr_decode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    {
                                      CORBA_any *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA_any *)(CORBA_flick_alloc(_local_b->_length * sizeof(CORBA_any )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort98);
                                      _local_b->_buffer = _t_alloc_ptr;
                                      _local_b->_maximum = _local_b->_length;
                                      _local_b->_release = 1;
                                    }
                                    for (_t57_array_iter = 0; _t57_array_iter < _local_b->_length; _t57_array_iter++)
                                      {
                                        flick_cdr_decode_type_tag_and_value(iiop, _local_b->_buffer[_t57_array_iter], _flick_label73, _flick_abort105);
                                        continue;
                                        {
                                        _flick_abort105:
                                          goto _flick_abort104;
                                        }
                                      }
                                    _local_c = (any_seq **)(&_t58_storage);
                                    _ev = (CORBA_Environment *)(&_t59_storage);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = I_op_any_seq(_obj, _local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort104);
                                      flick_iiop_encode_new_glob(8, _flick_abort104);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            CORBA_unsigned_long _t63_array_iter;
                                            CORBA_unsigned_long _t64_array_iter;
                                            CORBA_unsigned_long _t65_array_iter;

                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(8);
                                            for (_t63_array_iter = 0; _t63_array_iter < _return->_length; _t63_array_iter++)
                                              {
                                                flick_cdr_encode_type_tag_and_value(iiop, _return->_buffer[_t63_array_iter], _flick_label93, _flick_abort130);
                                                continue;
                                                {
                                                _flick_abort130:
                                                  goto _flick_abort126;
                                                }
                                              }
                                            if (_return->_release)
                                              CORBA_flick_free(_return->_buffer);
                                            _return->_maximum = 0;
                                            _return->_release = 0;
                                            _return->_buffer = (CORBA_any *)0;
                                            CORBA_flick_free(_return);
                                            _return = (any_seq *)0;
                                            flick_iiop_encode_new_glob(7, _flick_abort126);
                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(7);
                                            for (_t64_array_iter = 0; _t64_array_iter < _local_b->_length; _t64_array_iter++)
                                              {
                                                flick_cdr_encode_type_tag_and_value(iiop, _local_b->_buffer[_t64_array_iter], _flick_label98, _flick_abort135);
                                                continue;
                                                {
                                                _flick_abort135:
                                                  goto _flick_abort126;
                                                }
                                              }
                                            if (_local_b->_release)
                                              CORBA_flick_free(_local_b->_buffer);
                                            _local_b->_maximum = 0;
                                            _local_b->_release = 0;
                                            _local_b->_buffer = (CORBA_any *)0;
                                            flick_iiop_encode_new_glob(7, _flick_abort126);
                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, (*_local_c)->_length, CORBA_unsigned_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(7);
                                            for (_t65_array_iter = 0; _t65_array_iter < (*_local_c)->_length; _t65_array_iter++)
                                              {
                                                flick_cdr_encode_type_tag_and_value(iiop, (*_local_c)->_buffer[_t65_array_iter], _flick_label103, _flick_abort140);
                                                continue;
                                                {
                                                _flick_abort140:
                                                  goto _flick_abort126;
                                                }
                                              }
                                            if ((*_local_c)->_release)
                                              CORBA_flick_free((*_local_c)->_buffer);
                                            (*_local_c)->_maximum = 0;
                                            (*_local_c)->_release = 0;
                                            (*_local_c)->_buffer = (CORBA_any *)0;
                                            CORBA_flick_free(*_local_c);
                                            *_local_c = (any_seq *)0;
                                            break;
                                            {
                                            _flick_abort126:
                                              goto _flick_abort104;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort142);
                                            break;
                                            {
                                            _flick_abort142:
                                              goto _flick_abort104;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort143);
                                            flick_iiop_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort143:
                                              goto _flick_abort104;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort104:
                                      CORBA_flick_free(_local_b->_buffer);
                                    _flick_abort98:
                                      auto_flick_free(_local_a->_buffer);
                                    _flick_abort94:
                                      goto _flick_abort93;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort93:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 14:
        {
          unsigned int _t66_switch_tag;

          flick_iiop_check_span(20, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t66_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t66_switch_tag)
            {
            case /* op_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635425):
              {
                unsigned int _t67_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t67_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t67_switch_tag)
                  {
                  case /* ny_s */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1853448051):
                    {
                      unsigned int _t68_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t68_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t68_switch_tag)
                        {
                        case /* truc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953658211):
                          {
                            unsigned short int _t69_switch_tag;

                            flick_iiop_decode_new_chunk(2);
                            flick_cdr_decode_unsigned16(0, _t69_switch_tag, unsigned short int );
                            flick_iiop_decode_end_chunk(2);
                            switch ((unsigned short int )_t69_switch_tag)
                              {
                              case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                                {
                                  {
                                    I _obj;
                                    unsigned int _t70_principal_len;
                                    struct any_struct *_return;
                                    struct any_struct *_local_a;
                                    struct any_struct _t71_storage;
                                    struct any_struct *_local_b;
                                    struct any_struct _t72_storage;
                                    struct any_struct **_local_c;
                                    struct any_struct *_t73_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t74_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort145);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(6);
                                    flick_cdr_decode_unsigned32(2, _t70_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(6);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_check_span(_t70_principal_len, _flick_abort145);
                                    flick_iiop_decode_new_glob(_t70_principal_len);
                                    flick_iiop_decode_new_chunk(_t70_principal_len);
                                    flick_iiop_decode_end_chunk(_t70_principal_len);
                                    flick_iiop_decode_end_glob(_t70_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_a = (struct any_struct *)(&_t71_storage);
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(4, _flick_abort145);
                                    flick_cdr_decode_signed32(0, _local_a->slot_1, CORBA_long );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    flick_cdr_decode_type_tag_and_value(iiop, _local_a->slot_2, _flick_label104, _flick_abort145);
                                    flick_iiop_decode_new_glob(11);
                                    flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                                    flick_iiop_check_span(8, _flick_abort145);
                                    flick_cdr_decode_signed32(0, _local_a->slot_3, CORBA_long );
                                    _local_b = (struct any_struct *)(&_t72_storage);
                                    flick_cdr_decode_signed32(4, _local_b->slot_1, CORBA_long );
                                    flick_iiop_decode_end_chunk(8);
                                    flick_iiop_decode_end_glob(11);
                                    flick_cdr_decode_type_tag_and_value(iiop, _local_b->slot_2, _flick_label105, _flick_abort145);
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(4, _flick_abort145);
                                    flick_cdr_decode_signed32(0, _local_b->slot_3, CORBA_long );
                                    _local_c = (struct any_struct **)(&_t73_storage);
                                    _ev = (CORBA_Environment *)(&_t74_storage);
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = I_op_any_struct(_obj, _local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort145);
                                      flick_iiop_encode_new_glob(8, _flick_abort145);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return->slot_1, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(8);
                                            flick_cdr_encode_type_tag_and_value(iiop, _return->slot_2, _flick_label109, _flick_abort150);
                                            flick_iiop_encode_new_glob(11, _flick_abort150);
                                            flick_iiop_encode_new_chunk_align(8, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _return->slot_3, CORBA_long );
                                            CORBA_flick_free(_return);
                                            _return = (struct any_struct *)0;
                                            flick_cdr_encode_signed32(4, _local_b->slot_1, CORBA_long );
                                            flick_iiop_encode_end_chunk(8);
                                            flick_iiop_encode_end_glob(11);
                                            flick_cdr_encode_type_tag_and_value(iiop, _local_b->slot_2, _flick_label110, _flick_abort150);
                                            flick_iiop_encode_new_glob(11, _flick_abort150);
                                            flick_iiop_encode_new_chunk_align(8, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _local_b->slot_3, CORBA_long );
                                            flick_cdr_encode_signed32(4, (*_local_c)->slot_1, CORBA_long );
                                            flick_iiop_encode_end_chunk(8);
                                            flick_iiop_encode_end_glob(11);
                                            flick_cdr_encode_type_tag_and_value(iiop, (*_local_c)->slot_2, _flick_label111, _flick_abort150);
                                            flick_iiop_encode_new_glob(7, _flick_abort150);
                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, (*_local_c)->slot_3, CORBA_long );
                                            CORBA_flick_free(*_local_c);
                                            *_local_c = (struct any_struct *)0;
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(7);
                                            break;
                                            {
                                            _flick_abort150:
                                              goto _flick_abort145;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort151);
                                            break;
                                            {
                                            _flick_abort151:
                                              goto _flick_abort145;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort152);
                                            flick_iiop_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort152:
                                              goto _flick_abort145;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort145:
                                      goto _flick_abort144;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort144:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t75_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t75_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t75_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t76_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t76_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t76_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t77_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t78_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t79_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort154);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t77_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(24);
                        flick_iiop_check_span(_t77_principal_len, _flick_abort154);
                        flick_iiop_decode_new_glob(_t77_principal_len);
                        flick_iiop_decode_new_chunk(_t77_principal_len);
                        flick_iiop_decode_end_chunk(_t77_principal_len);
                        flick_iiop_decode_end_glob(_t77_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort154);
                        flick_cdr_decode_unsigned32(0, _t78_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t78_temp_string_len);
                        flick_iiop_check_span(1 * _t78_temp_string_len, _flick_abort154);
                        flick_iiop_decode_new_chunk(1 * _t78_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t78_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t78_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t79_storage);
                        _par = flick_interface_parents_I;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort154);
                          flick_iiop_encode_new_glob(5, _flick_abort154);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort162);
                                break;
                                {
                                _flick_abort162:
                                  goto _flick_abort154;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort163);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort163:
                                  goto _flick_abort154;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort154:
                          goto _flick_abort153;
                        }
                      }
                      break;
                      {
                      _flick_abort153:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(24);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

