#include "module-server.h"

/* This is the runtime type information */
char *flick_interface_parents_mod1_mod2_ex1[] = {
	"IDL:mod1/mod2/ex1:1.0",
	0
};

char *flick_interface_parents_mod1_mod2_ex2[] = {
	"IDL:mod1/mod2/ex2:1.0",
	"IDL:mod1/mod2/ex1:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t mod1_mod2_ex1_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t57_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t57_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t57_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t58_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t58_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t58_switch_tag)
            {
            case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
              {
                char _t59_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t59_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t59_switch_tag)
                  {
                  case 0:
                    {
                      {
                        mod1_mod2_ex1 _obj;
                        unsigned int _t60_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t61_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort147);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t60_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t60_principal_len, _flick_abort147);
                        flick_iiop_decode_new_glob(_t60_principal_len);
                        flick_iiop_decode_new_chunk(_t60_principal_len);
                        flick_iiop_decode_end_chunk(_t60_principal_len);
                        flick_iiop_decode_end_glob(_t60_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort147);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t61_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex1_m1(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort147);
                          flick_iiop_encode_new_glob(8, _flick_abort147);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort153);
                                break;
                                {
                                _flick_abort153:
                                  goto _flick_abort147;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort154);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort154:
                                  goto _flick_abort147;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort147:
                          goto _flick_abort146;
                        }
                      }
                      break;
                      {
                      _flick_abort146:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t62_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t62_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t62_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t63_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t63_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t63_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        mod1_mod2_ex1 _obj;
                        unsigned int _t64_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t65_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort156);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t64_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t64_principal_len, _flick_abort156);
                        flick_iiop_decode_new_glob(_t64_principal_len);
                        flick_iiop_decode_new_chunk(_t64_principal_len);
                        flick_iiop_decode_end_chunk(_t64_principal_len);
                        flick_iiop_decode_end_glob(_t64_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t65_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex1__get_l1(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort156);
                          flick_iiop_encode_new_glob(8, _flick_abort156);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort162);
                                break;
                                {
                                _flick_abort162:
                                  goto _flick_abort156;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort163);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort163:
                                  goto _flick_abort156;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort156:
                          goto _flick_abort155;
                        }
                      }
                      break;
                      {
                      _flick_abort155:
                        goto _flick_abort2;
                      }
                    }
                  case /* _l2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926208):
                    {
                      {
                        mod1_mod2_ex1 _obj;
                        unsigned int _t66_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t67_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort165);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t66_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t66_principal_len, _flick_abort165);
                        flick_iiop_decode_new_glob(_t66_principal_len);
                        flick_iiop_decode_new_chunk(_t66_principal_len);
                        flick_iiop_decode_end_chunk(_t66_principal_len);
                        flick_iiop_decode_end_glob(_t66_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t67_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex1__get_l2(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort165);
                          flick_iiop_encode_new_glob(8, _flick_abort165);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort171);
                                break;
                                {
                                _flick_abort171:
                                  goto _flick_abort165;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort172);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort172:
                                  goto _flick_abort165;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort165:
                          goto _flick_abort164;
                        }
                      }
                      break;
                      {
                      _flick_abort164:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t68_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t68_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t68_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        mod1_mod2_ex1 _obj;
                        unsigned int _t69_principal_len;
                        CORBA_long _local_l1;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t70_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort174);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t69_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t69_principal_len, _flick_abort174);
                        flick_iiop_decode_new_glob(_t69_principal_len);
                        flick_iiop_decode_new_chunk(_t69_principal_len);
                        flick_iiop_decode_end_chunk(_t69_principal_len);
                        flick_iiop_decode_end_glob(_t69_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort174);
                        flick_cdr_swap_decode_signed32(0, _local_l1, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t70_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        mod1_mod2_ex1__set_l1(_obj, _local_l1, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort174);
                          flick_iiop_encode_new_glob(4, _flick_abort174);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort180);
                                break;
                                {
                                _flick_abort180:
                                  goto _flick_abort174;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort181);
                                flick_iiop_encode_end_glob(4);
                                break;
                                {
                                _flick_abort181:
                                  goto _flick_abort174;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort174:
                          goto _flick_abort173;
                        }
                      }
                      break;
                      {
                      _flick_abort173:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t71_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t71_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t71_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t72_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t72_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t72_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t73_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t74_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t75_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort183);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t73_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t73_principal_len, _flick_abort183);
                        flick_iiop_decode_new_glob(_t73_principal_len);
                        flick_iiop_decode_new_chunk(_t73_principal_len);
                        flick_iiop_decode_end_chunk(_t73_principal_len);
                        flick_iiop_decode_end_glob(_t73_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort183);
                        flick_cdr_swap_decode_unsigned32(0, _t74_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t74_temp_string_len);
                        flick_iiop_check_span(1 * _t74_temp_string_len, _flick_abort183);
                        flick_iiop_decode_new_chunk(1 * _t74_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t74_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t74_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t75_storage);
                        _par = flick_interface_parents_mod1_mod2_ex1;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort183);
                          flick_iiop_encode_new_glob(5, _flick_abort183);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort191);
                                break;
                                {
                                _flick_abort191:
                                  goto _flick_abort183;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort192);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort192:
                                  goto _flick_abort183;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort183:
                          goto _flick_abort182;
                        }
                      }
                      break;
                      {
                      _flick_abort182:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t19_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t19_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t19_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t20_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t20_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t20_switch_tag)
            {
            case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
              {
                char _t21_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t21_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t21_switch_tag)
                  {
                  case 0:
                    {
                      {
                        mod1_mod2_ex1 _obj;
                        unsigned int _t22_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t23_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort52);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t22_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t22_principal_len, _flick_abort52);
                        flick_iiop_decode_new_glob(_t22_principal_len);
                        flick_iiop_decode_new_chunk(_t22_principal_len);
                        flick_iiop_decode_end_chunk(_t22_principal_len);
                        flick_iiop_decode_end_glob(_t22_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort52);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t23_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex1_m1(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort52);
                          flick_iiop_encode_new_glob(8, _flick_abort52);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort58);
                                break;
                                {
                                _flick_abort58:
                                  goto _flick_abort52;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort59);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort59:
                                  goto _flick_abort52;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort52:
                          goto _flick_abort51;
                        }
                      }
                      break;
                      {
                      _flick_abort51:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t24_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t24_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t24_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t25_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t25_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t25_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        mod1_mod2_ex1 _obj;
                        unsigned int _t26_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t27_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort61);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t26_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t26_principal_len, _flick_abort61);
                        flick_iiop_decode_new_glob(_t26_principal_len);
                        flick_iiop_decode_new_chunk(_t26_principal_len);
                        flick_iiop_decode_end_chunk(_t26_principal_len);
                        flick_iiop_decode_end_glob(_t26_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t27_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex1__get_l1(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort61);
                          flick_iiop_encode_new_glob(8, _flick_abort61);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort67);
                                break;
                                {
                                _flick_abort67:
                                  goto _flick_abort61;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort68);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort68:
                                  goto _flick_abort61;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort61:
                          goto _flick_abort60;
                        }
                      }
                      break;
                      {
                      _flick_abort60:
                        goto _flick_abort2;
                      }
                    }
                  case /* _l2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926208):
                    {
                      {
                        mod1_mod2_ex1 _obj;
                        unsigned int _t28_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t29_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort70);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t28_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t28_principal_len, _flick_abort70);
                        flick_iiop_decode_new_glob(_t28_principal_len);
                        flick_iiop_decode_new_chunk(_t28_principal_len);
                        flick_iiop_decode_end_chunk(_t28_principal_len);
                        flick_iiop_decode_end_glob(_t28_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t29_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex1__get_l2(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort70);
                          flick_iiop_encode_new_glob(8, _flick_abort70);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort76);
                                break;
                                {
                                _flick_abort76:
                                  goto _flick_abort70;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort77);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort77:
                                  goto _flick_abort70;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort70:
                          goto _flick_abort69;
                        }
                      }
                      break;
                      {
                      _flick_abort69:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t30_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t30_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t30_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        mod1_mod2_ex1 _obj;
                        unsigned int _t31_principal_len;
                        CORBA_long _local_l1;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t32_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort79);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t31_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t31_principal_len, _flick_abort79);
                        flick_iiop_decode_new_glob(_t31_principal_len);
                        flick_iiop_decode_new_chunk(_t31_principal_len);
                        flick_iiop_decode_end_chunk(_t31_principal_len);
                        flick_iiop_decode_end_glob(_t31_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort79);
                        flick_cdr_decode_signed32(0, _local_l1, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t32_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        mod1_mod2_ex1__set_l1(_obj, _local_l1, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort79);
                          flick_iiop_encode_new_glob(4, _flick_abort79);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort85);
                                break;
                                {
                                _flick_abort85:
                                  goto _flick_abort79;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort86);
                                flick_iiop_encode_end_glob(4);
                                break;
                                {
                                _flick_abort86:
                                  goto _flick_abort79;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort79:
                          goto _flick_abort78;
                        }
                      }
                      break;
                      {
                      _flick_abort78:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t33_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t33_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t33_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t34_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t34_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t34_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t35_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t36_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t37_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort88);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t35_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t35_principal_len, _flick_abort88);
                        flick_iiop_decode_new_glob(_t35_principal_len);
                        flick_iiop_decode_new_chunk(_t35_principal_len);
                        flick_iiop_decode_end_chunk(_t35_principal_len);
                        flick_iiop_decode_end_glob(_t35_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort88);
                        flick_cdr_decode_unsigned32(0, _t36_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t36_temp_string_len);
                        flick_iiop_check_span(1 * _t36_temp_string_len, _flick_abort88);
                        flick_iiop_decode_new_chunk(1 * _t36_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t36_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t36_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t37_storage);
                        _par = flick_interface_parents_mod1_mod2_ex1;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort88);
                          flick_iiop_encode_new_glob(5, _flick_abort88);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort96);
                                break;
                                {
                                _flick_abort96:
                                  goto _flick_abort88;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort97);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort97:
                                  goto _flick_abort88;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort88:
                          goto _flick_abort87;
                        }
                      }
                      break;
                      {
                      _flick_abort87:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t mod1_mod2_ex2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t157_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort195);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t157_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t157_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t158_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t158_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t158_switch_tag)
            {
            case /* m2 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27954):
              {
                char _t159_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t159_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t159_switch_tag)
                  {
                  case 0:
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t160_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_long *_local_b;
                        CORBA_long _t161_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t162_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort421);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t160_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t160_principal_len, _flick_abort421);
                        flick_iiop_decode_new_glob(_t160_principal_len);
                        flick_iiop_decode_new_chunk(_t160_principal_len);
                        flick_iiop_decode_end_chunk(_t160_principal_len);
                        flick_iiop_decode_end_glob(_t160_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort421);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (CORBA_long *)(&_t161_storage);
                        _ev = (CORBA_Environment *)(&_t162_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex2_m2(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort421);
                          flick_iiop_encode_new_glob(12, _flick_abort421);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(8);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_cdr_encode_signed32(4, *_local_b, CORBA_long );
                                flick_iiop_encode_end_chunk(8);
                                flick_iiop_encode_end_glob(12);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(12);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort427);
                                break;
                                {
                                _flick_abort427:
                                  goto _flick_abort421;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort428);
                                flick_iiop_encode_end_glob(12);
                                break;
                                {
                                _flick_abort428:
                                  goto _flick_abort421;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort421:
                          goto _flick_abort420;
                        }
                      }
                      break;
                      {
                      _flick_abort420:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
              {
                char _t163_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t163_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t163_switch_tag)
                  {
                  case 0:
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t164_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t165_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort430);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t164_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t164_principal_len, _flick_abort430);
                        flick_iiop_decode_new_glob(_t164_principal_len);
                        flick_iiop_decode_new_chunk(_t164_principal_len);
                        flick_iiop_decode_end_chunk(_t164_principal_len);
                        flick_iiop_decode_end_glob(_t164_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort430);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t165_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex2_m1(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort430);
                          flick_iiop_encode_new_glob(8, _flick_abort430);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort436);
                                break;
                                {
                                _flick_abort436:
                                  goto _flick_abort430;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort437);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort437:
                                  goto _flick_abort430;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort430:
                          goto _flick_abort429;
                        }
                      }
                      break;
                      {
                      _flick_abort429:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t166_switch_tag;

          flick_iiop_check_span(12, _flick_abort195);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t166_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t166_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t167_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t167_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t167_switch_tag)
                  {
                  case /* _l3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926464):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t168_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t169_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort439);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t168_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t168_principal_len, _flick_abort439);
                        flick_iiop_decode_new_glob(_t168_principal_len);
                        flick_iiop_decode_new_chunk(_t168_principal_len);
                        flick_iiop_decode_end_chunk(_t168_principal_len);
                        flick_iiop_decode_end_glob(_t168_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t169_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex2__get_l3(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort439);
                          flick_iiop_encode_new_glob(8, _flick_abort439);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort445);
                                break;
                                {
                                _flick_abort445:
                                  goto _flick_abort439;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort446);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort446:
                                  goto _flick_abort439;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort439:
                          goto _flick_abort438;
                        }
                      }
                      break;
                      {
                      _flick_abort438:
                        goto _flick_abort195;
                      }
                    }
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t170_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t171_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort448);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t170_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t170_principal_len, _flick_abort448);
                        flick_iiop_decode_new_glob(_t170_principal_len);
                        flick_iiop_decode_new_chunk(_t170_principal_len);
                        flick_iiop_decode_end_chunk(_t170_principal_len);
                        flick_iiop_decode_end_glob(_t170_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t171_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex2__get_l1(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort448);
                          flick_iiop_encode_new_glob(8, _flick_abort448);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort454);
                                break;
                                {
                                _flick_abort454:
                                  goto _flick_abort448;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort455);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort455:
                                  goto _flick_abort448;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort448:
                          goto _flick_abort447;
                        }
                      }
                      break;
                      {
                      _flick_abort447:
                        goto _flick_abort195;
                      }
                    }
                  case /* _l2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926208):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t172_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t173_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort457);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t172_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t172_principal_len, _flick_abort457);
                        flick_iiop_decode_new_glob(_t172_principal_len);
                        flick_iiop_decode_new_chunk(_t172_principal_len);
                        flick_iiop_decode_end_chunk(_t172_principal_len);
                        flick_iiop_decode_end_glob(_t172_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t173_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex2__get_l2(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort457);
                          flick_iiop_encode_new_glob(8, _flick_abort457);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort463);
                                break;
                                {
                                _flick_abort463:
                                  goto _flick_abort457;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort464);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort464:
                                  goto _flick_abort457;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort457:
                          goto _flick_abort456;
                        }
                      }
                      break;
                      {
                      _flick_abort456:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t174_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t174_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t174_switch_tag)
                  {
                  case /* _l3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926464):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t175_principal_len;
                        CORBA_long _local_l3;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t176_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort466);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t175_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t175_principal_len, _flick_abort466);
                        flick_iiop_decode_new_glob(_t175_principal_len);
                        flick_iiop_decode_new_chunk(_t175_principal_len);
                        flick_iiop_decode_end_chunk(_t175_principal_len);
                        flick_iiop_decode_end_glob(_t175_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort466);
                        flick_cdr_swap_decode_signed32(0, _local_l3, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t176_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        mod1_mod2_ex2__set_l3(_obj, _local_l3, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort466);
                          flick_iiop_encode_new_glob(4, _flick_abort466);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort472);
                                break;
                                {
                                _flick_abort472:
                                  goto _flick_abort466;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort473);
                                flick_iiop_encode_end_glob(4);
                                break;
                                {
                                _flick_abort473:
                                  goto _flick_abort466;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort466:
                          goto _flick_abort465;
                        }
                      }
                      break;
                      {
                      _flick_abort465:
                        goto _flick_abort195;
                      }
                    }
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t177_principal_len;
                        CORBA_long _local_l1;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t178_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort475);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t177_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t177_principal_len, _flick_abort475);
                        flick_iiop_decode_new_glob(_t177_principal_len);
                        flick_iiop_decode_new_chunk(_t177_principal_len);
                        flick_iiop_decode_end_chunk(_t177_principal_len);
                        flick_iiop_decode_end_glob(_t177_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort475);
                        flick_cdr_swap_decode_signed32(0, _local_l1, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t178_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        mod1_mod2_ex2__set_l1(_obj, _local_l1, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort475);
                          flick_iiop_encode_new_glob(4, _flick_abort475);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort481);
                                break;
                                {
                                _flick_abort481:
                                  goto _flick_abort475;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort482);
                                flick_iiop_encode_end_glob(4);
                                break;
                                {
                                _flick_abort482:
                                  goto _flick_abort475;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort475:
                          goto _flick_abort474;
                        }
                      }
                      break;
                      {
                      _flick_abort474:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t179_switch_tag;

          flick_iiop_check_span(12, _flick_abort195);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t179_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t179_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t180_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t180_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t180_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t181_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t182_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t183_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort484);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t181_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t181_principal_len, _flick_abort484);
                        flick_iiop_decode_new_glob(_t181_principal_len);
                        flick_iiop_decode_new_chunk(_t181_principal_len);
                        flick_iiop_decode_end_chunk(_t181_principal_len);
                        flick_iiop_decode_end_glob(_t181_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort484);
                        flick_cdr_swap_decode_unsigned32(0, _t182_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t182_temp_string_len);
                        flick_iiop_check_span(1 * _t182_temp_string_len, _flick_abort484);
                        flick_iiop_decode_new_chunk(1 * _t182_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t182_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t182_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t183_storage);
                        _par = flick_interface_parents_mod1_mod2_ex2;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort484);
                          flick_iiop_encode_new_glob(5, _flick_abort484);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort492);
                                break;
                                {
                                _flick_abort492:
                                  goto _flick_abort484;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort493);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort493:
                                  goto _flick_abort484;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort484:
                          goto _flick_abort483;
                        }
                      }
                      break;
                      {
                      _flick_abort483:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t103_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort195);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t103_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t103_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t104_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t104_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t104_switch_tag)
            {
            case /* m2 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27954):
              {
                char _t105_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t105_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t105_switch_tag)
                  {
                  case 0:
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t106_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_long *_local_b;
                        CORBA_long _t107_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t108_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort272);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t106_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t106_principal_len, _flick_abort272);
                        flick_iiop_decode_new_glob(_t106_principal_len);
                        flick_iiop_decode_new_chunk(_t106_principal_len);
                        flick_iiop_decode_end_chunk(_t106_principal_len);
                        flick_iiop_decode_end_glob(_t106_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort272);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (CORBA_long *)(&_t107_storage);
                        _ev = (CORBA_Environment *)(&_t108_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex2_m2(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort272);
                          flick_iiop_encode_new_glob(12, _flick_abort272);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(8);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_cdr_encode_signed32(4, *_local_b, CORBA_long );
                                flick_iiop_encode_end_chunk(8);
                                flick_iiop_encode_end_glob(12);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(12);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort278);
                                break;
                                {
                                _flick_abort278:
                                  goto _flick_abort272;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort279);
                                flick_iiop_encode_end_glob(12);
                                break;
                                {
                                _flick_abort279:
                                  goto _flick_abort272;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort272:
                          goto _flick_abort271;
                        }
                      }
                      break;
                      {
                      _flick_abort271:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
              {
                char _t109_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t109_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t109_switch_tag)
                  {
                  case 0:
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t110_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t111_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort281);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t110_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t110_principal_len, _flick_abort281);
                        flick_iiop_decode_new_glob(_t110_principal_len);
                        flick_iiop_decode_new_chunk(_t110_principal_len);
                        flick_iiop_decode_end_chunk(_t110_principal_len);
                        flick_iiop_decode_end_glob(_t110_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort281);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t111_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex2_m1(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort281);
                          flick_iiop_encode_new_glob(8, _flick_abort281);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort287);
                                break;
                                {
                                _flick_abort287:
                                  goto _flick_abort281;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort288);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort288:
                                  goto _flick_abort281;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort281:
                          goto _flick_abort280;
                        }
                      }
                      break;
                      {
                      _flick_abort280:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t112_switch_tag;

          flick_iiop_check_span(12, _flick_abort195);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t112_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t112_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t113_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t113_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t113_switch_tag)
                  {
                  case /* _l3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926464):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t114_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t115_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort290);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t114_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t114_principal_len, _flick_abort290);
                        flick_iiop_decode_new_glob(_t114_principal_len);
                        flick_iiop_decode_new_chunk(_t114_principal_len);
                        flick_iiop_decode_end_chunk(_t114_principal_len);
                        flick_iiop_decode_end_glob(_t114_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t115_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex2__get_l3(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort290);
                          flick_iiop_encode_new_glob(8, _flick_abort290);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort296);
                                break;
                                {
                                _flick_abort296:
                                  goto _flick_abort290;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort297);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort297:
                                  goto _flick_abort290;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort290:
                          goto _flick_abort289;
                        }
                      }
                      break;
                      {
                      _flick_abort289:
                        goto _flick_abort195;
                      }
                    }
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t116_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t117_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort299);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t116_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t116_principal_len, _flick_abort299);
                        flick_iiop_decode_new_glob(_t116_principal_len);
                        flick_iiop_decode_new_chunk(_t116_principal_len);
                        flick_iiop_decode_end_chunk(_t116_principal_len);
                        flick_iiop_decode_end_glob(_t116_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t117_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex2__get_l1(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort299);
                          flick_iiop_encode_new_glob(8, _flick_abort299);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort305);
                                break;
                                {
                                _flick_abort305:
                                  goto _flick_abort299;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort306);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort306:
                                  goto _flick_abort299;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort299:
                          goto _flick_abort298;
                        }
                      }
                      break;
                      {
                      _flick_abort298:
                        goto _flick_abort195;
                      }
                    }
                  case /* _l2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926208):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t118_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t119_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort308);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t118_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t118_principal_len, _flick_abort308);
                        flick_iiop_decode_new_glob(_t118_principal_len);
                        flick_iiop_decode_new_chunk(_t118_principal_len);
                        flick_iiop_decode_end_chunk(_t118_principal_len);
                        flick_iiop_decode_end_glob(_t118_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t119_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex2__get_l2(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort308);
                          flick_iiop_encode_new_glob(8, _flick_abort308);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort314);
                                break;
                                {
                                _flick_abort314:
                                  goto _flick_abort308;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort315);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort315:
                                  goto _flick_abort308;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort308:
                          goto _flick_abort307;
                        }
                      }
                      break;
                      {
                      _flick_abort307:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t120_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t120_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t120_switch_tag)
                  {
                  case /* _l3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926464):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t121_principal_len;
                        CORBA_long _local_l3;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t122_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort317);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t121_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t121_principal_len, _flick_abort317);
                        flick_iiop_decode_new_glob(_t121_principal_len);
                        flick_iiop_decode_new_chunk(_t121_principal_len);
                        flick_iiop_decode_end_chunk(_t121_principal_len);
                        flick_iiop_decode_end_glob(_t121_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort317);
                        flick_cdr_decode_signed32(0, _local_l3, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t122_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        mod1_mod2_ex2__set_l3(_obj, _local_l3, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort317);
                          flick_iiop_encode_new_glob(4, _flick_abort317);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort323);
                                break;
                                {
                                _flick_abort323:
                                  goto _flick_abort317;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort324);
                                flick_iiop_encode_end_glob(4);
                                break;
                                {
                                _flick_abort324:
                                  goto _flick_abort317;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort317:
                          goto _flick_abort316;
                        }
                      }
                      break;
                      {
                      _flick_abort316:
                        goto _flick_abort195;
                      }
                    }
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t123_principal_len;
                        CORBA_long _local_l1;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t124_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort326);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t123_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t123_principal_len, _flick_abort326);
                        flick_iiop_decode_new_glob(_t123_principal_len);
                        flick_iiop_decode_new_chunk(_t123_principal_len);
                        flick_iiop_decode_end_chunk(_t123_principal_len);
                        flick_iiop_decode_end_glob(_t123_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort326);
                        flick_cdr_decode_signed32(0, _local_l1, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t124_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        mod1_mod2_ex2__set_l1(_obj, _local_l1, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort326);
                          flick_iiop_encode_new_glob(4, _flick_abort326);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort332);
                                break;
                                {
                                _flick_abort332:
                                  goto _flick_abort326;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort333);
                                flick_iiop_encode_end_glob(4);
                                break;
                                {
                                _flick_abort333:
                                  goto _flick_abort326;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort326:
                          goto _flick_abort325;
                        }
                      }
                      break;
                      {
                      _flick_abort325:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t125_switch_tag;

          flick_iiop_check_span(12, _flick_abort195);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t125_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t125_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t126_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t126_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t126_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t127_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t128_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t129_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort335);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t127_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t127_principal_len, _flick_abort335);
                        flick_iiop_decode_new_glob(_t127_principal_len);
                        flick_iiop_decode_new_chunk(_t127_principal_len);
                        flick_iiop_decode_end_chunk(_t127_principal_len);
                        flick_iiop_decode_end_glob(_t127_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort335);
                        flick_cdr_decode_unsigned32(0, _t128_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t128_temp_string_len);
                        flick_iiop_check_span(1 * _t128_temp_string_len, _flick_abort335);
                        flick_iiop_decode_new_chunk(1 * _t128_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t128_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t128_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t129_storage);
                        _par = flick_interface_parents_mod1_mod2_ex2;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort335);
                          flick_iiop_encode_new_glob(5, _flick_abort335);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort343);
                                break;
                                {
                                _flick_abort343:
                                  goto _flick_abort335;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort344);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort344:
                                  goto _flick_abort335;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort335:
                          goto _flick_abort334;
                        }
                      }
                      break;
                      {
                      _flick_abort334:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort195:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort194);
  _flick_abort194:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

