#include "primtypes-server.h"

/* This is the runtime type information */
char *flick_interface_parents_ex1[] = {
	"IDL:ex1:1.0",
	0
};

char *flick_interface_parents_ex2[] = {
	"IDL:ex2:1.0",
	"IDL:ex1:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t ex1_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t108_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t108_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t108_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t109_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t109_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t109_switch_tag)
            {
            case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
              {
                char _t110_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t110_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t110_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex1 _obj;
                        unsigned int _t111_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t112_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort147);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t111_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t111_principal_len, _flick_abort147);
                        flick_iiop_decode_new_glob(_t111_principal_len);
                        flick_iiop_decode_new_chunk(_t111_principal_len);
                        flick_iiop_decode_end_chunk(_t111_principal_len);
                        flick_iiop_decode_end_glob(_t111_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort147);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t112_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex1_m1(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort147);
                          flick_iiop_encode_new_glob(8, _flick_abort147);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort153);
                                break;
                                {
                                _flick_abort153:
                                  goto _flick_abort147;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort154);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort154:
                                  goto _flick_abort147;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort147:
                          goto _flick_abort146;
                        }
                      }
                      break;
                      {
                      _flick_abort146:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t113_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t113_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t113_switch_tag)
            {
            case /* mtyp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836349808):
              {
                unsigned short int _t114_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t114_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t114_switch_tag)
                  {
                  case /* es */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25971):
                    {
                      char _t115_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t115_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t115_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex1 _obj;
                              unsigned int _t116_principal_len;
                              ex1 _return;
                              CORBA_long _local_a1;
                              CORBA_long *_local_a2;
                              CORBA_long _t117_storage;
                              CORBA_long *_local_a3;
                              CORBA_long _t118_storage;
                              CORBA_unsigned_long _local_b1;
                              CORBA_unsigned_long *_local_b2;
                              CORBA_unsigned_long _t119_storage;
                              CORBA_unsigned_long *_local_b3;
                              CORBA_unsigned_long _t120_storage;
                              CORBA_short _local_c1;
                              CORBA_short *_local_c2;
                              CORBA_short _t121_storage;
                              CORBA_short *_local_c3;
                              CORBA_short _t122_storage;
                              CORBA_unsigned_short _local_d1;
                              CORBA_unsigned_short *_local_d2;
                              CORBA_unsigned_short _t123_storage;
                              CORBA_unsigned_short *_local_d3;
                              CORBA_unsigned_short _t124_storage;
                              CORBA_float _local_e1;
                              CORBA_float *_local_e2;
                              CORBA_float _t125_storage;
                              CORBA_float *_local_e3;
                              CORBA_float _t126_storage;
                              CORBA_double _local_f1;
                              CORBA_double *_local_f2;
                              CORBA_double _t127_storage;
                              CORBA_double *_local_f3;
                              CORBA_double _t128_storage;
                              CORBA_char _local_g1;
                              CORBA_char *_local_g2;
                              CORBA_char _t129_storage;
                              CORBA_char *_local_g3;
                              CORBA_char _t130_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t131_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort156);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t116_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_check_span(_t116_principal_len, _flick_abort156);
                              flick_iiop_decode_new_glob(_t116_principal_len);
                              flick_iiop_decode_new_chunk(_t116_principal_len);
                              flick_iiop_decode_end_chunk(_t116_principal_len);
                              flick_iiop_decode_end_glob(_t116_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(57);
                              flick_iiop_decode_new_chunk_align(32, 2, 0, 0);
                              flick_iiop_check_span(32, _flick_abort156);
                              flick_cdr_swap_decode_signed32(0, _local_a1, CORBA_long );
                              _local_a2 = (CORBA_long *)(&_t117_storage);
                              flick_cdr_swap_decode_signed32(4, *_local_a2, CORBA_long );
                              _local_a3 = (CORBA_long *)(&_t118_storage);
                              flick_cdr_swap_decode_unsigned32(8, _local_b1, CORBA_unsigned_long );
                              _local_b2 = (CORBA_unsigned_long *)(&_t119_storage);
                              flick_cdr_swap_decode_unsigned32(12, *_local_b2, CORBA_unsigned_long );
                              _local_b3 = (CORBA_unsigned_long *)(&_t120_storage);
                              flick_cdr_swap_decode_signed16(16, _local_c1, CORBA_short );
                              _local_c2 = (CORBA_short *)(&_t121_storage);
                              flick_cdr_swap_decode_signed16(18, *_local_c2, CORBA_short );
                              _local_c3 = (CORBA_short *)(&_t122_storage);
                              flick_cdr_swap_decode_unsigned16(20, _local_d1, CORBA_unsigned_short );
                              _local_d2 = (CORBA_unsigned_short *)(&_t123_storage);
                              flick_cdr_swap_decode_unsigned16(22, *_local_d2, CORBA_unsigned_short );
                              _local_d3 = (CORBA_unsigned_short *)(&_t124_storage);
                              flick_cdr_swap_decode_float32(24, _local_e1, CORBA_float );
                              _local_e2 = (CORBA_float *)(&_t125_storage);
                              flick_cdr_swap_decode_float32(28, *_local_e2, CORBA_float );
                              _local_e3 = (CORBA_float *)(&_t126_storage);
                              flick_iiop_decode_end_chunk(32);
                              flick_iiop_decode_new_chunk_align(18, 3, 2, 0);
                              flick_iiop_check_span(18, _flick_abort156);
                              flick_cdr_swap_decode_float64(0, _local_f1, CORBA_double );
                              _local_f2 = (CORBA_double *)(&_t127_storage);
                              flick_cdr_swap_decode_float64(8, *_local_f2, CORBA_double );
                              _local_f3 = (CORBA_double *)(&_t128_storage);
                              flick_cdr_swap_decode_char8(16, _local_g1, CORBA_char );
                              _local_g2 = (CORBA_char *)(&_t129_storage);
                              flick_cdr_swap_decode_char8(17, *_local_g2, CORBA_char );
                              _local_g3 = (CORBA_char *)(&_t130_storage);
                              _ev = (CORBA_Environment *)(&_t131_storage);
                              flick_iiop_decode_end_chunk(18);
                              flick_iiop_decode_end_glob(57);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = ex1_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort156);
                                flick_iiop_encode_new_glob(4, _flick_abort156);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_end_glob(4);
                                      flick_cdr_encode_IOR(iiop, _return, 0, _flick_abort161);
                                      CORBA_object_flick_free(_return);
                                      _return = (void *)0;
                                      flick_iiop_encode_new_glob(57, _flick_abort161);
                                      flick_iiop_encode_new_chunk_align(32, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, *_local_a2, CORBA_long );
                                      flick_cdr_encode_signed32(4, *_local_a3, CORBA_long );
                                      flick_cdr_encode_unsigned32(8, *_local_b2, CORBA_unsigned_long );
                                      flick_cdr_encode_unsigned32(12, *_local_b3, CORBA_unsigned_long );
                                      flick_cdr_encode_signed16(16, *_local_c2, CORBA_short );
                                      flick_cdr_encode_signed16(18, *_local_c3, CORBA_short );
                                      flick_cdr_encode_unsigned16(20, *_local_d2, CORBA_unsigned_short );
                                      flick_cdr_encode_unsigned16(22, *_local_d3, CORBA_unsigned_short );
                                      flick_cdr_encode_float32(24, *_local_e2, CORBA_float );
                                      flick_cdr_encode_float32(28, *_local_e3, CORBA_float );
                                      flick_iiop_encode_end_chunk(32);
                                      flick_iiop_encode_new_chunk_align(18, 3, 2, 0);
                                      flick_cdr_encode_float64(0, *_local_f2, CORBA_double );
                                      flick_cdr_encode_float64(8, *_local_f3, CORBA_double );
                                      flick_cdr_encode_char8(16, *_local_g2, CORBA_char );
                                      flick_cdr_encode_char8(17, *_local_g3, CORBA_char );
                                      flick_iiop_encode_end_chunk(18);
                                      flick_iiop_encode_end_glob(57);
                                      break;
                                      {
                                      _flick_abort161:
                                        goto _flick_abort156;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort162);
                                      break;
                                      {
                                      _flick_abort162:
                                        goto _flick_abort156;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort163);
                                      flick_iiop_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort163:
                                        goto _flick_abort156;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort156:
                                goto _flick_abort155;
                              }
                            }
                            break;
                            {
                            _flick_abort155:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t132_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t132_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t132_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t133_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t133_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t133_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        ex1 _obj;
                        unsigned int _t134_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t135_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort165);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t134_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t134_principal_len, _flick_abort165);
                        flick_iiop_decode_new_glob(_t134_principal_len);
                        flick_iiop_decode_new_chunk(_t134_principal_len);
                        flick_iiop_decode_end_chunk(_t134_principal_len);
                        flick_iiop_decode_end_glob(_t134_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t135_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex1__get_l1(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort165);
                          flick_iiop_encode_new_glob(8, _flick_abort165);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort171);
                                break;
                                {
                                _flick_abort171:
                                  goto _flick_abort165;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort172);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort172:
                                  goto _flick_abort165;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort165:
                          goto _flick_abort164;
                        }
                      }
                      break;
                      {
                      _flick_abort164:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t136_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t136_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t136_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        ex1 _obj;
                        unsigned int _t137_principal_len;
                        CORBA_long _local_l1;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t138_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort174);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t137_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t137_principal_len, _flick_abort174);
                        flick_iiop_decode_new_glob(_t137_principal_len);
                        flick_iiop_decode_new_chunk(_t137_principal_len);
                        flick_iiop_decode_end_chunk(_t137_principal_len);
                        flick_iiop_decode_end_glob(_t137_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort174);
                        flick_cdr_swap_decode_signed32(0, _local_l1, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t138_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        ex1__set_l1(_obj, _local_l1, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort174);
                          flick_iiop_encode_new_glob(4, _flick_abort174);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort180);
                                break;
                                {
                                _flick_abort180:
                                  goto _flick_abort174;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort181);
                                flick_iiop_encode_end_glob(4);
                                break;
                                {
                                _flick_abort181:
                                  goto _flick_abort174;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort174:
                          goto _flick_abort173;
                        }
                      }
                      break;
                      {
                      _flick_abort173:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t139_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t139_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t139_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t140_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t140_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t140_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t141_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t142_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t143_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort183);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t141_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t141_principal_len, _flick_abort183);
                        flick_iiop_decode_new_glob(_t141_principal_len);
                        flick_iiop_decode_new_chunk(_t141_principal_len);
                        flick_iiop_decode_end_chunk(_t141_principal_len);
                        flick_iiop_decode_end_glob(_t141_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort183);
                        flick_cdr_swap_decode_unsigned32(0, _t142_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t142_temp_string_len);
                        flick_iiop_check_span(1 * _t142_temp_string_len, _flick_abort183);
                        flick_iiop_decode_new_chunk(1 * _t142_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t142_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t142_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t143_storage);
                        _par = flick_interface_parents_ex1;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort183);
                          flick_iiop_encode_new_glob(5, _flick_abort183);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort191);
                                break;
                                {
                                _flick_abort191:
                                  goto _flick_abort183;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort192);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort192:
                                  goto _flick_abort183;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort183:
                          goto _flick_abort182;
                        }
                      }
                      break;
                      {
                      _flick_abort182:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t36_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t36_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t36_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t37_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t37_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t37_switch_tag)
            {
            case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
              {
                char _t38_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t38_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t38_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex1 _obj;
                        unsigned int _t39_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t40_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort52);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t39_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t39_principal_len, _flick_abort52);
                        flick_iiop_decode_new_glob(_t39_principal_len);
                        flick_iiop_decode_new_chunk(_t39_principal_len);
                        flick_iiop_decode_end_chunk(_t39_principal_len);
                        flick_iiop_decode_end_glob(_t39_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort52);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t40_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex1_m1(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort52);
                          flick_iiop_encode_new_glob(8, _flick_abort52);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort58);
                                break;
                                {
                                _flick_abort58:
                                  goto _flick_abort52;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort59);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort59:
                                  goto _flick_abort52;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort52:
                          goto _flick_abort51;
                        }
                      }
                      break;
                      {
                      _flick_abort51:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t41_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t41_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t41_switch_tag)
            {
            case /* mtyp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836349808):
              {
                unsigned short int _t42_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t42_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t42_switch_tag)
                  {
                  case /* es */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25971):
                    {
                      char _t43_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t43_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t43_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex1 _obj;
                              unsigned int _t44_principal_len;
                              ex1 _return;
                              CORBA_long _local_a1;
                              CORBA_long *_local_a2;
                              CORBA_long _t45_storage;
                              CORBA_long *_local_a3;
                              CORBA_long _t46_storage;
                              CORBA_unsigned_long _local_b1;
                              CORBA_unsigned_long *_local_b2;
                              CORBA_unsigned_long _t47_storage;
                              CORBA_unsigned_long *_local_b3;
                              CORBA_unsigned_long _t48_storage;
                              CORBA_short _local_c1;
                              CORBA_short *_local_c2;
                              CORBA_short _t49_storage;
                              CORBA_short *_local_c3;
                              CORBA_short _t50_storage;
                              CORBA_unsigned_short _local_d1;
                              CORBA_unsigned_short *_local_d2;
                              CORBA_unsigned_short _t51_storage;
                              CORBA_unsigned_short *_local_d3;
                              CORBA_unsigned_short _t52_storage;
                              CORBA_float _local_e1;
                              CORBA_float *_local_e2;
                              CORBA_float _t53_storage;
                              CORBA_float *_local_e3;
                              CORBA_float _t54_storage;
                              CORBA_double _local_f1;
                              CORBA_double *_local_f2;
                              CORBA_double _t55_storage;
                              CORBA_double *_local_f3;
                              CORBA_double _t56_storage;
                              CORBA_char _local_g1;
                              CORBA_char *_local_g2;
                              CORBA_char _t57_storage;
                              CORBA_char *_local_g3;
                              CORBA_char _t58_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t59_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort61);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t44_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_check_span(_t44_principal_len, _flick_abort61);
                              flick_iiop_decode_new_glob(_t44_principal_len);
                              flick_iiop_decode_new_chunk(_t44_principal_len);
                              flick_iiop_decode_end_chunk(_t44_principal_len);
                              flick_iiop_decode_end_glob(_t44_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(57);
                              flick_iiop_decode_new_chunk_align(32, 2, 0, 0);
                              flick_iiop_check_span(32, _flick_abort61);
                              flick_cdr_decode_signed32(0, _local_a1, CORBA_long );
                              _local_a2 = (CORBA_long *)(&_t45_storage);
                              flick_cdr_decode_signed32(4, *_local_a2, CORBA_long );
                              _local_a3 = (CORBA_long *)(&_t46_storage);
                              flick_cdr_decode_unsigned32(8, _local_b1, CORBA_unsigned_long );
                              _local_b2 = (CORBA_unsigned_long *)(&_t47_storage);
                              flick_cdr_decode_unsigned32(12, *_local_b2, CORBA_unsigned_long );
                              _local_b3 = (CORBA_unsigned_long *)(&_t48_storage);
                              flick_cdr_decode_signed16(16, _local_c1, CORBA_short );
                              _local_c2 = (CORBA_short *)(&_t49_storage);
                              flick_cdr_decode_signed16(18, *_local_c2, CORBA_short );
                              _local_c3 = (CORBA_short *)(&_t50_storage);
                              flick_cdr_decode_unsigned16(20, _local_d1, CORBA_unsigned_short );
                              _local_d2 = (CORBA_unsigned_short *)(&_t51_storage);
                              flick_cdr_decode_unsigned16(22, *_local_d2, CORBA_unsigned_short );
                              _local_d3 = (CORBA_unsigned_short *)(&_t52_storage);
                              flick_cdr_decode_float32(24, _local_e1, CORBA_float );
                              _local_e2 = (CORBA_float *)(&_t53_storage);
                              flick_cdr_decode_float32(28, *_local_e2, CORBA_float );
                              _local_e3 = (CORBA_float *)(&_t54_storage);
                              flick_iiop_decode_end_chunk(32);
                              flick_iiop_decode_new_chunk_align(18, 3, 2, 0);
                              flick_iiop_check_span(18, _flick_abort61);
                              flick_cdr_decode_float64(0, _local_f1, CORBA_double );
                              _local_f2 = (CORBA_double *)(&_t55_storage);
                              flick_cdr_decode_float64(8, *_local_f2, CORBA_double );
                              _local_f3 = (CORBA_double *)(&_t56_storage);
                              flick_cdr_decode_char8(16, _local_g1, CORBA_char );
                              _local_g2 = (CORBA_char *)(&_t57_storage);
                              flick_cdr_decode_char8(17, *_local_g2, CORBA_char );
                              _local_g3 = (CORBA_char *)(&_t58_storage);
                              _ev = (CORBA_Environment *)(&_t59_storage);
                              flick_iiop_decode_end_chunk(18);
                              flick_iiop_decode_end_glob(57);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = ex1_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort61);
                                flick_iiop_encode_new_glob(4, _flick_abort61);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_end_glob(4);
                                      flick_cdr_encode_IOR(iiop, _return, 0, _flick_abort66);
                                      CORBA_object_flick_free(_return);
                                      _return = (void *)0;
                                      flick_iiop_encode_new_glob(57, _flick_abort66);
                                      flick_iiop_encode_new_chunk_align(32, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, *_local_a2, CORBA_long );
                                      flick_cdr_encode_signed32(4, *_local_a3, CORBA_long );
                                      flick_cdr_encode_unsigned32(8, *_local_b2, CORBA_unsigned_long );
                                      flick_cdr_encode_unsigned32(12, *_local_b3, CORBA_unsigned_long );
                                      flick_cdr_encode_signed16(16, *_local_c2, CORBA_short );
                                      flick_cdr_encode_signed16(18, *_local_c3, CORBA_short );
                                      flick_cdr_encode_unsigned16(20, *_local_d2, CORBA_unsigned_short );
                                      flick_cdr_encode_unsigned16(22, *_local_d3, CORBA_unsigned_short );
                                      flick_cdr_encode_float32(24, *_local_e2, CORBA_float );
                                      flick_cdr_encode_float32(28, *_local_e3, CORBA_float );
                                      flick_iiop_encode_end_chunk(32);
                                      flick_iiop_encode_new_chunk_align(18, 3, 2, 0);
                                      flick_cdr_encode_float64(0, *_local_f2, CORBA_double );
                                      flick_cdr_encode_float64(8, *_local_f3, CORBA_double );
                                      flick_cdr_encode_char8(16, *_local_g2, CORBA_char );
                                      flick_cdr_encode_char8(17, *_local_g3, CORBA_char );
                                      flick_iiop_encode_end_chunk(18);
                                      flick_iiop_encode_end_glob(57);
                                      break;
                                      {
                                      _flick_abort66:
                                        goto _flick_abort61;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort67);
                                      break;
                                      {
                                      _flick_abort67:
                                        goto _flick_abort61;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort68);
                                      flick_iiop_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort68:
                                        goto _flick_abort61;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort61:
                                goto _flick_abort60;
                              }
                            }
                            break;
                            {
                            _flick_abort60:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t60_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t60_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t60_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t61_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t61_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t61_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        ex1 _obj;
                        unsigned int _t62_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t63_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort70);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t62_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t62_principal_len, _flick_abort70);
                        flick_iiop_decode_new_glob(_t62_principal_len);
                        flick_iiop_decode_new_chunk(_t62_principal_len);
                        flick_iiop_decode_end_chunk(_t62_principal_len);
                        flick_iiop_decode_end_glob(_t62_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t63_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex1__get_l1(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort70);
                          flick_iiop_encode_new_glob(8, _flick_abort70);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort76);
                                break;
                                {
                                _flick_abort76:
                                  goto _flick_abort70;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort77);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort77:
                                  goto _flick_abort70;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort70:
                          goto _flick_abort69;
                        }
                      }
                      break;
                      {
                      _flick_abort69:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t64_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t64_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t64_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        ex1 _obj;
                        unsigned int _t65_principal_len;
                        CORBA_long _local_l1;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t66_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort79);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t65_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t65_principal_len, _flick_abort79);
                        flick_iiop_decode_new_glob(_t65_principal_len);
                        flick_iiop_decode_new_chunk(_t65_principal_len);
                        flick_iiop_decode_end_chunk(_t65_principal_len);
                        flick_iiop_decode_end_glob(_t65_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort79);
                        flick_cdr_decode_signed32(0, _local_l1, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t66_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        ex1__set_l1(_obj, _local_l1, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort79);
                          flick_iiop_encode_new_glob(4, _flick_abort79);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort85);
                                break;
                                {
                                _flick_abort85:
                                  goto _flick_abort79;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort86);
                                flick_iiop_encode_end_glob(4);
                                break;
                                {
                                _flick_abort86:
                                  goto _flick_abort79;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort79:
                          goto _flick_abort78;
                        }
                      }
                      break;
                      {
                      _flick_abort78:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t67_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t67_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t67_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t68_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t68_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t68_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t69_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t70_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t71_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort88);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t69_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t69_principal_len, _flick_abort88);
                        flick_iiop_decode_new_glob(_t69_principal_len);
                        flick_iiop_decode_new_chunk(_t69_principal_len);
                        flick_iiop_decode_end_chunk(_t69_principal_len);
                        flick_iiop_decode_end_glob(_t69_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort88);
                        flick_cdr_decode_unsigned32(0, _t70_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t70_temp_string_len);
                        flick_iiop_check_span(1 * _t70_temp_string_len, _flick_abort88);
                        flick_iiop_decode_new_chunk(1 * _t70_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t70_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t70_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t71_storage);
                        _par = flick_interface_parents_ex1;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort88);
                          flick_iiop_encode_new_glob(5, _flick_abort88);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort96);
                                break;
                                {
                                _flick_abort96:
                                  goto _flick_abort88;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort97);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort97:
                                  goto _flick_abort88;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort88:
                          goto _flick_abort87;
                        }
                      }
                      break;
                      {
                      _flick_abort87:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t ex2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t279_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort195);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t279_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t279_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t280_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t280_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t280_switch_tag)
            {
            case /* m2 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27954):
              {
                char _t281_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t281_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t281_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        unsigned int _t282_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_long *_local_b;
                        CORBA_long _t283_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t284_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort421);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t282_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t282_principal_len, _flick_abort421);
                        flick_iiop_decode_new_glob(_t282_principal_len);
                        flick_iiop_decode_new_chunk(_t282_principal_len);
                        flick_iiop_decode_end_chunk(_t282_principal_len);
                        flick_iiop_decode_end_glob(_t282_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort421);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (CORBA_long *)(&_t283_storage);
                        _ev = (CORBA_Environment *)(&_t284_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2_m2(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort421);
                          flick_iiop_encode_new_glob(12, _flick_abort421);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(8);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_cdr_encode_signed32(4, *_local_b, CORBA_long );
                                flick_iiop_encode_end_chunk(8);
                                flick_iiop_encode_end_glob(12);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(12);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort427);
                                break;
                                {
                                _flick_abort427:
                                  goto _flick_abort421;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort428);
                                flick_iiop_encode_end_glob(12);
                                break;
                                {
                                _flick_abort428:
                                  goto _flick_abort421;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort421:
                          goto _flick_abort420;
                        }
                      }
                      break;
                      {
                      _flick_abort420:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* mv */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28022):
              {
                char _t285_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t285_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t285_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        unsigned int _t286_principal_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t287_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort430);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t286_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t286_principal_len, _flick_abort430);
                        flick_iiop_decode_new_glob(_t286_principal_len);
                        flick_iiop_decode_new_chunk(_t286_principal_len);
                        flick_iiop_decode_end_chunk(_t286_principal_len);
                        flick_iiop_decode_end_glob(_t286_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = (CORBA_Environment *)(&_t287_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        ex2_mv(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort430);
                          flick_iiop_encode_new_glob(4, _flick_abort430);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort436);
                                break;
                                {
                                _flick_abort436:
                                  goto _flick_abort430;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort437);
                                flick_iiop_encode_end_glob(4);
                                break;
                                {
                                _flick_abort437:
                                  goto _flick_abort430;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort430:
                          goto _flick_abort429;
                        }
                      }
                      break;
                      {
                      _flick_abort429:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
              {
                char _t288_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t288_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t288_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        unsigned int _t289_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t290_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort439);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t289_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t289_principal_len, _flick_abort439);
                        flick_iiop_decode_new_glob(_t289_principal_len);
                        flick_iiop_decode_new_chunk(_t289_principal_len);
                        flick_iiop_decode_end_chunk(_t289_principal_len);
                        flick_iiop_decode_end_glob(_t289_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort439);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t290_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2_m1(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort439);
                          flick_iiop_encode_new_glob(8, _flick_abort439);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort445);
                                break;
                                {
                                _flick_abort445:
                                  goto _flick_abort439;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort446);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort446:
                                  goto _flick_abort439;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort439:
                          goto _flick_abort438;
                        }
                      }
                      break;
                      {
                      _flick_abort438:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t291_switch_tag;

          flick_iiop_check_span(12, _flick_abort195);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t291_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t291_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t292_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t292_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t292_switch_tag)
                  {
                  case /* _l2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926208):
                    {
                      {
                        ex2 _obj;
                        unsigned int _t293_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t294_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort448);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t293_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t293_principal_len, _flick_abort448);
                        flick_iiop_decode_new_glob(_t293_principal_len);
                        flick_iiop_decode_new_chunk(_t293_principal_len);
                        flick_iiop_decode_end_chunk(_t293_principal_len);
                        flick_iiop_decode_end_glob(_t293_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t294_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2__get_l2(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort448);
                          flick_iiop_encode_new_glob(8, _flick_abort448);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort454);
                                break;
                                {
                                _flick_abort454:
                                  goto _flick_abort448;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort455);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort455:
                                  goto _flick_abort448;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort448:
                          goto _flick_abort447;
                        }
                      }
                      break;
                      {
                      _flick_abort447:
                        goto _flick_abort195;
                      }
                    }
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        ex2 _obj;
                        unsigned int _t295_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t296_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort457);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t295_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t295_principal_len, _flick_abort457);
                        flick_iiop_decode_new_glob(_t295_principal_len);
                        flick_iiop_decode_new_chunk(_t295_principal_len);
                        flick_iiop_decode_end_chunk(_t295_principal_len);
                        flick_iiop_decode_end_glob(_t295_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t296_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2__get_l1(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort457);
                          flick_iiop_encode_new_glob(8, _flick_abort457);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort463);
                                break;
                                {
                                _flick_abort463:
                                  goto _flick_abort457;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort464);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort464:
                                  goto _flick_abort457;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort457:
                          goto _flick_abort456;
                        }
                      }
                      break;
                      {
                      _flick_abort456:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t297_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t297_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t297_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        ex2 _obj;
                        unsigned int _t298_principal_len;
                        CORBA_long _local_l1;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t299_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort466);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t298_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t298_principal_len, _flick_abort466);
                        flick_iiop_decode_new_glob(_t298_principal_len);
                        flick_iiop_decode_new_chunk(_t298_principal_len);
                        flick_iiop_decode_end_chunk(_t298_principal_len);
                        flick_iiop_decode_end_glob(_t298_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort466);
                        flick_cdr_swap_decode_signed32(0, _local_l1, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t299_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        ex2__set_l1(_obj, _local_l1, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort466);
                          flick_iiop_encode_new_glob(4, _flick_abort466);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort472);
                                break;
                                {
                                _flick_abort472:
                                  goto _flick_abort466;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort473);
                                flick_iiop_encode_end_glob(4);
                                break;
                                {
                                _flick_abort473:
                                  goto _flick_abort466;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort466:
                          goto _flick_abort465;
                        }
                      }
                      break;
                      {
                      _flick_abort465:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t300_switch_tag;

          flick_iiop_check_span(12, _flick_abort195);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t300_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t300_switch_tag)
            {
            case /* mtyp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836349808):
              {
                unsigned short int _t301_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t301_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t301_switch_tag)
                  {
                  case /* es */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25971):
                    {
                      char _t302_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t302_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t302_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex2 _obj;
                              unsigned int _t303_principal_len;
                              ex1 _return;
                              CORBA_long _local_a1;
                              CORBA_long *_local_a2;
                              CORBA_long _t304_storage;
                              CORBA_long *_local_a3;
                              CORBA_long _t305_storage;
                              CORBA_unsigned_long _local_b1;
                              CORBA_unsigned_long *_local_b2;
                              CORBA_unsigned_long _t306_storage;
                              CORBA_unsigned_long *_local_b3;
                              CORBA_unsigned_long _t307_storage;
                              CORBA_short _local_c1;
                              CORBA_short *_local_c2;
                              CORBA_short _t308_storage;
                              CORBA_short *_local_c3;
                              CORBA_short _t309_storage;
                              CORBA_unsigned_short _local_d1;
                              CORBA_unsigned_short *_local_d2;
                              CORBA_unsigned_short _t310_storage;
                              CORBA_unsigned_short *_local_d3;
                              CORBA_unsigned_short _t311_storage;
                              CORBA_float _local_e1;
                              CORBA_float *_local_e2;
                              CORBA_float _t312_storage;
                              CORBA_float *_local_e3;
                              CORBA_float _t313_storage;
                              CORBA_double _local_f1;
                              CORBA_double *_local_f2;
                              CORBA_double _t314_storage;
                              CORBA_double *_local_f3;
                              CORBA_double _t315_storage;
                              CORBA_char _local_g1;
                              CORBA_char *_local_g2;
                              CORBA_char _t316_storage;
                              CORBA_char *_local_g3;
                              CORBA_char _t317_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t318_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort475);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t303_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_check_span(_t303_principal_len, _flick_abort475);
                              flick_iiop_decode_new_glob(_t303_principal_len);
                              flick_iiop_decode_new_chunk(_t303_principal_len);
                              flick_iiop_decode_end_chunk(_t303_principal_len);
                              flick_iiop_decode_end_glob(_t303_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(57);
                              flick_iiop_decode_new_chunk_align(32, 2, 0, 0);
                              flick_iiop_check_span(32, _flick_abort475);
                              flick_cdr_swap_decode_signed32(0, _local_a1, CORBA_long );
                              _local_a2 = (CORBA_long *)(&_t304_storage);
                              flick_cdr_swap_decode_signed32(4, *_local_a2, CORBA_long );
                              _local_a3 = (CORBA_long *)(&_t305_storage);
                              flick_cdr_swap_decode_unsigned32(8, _local_b1, CORBA_unsigned_long );
                              _local_b2 = (CORBA_unsigned_long *)(&_t306_storage);
                              flick_cdr_swap_decode_unsigned32(12, *_local_b2, CORBA_unsigned_long );
                              _local_b3 = (CORBA_unsigned_long *)(&_t307_storage);
                              flick_cdr_swap_decode_signed16(16, _local_c1, CORBA_short );
                              _local_c2 = (CORBA_short *)(&_t308_storage);
                              flick_cdr_swap_decode_signed16(18, *_local_c2, CORBA_short );
                              _local_c3 = (CORBA_short *)(&_t309_storage);
                              flick_cdr_swap_decode_unsigned16(20, _local_d1, CORBA_unsigned_short );
                              _local_d2 = (CORBA_unsigned_short *)(&_t310_storage);
                              flick_cdr_swap_decode_unsigned16(22, *_local_d2, CORBA_unsigned_short );
                              _local_d3 = (CORBA_unsigned_short *)(&_t311_storage);
                              flick_cdr_swap_decode_float32(24, _local_e1, CORBA_float );
                              _local_e2 = (CORBA_float *)(&_t312_storage);
                              flick_cdr_swap_decode_float32(28, *_local_e2, CORBA_float );
                              _local_e3 = (CORBA_float *)(&_t313_storage);
                              flick_iiop_decode_end_chunk(32);
                              flick_iiop_decode_new_chunk_align(18, 3, 2, 0);
                              flick_iiop_check_span(18, _flick_abort475);
                              flick_cdr_swap_decode_float64(0, _local_f1, CORBA_double );
                              _local_f2 = (CORBA_double *)(&_t314_storage);
                              flick_cdr_swap_decode_float64(8, *_local_f2, CORBA_double );
                              _local_f3 = (CORBA_double *)(&_t315_storage);
                              flick_cdr_swap_decode_char8(16, _local_g1, CORBA_char );
                              _local_g2 = (CORBA_char *)(&_t316_storage);
                              flick_cdr_swap_decode_char8(17, *_local_g2, CORBA_char );
                              _local_g3 = (CORBA_char *)(&_t317_storage);
                              _ev = (CORBA_Environment *)(&_t318_storage);
                              flick_iiop_decode_end_chunk(18);
                              flick_iiop_decode_end_glob(57);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = ex2_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort475);
                                flick_iiop_encode_new_glob(4, _flick_abort475);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_end_glob(4);
                                      flick_cdr_encode_IOR(iiop, _return, 0, _flick_abort480);
                                      CORBA_object_flick_free(_return);
                                      _return = (void *)0;
                                      flick_iiop_encode_new_glob(57, _flick_abort480);
                                      flick_iiop_encode_new_chunk_align(32, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, *_local_a2, CORBA_long );
                                      flick_cdr_encode_signed32(4, *_local_a3, CORBA_long );
                                      flick_cdr_encode_unsigned32(8, *_local_b2, CORBA_unsigned_long );
                                      flick_cdr_encode_unsigned32(12, *_local_b3, CORBA_unsigned_long );
                                      flick_cdr_encode_signed16(16, *_local_c2, CORBA_short );
                                      flick_cdr_encode_signed16(18, *_local_c3, CORBA_short );
                                      flick_cdr_encode_unsigned16(20, *_local_d2, CORBA_unsigned_short );
                                      flick_cdr_encode_unsigned16(22, *_local_d3, CORBA_unsigned_short );
                                      flick_cdr_encode_float32(24, *_local_e2, CORBA_float );
                                      flick_cdr_encode_float32(28, *_local_e3, CORBA_float );
                                      flick_iiop_encode_end_chunk(32);
                                      flick_iiop_encode_new_chunk_align(18, 3, 2, 0);
                                      flick_cdr_encode_float64(0, *_local_f2, CORBA_double );
                                      flick_cdr_encode_float64(8, *_local_f3, CORBA_double );
                                      flick_cdr_encode_char8(16, *_local_g2, CORBA_char );
                                      flick_cdr_encode_char8(17, *_local_g3, CORBA_char );
                                      flick_iiop_encode_end_chunk(18);
                                      flick_iiop_encode_end_glob(57);
                                      break;
                                      {
                                      _flick_abort480:
                                        goto _flick_abort475;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort481);
                                      break;
                                      {
                                      _flick_abort481:
                                        goto _flick_abort475;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort482);
                                      flick_iiop_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort482:
                                        goto _flick_abort475;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort475:
                                goto _flick_abort474;
                              }
                            }
                            break;
                            {
                            _flick_abort474:
                              goto _flick_abort195;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t319_switch_tag;

          flick_iiop_check_span(12, _flick_abort195);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t319_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t319_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t320_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t320_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t320_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t321_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t322_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t323_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort484);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t321_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t321_principal_len, _flick_abort484);
                        flick_iiop_decode_new_glob(_t321_principal_len);
                        flick_iiop_decode_new_chunk(_t321_principal_len);
                        flick_iiop_decode_end_chunk(_t321_principal_len);
                        flick_iiop_decode_end_glob(_t321_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort484);
                        flick_cdr_swap_decode_unsigned32(0, _t322_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t322_temp_string_len);
                        flick_iiop_check_span(1 * _t322_temp_string_len, _flick_abort484);
                        flick_iiop_decode_new_chunk(1 * _t322_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t322_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t322_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t323_storage);
                        _par = flick_interface_parents_ex2;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort484);
                          flick_iiop_encode_new_glob(5, _flick_abort484);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort492);
                                break;
                                {
                                _flick_abort492:
                                  goto _flick_abort484;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort493);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort493:
                                  goto _flick_abort484;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort484:
                          goto _flick_abort483;
                        }
                      }
                      break;
                      {
                      _flick_abort483:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t189_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort195);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t189_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t189_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t190_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t190_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t190_switch_tag)
            {
            case /* m2 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27954):
              {
                char _t191_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t191_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t191_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        unsigned int _t192_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_long *_local_b;
                        CORBA_long _t193_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t194_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort272);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t192_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t192_principal_len, _flick_abort272);
                        flick_iiop_decode_new_glob(_t192_principal_len);
                        flick_iiop_decode_new_chunk(_t192_principal_len);
                        flick_iiop_decode_end_chunk(_t192_principal_len);
                        flick_iiop_decode_end_glob(_t192_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort272);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (CORBA_long *)(&_t193_storage);
                        _ev = (CORBA_Environment *)(&_t194_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2_m2(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort272);
                          flick_iiop_encode_new_glob(12, _flick_abort272);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(8);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_cdr_encode_signed32(4, *_local_b, CORBA_long );
                                flick_iiop_encode_end_chunk(8);
                                flick_iiop_encode_end_glob(12);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(12);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort278);
                                break;
                                {
                                _flick_abort278:
                                  goto _flick_abort272;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort279);
                                flick_iiop_encode_end_glob(12);
                                break;
                                {
                                _flick_abort279:
                                  goto _flick_abort272;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort272:
                          goto _flick_abort271;
                        }
                      }
                      break;
                      {
                      _flick_abort271:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* mv */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28022):
              {
                char _t195_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t195_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t195_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        unsigned int _t196_principal_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t197_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort281);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t196_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t196_principal_len, _flick_abort281);
                        flick_iiop_decode_new_glob(_t196_principal_len);
                        flick_iiop_decode_new_chunk(_t196_principal_len);
                        flick_iiop_decode_end_chunk(_t196_principal_len);
                        flick_iiop_decode_end_glob(_t196_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = (CORBA_Environment *)(&_t197_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        ex2_mv(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort281);
                          flick_iiop_encode_new_glob(4, _flick_abort281);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort287);
                                break;
                                {
                                _flick_abort287:
                                  goto _flick_abort281;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort288);
                                flick_iiop_encode_end_glob(4);
                                break;
                                {
                                _flick_abort288:
                                  goto _flick_abort281;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort281:
                          goto _flick_abort280;
                        }
                      }
                      break;
                      {
                      _flick_abort280:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
              {
                char _t198_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t198_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t198_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        unsigned int _t199_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t200_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort290);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t199_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t199_principal_len, _flick_abort290);
                        flick_iiop_decode_new_glob(_t199_principal_len);
                        flick_iiop_decode_new_chunk(_t199_principal_len);
                        flick_iiop_decode_end_chunk(_t199_principal_len);
                        flick_iiop_decode_end_glob(_t199_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort290);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t200_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2_m1(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort290);
                          flick_iiop_encode_new_glob(8, _flick_abort290);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort296);
                                break;
                                {
                                _flick_abort296:
                                  goto _flick_abort290;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort297);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort297:
                                  goto _flick_abort290;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort290:
                          goto _flick_abort289;
                        }
                      }
                      break;
                      {
                      _flick_abort289:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t201_switch_tag;

          flick_iiop_check_span(12, _flick_abort195);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t201_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t201_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t202_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t202_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t202_switch_tag)
                  {
                  case /* _l2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926208):
                    {
                      {
                        ex2 _obj;
                        unsigned int _t203_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t204_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort299);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t203_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t203_principal_len, _flick_abort299);
                        flick_iiop_decode_new_glob(_t203_principal_len);
                        flick_iiop_decode_new_chunk(_t203_principal_len);
                        flick_iiop_decode_end_chunk(_t203_principal_len);
                        flick_iiop_decode_end_glob(_t203_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t204_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2__get_l2(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort299);
                          flick_iiop_encode_new_glob(8, _flick_abort299);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort305);
                                break;
                                {
                                _flick_abort305:
                                  goto _flick_abort299;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort306);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort306:
                                  goto _flick_abort299;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort299:
                          goto _flick_abort298;
                        }
                      }
                      break;
                      {
                      _flick_abort298:
                        goto _flick_abort195;
                      }
                    }
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        ex2 _obj;
                        unsigned int _t205_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t206_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort308);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t205_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t205_principal_len, _flick_abort308);
                        flick_iiop_decode_new_glob(_t205_principal_len);
                        flick_iiop_decode_new_chunk(_t205_principal_len);
                        flick_iiop_decode_end_chunk(_t205_principal_len);
                        flick_iiop_decode_end_glob(_t205_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t206_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2__get_l1(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort308);
                          flick_iiop_encode_new_glob(8, _flick_abort308);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort314);
                                break;
                                {
                                _flick_abort314:
                                  goto _flick_abort308;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort315);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort315:
                                  goto _flick_abort308;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort308:
                          goto _flick_abort307;
                        }
                      }
                      break;
                      {
                      _flick_abort307:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t207_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t207_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t207_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        ex2 _obj;
                        unsigned int _t208_principal_len;
                        CORBA_long _local_l1;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t209_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort317);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t208_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t208_principal_len, _flick_abort317);
                        flick_iiop_decode_new_glob(_t208_principal_len);
                        flick_iiop_decode_new_chunk(_t208_principal_len);
                        flick_iiop_decode_end_chunk(_t208_principal_len);
                        flick_iiop_decode_end_glob(_t208_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort317);
                        flick_cdr_decode_signed32(0, _local_l1, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t209_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        ex2__set_l1(_obj, _local_l1, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort317);
                          flick_iiop_encode_new_glob(4, _flick_abort317);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort323);
                                break;
                                {
                                _flick_abort323:
                                  goto _flick_abort317;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort324);
                                flick_iiop_encode_end_glob(4);
                                break;
                                {
                                _flick_abort324:
                                  goto _flick_abort317;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort317:
                          goto _flick_abort316;
                        }
                      }
                      break;
                      {
                      _flick_abort316:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t210_switch_tag;

          flick_iiop_check_span(12, _flick_abort195);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t210_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t210_switch_tag)
            {
            case /* mtyp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836349808):
              {
                unsigned short int _t211_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t211_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t211_switch_tag)
                  {
                  case /* es */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25971):
                    {
                      char _t212_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t212_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t212_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex2 _obj;
                              unsigned int _t213_principal_len;
                              ex1 _return;
                              CORBA_long _local_a1;
                              CORBA_long *_local_a2;
                              CORBA_long _t214_storage;
                              CORBA_long *_local_a3;
                              CORBA_long _t215_storage;
                              CORBA_unsigned_long _local_b1;
                              CORBA_unsigned_long *_local_b2;
                              CORBA_unsigned_long _t216_storage;
                              CORBA_unsigned_long *_local_b3;
                              CORBA_unsigned_long _t217_storage;
                              CORBA_short _local_c1;
                              CORBA_short *_local_c2;
                              CORBA_short _t218_storage;
                              CORBA_short *_local_c3;
                              CORBA_short _t219_storage;
                              CORBA_unsigned_short _local_d1;
                              CORBA_unsigned_short *_local_d2;
                              CORBA_unsigned_short _t220_storage;
                              CORBA_unsigned_short *_local_d3;
                              CORBA_unsigned_short _t221_storage;
                              CORBA_float _local_e1;
                              CORBA_float *_local_e2;
                              CORBA_float _t222_storage;
                              CORBA_float *_local_e3;
                              CORBA_float _t223_storage;
                              CORBA_double _local_f1;
                              CORBA_double *_local_f2;
                              CORBA_double _t224_storage;
                              CORBA_double *_local_f3;
                              CORBA_double _t225_storage;
                              CORBA_char _local_g1;
                              CORBA_char *_local_g2;
                              CORBA_char _t226_storage;
                              CORBA_char *_local_g3;
                              CORBA_char _t227_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t228_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort326);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t213_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_check_span(_t213_principal_len, _flick_abort326);
                              flick_iiop_decode_new_glob(_t213_principal_len);
                              flick_iiop_decode_new_chunk(_t213_principal_len);
                              flick_iiop_decode_end_chunk(_t213_principal_len);
                              flick_iiop_decode_end_glob(_t213_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(57);
                              flick_iiop_decode_new_chunk_align(32, 2, 0, 0);
                              flick_iiop_check_span(32, _flick_abort326);
                              flick_cdr_decode_signed32(0, _local_a1, CORBA_long );
                              _local_a2 = (CORBA_long *)(&_t214_storage);
                              flick_cdr_decode_signed32(4, *_local_a2, CORBA_long );
                              _local_a3 = (CORBA_long *)(&_t215_storage);
                              flick_cdr_decode_unsigned32(8, _local_b1, CORBA_unsigned_long );
                              _local_b2 = (CORBA_unsigned_long *)(&_t216_storage);
                              flick_cdr_decode_unsigned32(12, *_local_b2, CORBA_unsigned_long );
                              _local_b3 = (CORBA_unsigned_long *)(&_t217_storage);
                              flick_cdr_decode_signed16(16, _local_c1, CORBA_short );
                              _local_c2 = (CORBA_short *)(&_t218_storage);
                              flick_cdr_decode_signed16(18, *_local_c2, CORBA_short );
                              _local_c3 = (CORBA_short *)(&_t219_storage);
                              flick_cdr_decode_unsigned16(20, _local_d1, CORBA_unsigned_short );
                              _local_d2 = (CORBA_unsigned_short *)(&_t220_storage);
                              flick_cdr_decode_unsigned16(22, *_local_d2, CORBA_unsigned_short );
                              _local_d3 = (CORBA_unsigned_short *)(&_t221_storage);
                              flick_cdr_decode_float32(24, _local_e1, CORBA_float );
                              _local_e2 = (CORBA_float *)(&_t222_storage);
                              flick_cdr_decode_float32(28, *_local_e2, CORBA_float );
                              _local_e3 = (CORBA_float *)(&_t223_storage);
                              flick_iiop_decode_end_chunk(32);
                              flick_iiop_decode_new_chunk_align(18, 3, 2, 0);
                              flick_iiop_check_span(18, _flick_abort326);
                              flick_cdr_decode_float64(0, _local_f1, CORBA_double );
                              _local_f2 = (CORBA_double *)(&_t224_storage);
                              flick_cdr_decode_float64(8, *_local_f2, CORBA_double );
                              _local_f3 = (CORBA_double *)(&_t225_storage);
                              flick_cdr_decode_char8(16, _local_g1, CORBA_char );
                              _local_g2 = (CORBA_char *)(&_t226_storage);
                              flick_cdr_decode_char8(17, *_local_g2, CORBA_char );
                              _local_g3 = (CORBA_char *)(&_t227_storage);
                              _ev = (CORBA_Environment *)(&_t228_storage);
                              flick_iiop_decode_end_chunk(18);
                              flick_iiop_decode_end_glob(57);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = ex2_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort326);
                                flick_iiop_encode_new_glob(4, _flick_abort326);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_end_glob(4);
                                      flick_cdr_encode_IOR(iiop, _return, 0, _flick_abort331);
                                      CORBA_object_flick_free(_return);
                                      _return = (void *)0;
                                      flick_iiop_encode_new_glob(57, _flick_abort331);
                                      flick_iiop_encode_new_chunk_align(32, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, *_local_a2, CORBA_long );
                                      flick_cdr_encode_signed32(4, *_local_a3, CORBA_long );
                                      flick_cdr_encode_unsigned32(8, *_local_b2, CORBA_unsigned_long );
                                      flick_cdr_encode_unsigned32(12, *_local_b3, CORBA_unsigned_long );
                                      flick_cdr_encode_signed16(16, *_local_c2, CORBA_short );
                                      flick_cdr_encode_signed16(18, *_local_c3, CORBA_short );
                                      flick_cdr_encode_unsigned16(20, *_local_d2, CORBA_unsigned_short );
                                      flick_cdr_encode_unsigned16(22, *_local_d3, CORBA_unsigned_short );
                                      flick_cdr_encode_float32(24, *_local_e2, CORBA_float );
                                      flick_cdr_encode_float32(28, *_local_e3, CORBA_float );
                                      flick_iiop_encode_end_chunk(32);
                                      flick_iiop_encode_new_chunk_align(18, 3, 2, 0);
                                      flick_cdr_encode_float64(0, *_local_f2, CORBA_double );
                                      flick_cdr_encode_float64(8, *_local_f3, CORBA_double );
                                      flick_cdr_encode_char8(16, *_local_g2, CORBA_char );
                                      flick_cdr_encode_char8(17, *_local_g3, CORBA_char );
                                      flick_iiop_encode_end_chunk(18);
                                      flick_iiop_encode_end_glob(57);
                                      break;
                                      {
                                      _flick_abort331:
                                        goto _flick_abort326;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort332);
                                      break;
                                      {
                                      _flick_abort332:
                                        goto _flick_abort326;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort333);
                                      flick_iiop_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort333:
                                        goto _flick_abort326;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort326:
                                goto _flick_abort325;
                              }
                            }
                            break;
                            {
                            _flick_abort325:
                              goto _flick_abort195;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t229_switch_tag;

          flick_iiop_check_span(12, _flick_abort195);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t229_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t229_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t230_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t230_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t230_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t231_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t232_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t233_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort335);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t231_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t231_principal_len, _flick_abort335);
                        flick_iiop_decode_new_glob(_t231_principal_len);
                        flick_iiop_decode_new_chunk(_t231_principal_len);
                        flick_iiop_decode_end_chunk(_t231_principal_len);
                        flick_iiop_decode_end_glob(_t231_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort335);
                        flick_cdr_decode_unsigned32(0, _t232_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t232_temp_string_len);
                        flick_iiop_check_span(1 * _t232_temp_string_len, _flick_abort335);
                        flick_iiop_decode_new_chunk(1 * _t232_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t232_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t232_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t233_storage);
                        _par = flick_interface_parents_ex2;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort335);
                          flick_iiop_encode_new_glob(5, _flick_abort335);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort343);
                                break;
                                {
                                _flick_abort343:
                                  goto _flick_abort335;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort344);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort344:
                                  goto _flick_abort335;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort335:
                          goto _flick_abort334;
                        }
                      }
                      break;
                      {
                      _flick_abort334:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort195:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort194);
  _flick_abort194:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

