#include "struct-server.h"

/* This is the runtime type information */
char *flick_interface_parents_foo[] = {
	"IDL:foo:1.0",
	0
};

char *flick_interface_parents_foo2[] = {
	"IDL:foo2:1.0",
	"IDL:foo:1.0",
	0
};

char *flick_interface_parents_Cells[] = {
	"IDL:Cells:1.0",
	"IDL:foo:1.0",
	"IDL:foo2:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t foo_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t45_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t45_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t45_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t46_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t46_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t46_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t47_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t47_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t47_switch_tag)
                  {
                  case 0:
                    {
                      {
                        foo _obj;
                        unsigned int _t48_principal_len;
                        CORBA_long _return;
                        struct bar *_local_a;
                        struct bar _t49_storage;
                        flick_unsigned32_t _t50_temp_string_len;
                        struct bar2 **_local_b;
                        struct bar2 *_t51_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t52_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort84);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t48_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t48_principal_len, _flick_abort84);
                        flick_iiop_decode_new_glob(_t48_principal_len);
                        flick_iiop_decode_new_chunk(_t48_principal_len);
                        flick_iiop_decode_end_chunk(_t48_principal_len);
                        flick_iiop_decode_end_glob(_t48_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_a = (struct bar *)(&_t49_storage);
                        flick_iiop_decode_new_glob(36);
                        flick_iiop_decode_new_chunk_align(12, 2, 0, 0);
                        flick_iiop_check_span(12, _flick_abort84);
                        flick_cdr_swap_decode_signed32(0, _local_a->b1, CORBA_long );
                        flick_cdr_swap_decode_signed32(4, _local_a->b2, CORBA_long );
                        flick_cdr_swap_decode_unsigned32(8, _t50_temp_string_len, flick_unsigned32_t );
                        if (_t50_temp_string_len > 21)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort84);
                        flick_iiop_decode_end_chunk(12);
                        flick_iiop_check_span(1 * _t50_temp_string_len, _flick_abort84);
                        flick_iiop_decode_new_chunk(1 * _t50_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_a->b3, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t50_temp_string_len);
                        _local_b = (struct bar2 **)(&_t51_storage);
                        _ev = (CORBA_Environment *)(&_t52_storage);
                        flick_iiop_decode_end_glob(36);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = foo_op(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort84);
                          flick_iiop_encode_new_glob(45, _flick_abort84);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t54_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, (*_local_b)->b4.b3, flick_unsigned32_t , _t54_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(20 + 1 * _t54_temp_string_len);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_cdr_encode_signed32(4, (*_local_b)->b3, CORBA_long );
                                flick_cdr_encode_signed32(8, (*_local_b)->b4.b1, CORBA_long );
                                flick_cdr_encode_signed32(12, (*_local_b)->b4.b2, CORBA_long );
                                flick_cdr_encode_unsigned32(16, _t54_temp_string_len, flick_unsigned32_t );
                                if (_t54_temp_string_len > 21)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort93);
                                flick_cdr_encode_bcopy(20, (*_local_b)->b4.b3, 1 * _t54_temp_string_len);
                                CORBA_flick_free((*_local_b)->b4.b3);
                                (*_local_b)->b4.b3 = (CORBA_char *)0;
                                flick_iiop_encode_end_chunk(20 + 1 * _t54_temp_string_len);
                                CORBA_flick_free(*_local_b);
                                *_local_b = (struct bar2 *)0;
                                flick_iiop_encode_end_glob(45);
                                break;
                                {
                                _flick_abort93:
                                  goto _flick_abort84;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(45);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort96);
                                break;
                                {
                                _flick_abort96:
                                  goto _flick_abort84;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort97);
                                flick_iiop_encode_end_glob(45);
                                break;
                                {
                                _flick_abort97:
                                  goto _flick_abort84;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort84:
                          goto _flick_abort83;
                        }
                      }
                      break;
                      {
                      _flick_abort83:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t55_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t55_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t55_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t56_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t56_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t56_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t57_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t58_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t59_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort99);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t57_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t57_principal_len, _flick_abort99);
                        flick_iiop_decode_new_glob(_t57_principal_len);
                        flick_iiop_decode_new_chunk(_t57_principal_len);
                        flick_iiop_decode_end_chunk(_t57_principal_len);
                        flick_iiop_decode_end_glob(_t57_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort99);
                        flick_cdr_swap_decode_unsigned32(0, _t58_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t58_temp_string_len);
                        flick_iiop_check_span(1 * _t58_temp_string_len, _flick_abort99);
                        flick_iiop_decode_new_chunk(1 * _t58_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t58_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t58_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t59_storage);
                        _par = flick_interface_parents_foo;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort99);
                          flick_iiop_encode_new_glob(5, _flick_abort99);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort107);
                                break;
                                {
                                _flick_abort107:
                                  goto _flick_abort99;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort108);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort108:
                                  goto _flick_abort99;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort99:
                          goto _flick_abort98;
                        }
                      }
                      break;
                      {
                      _flick_abort98:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t15_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t15_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t15_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t16_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t16_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t16_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t17_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t17_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t17_switch_tag)
                  {
                  case 0:
                    {
                      {
                        foo _obj;
                        unsigned int _t18_principal_len;
                        CORBA_long _return;
                        struct bar *_local_a;
                        struct bar _t19_storage;
                        flick_unsigned32_t _t20_temp_string_len;
                        struct bar2 **_local_b;
                        struct bar2 *_t21_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t22_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort31);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t18_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t18_principal_len, _flick_abort31);
                        flick_iiop_decode_new_glob(_t18_principal_len);
                        flick_iiop_decode_new_chunk(_t18_principal_len);
                        flick_iiop_decode_end_chunk(_t18_principal_len);
                        flick_iiop_decode_end_glob(_t18_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_a = (struct bar *)(&_t19_storage);
                        flick_iiop_decode_new_glob(36);
                        flick_iiop_decode_new_chunk_align(12, 2, 0, 0);
                        flick_iiop_check_span(12, _flick_abort31);
                        flick_cdr_decode_signed32(0, _local_a->b1, CORBA_long );
                        flick_cdr_decode_signed32(4, _local_a->b2, CORBA_long );
                        flick_cdr_decode_unsigned32(8, _t20_temp_string_len, flick_unsigned32_t );
                        if (_t20_temp_string_len > 21)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort31);
                        flick_iiop_decode_end_chunk(12);
                        flick_iiop_check_span(1 * _t20_temp_string_len, _flick_abort31);
                        flick_iiop_decode_new_chunk(1 * _t20_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_a->b3, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t20_temp_string_len);
                        _local_b = (struct bar2 **)(&_t21_storage);
                        _ev = (CORBA_Environment *)(&_t22_storage);
                        flick_iiop_decode_end_glob(36);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = foo_op(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort31);
                          flick_iiop_encode_new_glob(45, _flick_abort31);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t24_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, (*_local_b)->b4.b3, flick_unsigned32_t , _t24_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(20 + 1 * _t24_temp_string_len);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_cdr_encode_signed32(4, (*_local_b)->b3, CORBA_long );
                                flick_cdr_encode_signed32(8, (*_local_b)->b4.b1, CORBA_long );
                                flick_cdr_encode_signed32(12, (*_local_b)->b4.b2, CORBA_long );
                                flick_cdr_encode_unsigned32(16, _t24_temp_string_len, flick_unsigned32_t );
                                if (_t24_temp_string_len > 21)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort40);
                                flick_cdr_encode_bcopy(20, (*_local_b)->b4.b3, 1 * _t24_temp_string_len);
                                CORBA_flick_free((*_local_b)->b4.b3);
                                (*_local_b)->b4.b3 = (CORBA_char *)0;
                                flick_iiop_encode_end_chunk(20 + 1 * _t24_temp_string_len);
                                CORBA_flick_free(*_local_b);
                                *_local_b = (struct bar2 *)0;
                                flick_iiop_encode_end_glob(45);
                                break;
                                {
                                _flick_abort40:
                                  goto _flick_abort31;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(45);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort43);
                                break;
                                {
                                _flick_abort43:
                                  goto _flick_abort31;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort44);
                                flick_iiop_encode_end_glob(45);
                                break;
                                {
                                _flick_abort44:
                                  goto _flick_abort31;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort31:
                          goto _flick_abort30;
                        }
                      }
                      break;
                      {
                      _flick_abort30:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t25_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t25_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t25_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t26_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t26_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t26_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t27_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t28_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t29_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort46);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t27_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t27_principal_len, _flick_abort46);
                        flick_iiop_decode_new_glob(_t27_principal_len);
                        flick_iiop_decode_new_chunk(_t27_principal_len);
                        flick_iiop_decode_end_chunk(_t27_principal_len);
                        flick_iiop_decode_end_glob(_t27_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort46);
                        flick_cdr_decode_unsigned32(0, _t28_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t28_temp_string_len);
                        flick_iiop_check_span(1 * _t28_temp_string_len, _flick_abort46);
                        flick_iiop_decode_new_chunk(1 * _t28_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t28_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t28_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t29_storage);
                        _par = flick_interface_parents_foo;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort46);
                          flick_iiop_encode_new_glob(5, _flick_abort46);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort54);
                                break;
                                {
                                _flick_abort54:
                                  goto _flick_abort46;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort55);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort55:
                                  goto _flick_abort46;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort46:
                          goto _flick_abort45;
                        }
                      }
                      break;
                      {
                      _flick_abort45:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t foo2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t135_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort111);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t135_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t135_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t136_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t136_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t136_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  foo2 _obj;
                  unsigned int _t137_principal_len;
                  struct bar *_return;
                  struct bar2 *_local_a;
                  struct bar2 _t138_storage;
                  flick_unsigned32_t _t139_temp_string_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t140_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort265);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t137_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t137_principal_len, _flick_abort265);
                  flick_iiop_decode_new_glob(_t137_principal_len);
                  flick_iiop_decode_new_chunk(_t137_principal_len);
                  flick_iiop_decode_end_chunk(_t137_principal_len);
                  flick_iiop_decode_end_glob(_t137_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_a = (struct bar2 *)(&_t138_storage);
                  flick_iiop_decode_new_glob(40);
                  flick_iiop_decode_new_chunk_align(16, 2, 0, 0);
                  flick_iiop_check_span(16, _flick_abort265);
                  flick_cdr_swap_decode_signed32(0, _local_a->b3, CORBA_long );
                  flick_cdr_swap_decode_signed32(4, _local_a->b4.b1, CORBA_long );
                  flick_cdr_swap_decode_signed32(8, _local_a->b4.b2, CORBA_long );
                  flick_cdr_swap_decode_unsigned32(12, _t139_temp_string_len, flick_unsigned32_t );
                  if (_t139_temp_string_len > 21)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort265);
                  flick_iiop_decode_end_chunk(16);
                  flick_iiop_check_span(1 * _t139_temp_string_len, _flick_abort265);
                  flick_iiop_decode_new_chunk(1 * _t139_temp_string_len);
                  flick_cdr_swap_decode_msgptr(0, _local_a->b4.b3, CORBA_char *);
                  flick_iiop_decode_end_chunk(1 * _t139_temp_string_len);
                  _ev = (CORBA_Environment *)(&_t140_storage);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = foo2_op2(_obj, _local_a, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort265);
                    flick_iiop_encode_new_glob(37, _flick_abort265);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t142_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, _return->b3, flick_unsigned32_t , _t142_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(12 + 1 * _t142_temp_string_len);
                          flick_cdr_encode_signed32(0, _return->b1, CORBA_long );
                          flick_cdr_encode_signed32(4, _return->b2, CORBA_long );
                          flick_cdr_encode_unsigned32(8, _t142_temp_string_len, flick_unsigned32_t );
                          if (_t142_temp_string_len > 21)
                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort274);
                          flick_cdr_encode_bcopy(12, _return->b3, 1 * _t142_temp_string_len);
                          CORBA_flick_free(_return->b3);
                          _return->b3 = (CORBA_char *)0;
                          flick_iiop_encode_end_chunk(12 + 1 * _t142_temp_string_len);
                          CORBA_flick_free(_return);
                          _return = (struct bar *)0;
                          flick_iiop_encode_end_glob(37);
                          break;
                          {
                          _flick_abort274:
                            goto _flick_abort265;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(37);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort277);
                          break;
                          {
                          _flick_abort277:
                            goto _flick_abort265;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort278);
                          flick_iiop_encode_end_glob(37);
                          break;
                          {
                          _flick_abort278:
                            goto _flick_abort265;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort265:
                    goto _flick_abort264;
                  }
                }
                break;
                {
                _flick_abort264:
                  goto _flick_abort111;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  foo2 _obj;
                  unsigned int _t143_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_a;
                  CORBA_char *_local_b;
                  CORBA_char _t144_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t145_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort280);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t143_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t143_principal_len, _flick_abort280);
                  flick_iiop_decode_new_glob(_t143_principal_len);
                  flick_iiop_decode_new_chunk(_t143_principal_len);
                  flick_iiop_decode_end_chunk(_t143_principal_len);
                  flick_iiop_decode_end_glob(_t143_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(4, _flick_abort280);
                  flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                  _local_b = (CORBA_char *)(&_t144_storage);
                  _ev = (CORBA_Environment *)(&_t145_storage);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = foo2_op3(_obj, _local_a, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort280);
                    flick_iiop_encode_new_glob(9, _flick_abort280);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(5);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_cdr_encode_char8(4, *_local_b, CORBA_char );
                          flick_iiop_encode_end_chunk(5);
                          flick_iiop_encode_end_glob(9);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(9);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort286);
                          break;
                          {
                          _flick_abort286:
                            goto _flick_abort280;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort287);
                          flick_iiop_encode_end_glob(9);
                          break;
                          {
                          _flick_abort287:
                            goto _flick_abort280;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort280:
                    goto _flick_abort279;
                  }
                }
                break;
                {
                _flick_abort279:
                  goto _flick_abort111;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort111);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t146_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t146_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t146_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t147_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t147_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t147_switch_tag)
                  {
                  case 0:
                    {
                      {
                        foo2 _obj;
                        unsigned int _t148_principal_len;
                        CORBA_long _return;
                        struct bar *_local_a;
                        struct bar _t149_storage;
                        flick_unsigned32_t _t150_temp_string_len;
                        struct bar2 **_local_b;
                        struct bar2 *_t151_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t152_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort289);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t148_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t148_principal_len, _flick_abort289);
                        flick_iiop_decode_new_glob(_t148_principal_len);
                        flick_iiop_decode_new_chunk(_t148_principal_len);
                        flick_iiop_decode_end_chunk(_t148_principal_len);
                        flick_iiop_decode_end_glob(_t148_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_a = (struct bar *)(&_t149_storage);
                        flick_iiop_decode_new_glob(36);
                        flick_iiop_decode_new_chunk_align(12, 2, 0, 0);
                        flick_iiop_check_span(12, _flick_abort289);
                        flick_cdr_swap_decode_signed32(0, _local_a->b1, CORBA_long );
                        flick_cdr_swap_decode_signed32(4, _local_a->b2, CORBA_long );
                        flick_cdr_swap_decode_unsigned32(8, _t150_temp_string_len, flick_unsigned32_t );
                        if (_t150_temp_string_len > 21)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort289);
                        flick_iiop_decode_end_chunk(12);
                        flick_iiop_check_span(1 * _t150_temp_string_len, _flick_abort289);
                        flick_iiop_decode_new_chunk(1 * _t150_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_a->b3, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t150_temp_string_len);
                        _local_b = (struct bar2 **)(&_t151_storage);
                        _ev = (CORBA_Environment *)(&_t152_storage);
                        flick_iiop_decode_end_glob(36);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = foo2_op(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort289);
                          flick_iiop_encode_new_glob(45, _flick_abort289);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t154_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, (*_local_b)->b4.b3, flick_unsigned32_t , _t154_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(20 + 1 * _t154_temp_string_len);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_cdr_encode_signed32(4, (*_local_b)->b3, CORBA_long );
                                flick_cdr_encode_signed32(8, (*_local_b)->b4.b1, CORBA_long );
                                flick_cdr_encode_signed32(12, (*_local_b)->b4.b2, CORBA_long );
                                flick_cdr_encode_unsigned32(16, _t154_temp_string_len, flick_unsigned32_t );
                                if (_t154_temp_string_len > 21)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort298);
                                flick_cdr_encode_bcopy(20, (*_local_b)->b4.b3, 1 * _t154_temp_string_len);
                                CORBA_flick_free((*_local_b)->b4.b3);
                                (*_local_b)->b4.b3 = (CORBA_char *)0;
                                flick_iiop_encode_end_chunk(20 + 1 * _t154_temp_string_len);
                                CORBA_flick_free(*_local_b);
                                *_local_b = (struct bar2 *)0;
                                flick_iiop_encode_end_glob(45);
                                break;
                                {
                                _flick_abort298:
                                  goto _flick_abort289;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(45);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort301);
                                break;
                                {
                                _flick_abort301:
                                  goto _flick_abort289;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort302);
                                flick_iiop_encode_end_glob(45);
                                break;
                                {
                                _flick_abort302:
                                  goto _flick_abort289;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort289:
                          goto _flick_abort288;
                        }
                      }
                      break;
                      {
                      _flick_abort288:
                        goto _flick_abort111;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort111);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort111);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t155_switch_tag;

          flick_iiop_check_span(12, _flick_abort111);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t155_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t155_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t156_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t156_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t156_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t157_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t158_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t159_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort304);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t157_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t157_principal_len, _flick_abort304);
                        flick_iiop_decode_new_glob(_t157_principal_len);
                        flick_iiop_decode_new_chunk(_t157_principal_len);
                        flick_iiop_decode_end_chunk(_t157_principal_len);
                        flick_iiop_decode_end_glob(_t157_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort304);
                        flick_cdr_swap_decode_unsigned32(0, _t158_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t158_temp_string_len);
                        flick_iiop_check_span(1 * _t158_temp_string_len, _flick_abort304);
                        flick_iiop_decode_new_chunk(1 * _t158_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t158_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t158_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t159_storage);
                        _par = flick_interface_parents_foo2;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort304);
                          flick_iiop_encode_new_glob(5, _flick_abort304);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort312);
                                break;
                                {
                                _flick_abort312:
                                  goto _flick_abort304;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort313);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort313:
                                  goto _flick_abort304;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort304:
                          goto _flick_abort303;
                        }
                      }
                      break;
                      {
                      _flick_abort303:
                        goto _flick_abort111;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort111);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort111);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort111);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t85_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort111);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t85_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t85_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t86_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t86_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t86_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  foo2 _obj;
                  unsigned int _t87_principal_len;
                  struct bar *_return;
                  struct bar2 *_local_a;
                  struct bar2 _t88_storage;
                  flick_unsigned32_t _t89_temp_string_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t90_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort164);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t87_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t87_principal_len, _flick_abort164);
                  flick_iiop_decode_new_glob(_t87_principal_len);
                  flick_iiop_decode_new_chunk(_t87_principal_len);
                  flick_iiop_decode_end_chunk(_t87_principal_len);
                  flick_iiop_decode_end_glob(_t87_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_a = (struct bar2 *)(&_t88_storage);
                  flick_iiop_decode_new_glob(40);
                  flick_iiop_decode_new_chunk_align(16, 2, 0, 0);
                  flick_iiop_check_span(16, _flick_abort164);
                  flick_cdr_decode_signed32(0, _local_a->b3, CORBA_long );
                  flick_cdr_decode_signed32(4, _local_a->b4.b1, CORBA_long );
                  flick_cdr_decode_signed32(8, _local_a->b4.b2, CORBA_long );
                  flick_cdr_decode_unsigned32(12, _t89_temp_string_len, flick_unsigned32_t );
                  if (_t89_temp_string_len > 21)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort164);
                  flick_iiop_decode_end_chunk(16);
                  flick_iiop_check_span(1 * _t89_temp_string_len, _flick_abort164);
                  flick_iiop_decode_new_chunk(1 * _t89_temp_string_len);
                  flick_cdr_decode_msgptr(0, _local_a->b4.b3, CORBA_char *);
                  flick_iiop_decode_end_chunk(1 * _t89_temp_string_len);
                  _ev = (CORBA_Environment *)(&_t90_storage);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = foo2_op2(_obj, _local_a, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort164);
                    flick_iiop_encode_new_glob(37, _flick_abort164);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t92_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, _return->b3, flick_unsigned32_t , _t92_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(12 + 1 * _t92_temp_string_len);
                          flick_cdr_encode_signed32(0, _return->b1, CORBA_long );
                          flick_cdr_encode_signed32(4, _return->b2, CORBA_long );
                          flick_cdr_encode_unsigned32(8, _t92_temp_string_len, flick_unsigned32_t );
                          if (_t92_temp_string_len > 21)
                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort173);
                          flick_cdr_encode_bcopy(12, _return->b3, 1 * _t92_temp_string_len);
                          CORBA_flick_free(_return->b3);
                          _return->b3 = (CORBA_char *)0;
                          flick_iiop_encode_end_chunk(12 + 1 * _t92_temp_string_len);
                          CORBA_flick_free(_return);
                          _return = (struct bar *)0;
                          flick_iiop_encode_end_glob(37);
                          break;
                          {
                          _flick_abort173:
                            goto _flick_abort164;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(37);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort176);
                          break;
                          {
                          _flick_abort176:
                            goto _flick_abort164;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort177);
                          flick_iiop_encode_end_glob(37);
                          break;
                          {
                          _flick_abort177:
                            goto _flick_abort164;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort164:
                    goto _flick_abort163;
                  }
                }
                break;
                {
                _flick_abort163:
                  goto _flick_abort111;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  foo2 _obj;
                  unsigned int _t93_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_a;
                  CORBA_char *_local_b;
                  CORBA_char _t94_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t95_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort179);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t93_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t93_principal_len, _flick_abort179);
                  flick_iiop_decode_new_glob(_t93_principal_len);
                  flick_iiop_decode_new_chunk(_t93_principal_len);
                  flick_iiop_decode_end_chunk(_t93_principal_len);
                  flick_iiop_decode_end_glob(_t93_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(4, _flick_abort179);
                  flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                  _local_b = (CORBA_char *)(&_t94_storage);
                  _ev = (CORBA_Environment *)(&_t95_storage);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = foo2_op3(_obj, _local_a, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort179);
                    flick_iiop_encode_new_glob(9, _flick_abort179);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(5);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_cdr_encode_char8(4, *_local_b, CORBA_char );
                          flick_iiop_encode_end_chunk(5);
                          flick_iiop_encode_end_glob(9);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(9);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort185);
                          break;
                          {
                          _flick_abort185:
                            goto _flick_abort179;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort186);
                          flick_iiop_encode_end_glob(9);
                          break;
                          {
                          _flick_abort186:
                            goto _flick_abort179;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort179:
                    goto _flick_abort178;
                  }
                }
                break;
                {
                _flick_abort178:
                  goto _flick_abort111;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort111);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t96_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t96_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t96_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t97_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t97_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t97_switch_tag)
                  {
                  case 0:
                    {
                      {
                        foo2 _obj;
                        unsigned int _t98_principal_len;
                        CORBA_long _return;
                        struct bar *_local_a;
                        struct bar _t99_storage;
                        flick_unsigned32_t _t100_temp_string_len;
                        struct bar2 **_local_b;
                        struct bar2 *_t101_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t102_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort188);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t98_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t98_principal_len, _flick_abort188);
                        flick_iiop_decode_new_glob(_t98_principal_len);
                        flick_iiop_decode_new_chunk(_t98_principal_len);
                        flick_iiop_decode_end_chunk(_t98_principal_len);
                        flick_iiop_decode_end_glob(_t98_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_a = (struct bar *)(&_t99_storage);
                        flick_iiop_decode_new_glob(36);
                        flick_iiop_decode_new_chunk_align(12, 2, 0, 0);
                        flick_iiop_check_span(12, _flick_abort188);
                        flick_cdr_decode_signed32(0, _local_a->b1, CORBA_long );
                        flick_cdr_decode_signed32(4, _local_a->b2, CORBA_long );
                        flick_cdr_decode_unsigned32(8, _t100_temp_string_len, flick_unsigned32_t );
                        if (_t100_temp_string_len > 21)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort188);
                        flick_iiop_decode_end_chunk(12);
                        flick_iiop_check_span(1 * _t100_temp_string_len, _flick_abort188);
                        flick_iiop_decode_new_chunk(1 * _t100_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_a->b3, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t100_temp_string_len);
                        _local_b = (struct bar2 **)(&_t101_storage);
                        _ev = (CORBA_Environment *)(&_t102_storage);
                        flick_iiop_decode_end_glob(36);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = foo2_op(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort188);
                          flick_iiop_encode_new_glob(45, _flick_abort188);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t104_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, (*_local_b)->b4.b3, flick_unsigned32_t , _t104_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(20 + 1 * _t104_temp_string_len);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_cdr_encode_signed32(4, (*_local_b)->b3, CORBA_long );
                                flick_cdr_encode_signed32(8, (*_local_b)->b4.b1, CORBA_long );
                                flick_cdr_encode_signed32(12, (*_local_b)->b4.b2, CORBA_long );
                                flick_cdr_encode_unsigned32(16, _t104_temp_string_len, flick_unsigned32_t );
                                if (_t104_temp_string_len > 21)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort197);
                                flick_cdr_encode_bcopy(20, (*_local_b)->b4.b3, 1 * _t104_temp_string_len);
                                CORBA_flick_free((*_local_b)->b4.b3);
                                (*_local_b)->b4.b3 = (CORBA_char *)0;
                                flick_iiop_encode_end_chunk(20 + 1 * _t104_temp_string_len);
                                CORBA_flick_free(*_local_b);
                                *_local_b = (struct bar2 *)0;
                                flick_iiop_encode_end_glob(45);
                                break;
                                {
                                _flick_abort197:
                                  goto _flick_abort188;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(45);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort200);
                                break;
                                {
                                _flick_abort200:
                                  goto _flick_abort188;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort201);
                                flick_iiop_encode_end_glob(45);
                                break;
                                {
                                _flick_abort201:
                                  goto _flick_abort188;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort188:
                          goto _flick_abort187;
                        }
                      }
                      break;
                      {
                      _flick_abort187:
                        goto _flick_abort111;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort111);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort111);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t105_switch_tag;

          flick_iiop_check_span(12, _flick_abort111);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t105_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t105_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t106_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t106_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t106_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t107_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t108_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t109_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort203);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t107_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t107_principal_len, _flick_abort203);
                        flick_iiop_decode_new_glob(_t107_principal_len);
                        flick_iiop_decode_new_chunk(_t107_principal_len);
                        flick_iiop_decode_end_chunk(_t107_principal_len);
                        flick_iiop_decode_end_glob(_t107_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort203);
                        flick_cdr_decode_unsigned32(0, _t108_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t108_temp_string_len);
                        flick_iiop_check_span(1 * _t108_temp_string_len, _flick_abort203);
                        flick_iiop_decode_new_chunk(1 * _t108_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t108_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t108_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t109_storage);
                        _par = flick_interface_parents_foo2;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort203);
                          flick_iiop_encode_new_glob(5, _flick_abort203);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort211);
                                break;
                                {
                                _flick_abort211:
                                  goto _flick_abort203;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort212);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort212:
                                  goto _flick_abort203;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort203:
                          goto _flick_abort202;
                        }
                      }
                      break;
                      {
                      _flick_abort202:
                        goto _flick_abort111;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort111);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort111);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort111);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort111:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort110);
  _flick_abort110:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t Cells_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t289_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort316);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t289_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t289_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t290_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t290_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t290_switch_tag)
            {
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  Cells _obj;
                  unsigned int _t291_principal_len;
                  struct bar4 *_return;
                  struct bar4 *_local_a;
                  struct bar4 _t292_storage;
                  flick_unsigned32_t _t293_temp_string_len;
                  struct bar4 *_local_b;
                  struct bar4 _t294_storage;
                  flick_unsigned32_t _t295_temp_string_len;
                  struct bar4 **_local_c;
                  struct bar4 *_t296_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t297_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort575);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t291_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t291_principal_len, _flick_abort575);
                  flick_iiop_decode_new_glob(_t291_principal_len);
                  flick_iiop_decode_new_chunk(_t291_principal_len);
                  flick_iiop_decode_end_chunk(_t291_principal_len);
                  flick_iiop_decode_end_glob(_t291_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_a = (struct bar4 *)(&_t292_storage);
                  flick_iiop_decode_new_glob(131);
                  flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
                  flick_iiop_check_span(20, _flick_abort575);
                  flick_cdr_swap_decode_signed32(0, _local_a->b1, CORBA_long );
                  flick_cdr_swap_decode_signed32(4, _local_a->b2.b3, CORBA_long );
                  flick_cdr_swap_decode_signed32(8, _local_a->b2.b4.b1, CORBA_long );
                  flick_cdr_swap_decode_signed32(12, _local_a->b2.b4.b2, CORBA_long );
                  flick_cdr_swap_decode_unsigned32(16, _t293_temp_string_len, flick_unsigned32_t );
                  if (_t293_temp_string_len > 21)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort575);
                  flick_iiop_decode_end_chunk(20);
                  flick_iiop_check_span(1 * _t293_temp_string_len, _flick_abort575);
                  flick_iiop_decode_new_chunk(1 * _t293_temp_string_len);
                  flick_cdr_swap_decode_msgptr(0, _local_a->b2.b4.b3, CORBA_char *);
                  flick_iiop_decode_end_chunk(1 * _t293_temp_string_len);
                  flick_iiop_decode_new_chunk_align(40, 2, 0, 0);
                  flick_iiop_check_span(40, _flick_abort575);
                  flick_cdr_swap_decode_signed32(0, _local_a->b3, CORBA_long );
                  flick_cdr_swap_decode_signed32(4, _local_a->b4.b1, CORBA_long );
                  flick_cdr_swap_decode_signed32(8, _local_a->b4.b2, CORBA_long );
                  flick_cdr_swap_decode_signed32(12, _local_a->b4.b3, CORBA_long );
                  flick_cdr_swap_decode_signed32(16, _local_a->b5, CORBA_long );
                  _local_b = (struct bar4 *)(&_t294_storage);
                  flick_cdr_swap_decode_signed32(20, _local_b->b1, CORBA_long );
                  flick_cdr_swap_decode_signed32(24, _local_b->b2.b3, CORBA_long );
                  flick_cdr_swap_decode_signed32(28, _local_b->b2.b4.b1, CORBA_long );
                  flick_cdr_swap_decode_signed32(32, _local_b->b2.b4.b2, CORBA_long );
                  flick_cdr_swap_decode_unsigned32(36, _t295_temp_string_len, flick_unsigned32_t );
                  if (_t295_temp_string_len > 21)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort575);
                  flick_iiop_decode_end_chunk(40);
                  flick_iiop_check_span(1 * _t295_temp_string_len, _flick_abort575);
                  flick_iiop_decode_new_chunk(1 * _t295_temp_string_len);
                  {
                    CORBA_char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(21 * sizeof(CORBA_char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort575);
                    _local_b->b2.b4.b3 = _t_alloc_ptr;
                  }
                  flick_cdr_swap_decode_bcopy(0, _local_b->b2.b4.b3, 1 * _t295_temp_string_len);
                  flick_iiop_decode_end_chunk(1 * _t295_temp_string_len);
                  flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
                  flick_iiop_check_span(20, _flick_abort580);
                  flick_cdr_swap_decode_signed32(0, _local_b->b3, CORBA_long );
                  flick_cdr_swap_decode_signed32(4, _local_b->b4.b1, CORBA_long );
                  flick_cdr_swap_decode_signed32(8, _local_b->b4.b2, CORBA_long );
                  flick_cdr_swap_decode_signed32(12, _local_b->b4.b3, CORBA_long );
                  flick_cdr_swap_decode_signed32(16, _local_b->b5, CORBA_long );
                  _local_c = (struct bar4 **)(&_t296_storage);
                  _ev = (CORBA_Environment *)(&_t297_storage);
                  flick_iiop_decode_end_chunk(20);
                  flick_iiop_decode_end_glob(131);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = Cells_op4(_obj, _local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort580);
                    flick_iiop_encode_new_glob(196, _flick_abort580);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t301_temp_string_len;
                          flick_unsigned32_t _t302_temp_string_len;
                          flick_unsigned32_t _t303_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, _return->b2.b4.b3, flick_unsigned32_t , _t301_temp_string_len);
                          flick_cdr_stringlen(CORBA_char *, _local_b->b2.b4.b3, flick_unsigned32_t , _t302_temp_string_len);
                          flick_cdr_stringlen(CORBA_char *, (*_local_c)->b2.b4.b3, flick_unsigned32_t , _t303_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(20 + 1 * _t301_temp_string_len);
                          flick_cdr_encode_signed32(0, _return->b1, CORBA_long );
                          flick_cdr_encode_signed32(4, _return->b2.b3, CORBA_long );
                          flick_cdr_encode_signed32(8, _return->b2.b4.b1, CORBA_long );
                          flick_cdr_encode_signed32(12, _return->b2.b4.b2, CORBA_long );
                          flick_cdr_encode_unsigned32(16, _t301_temp_string_len, flick_unsigned32_t );
                          if (_t301_temp_string_len > 21)
                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort591);
                          flick_cdr_encode_bcopy(20, _return->b2.b4.b3, 1 * _t301_temp_string_len);
                          CORBA_flick_free(_return->b2.b4.b3);
                          _return->b2.b4.b3 = (CORBA_char *)0;
                          flick_iiop_encode_end_chunk(20 + 1 * _t301_temp_string_len);
                          flick_iiop_encode_new_chunk_align(40 + 1 * _t302_temp_string_len, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _return->b3, CORBA_long );
                          flick_cdr_encode_signed32(4, _return->b4.b1, CORBA_long );
                          flick_cdr_encode_signed32(8, _return->b4.b2, CORBA_long );
                          flick_cdr_encode_signed32(12, _return->b4.b3, CORBA_long );
                          flick_cdr_encode_signed32(16, _return->b5, CORBA_long );
                          CORBA_flick_free(_return);
                          _return = (struct bar4 *)0;
                          flick_cdr_encode_signed32(20, _local_b->b1, CORBA_long );
                          flick_cdr_encode_signed32(24, _local_b->b2.b3, CORBA_long );
                          flick_cdr_encode_signed32(28, _local_b->b2.b4.b1, CORBA_long );
                          flick_cdr_encode_signed32(32, _local_b->b2.b4.b2, CORBA_long );
                          flick_cdr_encode_unsigned32(36, _t302_temp_string_len, flick_unsigned32_t );
                          if (_t302_temp_string_len > 21)
                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort591);
                          flick_cdr_encode_bcopy(40, _local_b->b2.b4.b3, 1 * _t302_temp_string_len);
                          CORBA_flick_free(_local_b->b2.b4.b3);
                          _local_b->b2.b4.b3 = (CORBA_char *)0;
                          flick_iiop_encode_end_chunk(40 + 1 * _t302_temp_string_len);
                          flick_iiop_encode_new_chunk_align(40 + 1 * _t303_temp_string_len, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _local_b->b3, CORBA_long );
                          flick_cdr_encode_signed32(4, _local_b->b4.b1, CORBA_long );
                          flick_cdr_encode_signed32(8, _local_b->b4.b2, CORBA_long );
                          flick_cdr_encode_signed32(12, _local_b->b4.b3, CORBA_long );
                          flick_cdr_encode_signed32(16, _local_b->b5, CORBA_long );
                          flick_cdr_encode_signed32(20, (*_local_c)->b1, CORBA_long );
                          flick_cdr_encode_signed32(24, (*_local_c)->b2.b3, CORBA_long );
                          flick_cdr_encode_signed32(28, (*_local_c)->b2.b4.b1, CORBA_long );
                          flick_cdr_encode_signed32(32, (*_local_c)->b2.b4.b2, CORBA_long );
                          flick_cdr_encode_unsigned32(36, _t303_temp_string_len, flick_unsigned32_t );
                          if (_t303_temp_string_len > 21)
                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort591);
                          flick_cdr_encode_bcopy(40, (*_local_c)->b2.b4.b3, 1 * _t303_temp_string_len);
                          CORBA_flick_free((*_local_c)->b2.b4.b3);
                          (*_local_c)->b2.b4.b3 = (CORBA_char *)0;
                          flick_iiop_encode_end_chunk(40 + 1 * _t303_temp_string_len);
                          flick_iiop_encode_new_chunk_align(20, 2, 0, 0);
                          flick_cdr_encode_signed32(0, (*_local_c)->b3, CORBA_long );
                          flick_cdr_encode_signed32(4, (*_local_c)->b4.b1, CORBA_long );
                          flick_cdr_encode_signed32(8, (*_local_c)->b4.b2, CORBA_long );
                          flick_cdr_encode_signed32(12, (*_local_c)->b4.b3, CORBA_long );
                          flick_cdr_encode_signed32(16, (*_local_c)->b5, CORBA_long );
                          CORBA_flick_free(*_local_c);
                          *_local_c = (struct bar4 *)0;
                          flick_iiop_encode_end_chunk(20);
                          flick_iiop_encode_end_glob(196);
                          break;
                          {
                          _flick_abort591:
                            goto _flick_abort580;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(196);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort598);
                          break;
                          {
                          _flick_abort598:
                            goto _flick_abort580;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort599);
                          flick_iiop_encode_end_glob(196);
                          break;
                          {
                          _flick_abort599:
                            goto _flick_abort580;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort580:
                    CORBA_flick_free(_local_b->b2.b4.b3);
                  _flick_abort575:
                    goto _flick_abort574;
                  }
                }
                break;
                {
                _flick_abort574:
                  goto _flick_abort316;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  Cells _obj;
                  unsigned int _t304_principal_len;
                  Coord _return;
                  struct CellPos1 *_local_a;
                  struct CellPos1 _t305_storage;
                  struct CellPos2 *_local_b;
                  struct CellPos2 _t306_storage;
                  struct CellPos3 *_local_c;
                  struct CellPos3 _t307_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t308_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort601);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t304_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t304_principal_len, _flick_abort601);
                  flick_iiop_decode_new_glob(_t304_principal_len);
                  flick_iiop_decode_new_chunk(_t304_principal_len);
                  flick_iiop_decode_end_chunk(_t304_principal_len);
                  flick_iiop_decode_end_glob(_t304_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_a = (struct CellPos1 *)(&_t305_storage);
                  flick_iiop_decode_new_glob(9);
                  flick_iiop_decode_new_chunk_align(8, 1, 0, 0);
                  flick_iiop_check_span(8, _flick_abort601);
                  flick_cdr_swap_decode_unsigned16(0, _local_a->row, CORBA_unsigned_short );
                  flick_cdr_swap_decode_unsigned16(2, _local_a->col, CORBA_unsigned_short );
                  _local_b = (struct CellPos2 *)(&_t306_storage);
                  flick_cdr_swap_decode_unsigned16(4, _local_b->row, CORBA_unsigned_short );
                  flick_cdr_swap_decode_unsigned16(6, _local_b->col, CORBA_unsigned_short );
                  _local_c = (struct CellPos3 *)(&_t307_storage);
                  _ev = (CORBA_Environment *)(&_t308_storage);
                  flick_iiop_decode_end_chunk(8);
                  flick_iiop_decode_end_glob(9);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = Cells_op5(_obj, _local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort601);
                    flick_iiop_encode_new_glob(16, _flick_abort601);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(12);
                          flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(2, _local_b->row, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(4, _local_b->col, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(6, _local_c->row, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(8, _local_c->col, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(10, _local_c->col2, CORBA_unsigned_short );
                          flick_iiop_encode_end_chunk(12);
                          flick_iiop_encode_end_glob(16);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(16);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort607);
                          break;
                          {
                          _flick_abort607:
                            goto _flick_abort601;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort608);
                          flick_iiop_encode_end_glob(16);
                          break;
                          {
                          _flick_abort608:
                            goto _flick_abort601;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort601:
                    goto _flick_abort600;
                  }
                }
                break;
                {
                _flick_abort600:
                  goto _flick_abort316;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  Cells _obj;
                  unsigned int _t309_principal_len;
                  struct bar *_return;
                  struct bar2 *_local_a;
                  struct bar2 _t310_storage;
                  flick_unsigned32_t _t311_temp_string_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t312_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort610);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t309_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t309_principal_len, _flick_abort610);
                  flick_iiop_decode_new_glob(_t309_principal_len);
                  flick_iiop_decode_new_chunk(_t309_principal_len);
                  flick_iiop_decode_end_chunk(_t309_principal_len);
                  flick_iiop_decode_end_glob(_t309_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_a = (struct bar2 *)(&_t310_storage);
                  flick_iiop_decode_new_glob(40);
                  flick_iiop_decode_new_chunk_align(16, 2, 0, 0);
                  flick_iiop_check_span(16, _flick_abort610);
                  flick_cdr_swap_decode_signed32(0, _local_a->b3, CORBA_long );
                  flick_cdr_swap_decode_signed32(4, _local_a->b4.b1, CORBA_long );
                  flick_cdr_swap_decode_signed32(8, _local_a->b4.b2, CORBA_long );
                  flick_cdr_swap_decode_unsigned32(12, _t311_temp_string_len, flick_unsigned32_t );
                  if (_t311_temp_string_len > 21)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort610);
                  flick_iiop_decode_end_chunk(16);
                  flick_iiop_check_span(1 * _t311_temp_string_len, _flick_abort610);
                  flick_iiop_decode_new_chunk(1 * _t311_temp_string_len);
                  flick_cdr_swap_decode_msgptr(0, _local_a->b4.b3, CORBA_char *);
                  flick_iiop_decode_end_chunk(1 * _t311_temp_string_len);
                  _ev = (CORBA_Environment *)(&_t312_storage);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = Cells_op2(_obj, _local_a, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort610);
                    flick_iiop_encode_new_glob(37, _flick_abort610);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t314_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, _return->b3, flick_unsigned32_t , _t314_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(12 + 1 * _t314_temp_string_len);
                          flick_cdr_encode_signed32(0, _return->b1, CORBA_long );
                          flick_cdr_encode_signed32(4, _return->b2, CORBA_long );
                          flick_cdr_encode_unsigned32(8, _t314_temp_string_len, flick_unsigned32_t );
                          if (_t314_temp_string_len > 21)
                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort619);
                          flick_cdr_encode_bcopy(12, _return->b3, 1 * _t314_temp_string_len);
                          CORBA_flick_free(_return->b3);
                          _return->b3 = (CORBA_char *)0;
                          flick_iiop_encode_end_chunk(12 + 1 * _t314_temp_string_len);
                          CORBA_flick_free(_return);
                          _return = (struct bar *)0;
                          flick_iiop_encode_end_glob(37);
                          break;
                          {
                          _flick_abort619:
                            goto _flick_abort610;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(37);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort622);
                          break;
                          {
                          _flick_abort622:
                            goto _flick_abort610;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort623);
                          flick_iiop_encode_end_glob(37);
                          break;
                          {
                          _flick_abort623:
                            goto _flick_abort610;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort610:
                    goto _flick_abort609;
                  }
                }
                break;
                {
                _flick_abort609:
                  goto _flick_abort316;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  Cells _obj;
                  unsigned int _t315_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_a;
                  CORBA_char *_local_b;
                  CORBA_char _t316_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t317_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort625);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t315_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t315_principal_len, _flick_abort625);
                  flick_iiop_decode_new_glob(_t315_principal_len);
                  flick_iiop_decode_new_chunk(_t315_principal_len);
                  flick_iiop_decode_end_chunk(_t315_principal_len);
                  flick_iiop_decode_end_glob(_t315_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(4, _flick_abort625);
                  flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                  _local_b = (CORBA_char *)(&_t316_storage);
                  _ev = (CORBA_Environment *)(&_t317_storage);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = Cells_op3(_obj, _local_a, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort625);
                    flick_iiop_encode_new_glob(9, _flick_abort625);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(5);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_cdr_encode_char8(4, *_local_b, CORBA_char );
                          flick_iiop_encode_end_chunk(5);
                          flick_iiop_encode_end_glob(9);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(9);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort631);
                          break;
                          {
                          _flick_abort631:
                            goto _flick_abort625;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort632);
                          flick_iiop_encode_end_glob(9);
                          break;
                          {
                          _flick_abort632:
                            goto _flick_abort625;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort625:
                    goto _flick_abort624;
                  }
                }
                break;
                {
                _flick_abort624:
                  goto _flick_abort316;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort316);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t318_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t318_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t318_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t319_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t319_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t319_switch_tag)
                  {
                  case 0:
                    {
                      {
                        Cells _obj;
                        unsigned int _t320_principal_len;
                        CORBA_long _return;
                        struct bar *_local_a;
                        struct bar _t321_storage;
                        flick_unsigned32_t _t322_temp_string_len;
                        struct bar2 **_local_b;
                        struct bar2 *_t323_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t324_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort634);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t320_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t320_principal_len, _flick_abort634);
                        flick_iiop_decode_new_glob(_t320_principal_len);
                        flick_iiop_decode_new_chunk(_t320_principal_len);
                        flick_iiop_decode_end_chunk(_t320_principal_len);
                        flick_iiop_decode_end_glob(_t320_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_a = (struct bar *)(&_t321_storage);
                        flick_iiop_decode_new_glob(36);
                        flick_iiop_decode_new_chunk_align(12, 2, 0, 0);
                        flick_iiop_check_span(12, _flick_abort634);
                        flick_cdr_swap_decode_signed32(0, _local_a->b1, CORBA_long );
                        flick_cdr_swap_decode_signed32(4, _local_a->b2, CORBA_long );
                        flick_cdr_swap_decode_unsigned32(8, _t322_temp_string_len, flick_unsigned32_t );
                        if (_t322_temp_string_len > 21)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort634);
                        flick_iiop_decode_end_chunk(12);
                        flick_iiop_check_span(1 * _t322_temp_string_len, _flick_abort634);
                        flick_iiop_decode_new_chunk(1 * _t322_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_a->b3, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t322_temp_string_len);
                        _local_b = (struct bar2 **)(&_t323_storage);
                        _ev = (CORBA_Environment *)(&_t324_storage);
                        flick_iiop_decode_end_glob(36);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Cells_op(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort634);
                          flick_iiop_encode_new_glob(45, _flick_abort634);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t326_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, (*_local_b)->b4.b3, flick_unsigned32_t , _t326_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(20 + 1 * _t326_temp_string_len);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_cdr_encode_signed32(4, (*_local_b)->b3, CORBA_long );
                                flick_cdr_encode_signed32(8, (*_local_b)->b4.b1, CORBA_long );
                                flick_cdr_encode_signed32(12, (*_local_b)->b4.b2, CORBA_long );
                                flick_cdr_encode_unsigned32(16, _t326_temp_string_len, flick_unsigned32_t );
                                if (_t326_temp_string_len > 21)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort643);
                                flick_cdr_encode_bcopy(20, (*_local_b)->b4.b3, 1 * _t326_temp_string_len);
                                CORBA_flick_free((*_local_b)->b4.b3);
                                (*_local_b)->b4.b3 = (CORBA_char *)0;
                                flick_iiop_encode_end_chunk(20 + 1 * _t326_temp_string_len);
                                CORBA_flick_free(*_local_b);
                                *_local_b = (struct bar2 *)0;
                                flick_iiop_encode_end_glob(45);
                                break;
                                {
                                _flick_abort643:
                                  goto _flick_abort634;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(45);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort646);
                                break;
                                {
                                _flick_abort646:
                                  goto _flick_abort634;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort647);
                                flick_iiop_encode_end_glob(45);
                                break;
                                {
                                _flick_abort647:
                                  goto _flick_abort634;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort634:
                          goto _flick_abort633;
                        }
                      }
                      break;
                      {
                      _flick_abort633:
                        goto _flick_abort316;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort316);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort316);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t327_switch_tag;

          flick_iiop_check_span(12, _flick_abort316);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t327_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t327_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t328_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t328_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t328_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t329_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t330_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t331_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort649);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t329_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t329_principal_len, _flick_abort649);
                        flick_iiop_decode_new_glob(_t329_principal_len);
                        flick_iiop_decode_new_chunk(_t329_principal_len);
                        flick_iiop_decode_end_chunk(_t329_principal_len);
                        flick_iiop_decode_end_glob(_t329_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort649);
                        flick_cdr_swap_decode_unsigned32(0, _t330_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t330_temp_string_len);
                        flick_iiop_check_span(1 * _t330_temp_string_len, _flick_abort649);
                        flick_iiop_decode_new_chunk(1 * _t330_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t330_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t330_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t331_storage);
                        _par = flick_interface_parents_Cells;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort649);
                          flick_iiop_encode_new_glob(5, _flick_abort649);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort657);
                                break;
                                {
                                _flick_abort657:
                                  goto _flick_abort649;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort658);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort658:
                                  goto _flick_abort649;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort649:
                          goto _flick_abort648;
                        }
                      }
                      break;
                      {
                      _flick_abort648:
                        goto _flick_abort316;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort316);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort316);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort316);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t203_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort316);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t203_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t203_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t204_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t204_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t204_switch_tag)
            {
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  Cells _obj;
                  unsigned int _t205_principal_len;
                  struct bar4 *_return;
                  struct bar4 *_local_a;
                  struct bar4 _t206_storage;
                  flick_unsigned32_t _t207_temp_string_len;
                  struct bar4 *_local_b;
                  struct bar4 _t208_storage;
                  flick_unsigned32_t _t209_temp_string_len;
                  struct bar4 **_local_c;
                  struct bar4 *_t210_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t211_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort404);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t205_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t205_principal_len, _flick_abort404);
                  flick_iiop_decode_new_glob(_t205_principal_len);
                  flick_iiop_decode_new_chunk(_t205_principal_len);
                  flick_iiop_decode_end_chunk(_t205_principal_len);
                  flick_iiop_decode_end_glob(_t205_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_a = (struct bar4 *)(&_t206_storage);
                  flick_iiop_decode_new_glob(131);
                  flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
                  flick_iiop_check_span(20, _flick_abort404);
                  flick_cdr_decode_signed32(0, _local_a->b1, CORBA_long );
                  flick_cdr_decode_signed32(4, _local_a->b2.b3, CORBA_long );
                  flick_cdr_decode_signed32(8, _local_a->b2.b4.b1, CORBA_long );
                  flick_cdr_decode_signed32(12, _local_a->b2.b4.b2, CORBA_long );
                  flick_cdr_decode_unsigned32(16, _t207_temp_string_len, flick_unsigned32_t );
                  if (_t207_temp_string_len > 21)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort404);
                  flick_iiop_decode_end_chunk(20);
                  flick_iiop_check_span(1 * _t207_temp_string_len, _flick_abort404);
                  flick_iiop_decode_new_chunk(1 * _t207_temp_string_len);
                  flick_cdr_decode_msgptr(0, _local_a->b2.b4.b3, CORBA_char *);
                  flick_iiop_decode_end_chunk(1 * _t207_temp_string_len);
                  flick_iiop_decode_new_chunk_align(40, 2, 0, 0);
                  flick_iiop_check_span(40, _flick_abort404);
                  flick_cdr_decode_signed32(0, _local_a->b3, CORBA_long );
                  flick_cdr_decode_signed32(4, _local_a->b4.b1, CORBA_long );
                  flick_cdr_decode_signed32(8, _local_a->b4.b2, CORBA_long );
                  flick_cdr_decode_signed32(12, _local_a->b4.b3, CORBA_long );
                  flick_cdr_decode_signed32(16, _local_a->b5, CORBA_long );
                  _local_b = (struct bar4 *)(&_t208_storage);
                  flick_cdr_decode_signed32(20, _local_b->b1, CORBA_long );
                  flick_cdr_decode_signed32(24, _local_b->b2.b3, CORBA_long );
                  flick_cdr_decode_signed32(28, _local_b->b2.b4.b1, CORBA_long );
                  flick_cdr_decode_signed32(32, _local_b->b2.b4.b2, CORBA_long );
                  flick_cdr_decode_unsigned32(36, _t209_temp_string_len, flick_unsigned32_t );
                  if (_t209_temp_string_len > 21)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort404);
                  flick_iiop_decode_end_chunk(40);
                  flick_iiop_check_span(1 * _t209_temp_string_len, _flick_abort404);
                  flick_iiop_decode_new_chunk(1 * _t209_temp_string_len);
                  {
                    CORBA_char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(21 * sizeof(CORBA_char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort404);
                    _local_b->b2.b4.b3 = _t_alloc_ptr;
                  }
                  flick_cdr_decode_bcopy(0, _local_b->b2.b4.b3, 1 * _t209_temp_string_len);
                  flick_iiop_decode_end_chunk(1 * _t209_temp_string_len);
                  flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
                  flick_iiop_check_span(20, _flick_abort409);
                  flick_cdr_decode_signed32(0, _local_b->b3, CORBA_long );
                  flick_cdr_decode_signed32(4, _local_b->b4.b1, CORBA_long );
                  flick_cdr_decode_signed32(8, _local_b->b4.b2, CORBA_long );
                  flick_cdr_decode_signed32(12, _local_b->b4.b3, CORBA_long );
                  flick_cdr_decode_signed32(16, _local_b->b5, CORBA_long );
                  _local_c = (struct bar4 **)(&_t210_storage);
                  _ev = (CORBA_Environment *)(&_t211_storage);
                  flick_iiop_decode_end_chunk(20);
                  flick_iiop_decode_end_glob(131);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = Cells_op4(_obj, _local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort409);
                    flick_iiop_encode_new_glob(196, _flick_abort409);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t215_temp_string_len;
                          flick_unsigned32_t _t216_temp_string_len;
                          flick_unsigned32_t _t217_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, _return->b2.b4.b3, flick_unsigned32_t , _t215_temp_string_len);
                          flick_cdr_stringlen(CORBA_char *, _local_b->b2.b4.b3, flick_unsigned32_t , _t216_temp_string_len);
                          flick_cdr_stringlen(CORBA_char *, (*_local_c)->b2.b4.b3, flick_unsigned32_t , _t217_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(20 + 1 * _t215_temp_string_len);
                          flick_cdr_encode_signed32(0, _return->b1, CORBA_long );
                          flick_cdr_encode_signed32(4, _return->b2.b3, CORBA_long );
                          flick_cdr_encode_signed32(8, _return->b2.b4.b1, CORBA_long );
                          flick_cdr_encode_signed32(12, _return->b2.b4.b2, CORBA_long );
                          flick_cdr_encode_unsigned32(16, _t215_temp_string_len, flick_unsigned32_t );
                          if (_t215_temp_string_len > 21)
                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort420);
                          flick_cdr_encode_bcopy(20, _return->b2.b4.b3, 1 * _t215_temp_string_len);
                          CORBA_flick_free(_return->b2.b4.b3);
                          _return->b2.b4.b3 = (CORBA_char *)0;
                          flick_iiop_encode_end_chunk(20 + 1 * _t215_temp_string_len);
                          flick_iiop_encode_new_chunk_align(40 + 1 * _t216_temp_string_len, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _return->b3, CORBA_long );
                          flick_cdr_encode_signed32(4, _return->b4.b1, CORBA_long );
                          flick_cdr_encode_signed32(8, _return->b4.b2, CORBA_long );
                          flick_cdr_encode_signed32(12, _return->b4.b3, CORBA_long );
                          flick_cdr_encode_signed32(16, _return->b5, CORBA_long );
                          CORBA_flick_free(_return);
                          _return = (struct bar4 *)0;
                          flick_cdr_encode_signed32(20, _local_b->b1, CORBA_long );
                          flick_cdr_encode_signed32(24, _local_b->b2.b3, CORBA_long );
                          flick_cdr_encode_signed32(28, _local_b->b2.b4.b1, CORBA_long );
                          flick_cdr_encode_signed32(32, _local_b->b2.b4.b2, CORBA_long );
                          flick_cdr_encode_unsigned32(36, _t216_temp_string_len, flick_unsigned32_t );
                          if (_t216_temp_string_len > 21)
                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort420);
                          flick_cdr_encode_bcopy(40, _local_b->b2.b4.b3, 1 * _t216_temp_string_len);
                          CORBA_flick_free(_local_b->b2.b4.b3);
                          _local_b->b2.b4.b3 = (CORBA_char *)0;
                          flick_iiop_encode_end_chunk(40 + 1 * _t216_temp_string_len);
                          flick_iiop_encode_new_chunk_align(40 + 1 * _t217_temp_string_len, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _local_b->b3, CORBA_long );
                          flick_cdr_encode_signed32(4, _local_b->b4.b1, CORBA_long );
                          flick_cdr_encode_signed32(8, _local_b->b4.b2, CORBA_long );
                          flick_cdr_encode_signed32(12, _local_b->b4.b3, CORBA_long );
                          flick_cdr_encode_signed32(16, _local_b->b5, CORBA_long );
                          flick_cdr_encode_signed32(20, (*_local_c)->b1, CORBA_long );
                          flick_cdr_encode_signed32(24, (*_local_c)->b2.b3, CORBA_long );
                          flick_cdr_encode_signed32(28, (*_local_c)->b2.b4.b1, CORBA_long );
                          flick_cdr_encode_signed32(32, (*_local_c)->b2.b4.b2, CORBA_long );
                          flick_cdr_encode_unsigned32(36, _t217_temp_string_len, flick_unsigned32_t );
                          if (_t217_temp_string_len > 21)
                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort420);
                          flick_cdr_encode_bcopy(40, (*_local_c)->b2.b4.b3, 1 * _t217_temp_string_len);
                          CORBA_flick_free((*_local_c)->b2.b4.b3);
                          (*_local_c)->b2.b4.b3 = (CORBA_char *)0;
                          flick_iiop_encode_end_chunk(40 + 1 * _t217_temp_string_len);
                          flick_iiop_encode_new_chunk_align(20, 2, 0, 0);
                          flick_cdr_encode_signed32(0, (*_local_c)->b3, CORBA_long );
                          flick_cdr_encode_signed32(4, (*_local_c)->b4.b1, CORBA_long );
                          flick_cdr_encode_signed32(8, (*_local_c)->b4.b2, CORBA_long );
                          flick_cdr_encode_signed32(12, (*_local_c)->b4.b3, CORBA_long );
                          flick_cdr_encode_signed32(16, (*_local_c)->b5, CORBA_long );
                          CORBA_flick_free(*_local_c);
                          *_local_c = (struct bar4 *)0;
                          flick_iiop_encode_end_chunk(20);
                          flick_iiop_encode_end_glob(196);
                          break;
                          {
                          _flick_abort420:
                            goto _flick_abort409;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(196);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort427);
                          break;
                          {
                          _flick_abort427:
                            goto _flick_abort409;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort428);
                          flick_iiop_encode_end_glob(196);
                          break;
                          {
                          _flick_abort428:
                            goto _flick_abort409;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort409:
                    CORBA_flick_free(_local_b->b2.b4.b3);
                  _flick_abort404:
                    goto _flick_abort403;
                  }
                }
                break;
                {
                _flick_abort403:
                  goto _flick_abort316;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  Cells _obj;
                  unsigned int _t218_principal_len;
                  Coord _return;
                  struct CellPos1 *_local_a;
                  struct CellPos1 _t219_storage;
                  struct CellPos2 *_local_b;
                  struct CellPos2 _t220_storage;
                  struct CellPos3 *_local_c;
                  struct CellPos3 _t221_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t222_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort430);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t218_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t218_principal_len, _flick_abort430);
                  flick_iiop_decode_new_glob(_t218_principal_len);
                  flick_iiop_decode_new_chunk(_t218_principal_len);
                  flick_iiop_decode_end_chunk(_t218_principal_len);
                  flick_iiop_decode_end_glob(_t218_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_a = (struct CellPos1 *)(&_t219_storage);
                  flick_iiop_decode_new_glob(9);
                  flick_iiop_decode_new_chunk_align(8, 1, 0, 0);
                  flick_iiop_check_span(8, _flick_abort430);
                  flick_cdr_decode_unsigned16(0, _local_a->row, CORBA_unsigned_short );
                  flick_cdr_decode_unsigned16(2, _local_a->col, CORBA_unsigned_short );
                  _local_b = (struct CellPos2 *)(&_t220_storage);
                  flick_cdr_decode_unsigned16(4, _local_b->row, CORBA_unsigned_short );
                  flick_cdr_decode_unsigned16(6, _local_b->col, CORBA_unsigned_short );
                  _local_c = (struct CellPos3 *)(&_t221_storage);
                  _ev = (CORBA_Environment *)(&_t222_storage);
                  flick_iiop_decode_end_chunk(8);
                  flick_iiop_decode_end_glob(9);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = Cells_op5(_obj, _local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort430);
                    flick_iiop_encode_new_glob(16, _flick_abort430);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(12);
                          flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(2, _local_b->row, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(4, _local_b->col, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(6, _local_c->row, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(8, _local_c->col, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(10, _local_c->col2, CORBA_unsigned_short );
                          flick_iiop_encode_end_chunk(12);
                          flick_iiop_encode_end_glob(16);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(16);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort436);
                          break;
                          {
                          _flick_abort436:
                            goto _flick_abort430;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort437);
                          flick_iiop_encode_end_glob(16);
                          break;
                          {
                          _flick_abort437:
                            goto _flick_abort430;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort430:
                    goto _flick_abort429;
                  }
                }
                break;
                {
                _flick_abort429:
                  goto _flick_abort316;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  Cells _obj;
                  unsigned int _t223_principal_len;
                  struct bar *_return;
                  struct bar2 *_local_a;
                  struct bar2 _t224_storage;
                  flick_unsigned32_t _t225_temp_string_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t226_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort439);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t223_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t223_principal_len, _flick_abort439);
                  flick_iiop_decode_new_glob(_t223_principal_len);
                  flick_iiop_decode_new_chunk(_t223_principal_len);
                  flick_iiop_decode_end_chunk(_t223_principal_len);
                  flick_iiop_decode_end_glob(_t223_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_a = (struct bar2 *)(&_t224_storage);
                  flick_iiop_decode_new_glob(40);
                  flick_iiop_decode_new_chunk_align(16, 2, 0, 0);
                  flick_iiop_check_span(16, _flick_abort439);
                  flick_cdr_decode_signed32(0, _local_a->b3, CORBA_long );
                  flick_cdr_decode_signed32(4, _local_a->b4.b1, CORBA_long );
                  flick_cdr_decode_signed32(8, _local_a->b4.b2, CORBA_long );
                  flick_cdr_decode_unsigned32(12, _t225_temp_string_len, flick_unsigned32_t );
                  if (_t225_temp_string_len > 21)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort439);
                  flick_iiop_decode_end_chunk(16);
                  flick_iiop_check_span(1 * _t225_temp_string_len, _flick_abort439);
                  flick_iiop_decode_new_chunk(1 * _t225_temp_string_len);
                  flick_cdr_decode_msgptr(0, _local_a->b4.b3, CORBA_char *);
                  flick_iiop_decode_end_chunk(1 * _t225_temp_string_len);
                  _ev = (CORBA_Environment *)(&_t226_storage);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = Cells_op2(_obj, _local_a, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort439);
                    flick_iiop_encode_new_glob(37, _flick_abort439);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t228_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, _return->b3, flick_unsigned32_t , _t228_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(12 + 1 * _t228_temp_string_len);
                          flick_cdr_encode_signed32(0, _return->b1, CORBA_long );
                          flick_cdr_encode_signed32(4, _return->b2, CORBA_long );
                          flick_cdr_encode_unsigned32(8, _t228_temp_string_len, flick_unsigned32_t );
                          if (_t228_temp_string_len > 21)
                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort448);
                          flick_cdr_encode_bcopy(12, _return->b3, 1 * _t228_temp_string_len);
                          CORBA_flick_free(_return->b3);
                          _return->b3 = (CORBA_char *)0;
                          flick_iiop_encode_end_chunk(12 + 1 * _t228_temp_string_len);
                          CORBA_flick_free(_return);
                          _return = (struct bar *)0;
                          flick_iiop_encode_end_glob(37);
                          break;
                          {
                          _flick_abort448:
                            goto _flick_abort439;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(37);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort451);
                          break;
                          {
                          _flick_abort451:
                            goto _flick_abort439;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort452);
                          flick_iiop_encode_end_glob(37);
                          break;
                          {
                          _flick_abort452:
                            goto _flick_abort439;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort439:
                    goto _flick_abort438;
                  }
                }
                break;
                {
                _flick_abort438:
                  goto _flick_abort316;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  Cells _obj;
                  unsigned int _t229_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_a;
                  CORBA_char *_local_b;
                  CORBA_char _t230_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t231_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort454);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t229_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t229_principal_len, _flick_abort454);
                  flick_iiop_decode_new_glob(_t229_principal_len);
                  flick_iiop_decode_new_chunk(_t229_principal_len);
                  flick_iiop_decode_end_chunk(_t229_principal_len);
                  flick_iiop_decode_end_glob(_t229_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(4, _flick_abort454);
                  flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                  _local_b = (CORBA_char *)(&_t230_storage);
                  _ev = (CORBA_Environment *)(&_t231_storage);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = Cells_op3(_obj, _local_a, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort454);
                    flick_iiop_encode_new_glob(9, _flick_abort454);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(5);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_cdr_encode_char8(4, *_local_b, CORBA_char );
                          flick_iiop_encode_end_chunk(5);
                          flick_iiop_encode_end_glob(9);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(9);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort460);
                          break;
                          {
                          _flick_abort460:
                            goto _flick_abort454;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort461);
                          flick_iiop_encode_end_glob(9);
                          break;
                          {
                          _flick_abort461:
                            goto _flick_abort454;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort454:
                    goto _flick_abort453;
                  }
                }
                break;
                {
                _flick_abort453:
                  goto _flick_abort316;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort316);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t232_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t232_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t232_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t233_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t233_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t233_switch_tag)
                  {
                  case 0:
                    {
                      {
                        Cells _obj;
                        unsigned int _t234_principal_len;
                        CORBA_long _return;
                        struct bar *_local_a;
                        struct bar _t235_storage;
                        flick_unsigned32_t _t236_temp_string_len;
                        struct bar2 **_local_b;
                        struct bar2 *_t237_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t238_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort463);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t234_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t234_principal_len, _flick_abort463);
                        flick_iiop_decode_new_glob(_t234_principal_len);
                        flick_iiop_decode_new_chunk(_t234_principal_len);
                        flick_iiop_decode_end_chunk(_t234_principal_len);
                        flick_iiop_decode_end_glob(_t234_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_a = (struct bar *)(&_t235_storage);
                        flick_iiop_decode_new_glob(36);
                        flick_iiop_decode_new_chunk_align(12, 2, 0, 0);
                        flick_iiop_check_span(12, _flick_abort463);
                        flick_cdr_decode_signed32(0, _local_a->b1, CORBA_long );
                        flick_cdr_decode_signed32(4, _local_a->b2, CORBA_long );
                        flick_cdr_decode_unsigned32(8, _t236_temp_string_len, flick_unsigned32_t );
                        if (_t236_temp_string_len > 21)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort463);
                        flick_iiop_decode_end_chunk(12);
                        flick_iiop_check_span(1 * _t236_temp_string_len, _flick_abort463);
                        flick_iiop_decode_new_chunk(1 * _t236_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_a->b3, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t236_temp_string_len);
                        _local_b = (struct bar2 **)(&_t237_storage);
                        _ev = (CORBA_Environment *)(&_t238_storage);
                        flick_iiop_decode_end_glob(36);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Cells_op(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort463);
                          flick_iiop_encode_new_glob(45, _flick_abort463);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t240_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, (*_local_b)->b4.b3, flick_unsigned32_t , _t240_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(20 + 1 * _t240_temp_string_len);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_cdr_encode_signed32(4, (*_local_b)->b3, CORBA_long );
                                flick_cdr_encode_signed32(8, (*_local_b)->b4.b1, CORBA_long );
                                flick_cdr_encode_signed32(12, (*_local_b)->b4.b2, CORBA_long );
                                flick_cdr_encode_unsigned32(16, _t240_temp_string_len, flick_unsigned32_t );
                                if (_t240_temp_string_len > 21)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort472);
                                flick_cdr_encode_bcopy(20, (*_local_b)->b4.b3, 1 * _t240_temp_string_len);
                                CORBA_flick_free((*_local_b)->b4.b3);
                                (*_local_b)->b4.b3 = (CORBA_char *)0;
                                flick_iiop_encode_end_chunk(20 + 1 * _t240_temp_string_len);
                                CORBA_flick_free(*_local_b);
                                *_local_b = (struct bar2 *)0;
                                flick_iiop_encode_end_glob(45);
                                break;
                                {
                                _flick_abort472:
                                  goto _flick_abort463;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(45);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort475);
                                break;
                                {
                                _flick_abort475:
                                  goto _flick_abort463;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort476);
                                flick_iiop_encode_end_glob(45);
                                break;
                                {
                                _flick_abort476:
                                  goto _flick_abort463;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort463:
                          goto _flick_abort462;
                        }
                      }
                      break;
                      {
                      _flick_abort462:
                        goto _flick_abort316;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort316);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort316);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t241_switch_tag;

          flick_iiop_check_span(12, _flick_abort316);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t241_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t241_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t242_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t242_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t242_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t243_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t244_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t245_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort478);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t243_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t243_principal_len, _flick_abort478);
                        flick_iiop_decode_new_glob(_t243_principal_len);
                        flick_iiop_decode_new_chunk(_t243_principal_len);
                        flick_iiop_decode_end_chunk(_t243_principal_len);
                        flick_iiop_decode_end_glob(_t243_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort478);
                        flick_cdr_decode_unsigned32(0, _t244_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t244_temp_string_len);
                        flick_iiop_check_span(1 * _t244_temp_string_len, _flick_abort478);
                        flick_iiop_decode_new_chunk(1 * _t244_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t244_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t244_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t245_storage);
                        _par = flick_interface_parents_Cells;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort478);
                          flick_iiop_encode_new_glob(5, _flick_abort478);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort486);
                                break;
                                {
                                _flick_abort486:
                                  goto _flick_abort478;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort487);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort487:
                                  goto _flick_abort478;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort478:
                          goto _flick_abort477;
                        }
                      }
                      break;
                      {
                      _flick_abort477:
                        goto _flick_abort316;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort316);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort316);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort316);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort316:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort315);
  _flick_abort315:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

