#include "sunstat-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROGNAME[] = {
	"IDL:PROGNAME:1.0",
	0
};

char *flick_interface_parents_VERSNAME[] = {
	"IDL:VERSNAME:1.0",
	"IDL:PROGNAME:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t progname_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t58_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t58_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t58_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t59_principal_len;
            int *_return;
            directory *_local_arg;
            directory _t60_storage;
            unsigned int _t73_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort328);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t59_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t59_principal_len, _flick_abort328);
            flick_iiop_decode_new_glob(_t59_principal_len);
            flick_iiop_decode_new_chunk(_t59_principal_len);
            flick_iiop_decode_end_chunk(_t59_principal_len);
            flick_iiop_decode_end_glob(_t59_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (directory *)(&_t60_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort328);
            flick_cdr_swap_decode_unsigned32(0, _local_arg->directory_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            {
              struct entry *_t_alloc_ptr;

              _t_alloc_ptr = (struct entry *)(auto_flick_alloc(_local_arg->directory_len * sizeof(struct entry )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort328);
              _local_arg->directory_val = _t_alloc_ptr;
            }
            for (_t73_array_iter = 0; _t73_array_iter < _local_arg->directory_len; _t73_array_iter++)
              {
                flick_unsigned32_t _t78_temp_string_len;
                flick_unsigned32_t _t79_array_iter;
                flick_unsigned32_t _t80_array_iter;
                flick_unsigned32_t _t81_array_iter;

                flick_iiop_decode_new_glob(399);
                flick_iiop_check_span(4, _flick_abort390);
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t78_temp_string_len, flick_unsigned32_t );
                if (_t78_temp_string_len > 256)
                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort390);
                flick_iiop_decode_end_chunk(4);
                flick_iiop_check_span(1 * _t78_temp_string_len, _flick_abort390);
                flick_iiop_decode_new_chunk(1 * _t78_temp_string_len);
                flick_cdr_swap_decode_msgptr(0, _local_arg->directory_val[_t73_array_iter].filename, char *);
                flick_iiop_decode_end_chunk(1 * _t78_temp_string_len);
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(3 * 4 + (2 * 4 + 8 * 4) + 84, _flick_abort390);
                flick_cdr_swap_decode_unsigned32(0, _local_arg->directory_val[_t73_array_iter].info.st_dev, my_ulong_t );
                flick_iiop_decode_end_chunk(4);
                for (_t79_array_iter = 0; _t79_array_iter < 3; _t79_array_iter++)
                  {
                    flick_iiop_decode_new_chunk(4);
                    flick_cdr_swap_decode_signed32(0, _local_arg->directory_val[_t73_array_iter].info.st_pad1[_t79_array_iter], int );
                    flick_iiop_decode_end_chunk(4);
                    continue;
                  }
                flick_iiop_decode_new_chunk(24);
                flick_cdr_swap_decode_unsigned32(0, _local_arg->directory_val[_t73_array_iter].info.st_ino, my_ulong_t );
                flick_cdr_swap_decode_unsigned32(4, _local_arg->directory_val[_t73_array_iter].info.st_mode, my_ulong_t );
                flick_cdr_swap_decode_unsigned32(8, _local_arg->directory_val[_t73_array_iter].info.st_nlink, my_ulong_t );
                flick_cdr_swap_decode_signed32(12, _local_arg->directory_val[_t73_array_iter].info.st_uid, int );
                flick_cdr_swap_decode_signed32(16, _local_arg->directory_val[_t73_array_iter].info.st_gid, my_uid_t );
                flick_cdr_swap_decode_unsigned32(20, _local_arg->directory_val[_t73_array_iter].info.st_rdev, my_ulong_t );
                flick_iiop_decode_end_chunk(24);
                for (_t80_array_iter = 0; _t80_array_iter < 2; _t80_array_iter++)
                  {
                    flick_iiop_decode_new_chunk(4);
                    flick_cdr_swap_decode_signed32(0, _local_arg->directory_val[_t73_array_iter].info.st_pad2[_t80_array_iter], int );
                    flick_iiop_decode_end_chunk(4);
                    continue;
                  }
                flick_iiop_decode_new_chunk(56);
                flick_cdr_swap_decode_signed32(0, _local_arg->directory_val[_t73_array_iter].info.st_size, int );
                flick_cdr_swap_decode_signed32(4, _local_arg->directory_val[_t73_array_iter].info.st_pad3, int );
                flick_cdr_swap_decode_signed32(8, _local_arg->directory_val[_t73_array_iter].info.st_atime.tv_sec, int );
                flick_cdr_swap_decode_signed32(12, _local_arg->directory_val[_t73_array_iter].info.st_atime.tv_nsec, int );
                flick_cdr_swap_decode_signed32(16, _local_arg->directory_val[_t73_array_iter].info.st_mtime.tv_sec, int );
                flick_cdr_swap_decode_signed32(20, _local_arg->directory_val[_t73_array_iter].info.st_mtime.tv_nsec, int );
                flick_cdr_swap_decode_signed32(24, _local_arg->directory_val[_t73_array_iter].info.st_ctime.tv_sec, int );
                flick_cdr_swap_decode_signed32(28, _local_arg->directory_val[_t73_array_iter].info.st_ctime.tv_nsec, int );
                flick_cdr_swap_decode_signed32(32, _local_arg->directory_val[_t73_array_iter].info.st_blksize, int );
                flick_cdr_swap_decode_signed32(36, _local_arg->directory_val[_t73_array_iter].info.st_blocks, int );
                flick_cdr_swap_decode_bcopy(40, _local_arg->directory_val[_t73_array_iter].info.st_fstype, 16);
                flick_iiop_decode_end_chunk(56);
                for (_t81_array_iter = 0; _t81_array_iter < 8; _t81_array_iter++)
                  {
                    flick_iiop_decode_new_chunk(4);
                    flick_cdr_swap_decode_signed32(0, _local_arg->directory_val[_t73_array_iter].info.st_pad4[_t81_array_iter], int );
                    flick_iiop_decode_end_chunk(4);
                    continue;
                  }
                flick_iiop_decode_end_glob(399);
                continue;
                {
                _flick_abort390:
                  goto _flick_abort389;
                }
              }
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = dirlst_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort389);
              flick_iiop_encode_new_glob(8, _flick_abort389);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort435);
                    break;
                    {
                    _flick_abort435:
                      goto _flick_abort389;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort436);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort436:
                      goto _flick_abort389;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort389:
              auto_flick_free(_local_arg->directory_val);
            _flick_abort328:
              goto _flick_abort327;
            }
          }
          break;
          {
          _flick_abort327:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            struct svc_req *_obj;
            unsigned int _t82_principal_len;
            int *_return;
            longlist *_local_arg;
            longlist _t83_storage;
            unsigned int _t84_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort438);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t82_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t82_principal_len, _flick_abort438);
            flick_iiop_decode_new_glob(_t82_principal_len);
            flick_iiop_decode_new_chunk(_t82_principal_len);
            flick_iiop_decode_end_chunk(_t82_principal_len);
            flick_iiop_decode_end_glob(_t82_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (longlist *)(&_t83_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort438);
            flick_cdr_swap_decode_unsigned32(0, _local_arg->longlist_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(4 * _local_arg->longlist_len);
            {
              int *_t_alloc_ptr;

              _t_alloc_ptr = (int *)(auto_flick_alloc(_local_arg->longlist_len * sizeof(int )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort438);
              _local_arg->longlist_val = _t_alloc_ptr;
            }
            flick_iiop_check_span(_local_arg->longlist_len * 4, _flick_abort442);
            for (_t84_array_iter = 0; _t84_array_iter < _local_arg->longlist_len; _t84_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_arg->longlist_val[_t84_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(4 * _local_arg->longlist_len);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = lng_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort442);
              flick_iiop_encode_new_glob(8, _flick_abort442);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort450);
                    break;
                    {
                    _flick_abort450:
                      goto _flick_abort442;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort451);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort451:
                      goto _flick_abort442;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort442:
              auto_flick_free(_local_arg->longlist_val);
            _flick_abort438:
              goto _flick_abort437;
            }
          }
          break;
          {
          _flick_abort437:
            goto _flick_abort2;
          }
        }
      case (signed int) 3:
        {
          {
            struct svc_req *_obj;
            unsigned int _t85_principal_len;
            int *_return;
            structlist *_local_arg;
            structlist _t86_storage;
            unsigned int _t87_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort453);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t85_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t85_principal_len, _flick_abort453);
            flick_iiop_decode_new_glob(_t85_principal_len);
            flick_iiop_decode_new_chunk(_t85_principal_len);
            flick_iiop_decode_end_chunk(_t85_principal_len);
            flick_iiop_decode_end_glob(_t85_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (structlist *)(&_t86_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort453);
            flick_cdr_swap_decode_unsigned32(0, _local_arg->structlist_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(16 * _local_arg->structlist_len);
            {
              struct outer *_t_alloc_ptr;

              _t_alloc_ptr = (struct outer *)(auto_flick_alloc(_local_arg->structlist_len * sizeof(struct outer )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort453);
              _local_arg->structlist_val = _t_alloc_ptr;
            }
            flick_iiop_check_span(_local_arg->structlist_len * 16, _flick_abort457);
            for (_t87_array_iter = 0; _t87_array_iter < _local_arg->structlist_len; _t87_array_iter++)
              {
                flick_iiop_decode_new_chunk(16);
                flick_cdr_swap_decode_signed32(0, _local_arg->structlist_val[_t87_array_iter].a.a, int );
                flick_cdr_swap_decode_signed32(4, _local_arg->structlist_val[_t87_array_iter].a.b, int );
                flick_cdr_swap_decode_signed32(8, _local_arg->structlist_val[_t87_array_iter].b.a, int );
                flick_cdr_swap_decode_signed32(12, _local_arg->structlist_val[_t87_array_iter].b.b, int );
                flick_iiop_decode_end_chunk(16);
                continue;
              }
            flick_iiop_decode_end_glob(16 * _local_arg->structlist_len);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = strct_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort457);
              flick_iiop_encode_new_glob(8, _flick_abort457);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort465);
                    break;
                    {
                    _flick_abort465:
                      goto _flick_abort457;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort466);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort466:
                      goto _flick_abort457;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort457:
              auto_flick_free(_local_arg->structlist_val);
            _flick_abort453:
              goto _flick_abort452;
            }
          }
          break;
          {
          _flick_abort452:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t14_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t14_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t14_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t15_principal_len;
            int *_return;
            directory *_local_arg;
            directory _t16_storage;
            unsigned int _t20_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort96);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t15_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t15_principal_len, _flick_abort96);
            flick_iiop_decode_new_glob(_t15_principal_len);
            flick_iiop_decode_new_chunk(_t15_principal_len);
            flick_iiop_decode_end_chunk(_t15_principal_len);
            flick_iiop_decode_end_glob(_t15_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (directory *)(&_t16_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort96);
            flick_cdr_decode_unsigned32(0, _local_arg->directory_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            {
              struct entry *_t_alloc_ptr;

              _t_alloc_ptr = (struct entry *)(auto_flick_alloc(_local_arg->directory_len * sizeof(struct entry )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort96);
              _local_arg->directory_val = _t_alloc_ptr;
            }
            for (_t20_array_iter = 0; _t20_array_iter < _local_arg->directory_len; _t20_array_iter++)
              {
                flick_unsigned32_t _t22_temp_string_len;

                flick_iiop_decode_new_glob(399);
                flick_iiop_check_span(4, _flick_abort131);
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t22_temp_string_len, flick_unsigned32_t );
                if (_t22_temp_string_len > 256)
                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort131);
                flick_iiop_decode_end_chunk(4);
                flick_iiop_check_span(1 * _t22_temp_string_len, _flick_abort131);
                flick_iiop_decode_new_chunk(1 * _t22_temp_string_len);
                flick_cdr_decode_msgptr(0, _local_arg->directory_val[_t20_array_iter].filename, char *);
                flick_iiop_decode_end_chunk(1 * _t22_temp_string_len);
                flick_iiop_decode_new_chunk_align(136, 2, 0, 0);
                flick_iiop_check_span(136, _flick_abort131);
                flick_cdr_decode_unsigned32(0, _local_arg->directory_val[_t20_array_iter].info.st_dev, my_ulong_t );
                flick_cdr_decode_bcopy(4, _local_arg->directory_val[_t20_array_iter].info.st_pad1, 12);
                flick_cdr_decode_unsigned32(16, _local_arg->directory_val[_t20_array_iter].info.st_ino, my_ulong_t );
                flick_cdr_decode_unsigned32(20, _local_arg->directory_val[_t20_array_iter].info.st_mode, my_ulong_t );
                flick_cdr_decode_unsigned32(24, _local_arg->directory_val[_t20_array_iter].info.st_nlink, my_ulong_t );
                flick_cdr_decode_signed32(28, _local_arg->directory_val[_t20_array_iter].info.st_uid, int );
                flick_cdr_decode_signed32(32, _local_arg->directory_val[_t20_array_iter].info.st_gid, my_uid_t );
                flick_cdr_decode_unsigned32(36, _local_arg->directory_val[_t20_array_iter].info.st_rdev, my_ulong_t );
                flick_cdr_decode_bcopy(40, _local_arg->directory_val[_t20_array_iter].info.st_pad2, 8);
                flick_cdr_decode_signed32(48, _local_arg->directory_val[_t20_array_iter].info.st_size, int );
                flick_cdr_decode_signed32(52, _local_arg->directory_val[_t20_array_iter].info.st_pad3, int );
                flick_cdr_decode_signed32(56, _local_arg->directory_val[_t20_array_iter].info.st_atime.tv_sec, int );
                flick_cdr_decode_signed32(60, _local_arg->directory_val[_t20_array_iter].info.st_atime.tv_nsec, int );
                flick_cdr_decode_signed32(64, _local_arg->directory_val[_t20_array_iter].info.st_mtime.tv_sec, int );
                flick_cdr_decode_signed32(68, _local_arg->directory_val[_t20_array_iter].info.st_mtime.tv_nsec, int );
                flick_cdr_decode_signed32(72, _local_arg->directory_val[_t20_array_iter].info.st_ctime.tv_sec, int );
                flick_cdr_decode_signed32(76, _local_arg->directory_val[_t20_array_iter].info.st_ctime.tv_nsec, int );
                flick_cdr_decode_signed32(80, _local_arg->directory_val[_t20_array_iter].info.st_blksize, int );
                flick_cdr_decode_signed32(84, _local_arg->directory_val[_t20_array_iter].info.st_blocks, int );
                flick_cdr_decode_bcopy(88, _local_arg->directory_val[_t20_array_iter].info.st_fstype, 16);
                flick_cdr_decode_bcopy(104, _local_arg->directory_val[_t20_array_iter].info.st_pad4, 32);
                flick_iiop_decode_end_chunk(136);
                flick_iiop_decode_end_glob(399);
                continue;
                {
                _flick_abort131:
                  goto _flick_abort130;
                }
              }
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = dirlst_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort130);
              flick_iiop_encode_new_glob(8, _flick_abort130);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort158);
                    break;
                    {
                    _flick_abort158:
                      goto _flick_abort130;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort159);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort159:
                      goto _flick_abort130;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort130:
              auto_flick_free(_local_arg->directory_val);
            _flick_abort96:
              goto _flick_abort95;
            }
          }
          break;
          {
          _flick_abort95:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            struct svc_req *_obj;
            unsigned int _t23_principal_len;
            int *_return;
            longlist *_local_arg;
            longlist _t24_storage;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort161);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t23_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t23_principal_len, _flick_abort161);
            flick_iiop_decode_new_glob(_t23_principal_len);
            flick_iiop_decode_new_chunk(_t23_principal_len);
            flick_iiop_decode_end_chunk(_t23_principal_len);
            flick_iiop_decode_end_glob(_t23_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (longlist *)(&_t24_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort161);
            flick_cdr_decode_unsigned32(0, _local_arg->longlist_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(4 * _local_arg->longlist_len);
            flick_iiop_check_span(4 * _local_arg->longlist_len, _flick_abort161);
            flick_iiop_decode_new_chunk(4 * _local_arg->longlist_len);
            flick_cdr_decode_msgptr(0, _local_arg->longlist_val, int *);
            flick_iiop_decode_end_chunk(4 * _local_arg->longlist_len);
            flick_iiop_decode_end_glob(4 * _local_arg->longlist_len);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = lng_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort161);
              flick_iiop_encode_new_glob(8, _flick_abort161);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort169);
                    break;
                    {
                    _flick_abort169:
                      goto _flick_abort161;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort170);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort170:
                      goto _flick_abort161;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort161:
              goto _flick_abort160;
            }
          }
          break;
          {
          _flick_abort160:
            goto _flick_abort2;
          }
        }
      case (signed int) 3:
        {
          {
            struct svc_req *_obj;
            unsigned int _t25_principal_len;
            int *_return;
            structlist *_local_arg;
            structlist _t26_storage;
            unsigned int _t27_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort172);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t25_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t25_principal_len, _flick_abort172);
            flick_iiop_decode_new_glob(_t25_principal_len);
            flick_iiop_decode_new_chunk(_t25_principal_len);
            flick_iiop_decode_end_chunk(_t25_principal_len);
            flick_iiop_decode_end_glob(_t25_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (structlist *)(&_t26_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort172);
            flick_cdr_decode_unsigned32(0, _local_arg->structlist_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(16 * _local_arg->structlist_len);
            {
              struct outer *_t_alloc_ptr;

              _t_alloc_ptr = (struct outer *)(auto_flick_alloc(_local_arg->structlist_len * sizeof(struct outer )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort172);
              _local_arg->structlist_val = _t_alloc_ptr;
            }
            flick_iiop_check_span(_local_arg->structlist_len * 16, _flick_abort176);
            for (_t27_array_iter = 0; _t27_array_iter < _local_arg->structlist_len; _t27_array_iter++)
              {
                flick_iiop_decode_new_chunk(16);
                flick_cdr_decode_signed32(0, _local_arg->structlist_val[_t27_array_iter].a.a, int );
                flick_cdr_decode_signed32(4, _local_arg->structlist_val[_t27_array_iter].a.b, int );
                flick_cdr_decode_signed32(8, _local_arg->structlist_val[_t27_array_iter].b.a, int );
                flick_cdr_decode_signed32(12, _local_arg->structlist_val[_t27_array_iter].b.b, int );
                flick_iiop_decode_end_chunk(16);
                continue;
              }
            flick_iiop_decode_end_glob(16 * _local_arg->structlist_len);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = strct_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort176);
              flick_iiop_encode_new_glob(8, _flick_abort176);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort184);
                    break;
                    {
                    _flick_abort184:
                      goto _flick_abort176;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort185);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort185:
                      goto _flick_abort176;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort176:
              auto_flick_free(_local_arg->structlist_val);
            _flick_abort172:
              goto _flick_abort171;
            }
          }
          break;
          {
          _flick_abort171:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_sun_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

