#include "ttcp-server.h"

/* This is the runtime type information */
char *flick_interface_parents_ttcp[] = {
	"IDL:ttcp:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t ttcp_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t58_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_check_span(16, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t58_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t58_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t59_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t59_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t59_switch_tag)
            {
            case /* intt */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768846452):
              {
                unsigned int _t60_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t60_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t60_switch_tag)
                  {
                  case /* est */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1702065152):
                    {
                      {
                        ttcp _obj;
                        unsigned int _t61_principal_len;
                        CORBA_long _return;
                        intBuffer *_local_data;
                        intBuffer _t62_storage;
                        CORBA_unsigned_long _t63_array_iter;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t64_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort157);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t61_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t61_principal_len, _flick_abort157);
                        flick_iiop_decode_new_glob(_t61_principal_len);
                        flick_iiop_decode_new_chunk(_t61_principal_len);
                        flick_iiop_decode_end_chunk(_t61_principal_len);
                        flick_iiop_decode_end_glob(_t61_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_data = (intBuffer *)(&_t62_storage);
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort157);
                        flick_cdr_swap_decode_unsigned32(0, _local_data->_length, CORBA_unsigned_long );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(4 * _local_data->_length);
                        {
                          CORBA_long *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA_long *)(auto_flick_alloc(_local_data->_length * sizeof(CORBA_long )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort157);
                          _local_data->_buffer = _t_alloc_ptr;
                          _local_data->_maximum = _local_data->_length;
                          _local_data->_release = 1;
                        }
                        flick_iiop_check_span(_local_data->_length * 4, _flick_abort161);
                        for (_t63_array_iter = 0; _t63_array_iter < _local_data->_length; _t63_array_iter++)
                          {
                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _local_data->_buffer[_t63_array_iter], CORBA_long );
                            flick_iiop_decode_end_chunk(4);
                            continue;
                          }
                        flick_iiop_decode_end_glob(4 * _local_data->_length);
                        _ev = (CORBA_Environment *)(&_t64_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ttcp_inttest(_obj, _local_data, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort161);
                          flick_iiop_encode_new_glob(28, _flick_abort161);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(28);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(28);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort172);
                                break;
                                {
                                _flick_abort172:
                                  goto _flick_abort161;
                                }
                              }
                            default:
                              {
                                switch ((unsigned int )(1+strlen(_ev->_id)))
                                  {
                                  case (unsigned int) 16:
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 0))
                                        {
                                        case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 4))
                                              {
                                              case /* usel */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1970496876):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 8))
                                                    {
                                                    case /* ess: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1702064954):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 12))
                                                          {
                                                          case /* 1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                                            {
                                                              flick_iiop_encode_new_chunk(24);
                                                              flick_cdr_encode_unsigned32(0, 16, flick_unsigned32_t );
                                                              flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                              flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                              flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                              flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                              flick_cdr_encode_char8(8, 'u', flick_char8_t );
                                                              flick_cdr_encode_char8(9, 's', flick_char8_t );
                                                              flick_cdr_encode_char8(10, 'e', flick_char8_t );
                                                              flick_cdr_encode_char8(11, 'l', flick_char8_t );
                                                              flick_cdr_encode_char8(12, 'e', flick_char8_t );
                                                              flick_cdr_encode_char8(13, 's', flick_char8_t );
                                                              flick_cdr_encode_char8(14, 's', flick_char8_t );
                                                              flick_cdr_encode_char8(15, ':', flick_char8_t );
                                                              flick_cdr_encode_char8(16, '1', flick_char8_t );
                                                              flick_cdr_encode_char8(17, '.', flick_char8_t );
                                                              flick_cdr_encode_char8(18, '0', flick_char8_t );
                                                              flick_cdr_encode_char8(19, 0, flick_char8_t );
                                                              flick_cdr_encode_signed32(20, ((useless *)(_ev->_value._user_except))->baloney, CORBA_long );
                                                              CORBA_flick_free((useless *)(_ev->_value._user_except));
                                                              flick_iiop_encode_end_chunk(24);
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort173);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort173);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort173);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort173);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort173);
                                      break;
                                    }
                                  }
                                flick_iiop_encode_end_glob(28);
                                break;
                                {
                                _flick_abort173:
                                  goto _flick_abort161;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort161:
                          auto_flick_free(_local_data->_buffer);
                        _flick_abort157:
                          goto _flick_abort156;
                        }
                      }
                      break;
                      {
                      _flick_abort156:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t65_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t65_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t65_switch_tag)
            {
            case /* stru */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937011317):
              {
                unsigned int _t66_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t66_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t66_switch_tag)
                  {
                  case /* ctte */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1668576357):
                    {
                      unsigned short int _t67_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t67_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t67_switch_tag)
                        {
                        case /* st */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29556):
                          {
                            char _t68_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t68_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t68_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ttcp _obj;
                                    unsigned int _t69_principal_len;
                                    CORBA_long _return;
                                    structBuffer *_local_data;
                                    structBuffer _t70_storage;
                                    CORBA_unsigned_long _t71_array_iter;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t72_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort178);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t69_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_check_span(_t69_principal_len, _flick_abort178);
                                    flick_iiop_decode_new_glob(_t69_principal_len);
                                    flick_iiop_decode_new_chunk(_t69_principal_len);
                                    flick_iiop_decode_end_chunk(_t69_principal_len);
                                    flick_iiop_decode_end_glob(_t69_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_data = (structBuffer *)(&_t70_storage);
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(4, _flick_abort178);
                                    flick_cdr_swap_decode_unsigned32(0, _local_data->_length, CORBA_unsigned_long );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    flick_iiop_decode_new_glob(16 * _local_data->_length);
                                    {
                                      struct b *_t_alloc_ptr;

                                      _t_alloc_ptr = (struct b *)(auto_flick_alloc(_local_data->_length * sizeof(struct b )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort178);
                                      _local_data->_buffer = _t_alloc_ptr;
                                      _local_data->_maximum = _local_data->_length;
                                      _local_data->_release = 1;
                                    }
                                    flick_iiop_check_span(_local_data->_length * 16, _flick_abort182);
                                    for (_t71_array_iter = 0; _t71_array_iter < _local_data->_length; _t71_array_iter++)
                                      {
                                        flick_iiop_decode_new_chunk(16);
                                        flick_cdr_swap_decode_signed32(0, _local_data->_buffer[_t71_array_iter].x.xx, CORBA_long );
                                        flick_cdr_swap_decode_signed32(4, _local_data->_buffer[_t71_array_iter].x.yy, CORBA_long );
                                        flick_cdr_swap_decode_signed32(8, _local_data->_buffer[_t71_array_iter].y.xx, CORBA_long );
                                        flick_cdr_swap_decode_signed32(12, _local_data->_buffer[_t71_array_iter].y.yy, CORBA_long );
                                        flick_iiop_decode_end_chunk(16);
                                        continue;
                                      }
                                    flick_iiop_decode_end_glob(16 * _local_data->_length);
                                    _ev = (CORBA_Environment *)(&_t72_storage);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ttcp_structtest(_obj, _local_data, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort182);
                                      flick_iiop_encode_new_glob(28, _flick_abort182);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(28);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(28);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort193);
                                            break;
                                            {
                                            _flick_abort193:
                                              goto _flick_abort182;
                                            }
                                          }
                                        default:
                                          {
                                            switch ((unsigned int )(1+strlen(_ev->_id)))
                                              {
                                              case (unsigned int) 16:
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 0))
                                                    {
                                                    case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 4))
                                                          {
                                                          case /* usel */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1970496876):
                                                            {
                                                              switch (*(unsigned int *)(_ev->_id + 8))
                                                                {
                                                                case /* ess: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1702064954):
                                                                  {
                                                                    switch (*(unsigned int *)(_ev->_id + 12))
                                                                      {
                                                                      case /* 1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                                                        {
                                                                          flick_iiop_encode_new_chunk(24);
                                                                          flick_cdr_encode_unsigned32(0, 16, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 'u', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 0, flick_char8_t );
                                                                          flick_cdr_encode_signed32(20, ((useless *)(_ev->_value._user_except))->baloney, CORBA_long );
                                                                          CORBA_flick_free((useless *)(_ev->_value._user_except));
                                                                          flick_iiop_encode_end_chunk(24);
                                                                          break;
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort194);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort194);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort194);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort194);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort194);
                                                  break;
                                                }
                                              }
                                            flick_iiop_encode_end_glob(28);
                                            break;
                                            {
                                            _flick_abort194:
                                              goto _flick_abort182;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort182:
                                      auto_flick_free(_local_data->_buffer);
                                    _flick_abort178:
                                      goto _flick_abort177;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort177:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t73_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t73_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t73_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t74_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t74_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t74_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t75_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t76_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t77_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort199);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t75_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t75_principal_len, _flick_abort199);
                        flick_iiop_decode_new_glob(_t75_principal_len);
                        flick_iiop_decode_new_chunk(_t75_principal_len);
                        flick_iiop_decode_end_chunk(_t75_principal_len);
                        flick_iiop_decode_end_glob(_t75_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort199);
                        flick_cdr_swap_decode_unsigned32(0, _t76_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t76_temp_string_len);
                        flick_iiop_check_span(1 * _t76_temp_string_len, _flick_abort199);
                        flick_iiop_decode_new_chunk(1 * _t76_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t76_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t76_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t77_storage);
                        _par = flick_interface_parents_ttcp;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort199);
                          flick_iiop_encode_new_glob(5, _flick_abort199);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort207);
                                break;
                                {
                                _flick_abort207:
                                  goto _flick_abort199;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort208);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort208:
                                  goto _flick_abort199;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort199:
                          goto _flick_abort198;
                        }
                      }
                      break;
                      {
                      _flick_abort198:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t19_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_check_span(16, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t19_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t19_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t20_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t20_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t20_switch_tag)
            {
            case /* intt */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768846452):
              {
                unsigned int _t21_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t21_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t21_switch_tag)
                  {
                  case /* est */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1702065152):
                    {
                      {
                        ttcp _obj;
                        unsigned int _t22_principal_len;
                        CORBA_long _return;
                        intBuffer *_local_data;
                        intBuffer _t23_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t24_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort54);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t22_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t22_principal_len, _flick_abort54);
                        flick_iiop_decode_new_glob(_t22_principal_len);
                        flick_iiop_decode_new_chunk(_t22_principal_len);
                        flick_iiop_decode_end_chunk(_t22_principal_len);
                        flick_iiop_decode_end_glob(_t22_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_data = (intBuffer *)(&_t23_storage);
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort54);
                        flick_cdr_decode_unsigned32(0, _local_data->_length, CORBA_unsigned_long );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(4 * _local_data->_length);
                        flick_iiop_check_span(4 * _local_data->_length, _flick_abort54);
                        flick_iiop_decode_new_chunk(4 * _local_data->_length);
                        flick_cdr_decode_msgptr(0, _local_data->_buffer, CORBA_long *);
                        _local_data->_maximum = _local_data->_length;
                        _local_data->_release = 0;
                        flick_iiop_decode_end_chunk(4 * _local_data->_length);
                        flick_iiop_decode_end_glob(4 * _local_data->_length);
                        _ev = (CORBA_Environment *)(&_t24_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ttcp_inttest(_obj, _local_data, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort54);
                          flick_iiop_encode_new_glob(28, _flick_abort54);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(28);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(28);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort65);
                                break;
                                {
                                _flick_abort65:
                                  goto _flick_abort54;
                                }
                              }
                            default:
                              {
                                switch ((unsigned int )(1+strlen(_ev->_id)))
                                  {
                                  case (unsigned int) 16:
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 0))
                                        {
                                        case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 4))
                                              {
                                              case /* usel */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1970496876):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 8))
                                                    {
                                                    case /* ess: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1702064954):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 12))
                                                          {
                                                          case /* 1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                                            {
                                                              flick_iiop_encode_new_chunk(24);
                                                              flick_cdr_encode_unsigned32(0, 16, flick_unsigned32_t );
                                                              flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                              flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                              flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                              flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                              flick_cdr_encode_char8(8, 'u', flick_char8_t );
                                                              flick_cdr_encode_char8(9, 's', flick_char8_t );
                                                              flick_cdr_encode_char8(10, 'e', flick_char8_t );
                                                              flick_cdr_encode_char8(11, 'l', flick_char8_t );
                                                              flick_cdr_encode_char8(12, 'e', flick_char8_t );
                                                              flick_cdr_encode_char8(13, 's', flick_char8_t );
                                                              flick_cdr_encode_char8(14, 's', flick_char8_t );
                                                              flick_cdr_encode_char8(15, ':', flick_char8_t );
                                                              flick_cdr_encode_char8(16, '1', flick_char8_t );
                                                              flick_cdr_encode_char8(17, '.', flick_char8_t );
                                                              flick_cdr_encode_char8(18, '0', flick_char8_t );
                                                              flick_cdr_encode_char8(19, 0, flick_char8_t );
                                                              flick_cdr_encode_signed32(20, ((useless *)(_ev->_value._user_except))->baloney, CORBA_long );
                                                              CORBA_flick_free((useless *)(_ev->_value._user_except));
                                                              flick_iiop_encode_end_chunk(24);
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort66);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort66);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort66);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort66);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort66);
                                      break;
                                    }
                                  }
                                flick_iiop_encode_end_glob(28);
                                break;
                                {
                                _flick_abort66:
                                  goto _flick_abort54;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort54:
                          goto _flick_abort53;
                        }
                      }
                      break;
                      {
                      _flick_abort53:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t25_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t25_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t25_switch_tag)
            {
            case /* stru */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937011317):
              {
                unsigned int _t26_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t26_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t26_switch_tag)
                  {
                  case /* ctte */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1668576357):
                    {
                      unsigned short int _t27_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t27_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t27_switch_tag)
                        {
                        case /* st */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29556):
                          {
                            char _t28_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t28_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t28_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ttcp _obj;
                                    unsigned int _t29_principal_len;
                                    CORBA_long _return;
                                    structBuffer *_local_data;
                                    structBuffer _t30_storage;
                                    CORBA_unsigned_long _t31_array_iter;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t32_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort71);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t29_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_check_span(_t29_principal_len, _flick_abort71);
                                    flick_iiop_decode_new_glob(_t29_principal_len);
                                    flick_iiop_decode_new_chunk(_t29_principal_len);
                                    flick_iiop_decode_end_chunk(_t29_principal_len);
                                    flick_iiop_decode_end_glob(_t29_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_data = (structBuffer *)(&_t30_storage);
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(4, _flick_abort71);
                                    flick_cdr_decode_unsigned32(0, _local_data->_length, CORBA_unsigned_long );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    flick_iiop_decode_new_glob(16 * _local_data->_length);
                                    {
                                      struct b *_t_alloc_ptr;

                                      _t_alloc_ptr = (struct b *)(auto_flick_alloc(_local_data->_length * sizeof(struct b )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort71);
                                      _local_data->_buffer = _t_alloc_ptr;
                                      _local_data->_maximum = _local_data->_length;
                                      _local_data->_release = 1;
                                    }
                                    flick_iiop_check_span(_local_data->_length * 16, _flick_abort75);
                                    for (_t31_array_iter = 0; _t31_array_iter < _local_data->_length; _t31_array_iter++)
                                      {
                                        flick_iiop_decode_new_chunk(16);
                                        flick_cdr_decode_signed32(0, _local_data->_buffer[_t31_array_iter].x.xx, CORBA_long );
                                        flick_cdr_decode_signed32(4, _local_data->_buffer[_t31_array_iter].x.yy, CORBA_long );
                                        flick_cdr_decode_signed32(8, _local_data->_buffer[_t31_array_iter].y.xx, CORBA_long );
                                        flick_cdr_decode_signed32(12, _local_data->_buffer[_t31_array_iter].y.yy, CORBA_long );
                                        flick_iiop_decode_end_chunk(16);
                                        continue;
                                      }
                                    flick_iiop_decode_end_glob(16 * _local_data->_length);
                                    _ev = (CORBA_Environment *)(&_t32_storage);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ttcp_structtest(_obj, _local_data, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort75);
                                      flick_iiop_encode_new_glob(28, _flick_abort75);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(28);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(28);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort86);
                                            break;
                                            {
                                            _flick_abort86:
                                              goto _flick_abort75;
                                            }
                                          }
                                        default:
                                          {
                                            switch ((unsigned int )(1+strlen(_ev->_id)))
                                              {
                                              case (unsigned int) 16:
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 0))
                                                    {
                                                    case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 4))
                                                          {
                                                          case /* usel */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1970496876):
                                                            {
                                                              switch (*(unsigned int *)(_ev->_id + 8))
                                                                {
                                                                case /* ess: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1702064954):
                                                                  {
                                                                    switch (*(unsigned int *)(_ev->_id + 12))
                                                                      {
                                                                      case /* 1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                                                        {
                                                                          flick_iiop_encode_new_chunk(24);
                                                                          flick_cdr_encode_unsigned32(0, 16, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 'u', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 0, flick_char8_t );
                                                                          flick_cdr_encode_signed32(20, ((useless *)(_ev->_value._user_except))->baloney, CORBA_long );
                                                                          CORBA_flick_free((useless *)(_ev->_value._user_except));
                                                                          flick_iiop_encode_end_chunk(24);
                                                                          break;
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort87);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort87);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort87);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort87);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort87);
                                                  break;
                                                }
                                              }
                                            flick_iiop_encode_end_glob(28);
                                            break;
                                            {
                                            _flick_abort87:
                                              goto _flick_abort75;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort75:
                                      auto_flick_free(_local_data->_buffer);
                                    _flick_abort71:
                                      goto _flick_abort70;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort70:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t33_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t33_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t33_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t34_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t34_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t34_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t35_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t36_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t37_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort92);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t35_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t35_principal_len, _flick_abort92);
                        flick_iiop_decode_new_glob(_t35_principal_len);
                        flick_iiop_decode_new_chunk(_t35_principal_len);
                        flick_iiop_decode_end_chunk(_t35_principal_len);
                        flick_iiop_decode_end_glob(_t35_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort92);
                        flick_cdr_decode_unsigned32(0, _t36_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t36_temp_string_len);
                        flick_iiop_check_span(1 * _t36_temp_string_len, _flick_abort92);
                        flick_iiop_decode_new_chunk(1 * _t36_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t36_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t36_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t37_storage);
                        _par = flick_interface_parents_ttcp;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort92);
                          flick_iiop_encode_new_glob(5, _flick_abort92);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort100);
                                break;
                                {
                                _flick_abort100:
                                  goto _flick_abort92;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort101);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort101:
                                  goto _flick_abort92;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort92:
                          goto _flick_abort91;
                        }
                      }
                      break;
                      {
                      _flick_abort91:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

