#include "unionplain_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_un[] = {
	"IDL:un:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t un_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t144_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t144_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t144_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t145_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t145_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t145_switch_tag)
            {
            case /* one */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869505792):
              {
                {
                  un _obj;
                  unsigned int _t146_principal_len;
                  struct Foo _return;
                  struct Foo *_local_a;
                  struct Foo _t147_storage;
                  struct Foo *_local_b;
                  struct Foo _t148_storage;
                  struct Foo *_local_c;
                  struct Foo _t149_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t150_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort1089);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t146_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t146_principal_len, _flick_abort1089);
                  flick_iiop_decode_new_glob(_t146_principal_len);
                  flick_iiop_decode_new_chunk(_t146_principal_len);
                  flick_iiop_decode_end_chunk(_t146_principal_len);
                  flick_iiop_decode_end_glob(_t146_principal_len);
                  /* Begin decode phase on parameters */
                  _local_a = (struct Foo *)(&_t147_storage);
                  flick_iiop_decode_new_glob(22);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(5, _flick_abort1089);
                  flick_cdr_swap_decode_signed32(0, _local_a->_d, CORBA_long );
                  flick_iiop_decode_end_chunk(4);
                  switch (_local_a->_d)
                    {
                    case 1:
                      {
                        flick_iiop_check_span(4, _flick_abort1094);
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _local_a->_u.x, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort1094:
                          goto _flick_abort1089;
                        }
                      }
                    case 2:
                      {
                        flick_iiop_check_span(2, _flick_abort1095);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_swap_decode_signed16(0, _local_a->_u.y, CORBA_short );
                        flick_iiop_decode_end_chunk(2);
                        break;
                        {
                        _flick_abort1095:
                          goto _flick_abort1089;
                        }
                      }
                    default:
                      {
                        flick_iiop_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _local_a->_u.z, CORBA_char );
                        flick_iiop_decode_end_chunk(1);
                        break;
                      }
                    }
                  _local_b = (struct Foo *)(&_t148_storage);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(5, _flick_abort1089);
                  flick_cdr_swap_decode_signed32(0, _local_b->_d, CORBA_long );
                  flick_iiop_decode_end_chunk(4);
                  switch (_local_b->_d)
                    {
                    case 1:
                      {
                        flick_iiop_check_span(4, _flick_abort1101);
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _local_b->_u.x, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort1101:
                          goto _flick_abort1089;
                        }
                      }
                    case 2:
                      {
                        flick_iiop_check_span(2, _flick_abort1102);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_swap_decode_signed16(0, _local_b->_u.y, CORBA_short );
                        flick_iiop_decode_end_chunk(2);
                        break;
                        {
                        _flick_abort1102:
                          goto _flick_abort1089;
                        }
                      }
                    default:
                      {
                        flick_iiop_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _local_b->_u.z, CORBA_char );
                        flick_iiop_decode_end_chunk(1);
                        break;
                      }
                    }
                  _local_c = (struct Foo *)(&_t149_storage);
                  _ev = (CORBA_Environment *)(&_t150_storage);
                  flick_iiop_decode_end_glob(22);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = un_one(_obj, _local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1089);
                    flick_iiop_encode_new_glob(34, _flick_abort1089);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return._d, CORBA_long );
                          flick_iiop_encode_end_chunk(4);
                          switch (_return._d)
                            {
                            case 1:
                              {
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return._u.x, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                break;
                              }
                            case 2:
                              {
                                flick_iiop_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _return._u.y, CORBA_short );
                                flick_iiop_encode_end_chunk(2);
                                break;
                              }
                            default:
                              {
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _return._u.z, CORBA_char );
                                flick_iiop_encode_end_chunk(1);
                                break;
                              }
                            }
                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _local_b->_d, CORBA_long );
                          flick_iiop_encode_end_chunk(4);
                          switch (_local_b->_d)
                            {
                            case 1:
                              {
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _local_b->_u.x, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                break;
                              }
                            case 2:
                              {
                                flick_iiop_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _local_b->_u.y, CORBA_short );
                                flick_iiop_encode_end_chunk(2);
                                break;
                              }
                            default:
                              {
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _local_b->_u.z, CORBA_char );
                                flick_iiop_encode_end_chunk(1);
                                break;
                              }
                            }
                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _local_c->_d, CORBA_long );
                          flick_iiop_encode_end_chunk(4);
                          switch (_local_c->_d)
                            {
                            case 1:
                              {
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _local_c->_u.x, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                break;
                              }
                            case 2:
                              {
                                flick_iiop_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _local_c->_u.y, CORBA_short );
                                flick_iiop_encode_end_chunk(2);
                                break;
                              }
                            default:
                              {
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _local_c->_u.z, CORBA_char );
                                flick_iiop_encode_end_chunk(1);
                                break;
                              }
                            }
                          flick_iiop_encode_end_glob(34);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(34);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1151);
                          break;
                          {
                          _flick_abort1151:
                            goto _flick_abort1089;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1152);
                          flick_iiop_encode_end_glob(34);
                          break;
                          {
                          _flick_abort1152:
                            goto _flick_abort1089;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort1089:
                    goto _flick_abort1088;
                  }
                }
                break;
                {
                _flick_abort1088:
                  goto _flick_abort2;
                }
              }
            case /* two */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953984256):
              {
                {
                  un _obj;
                  unsigned int _t151_principal_len;
                  struct Foo2 _return;
                  struct Foo2 *_local_a;
                  struct Foo2 _t152_storage;
                  struct Foo2 *_local_b;
                  struct Foo2 _t153_storage;
                  struct Foo2 *_local_c;
                  struct Foo2 _t154_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t155_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort1154);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t151_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t151_principal_len + 1, _flick_abort1154);
                  flick_iiop_decode_new_glob(_t151_principal_len);
                  flick_iiop_decode_new_chunk(_t151_principal_len);
                  flick_iiop_decode_end_chunk(_t151_principal_len);
                  flick_iiop_decode_end_glob(_t151_principal_len);
                  /* Begin decode phase on parameters */
                  _local_a = (struct Foo2 *)(&_t152_storage);
                  flick_iiop_decode_new_glob(16);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _local_a->_d, CORBA_char );
                  flick_iiop_decode_end_chunk(1);
                  switch (_local_a->_d)
                    {
                    case 'a':
                      {
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(5, _flick_abort1160);
                        flick_cdr_swap_decode_signed32(0, _local_a->_u.x, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort1160:
                          goto _flick_abort1154;
                        }
                      }
                    case 'b':
                      {
                        flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                        flick_iiop_check_span(3, _flick_abort1161);
                        flick_cdr_swap_decode_signed16(0, _local_a->_u.y, CORBA_short );
                        flick_iiop_decode_end_chunk(2);
                        break;
                        {
                        _flick_abort1161:
                          goto _flick_abort1154;
                        }
                      }
                    case 'c':
                      {
                        flick_iiop_check_span(2, _flick_abort1162);
                        flick_iiop_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _local_a->_u.z, CORBA_char );
                        flick_iiop_decode_end_chunk(1);
                        break;
                        {
                        _flick_abort1162:
                          goto _flick_abort1154;
                        }
                      }
                    default:
                      {
                        break;
                      }
                    }
                  _local_b = (struct Foo2 *)(&_t153_storage);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _local_b->_d, CORBA_char );
                  flick_iiop_decode_end_chunk(1);
                  switch (_local_b->_d)
                    {
                    case 'a':
                      {
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort1169);
                        flick_cdr_swap_decode_signed32(0, _local_b->_u.x, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort1169:
                          goto _flick_abort1154;
                        }
                      }
                    case 'b':
                      {
                        flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                        flick_iiop_check_span(2, _flick_abort1170);
                        flick_cdr_swap_decode_signed16(0, _local_b->_u.y, CORBA_short );
                        flick_iiop_decode_end_chunk(2);
                        break;
                        {
                        _flick_abort1170:
                          goto _flick_abort1154;
                        }
                      }
                    case 'c':
                      {
                        flick_iiop_check_span(1, _flick_abort1171);
                        flick_iiop_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _local_b->_u.z, CORBA_char );
                        flick_iiop_decode_end_chunk(1);
                        break;
                        {
                        _flick_abort1171:
                          goto _flick_abort1154;
                        }
                      }
                    default:
                      {
                        break;
                      }
                    }
                  _local_c = (struct Foo2 *)(&_t154_storage);
                  _ev = (CORBA_Environment *)(&_t155_storage);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = un_two(_obj, _local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1154);
                    flick_iiop_encode_new_glob(28, _flick_abort1154);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _return._d, CORBA_char );
                          flick_iiop_encode_end_chunk(1);
                          switch (_return._d)
                            {
                            case 'a':
                              {
                                flick_iiop_encode_new_chunk(7);
                                flick_cdr_encode_signed32(3, _return._u.x, CORBA_long );
                                flick_iiop_encode_end_chunk(7);
                                break;
                              }
                            case 'b':
                              {
                                flick_iiop_encode_new_chunk(3);
                                flick_cdr_encode_signed16(1, _return._u.y, CORBA_short );
                                flick_iiop_encode_end_chunk(3);
                                break;
                              }
                            case 'c':
                              {
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _return._u.z, CORBA_char );
                                flick_iiop_encode_end_chunk(1);
                                break;
                              }
                            default:
                              {
                                break;
                              }
                            }
                          flick_iiop_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _local_b->_d, CORBA_char );
                          flick_iiop_encode_end_chunk(1);
                          switch (_local_b->_d)
                            {
                            case 'a':
                              {
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_b->_u.x, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                break;
                              }
                            case 'b':
                              {
                                flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                flick_cdr_encode_signed16(0, _local_b->_u.y, CORBA_short );
                                flick_iiop_encode_end_chunk(2);
                                break;
                              }
                            case 'c':
                              {
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _local_b->_u.z, CORBA_char );
                                flick_iiop_encode_end_chunk(1);
                                break;
                              }
                            default:
                              {
                                break;
                              }
                            }
                          flick_iiop_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _local_c->_d, CORBA_char );
                          flick_iiop_encode_end_chunk(1);
                          switch (_local_c->_d)
                            {
                            case 'a':
                              {
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_c->_u.x, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                break;
                              }
                            case 'b':
                              {
                                flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                flick_cdr_encode_signed16(0, _local_c->_u.y, CORBA_short );
                                flick_iiop_encode_end_chunk(2);
                                break;
                              }
                            case 'c':
                              {
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _local_c->_u.z, CORBA_char );
                                flick_iiop_encode_end_chunk(1);
                                break;
                              }
                            default:
                              {
                                break;
                              }
                            }
                          flick_iiop_encode_end_glob(28);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(28);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1232);
                          break;
                          {
                          _flick_abort1232:
                            goto _flick_abort1154;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1233);
                          flick_iiop_encode_end_glob(28);
                          break;
                          {
                          _flick_abort1233:
                            goto _flick_abort1154;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort1154:
                    goto _flick_abort1153;
                  }
                }
                break;
                {
                _flick_abort1153:
                  goto _flick_abort2;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t156_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t156_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t156_switch_tag)
            {
            case /* thre */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953002085):
              {
                unsigned short int _t157_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t157_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t157_switch_tag)
                  {
                  case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                    {
                      {
                        un _obj;
                        unsigned int _t158_principal_len;
                        struct Foo3 _return;
                        struct Foo3 *_local_a;
                        struct Foo3 _t159_storage;
                        struct Foo3 *_local_b;
                        struct Foo3 _t160_storage;
                        struct Foo3 *_local_c;
                        struct Foo3 _t161_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t162_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort1235);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t158_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t158_principal_len, _flick_abort1235);
                        flick_iiop_decode_new_glob(_t158_principal_len);
                        flick_iiop_decode_new_chunk(_t158_principal_len);
                        flick_iiop_decode_end_chunk(_t158_principal_len);
                        flick_iiop_decode_end_glob(_t158_principal_len);
                        /* Begin decode phase on parameters */
                        _local_a = (struct Foo3 *)(&_t159_storage);
                        flick_iiop_decode_new_glob(18);
                        flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                        flick_iiop_check_span(2, _flick_abort1235);
                        flick_cdr_swap_decode_signed16(0, _local_a->_d, CORBA_short );
                        flick_iiop_decode_end_chunk(2);
                        switch (_local_a->_d)
                          {
                          case -1:
                            {
                              flick_iiop_check_span(2, _flick_abort1240);
                              flick_iiop_decode_new_chunk(2);
                              flick_cdr_swap_decode_signed16(0, _local_a->_u.a, CORBA_short );
                              flick_iiop_decode_end_chunk(2);
                              break;
                              {
                              _flick_abort1240:
                                goto _flick_abort1235;
                              }
                            }
                          case 50:
                            {
                              flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
                              flick_iiop_check_span(4, _flick_abort1241);
                              flick_cdr_swap_decode_signed32(0, _local_a->_u.b, CORBA_long );
                              flick_iiop_decode_end_chunk(4);
                              break;
                              {
                              _flick_abort1241:
                                goto _flick_abort1235;
                              }
                            }
                          default:
                            {
                              flick_iiop_check_span(1, _flick_abort1242);
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_a->_u.c, CORBA_char );
                              flick_iiop_decode_end_chunk(1);
                              break;
                              {
                              _flick_abort1242:
                                goto _flick_abort1235;
                              }
                            }
                          }
                        _local_b = (struct Foo3 *)(&_t160_storage);
                        flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                        flick_iiop_check_span(2, _flick_abort1235);
                        flick_cdr_swap_decode_signed16(0, _local_b->_d, CORBA_short );
                        flick_iiop_decode_end_chunk(2);
                        switch (_local_b->_d)
                          {
                          case -1:
                            {
                              flick_iiop_check_span(2, _flick_abort1247);
                              flick_iiop_decode_new_chunk(2);
                              flick_cdr_swap_decode_signed16(0, _local_b->_u.a, CORBA_short );
                              flick_iiop_decode_end_chunk(2);
                              break;
                              {
                              _flick_abort1247:
                                goto _flick_abort1235;
                              }
                            }
                          case 50:
                            {
                              flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
                              flick_iiop_check_span(4, _flick_abort1248);
                              flick_cdr_swap_decode_signed32(0, _local_b->_u.b, CORBA_long );
                              flick_iiop_decode_end_chunk(4);
                              break;
                              {
                              _flick_abort1248:
                                goto _flick_abort1235;
                              }
                            }
                          default:
                            {
                              flick_iiop_check_span(1, _flick_abort1249);
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_b->_u.c, CORBA_char );
                              flick_iiop_decode_end_chunk(1);
                              break;
                              {
                              _flick_abort1249:
                                goto _flick_abort1235;
                              }
                            }
                          }
                        _local_c = (struct Foo3 *)(&_t161_storage);
                        _ev = (CORBA_Environment *)(&_t162_storage);
                        flick_iiop_decode_end_glob(18);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = un_three(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1235);
                          flick_iiop_encode_new_glob(30, _flick_abort1235);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _return._d, CORBA_short );
                                flick_iiop_encode_end_chunk(2);
                                switch (_return._d)
                                  {
                                  case -1:
                                    {
                                      flick_iiop_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return._u.a, CORBA_short );
                                      flick_iiop_encode_end_chunk(2);
                                      break;
                                    }
                                  case 50:
                                    {
                                      flick_iiop_encode_new_chunk(6);
                                      flick_cdr_encode_signed32(2, _return._u.b, CORBA_long );
                                      flick_iiop_encode_end_chunk(6);
                                      break;
                                    }
                                  default:
                                    {
                                      flick_iiop_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return._u.c, CORBA_char );
                                      flick_iiop_encode_end_chunk(1);
                                      break;
                                    }
                                  }
                                flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                flick_cdr_encode_signed16(0, _local_b->_d, CORBA_short );
                                flick_iiop_encode_end_chunk(2);
                                switch (_local_b->_d)
                                  {
                                  case -1:
                                    {
                                      flick_iiop_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _local_b->_u.a, CORBA_short );
                                      flick_iiop_encode_end_chunk(2);
                                      break;
                                    }
                                  case 50:
                                    {
                                      flick_iiop_encode_new_chunk_align(4, 2, 1, 0);
                                      flick_cdr_encode_signed32(0, _local_b->_u.b, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      break;
                                    }
                                  default:
                                    {
                                      flick_iiop_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_b->_u.c, CORBA_char );
                                      flick_iiop_encode_end_chunk(1);
                                      break;
                                    }
                                  }
                                flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                flick_cdr_encode_signed16(0, _local_c->_d, CORBA_short );
                                flick_iiop_encode_end_chunk(2);
                                switch (_local_c->_d)
                                  {
                                  case -1:
                                    {
                                      flick_iiop_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _local_c->_u.a, CORBA_short );
                                      flick_iiop_encode_end_chunk(2);
                                      break;
                                    }
                                  case 50:
                                    {
                                      flick_iiop_encode_new_chunk_align(4, 2, 1, 0);
                                      flick_cdr_encode_signed32(0, _local_c->_u.b, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      break;
                                    }
                                  default:
                                    {
                                      flick_iiop_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_c->_u.c, CORBA_char );
                                      flick_iiop_encode_end_chunk(1);
                                      break;
                                    }
                                  }
                                flick_iiop_encode_end_glob(30);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(30);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1297);
                                break;
                                {
                                _flick_abort1297:
                                  goto _flick_abort1235;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1298);
                                flick_iiop_encode_end_glob(30);
                                break;
                                {
                                _flick_abort1298:
                                  goto _flick_abort1235;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort1235:
                          goto _flick_abort1234;
                        }
                      }
                      break;
                      {
                      _flick_abort1234:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t163_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t163_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t163_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t164_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t165_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t166_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort1300);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t164_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t164_principal_len, _flick_abort1300);
                        flick_iiop_decode_new_glob(_t164_principal_len);
                        flick_iiop_decode_new_chunk(_t164_principal_len);
                        flick_iiop_decode_end_chunk(_t164_principal_len);
                        flick_iiop_decode_end_glob(_t164_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort1300);
                        flick_cdr_swap_decode_unsigned32(0, _t165_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t165_temp_string_len);
                        flick_iiop_check_span(1 * _t165_temp_string_len, _flick_abort1300);
                        flick_iiop_decode_new_chunk(1 * _t165_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t165_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t165_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t166_storage);
                        _par = flick_interface_parents_un;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1300);
                          flick_iiop_encode_new_glob(5, _flick_abort1300);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1308);
                                break;
                                {
                                _flick_abort1308:
                                  goto _flick_abort1300;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1309);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1309:
                                  goto _flick_abort1300;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort1300:
                          goto _flick_abort1299;
                        }
                      }
                      break;
                      {
                      _flick_abort1299:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t167_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t167_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t167_switch_tag)
            {
            case /* four */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1718580594):
              {
                char _t168_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t168_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t168_switch_tag)
                  {
                  case 0:
                    {
                      {
                        un _obj;
                        unsigned int _t169_principal_len;
                        struct Foo4 *_return;
                        struct Foo4 *_local_a;
                        struct Foo4 _t170_storage;
                        struct Foo4 *_local_b;
                        struct Foo4 _t177_storage;
                        struct Foo4 **_local_c;
                        struct Foo4 *_t182_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t183_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort1311);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t169_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t169_principal_len, _flick_abort1311);
                        flick_iiop_decode_new_glob(_t169_principal_len);
                        flick_iiop_decode_new_chunk(_t169_principal_len);
                        flick_iiop_decode_end_chunk(_t169_principal_len);
                        flick_iiop_decode_end_glob(_t169_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_a = (struct Foo4 *)(&_t170_storage);
                        flick_iiop_decode_new_glob(51);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort1311);
                        flick_cdr_swap_decode_signed32(0, _local_a->_d, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        switch (_local_a->_d)
                          {
                          case 1:
                            {
                              flick_unsigned32_t _t174_temp_string_len;

                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t174_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(51);
                              flick_iiop_decode_new_glob(1 * _t174_temp_string_len);
                              flick_iiop_check_span(1 * _t174_temp_string_len, _flick_abort1323);
                              flick_iiop_decode_new_chunk(1 * _t174_temp_string_len);
                              flick_cdr_swap_decode_msgptr(0, _local_a->_u.a, CORBA_char *);
                              flick_iiop_decode_end_chunk(1 * _t174_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t174_temp_string_len);
                              break;
                              {
                              _flick_abort1323:
                                goto _flick_abort1311;
                              }
                            }
                          case 2:
                            {
                              CORBA_long _t175_storage[10];
                              CORBA_unsigned_long _t176_array_iter;

                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _local_a->_u.b._length, CORBA_unsigned_long );
                              flick_iiop_decode_end_chunk(4);
                              if (_local_a->_u.b._length > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1326);
                              _local_a->_u.b._buffer = (CORBA_long *)_t175_storage;
                              _local_a->_u.b._maximum = 10;
                              _local_a->_u.b._release = 0;
                              flick_iiop_check_span(_local_a->_u.b._length * 4, _flick_abort1326);
                              for (_t176_array_iter = 0; _t176_array_iter < _local_a->_u.b._length; _t176_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_a->_u.b._buffer[_t176_array_iter], CORBA_long );
                                  flick_iiop_decode_end_chunk(4);
                                  continue;
                                }
                              flick_iiop_decode_end_glob(51);
                              break;
                              {
                              _flick_abort1326:
                                goto _flick_abort1311;
                              }
                            }
                          default:
                            {
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_signed32(0, _local_a->_u.c, CORBA_long );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(51);
                              break;
                            }
                          }
                        _local_b = (struct Foo4 *)(&_t177_storage);
                        flick_iiop_decode_new_glob(51);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort1311);
                        flick_cdr_swap_decode_signed32(0, _local_b->_d, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        switch (_local_b->_d)
                          {
                          case 1:
                            {
                              flick_unsigned32_t _t180_temp_string_len;

                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t180_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(51);
                              flick_iiop_decode_new_glob(1 * _t180_temp_string_len);
                              flick_iiop_check_span(1 * _t180_temp_string_len, _flick_abort1347);
                              flick_iiop_decode_new_chunk(1 * _t180_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t180_temp_string_len * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1347);
                                _local_b->_u.a = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, _local_b->_u.a, 1 * _t180_temp_string_len);
                              flick_iiop_decode_end_chunk(1 * _t180_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t180_temp_string_len);
                              break;
                            _flick_abort_block1712:
                              {
                                CORBA_flick_free(_local_b->_u.a);
                              _flick_abort1347:
                                goto _flick_abort1311;
                              }
                            }
                          case 2:
                            {
                              CORBA_unsigned_long _t181_array_iter;

                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _local_b->_u.b._length, CORBA_unsigned_long );
                              flick_iiop_decode_end_chunk(4);
                              if (_local_b->_u.b._length > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1351);
                              {
                                CORBA_long *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1351);
                                _local_b->_u.b._buffer = _t_alloc_ptr;
                                _local_b->_u.b._maximum = 10;
                                _local_b->_u.b._release = 1;
                              }
                              flick_iiop_check_span(_local_b->_u.b._length * 4, _flick_abort1355);
                              for (_t181_array_iter = 0; _t181_array_iter < _local_b->_u.b._length; _t181_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_b->_u.b._buffer[_t181_array_iter], CORBA_long );
                                  flick_iiop_decode_end_chunk(4);
                                  continue;
                                }
                              flick_iiop_decode_end_glob(51);
                              break;
                            _flick_abort_block1716:
                              {
                              _flick_abort1355:
                                CORBA_flick_free(_local_b->_u.b._buffer);
                              _flick_abort1351:
                                goto _flick_abort1311;
                              }
                            }
                          default:
                            {
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_signed32(0, _local_b->_u.c, CORBA_long );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(51);
                              break;
                            }
                          _flick_abort_block1711:
                            {
                              switch (_local_b->_d)
                                {
                                case 1:
                                  goto _flick_abort_block1712;
                                case 2:
                                  goto _flick_abort_block1716;
                                default:
                                  goto _flick_abort1311;
                                }
                            }
                          }
                        _local_c = (struct Foo4 **)(&_t182_storage);
                        _ev = (CORBA_Environment *)(&_t183_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = un_four(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1359);
                          flick_iiop_encode_new_glob(52, _flick_abort1359);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return->_d, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                switch (_return->_d)
                                  {
                                  case 1:
                                    {
                                      flick_unsigned32_t _t191_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return->_u.a, flick_unsigned32_t , _t191_temp_string_len);

                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t191_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(52);
                                      flick_iiop_encode_new_glob(1 * _t191_temp_string_len, _flick_abort1418);
                                      flick_iiop_encode_new_chunk(1 * _t191_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return->_u.a, 1 * _t191_temp_string_len);
                                      CORBA_flick_free(_return->_u.a);
                                      _return->_u.a = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t191_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t191_temp_string_len);
                                      break;
                                      {
                                      _flick_abort1418:
                                        goto _flick_abort1409;
                                      }
                                    }
                                  case 2:
                                    {
                                      flick_iiop_encode_new_chunk(4 + 4 * _return->_u.b._length);
                                      flick_cdr_encode_unsigned32(0, _return->_u.b._length, CORBA_unsigned_long );
                                      if (_return->_u.b._length > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1421);
                                      flick_cdr_encode_bcopy(4, _return->_u.b._buffer, 4 * _return->_u.b._length);
                                      if (_return->_u.b._release)
                                        CORBA_flick_free(_return->_u.b._buffer);
                                      _return->_u.b._maximum = 0;
                                      _return->_u.b._release = 0;
                                      _return->_u.b._buffer = (CORBA_long *)0;
                                      flick_iiop_encode_end_chunk(4 + 4 * _return->_u.b._length);
                                      flick_iiop_encode_end_glob(52);
                                      break;
                                      {
                                      _flick_abort1421:
                                        goto _flick_abort1409;
                                      }
                                    }
                                  default:
                                    {
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return->_u.c, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(52);
                                      break;
                                    }
                                  }
                                CORBA_flick_free(_return);
                                _return = (struct Foo4 *)0;
                                flick_iiop_encode_new_glob(51, _flick_abort1409);
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_b->_d, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                switch (_local_b->_d)
                                  {
                                  case 1:
                                    {
                                      flick_unsigned32_t _t193_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _local_b->_u.a, flick_unsigned32_t , _t193_temp_string_len);

                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t193_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(51);
                                      flick_iiop_encode_new_glob(1 * _t193_temp_string_len, _flick_abort1433);
                                      flick_iiop_encode_new_chunk(1 * _t193_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_b->_u.a, 1 * _t193_temp_string_len);
                                      CORBA_flick_free(_local_b->_u.a);
                                      _local_b->_u.a = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t193_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t193_temp_string_len);
                                      break;
                                      {
                                      _flick_abort1433:
                                        goto _flick_abort1409;
                                      }
                                    }
                                  case 2:
                                    {
                                      flick_iiop_encode_new_chunk(4 + 4 * _local_b->_u.b._length);
                                      flick_cdr_encode_unsigned32(0, _local_b->_u.b._length, CORBA_unsigned_long );
                                      if (_local_b->_u.b._length > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1436);
                                      flick_cdr_encode_bcopy(4, _local_b->_u.b._buffer, 4 * _local_b->_u.b._length);
                                      if (_local_b->_u.b._release)
                                        CORBA_flick_free(_local_b->_u.b._buffer);
                                      _local_b->_u.b._maximum = 0;
                                      _local_b->_u.b._release = 0;
                                      _local_b->_u.b._buffer = (CORBA_long *)0;
                                      flick_iiop_encode_end_chunk(4 + 4 * _local_b->_u.b._length);
                                      flick_iiop_encode_end_glob(51);
                                      break;
                                      {
                                      _flick_abort1436:
                                        goto _flick_abort1409;
                                      }
                                    }
                                  default:
                                    {
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _local_b->_u.c, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(51);
                                      break;
                                    }
                                  }
                                flick_iiop_encode_new_glob(51, _flick_abort1409);
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, (*_local_c)->_d, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                switch ((*_local_c)->_d)
                                  {
                                  case 1:
                                    {
                                      flick_unsigned32_t _t195_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, (*_local_c)->_u.a, flick_unsigned32_t , _t195_temp_string_len);

                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t195_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(51);
                                      flick_iiop_encode_new_glob(1 * _t195_temp_string_len, _flick_abort1448);
                                      flick_iiop_encode_new_chunk(1 * _t195_temp_string_len);
                                      flick_cdr_encode_bcopy(0, (*_local_c)->_u.a, 1 * _t195_temp_string_len);
                                      CORBA_flick_free((*_local_c)->_u.a);
                                      (*_local_c)->_u.a = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t195_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t195_temp_string_len);
                                      break;
                                      {
                                      _flick_abort1448:
                                        goto _flick_abort1409;
                                      }
                                    }
                                  case 2:
                                    {
                                      flick_iiop_encode_new_chunk(4 + 4 * (*_local_c)->_u.b._length);
                                      flick_cdr_encode_unsigned32(0, (*_local_c)->_u.b._length, CORBA_unsigned_long );
                                      if ((*_local_c)->_u.b._length > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1451);
                                      flick_cdr_encode_bcopy(4, (*_local_c)->_u.b._buffer, 4 * (*_local_c)->_u.b._length);
                                      if ((*_local_c)->_u.b._release)
                                        CORBA_flick_free((*_local_c)->_u.b._buffer);
                                      (*_local_c)->_u.b._maximum = 0;
                                      (*_local_c)->_u.b._release = 0;
                                      (*_local_c)->_u.b._buffer = (CORBA_long *)0;
                                      flick_iiop_encode_end_chunk(4 + 4 * (*_local_c)->_u.b._length);
                                      flick_iiop_encode_end_glob(51);
                                      break;
                                      {
                                      _flick_abort1451:
                                        goto _flick_abort1409;
                                      }
                                    }
                                  default:
                                    {
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, (*_local_c)->_u.c, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(51);
                                      break;
                                    }
                                  }
                                CORBA_flick_free(*_local_c);
                                *_local_c = (struct Foo4 *)0;
                                break;
                                {
                                _flick_abort1409:
                                  goto _flick_abort1359;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(52);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1455);
                                break;
                                {
                                _flick_abort1455:
                                  goto _flick_abort1359;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1456);
                                flick_iiop_encode_end_glob(52);
                                break;
                                {
                                _flick_abort1456:
                                  goto _flick_abort1359;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort1359:
                          goto _flick_abort_block1711;
                        _flick_abort1311:
                          goto _flick_abort1310;
                        }
                      }
                      break;
                      {
                      _flick_abort1310:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t46_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t46_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t46_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t47_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t47_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t47_switch_tag)
            {
            case /* one */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869505792):
              {
                {
                  un _obj;
                  unsigned int _t48_principal_len;
                  struct Foo _return;
                  struct Foo *_local_a;
                  struct Foo _t49_storage;
                  struct Foo *_local_b;
                  struct Foo _t50_storage;
                  struct Foo *_local_c;
                  struct Foo _t51_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t52_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort362);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t48_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t48_principal_len, _flick_abort362);
                  flick_iiop_decode_new_glob(_t48_principal_len);
                  flick_iiop_decode_new_chunk(_t48_principal_len);
                  flick_iiop_decode_end_chunk(_t48_principal_len);
                  flick_iiop_decode_end_glob(_t48_principal_len);
                  /* Begin decode phase on parameters */
                  _local_a = (struct Foo *)(&_t49_storage);
                  flick_iiop_decode_new_glob(22);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(5, _flick_abort362);
                  flick_cdr_decode_signed32(0, _local_a->_d, CORBA_long );
                  flick_iiop_decode_end_chunk(4);
                  switch (_local_a->_d)
                    {
                    case 1:
                      {
                        flick_iiop_check_span(4, _flick_abort367);
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _local_a->_u.x, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort367:
                          goto _flick_abort362;
                        }
                      }
                    case 2:
                      {
                        flick_iiop_check_span(2, _flick_abort368);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_decode_signed16(0, _local_a->_u.y, CORBA_short );
                        flick_iiop_decode_end_chunk(2);
                        break;
                        {
                        _flick_abort368:
                          goto _flick_abort362;
                        }
                      }
                    default:
                      {
                        flick_iiop_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _local_a->_u.z, CORBA_char );
                        flick_iiop_decode_end_chunk(1);
                        break;
                      }
                    }
                  _local_b = (struct Foo *)(&_t50_storage);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(5, _flick_abort362);
                  flick_cdr_decode_signed32(0, _local_b->_d, CORBA_long );
                  flick_iiop_decode_end_chunk(4);
                  switch (_local_b->_d)
                    {
                    case 1:
                      {
                        flick_iiop_check_span(4, _flick_abort374);
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _local_b->_u.x, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort374:
                          goto _flick_abort362;
                        }
                      }
                    case 2:
                      {
                        flick_iiop_check_span(2, _flick_abort375);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_decode_signed16(0, _local_b->_u.y, CORBA_short );
                        flick_iiop_decode_end_chunk(2);
                        break;
                        {
                        _flick_abort375:
                          goto _flick_abort362;
                        }
                      }
                    default:
                      {
                        flick_iiop_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _local_b->_u.z, CORBA_char );
                        flick_iiop_decode_end_chunk(1);
                        break;
                      }
                    }
                  _local_c = (struct Foo *)(&_t51_storage);
                  _ev = (CORBA_Environment *)(&_t52_storage);
                  flick_iiop_decode_end_glob(22);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = un_one(_obj, _local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort362);
                    flick_iiop_encode_new_glob(34, _flick_abort362);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return._d, CORBA_long );
                          flick_iiop_encode_end_chunk(4);
                          switch (_return._d)
                            {
                            case 1:
                              {
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return._u.x, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                break;
                              }
                            case 2:
                              {
                                flick_iiop_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _return._u.y, CORBA_short );
                                flick_iiop_encode_end_chunk(2);
                                break;
                              }
                            default:
                              {
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _return._u.z, CORBA_char );
                                flick_iiop_encode_end_chunk(1);
                                break;
                              }
                            }
                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _local_b->_d, CORBA_long );
                          flick_iiop_encode_end_chunk(4);
                          switch (_local_b->_d)
                            {
                            case 1:
                              {
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _local_b->_u.x, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                break;
                              }
                            case 2:
                              {
                                flick_iiop_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _local_b->_u.y, CORBA_short );
                                flick_iiop_encode_end_chunk(2);
                                break;
                              }
                            default:
                              {
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _local_b->_u.z, CORBA_char );
                                flick_iiop_encode_end_chunk(1);
                                break;
                              }
                            }
                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _local_c->_d, CORBA_long );
                          flick_iiop_encode_end_chunk(4);
                          switch (_local_c->_d)
                            {
                            case 1:
                              {
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _local_c->_u.x, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                break;
                              }
                            case 2:
                              {
                                flick_iiop_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _local_c->_u.y, CORBA_short );
                                flick_iiop_encode_end_chunk(2);
                                break;
                              }
                            default:
                              {
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _local_c->_u.z, CORBA_char );
                                flick_iiop_encode_end_chunk(1);
                                break;
                              }
                            }
                          flick_iiop_encode_end_glob(34);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(34);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort424);
                          break;
                          {
                          _flick_abort424:
                            goto _flick_abort362;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort425);
                          flick_iiop_encode_end_glob(34);
                          break;
                          {
                          _flick_abort425:
                            goto _flick_abort362;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort362:
                    goto _flick_abort361;
                  }
                }
                break;
                {
                _flick_abort361:
                  goto _flick_abort2;
                }
              }
            case /* two */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953984256):
              {
                {
                  un _obj;
                  unsigned int _t53_principal_len;
                  struct Foo2 _return;
                  struct Foo2 *_local_a;
                  struct Foo2 _t54_storage;
                  struct Foo2 *_local_b;
                  struct Foo2 _t55_storage;
                  struct Foo2 *_local_c;
                  struct Foo2 _t56_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t57_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort427);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t53_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t53_principal_len + 1, _flick_abort427);
                  flick_iiop_decode_new_glob(_t53_principal_len);
                  flick_iiop_decode_new_chunk(_t53_principal_len);
                  flick_iiop_decode_end_chunk(_t53_principal_len);
                  flick_iiop_decode_end_glob(_t53_principal_len);
                  /* Begin decode phase on parameters */
                  _local_a = (struct Foo2 *)(&_t54_storage);
                  flick_iiop_decode_new_glob(16);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_a->_d, CORBA_char );
                  flick_iiop_decode_end_chunk(1);
                  switch (_local_a->_d)
                    {
                    case 'a':
                      {
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(5, _flick_abort433);
                        flick_cdr_decode_signed32(0, _local_a->_u.x, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort433:
                          goto _flick_abort427;
                        }
                      }
                    case 'b':
                      {
                        flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                        flick_iiop_check_span(3, _flick_abort434);
                        flick_cdr_decode_signed16(0, _local_a->_u.y, CORBA_short );
                        flick_iiop_decode_end_chunk(2);
                        break;
                        {
                        _flick_abort434:
                          goto _flick_abort427;
                        }
                      }
                    case 'c':
                      {
                        flick_iiop_check_span(2, _flick_abort435);
                        flick_iiop_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _local_a->_u.z, CORBA_char );
                        flick_iiop_decode_end_chunk(1);
                        break;
                        {
                        _flick_abort435:
                          goto _flick_abort427;
                        }
                      }
                    default:
                      {
                        break;
                      }
                    }
                  _local_b = (struct Foo2 *)(&_t55_storage);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_b->_d, CORBA_char );
                  flick_iiop_decode_end_chunk(1);
                  switch (_local_b->_d)
                    {
                    case 'a':
                      {
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort442);
                        flick_cdr_decode_signed32(0, _local_b->_u.x, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort442:
                          goto _flick_abort427;
                        }
                      }
                    case 'b':
                      {
                        flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                        flick_iiop_check_span(2, _flick_abort443);
                        flick_cdr_decode_signed16(0, _local_b->_u.y, CORBA_short );
                        flick_iiop_decode_end_chunk(2);
                        break;
                        {
                        _flick_abort443:
                          goto _flick_abort427;
                        }
                      }
                    case 'c':
                      {
                        flick_iiop_check_span(1, _flick_abort444);
                        flick_iiop_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _local_b->_u.z, CORBA_char );
                        flick_iiop_decode_end_chunk(1);
                        break;
                        {
                        _flick_abort444:
                          goto _flick_abort427;
                        }
                      }
                    default:
                      {
                        break;
                      }
                    }
                  _local_c = (struct Foo2 *)(&_t56_storage);
                  _ev = (CORBA_Environment *)(&_t57_storage);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = un_two(_obj, _local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort427);
                    flick_iiop_encode_new_glob(28, _flick_abort427);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _return._d, CORBA_char );
                          flick_iiop_encode_end_chunk(1);
                          switch (_return._d)
                            {
                            case 'a':
                              {
                                flick_iiop_encode_new_chunk(7);
                                flick_cdr_encode_signed32(3, _return._u.x, CORBA_long );
                                flick_iiop_encode_end_chunk(7);
                                break;
                              }
                            case 'b':
                              {
                                flick_iiop_encode_new_chunk(3);
                                flick_cdr_encode_signed16(1, _return._u.y, CORBA_short );
                                flick_iiop_encode_end_chunk(3);
                                break;
                              }
                            case 'c':
                              {
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _return._u.z, CORBA_char );
                                flick_iiop_encode_end_chunk(1);
                                break;
                              }
                            default:
                              {
                                break;
                              }
                            }
                          flick_iiop_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _local_b->_d, CORBA_char );
                          flick_iiop_encode_end_chunk(1);
                          switch (_local_b->_d)
                            {
                            case 'a':
                              {
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_b->_u.x, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                break;
                              }
                            case 'b':
                              {
                                flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                flick_cdr_encode_signed16(0, _local_b->_u.y, CORBA_short );
                                flick_iiop_encode_end_chunk(2);
                                break;
                              }
                            case 'c':
                              {
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _local_b->_u.z, CORBA_char );
                                flick_iiop_encode_end_chunk(1);
                                break;
                              }
                            default:
                              {
                                break;
                              }
                            }
                          flick_iiop_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _local_c->_d, CORBA_char );
                          flick_iiop_encode_end_chunk(1);
                          switch (_local_c->_d)
                            {
                            case 'a':
                              {
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_c->_u.x, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                break;
                              }
                            case 'b':
                              {
                                flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                flick_cdr_encode_signed16(0, _local_c->_u.y, CORBA_short );
                                flick_iiop_encode_end_chunk(2);
                                break;
                              }
                            case 'c':
                              {
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _local_c->_u.z, CORBA_char );
                                flick_iiop_encode_end_chunk(1);
                                break;
                              }
                            default:
                              {
                                break;
                              }
                            }
                          flick_iiop_encode_end_glob(28);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(28);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort505);
                          break;
                          {
                          _flick_abort505:
                            goto _flick_abort427;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort506);
                          flick_iiop_encode_end_glob(28);
                          break;
                          {
                          _flick_abort506:
                            goto _flick_abort427;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort427:
                    goto _flick_abort426;
                  }
                }
                break;
                {
                _flick_abort426:
                  goto _flick_abort2;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t58_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t58_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t58_switch_tag)
            {
            case /* thre */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953002085):
              {
                unsigned short int _t59_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t59_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t59_switch_tag)
                  {
                  case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                    {
                      {
                        un _obj;
                        unsigned int _t60_principal_len;
                        struct Foo3 _return;
                        struct Foo3 *_local_a;
                        struct Foo3 _t61_storage;
                        struct Foo3 *_local_b;
                        struct Foo3 _t62_storage;
                        struct Foo3 *_local_c;
                        struct Foo3 _t63_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t64_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort508);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t60_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t60_principal_len, _flick_abort508);
                        flick_iiop_decode_new_glob(_t60_principal_len);
                        flick_iiop_decode_new_chunk(_t60_principal_len);
                        flick_iiop_decode_end_chunk(_t60_principal_len);
                        flick_iiop_decode_end_glob(_t60_principal_len);
                        /* Begin decode phase on parameters */
                        _local_a = (struct Foo3 *)(&_t61_storage);
                        flick_iiop_decode_new_glob(18);
                        flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                        flick_iiop_check_span(2, _flick_abort508);
                        flick_cdr_decode_signed16(0, _local_a->_d, CORBA_short );
                        flick_iiop_decode_end_chunk(2);
                        switch (_local_a->_d)
                          {
                          case -1:
                            {
                              flick_iiop_check_span(2, _flick_abort513);
                              flick_iiop_decode_new_chunk(2);
                              flick_cdr_decode_signed16(0, _local_a->_u.a, CORBA_short );
                              flick_iiop_decode_end_chunk(2);
                              break;
                              {
                              _flick_abort513:
                                goto _flick_abort508;
                              }
                            }
                          case 50:
                            {
                              flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
                              flick_iiop_check_span(4, _flick_abort514);
                              flick_cdr_decode_signed32(0, _local_a->_u.b, CORBA_long );
                              flick_iiop_decode_end_chunk(4);
                              break;
                              {
                              _flick_abort514:
                                goto _flick_abort508;
                              }
                            }
                          default:
                            {
                              flick_iiop_check_span(1, _flick_abort515);
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_a->_u.c, CORBA_char );
                              flick_iiop_decode_end_chunk(1);
                              break;
                              {
                              _flick_abort515:
                                goto _flick_abort508;
                              }
                            }
                          }
                        _local_b = (struct Foo3 *)(&_t62_storage);
                        flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                        flick_iiop_check_span(2, _flick_abort508);
                        flick_cdr_decode_signed16(0, _local_b->_d, CORBA_short );
                        flick_iiop_decode_end_chunk(2);
                        switch (_local_b->_d)
                          {
                          case -1:
                            {
                              flick_iiop_check_span(2, _flick_abort520);
                              flick_iiop_decode_new_chunk(2);
                              flick_cdr_decode_signed16(0, _local_b->_u.a, CORBA_short );
                              flick_iiop_decode_end_chunk(2);
                              break;
                              {
                              _flick_abort520:
                                goto _flick_abort508;
                              }
                            }
                          case 50:
                            {
                              flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
                              flick_iiop_check_span(4, _flick_abort521);
                              flick_cdr_decode_signed32(0, _local_b->_u.b, CORBA_long );
                              flick_iiop_decode_end_chunk(4);
                              break;
                              {
                              _flick_abort521:
                                goto _flick_abort508;
                              }
                            }
                          default:
                            {
                              flick_iiop_check_span(1, _flick_abort522);
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_b->_u.c, CORBA_char );
                              flick_iiop_decode_end_chunk(1);
                              break;
                              {
                              _flick_abort522:
                                goto _flick_abort508;
                              }
                            }
                          }
                        _local_c = (struct Foo3 *)(&_t63_storage);
                        _ev = (CORBA_Environment *)(&_t64_storage);
                        flick_iiop_decode_end_glob(18);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = un_three(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort508);
                          flick_iiop_encode_new_glob(30, _flick_abort508);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _return._d, CORBA_short );
                                flick_iiop_encode_end_chunk(2);
                                switch (_return._d)
                                  {
                                  case -1:
                                    {
                                      flick_iiop_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return._u.a, CORBA_short );
                                      flick_iiop_encode_end_chunk(2);
                                      break;
                                    }
                                  case 50:
                                    {
                                      flick_iiop_encode_new_chunk(6);
                                      flick_cdr_encode_signed32(2, _return._u.b, CORBA_long );
                                      flick_iiop_encode_end_chunk(6);
                                      break;
                                    }
                                  default:
                                    {
                                      flick_iiop_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return._u.c, CORBA_char );
                                      flick_iiop_encode_end_chunk(1);
                                      break;
                                    }
                                  }
                                flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                flick_cdr_encode_signed16(0, _local_b->_d, CORBA_short );
                                flick_iiop_encode_end_chunk(2);
                                switch (_local_b->_d)
                                  {
                                  case -1:
                                    {
                                      flick_iiop_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _local_b->_u.a, CORBA_short );
                                      flick_iiop_encode_end_chunk(2);
                                      break;
                                    }
                                  case 50:
                                    {
                                      flick_iiop_encode_new_chunk_align(4, 2, 1, 0);
                                      flick_cdr_encode_signed32(0, _local_b->_u.b, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      break;
                                    }
                                  default:
                                    {
                                      flick_iiop_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_b->_u.c, CORBA_char );
                                      flick_iiop_encode_end_chunk(1);
                                      break;
                                    }
                                  }
                                flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                flick_cdr_encode_signed16(0, _local_c->_d, CORBA_short );
                                flick_iiop_encode_end_chunk(2);
                                switch (_local_c->_d)
                                  {
                                  case -1:
                                    {
                                      flick_iiop_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _local_c->_u.a, CORBA_short );
                                      flick_iiop_encode_end_chunk(2);
                                      break;
                                    }
                                  case 50:
                                    {
                                      flick_iiop_encode_new_chunk_align(4, 2, 1, 0);
                                      flick_cdr_encode_signed32(0, _local_c->_u.b, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      break;
                                    }
                                  default:
                                    {
                                      flick_iiop_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_c->_u.c, CORBA_char );
                                      flick_iiop_encode_end_chunk(1);
                                      break;
                                    }
                                  }
                                flick_iiop_encode_end_glob(30);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(30);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort570);
                                break;
                                {
                                _flick_abort570:
                                  goto _flick_abort508;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort571);
                                flick_iiop_encode_end_glob(30);
                                break;
                                {
                                _flick_abort571:
                                  goto _flick_abort508;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort508:
                          goto _flick_abort507;
                        }
                      }
                      break;
                      {
                      _flick_abort507:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t65_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t65_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t65_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t66_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t67_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t68_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort573);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t66_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t66_principal_len, _flick_abort573);
                        flick_iiop_decode_new_glob(_t66_principal_len);
                        flick_iiop_decode_new_chunk(_t66_principal_len);
                        flick_iiop_decode_end_chunk(_t66_principal_len);
                        flick_iiop_decode_end_glob(_t66_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort573);
                        flick_cdr_decode_unsigned32(0, _t67_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t67_temp_string_len);
                        flick_iiop_check_span(1 * _t67_temp_string_len, _flick_abort573);
                        flick_iiop_decode_new_chunk(1 * _t67_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t67_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t67_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t68_storage);
                        _par = flick_interface_parents_un;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort573);
                          flick_iiop_encode_new_glob(5, _flick_abort573);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort581);
                                break;
                                {
                                _flick_abort581:
                                  goto _flick_abort573;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort582);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort582:
                                  goto _flick_abort573;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort573:
                          goto _flick_abort572;
                        }
                      }
                      break;
                      {
                      _flick_abort572:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t69_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t69_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t69_switch_tag)
            {
            case /* four */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1718580594):
              {
                char _t70_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t70_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t70_switch_tag)
                  {
                  case 0:
                    {
                      {
                        un _obj;
                        unsigned int _t71_principal_len;
                        struct Foo4 *_return;
                        struct Foo4 *_local_a;
                        struct Foo4 _t72_storage;
                        struct Foo4 *_local_b;
                        struct Foo4 _t75_storage;
                        struct Foo4 **_local_c;
                        struct Foo4 *_t78_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t79_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort584);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t71_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t71_principal_len, _flick_abort584);
                        flick_iiop_decode_new_glob(_t71_principal_len);
                        flick_iiop_decode_new_chunk(_t71_principal_len);
                        flick_iiop_decode_end_chunk(_t71_principal_len);
                        flick_iiop_decode_end_glob(_t71_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_a = (struct Foo4 *)(&_t72_storage);
                        flick_iiop_decode_new_glob(51);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort584);
                        flick_cdr_decode_signed32(0, _local_a->_d, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        switch (_local_a->_d)
                          {
                          case 1:
                            {
                              flick_unsigned32_t _t74_temp_string_len;

                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t74_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(51);
                              flick_iiop_decode_new_glob(1 * _t74_temp_string_len);
                              flick_iiop_check_span(1 * _t74_temp_string_len, _flick_abort593);
                              flick_iiop_decode_new_chunk(1 * _t74_temp_string_len);
                              flick_cdr_decode_msgptr(0, _local_a->_u.a, CORBA_char *);
                              flick_iiop_decode_end_chunk(1 * _t74_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t74_temp_string_len);
                              break;
                              {
                              _flick_abort593:
                                goto _flick_abort584;
                              }
                            }
                          case 2:
                            {
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _local_a->_u.b._length, CORBA_unsigned_long );
                              if (_local_a->_u.b._length > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort596);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_check_span(4 * _local_a->_u.b._length, _flick_abort596);
                              flick_iiop_decode_new_chunk(4 * _local_a->_u.b._length);
                              flick_cdr_decode_msgptr(0, _local_a->_u.b._buffer, CORBA_long *);
                              _local_a->_u.b._maximum = _local_a->_u.b._length;
                              _local_a->_u.b._release = 0;
                              flick_iiop_decode_end_chunk(4 * _local_a->_u.b._length);
                              flick_iiop_decode_end_glob(51);
                              break;
                              {
                              _flick_abort596:
                                goto _flick_abort584;
                              }
                            }
                          default:
                            {
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_signed32(0, _local_a->_u.c, CORBA_long );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(51);
                              break;
                            }
                          }
                        _local_b = (struct Foo4 *)(&_t75_storage);
                        flick_iiop_decode_new_glob(51);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort584);
                        flick_cdr_decode_signed32(0, _local_b->_d, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        switch (_local_b->_d)
                          {
                          case 1:
                            {
                              flick_unsigned32_t _t77_temp_string_len;

                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t77_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(51);
                              flick_iiop_decode_new_glob(1 * _t77_temp_string_len);
                              flick_iiop_check_span(1 * _t77_temp_string_len, _flick_abort611);
                              flick_iiop_decode_new_chunk(1 * _t77_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t77_temp_string_len * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort611);
                                _local_b->_u.a = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, _local_b->_u.a, 1 * _t77_temp_string_len);
                              flick_iiop_decode_end_chunk(1 * _t77_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t77_temp_string_len);
                              break;
                            _flick_abort_block774:
                              {
                                CORBA_flick_free(_local_b->_u.a);
                              _flick_abort611:
                                goto _flick_abort584;
                              }
                            }
                          case 2:
                            {
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _local_b->_u.b._length, CORBA_unsigned_long );
                              if (_local_b->_u.b._length > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort615);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_check_span(4 * _local_b->_u.b._length, _flick_abort615);
                              flick_iiop_decode_new_chunk(4 * _local_b->_u.b._length);
                              {
                                CORBA_long *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort615);
                                _local_b->_u.b._buffer = _t_alloc_ptr;
                                _local_b->_u.b._maximum = 10;
                                _local_b->_u.b._release = 1;
                              }
                              flick_cdr_decode_bcopy(0, _local_b->_u.b._buffer, 4 * _local_b->_u.b._length);
                              flick_iiop_decode_end_chunk(4 * _local_b->_u.b._length);
                              flick_iiop_decode_end_glob(51);
                              break;
                            _flick_abort_block778:
                              {
                                CORBA_flick_free(_local_b->_u.b._buffer);
                              _flick_abort615:
                                goto _flick_abort584;
                              }
                            }
                          default:
                            {
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_signed32(0, _local_b->_u.c, CORBA_long );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(51);
                              break;
                            }
                          _flick_abort_block773:
                            {
                              switch (_local_b->_d)
                                {
                                case 1:
                                  goto _flick_abort_block774;
                                case 2:
                                  goto _flick_abort_block778;
                                default:
                                  goto _flick_abort584;
                                }
                            }
                          }
                        _local_c = (struct Foo4 **)(&_t78_storage);
                        _ev = (CORBA_Environment *)(&_t79_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = un_four(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort620);
                          flick_iiop_encode_new_glob(52, _flick_abort620);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return->_d, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                switch (_return->_d)
                                  {
                                  case 1:
                                    {
                                      flick_unsigned32_t _t87_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return->_u.a, flick_unsigned32_t , _t87_temp_string_len);

                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t87_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(52);
                                      flick_iiop_encode_new_glob(1 * _t87_temp_string_len, _flick_abort679);
                                      flick_iiop_encode_new_chunk(1 * _t87_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return->_u.a, 1 * _t87_temp_string_len);
                                      CORBA_flick_free(_return->_u.a);
                                      _return->_u.a = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t87_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t87_temp_string_len);
                                      break;
                                      {
                                      _flick_abort679:
                                        goto _flick_abort670;
                                      }
                                    }
                                  case 2:
                                    {
                                      flick_iiop_encode_new_chunk(4 + 4 * _return->_u.b._length);
                                      flick_cdr_encode_unsigned32(0, _return->_u.b._length, CORBA_unsigned_long );
                                      if (_return->_u.b._length > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort682);
                                      flick_cdr_encode_bcopy(4, _return->_u.b._buffer, 4 * _return->_u.b._length);
                                      if (_return->_u.b._release)
                                        CORBA_flick_free(_return->_u.b._buffer);
                                      _return->_u.b._maximum = 0;
                                      _return->_u.b._release = 0;
                                      _return->_u.b._buffer = (CORBA_long *)0;
                                      flick_iiop_encode_end_chunk(4 + 4 * _return->_u.b._length);
                                      flick_iiop_encode_end_glob(52);
                                      break;
                                      {
                                      _flick_abort682:
                                        goto _flick_abort670;
                                      }
                                    }
                                  default:
                                    {
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return->_u.c, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(52);
                                      break;
                                    }
                                  }
                                CORBA_flick_free(_return);
                                _return = (struct Foo4 *)0;
                                flick_iiop_encode_new_glob(51, _flick_abort670);
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_b->_d, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                switch (_local_b->_d)
                                  {
                                  case 1:
                                    {
                                      flick_unsigned32_t _t89_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _local_b->_u.a, flick_unsigned32_t , _t89_temp_string_len);

                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t89_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(51);
                                      flick_iiop_encode_new_glob(1 * _t89_temp_string_len, _flick_abort694);
                                      flick_iiop_encode_new_chunk(1 * _t89_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_b->_u.a, 1 * _t89_temp_string_len);
                                      CORBA_flick_free(_local_b->_u.a);
                                      _local_b->_u.a = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t89_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t89_temp_string_len);
                                      break;
                                      {
                                      _flick_abort694:
                                        goto _flick_abort670;
                                      }
                                    }
                                  case 2:
                                    {
                                      flick_iiop_encode_new_chunk(4 + 4 * _local_b->_u.b._length);
                                      flick_cdr_encode_unsigned32(0, _local_b->_u.b._length, CORBA_unsigned_long );
                                      if (_local_b->_u.b._length > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort697);
                                      flick_cdr_encode_bcopy(4, _local_b->_u.b._buffer, 4 * _local_b->_u.b._length);
                                      if (_local_b->_u.b._release)
                                        CORBA_flick_free(_local_b->_u.b._buffer);
                                      _local_b->_u.b._maximum = 0;
                                      _local_b->_u.b._release = 0;
                                      _local_b->_u.b._buffer = (CORBA_long *)0;
                                      flick_iiop_encode_end_chunk(4 + 4 * _local_b->_u.b._length);
                                      flick_iiop_encode_end_glob(51);
                                      break;
                                      {
                                      _flick_abort697:
                                        goto _flick_abort670;
                                      }
                                    }
                                  default:
                                    {
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _local_b->_u.c, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(51);
                                      break;
                                    }
                                  }
                                flick_iiop_encode_new_glob(51, _flick_abort670);
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, (*_local_c)->_d, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                switch ((*_local_c)->_d)
                                  {
                                  case 1:
                                    {
                                      flick_unsigned32_t _t91_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, (*_local_c)->_u.a, flick_unsigned32_t , _t91_temp_string_len);

                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t91_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(51);
                                      flick_iiop_encode_new_glob(1 * _t91_temp_string_len, _flick_abort709);
                                      flick_iiop_encode_new_chunk(1 * _t91_temp_string_len);
                                      flick_cdr_encode_bcopy(0, (*_local_c)->_u.a, 1 * _t91_temp_string_len);
                                      CORBA_flick_free((*_local_c)->_u.a);
                                      (*_local_c)->_u.a = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t91_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t91_temp_string_len);
                                      break;
                                      {
                                      _flick_abort709:
                                        goto _flick_abort670;
                                      }
                                    }
                                  case 2:
                                    {
                                      flick_iiop_encode_new_chunk(4 + 4 * (*_local_c)->_u.b._length);
                                      flick_cdr_encode_unsigned32(0, (*_local_c)->_u.b._length, CORBA_unsigned_long );
                                      if ((*_local_c)->_u.b._length > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort712);
                                      flick_cdr_encode_bcopy(4, (*_local_c)->_u.b._buffer, 4 * (*_local_c)->_u.b._length);
                                      if ((*_local_c)->_u.b._release)
                                        CORBA_flick_free((*_local_c)->_u.b._buffer);
                                      (*_local_c)->_u.b._maximum = 0;
                                      (*_local_c)->_u.b._release = 0;
                                      (*_local_c)->_u.b._buffer = (CORBA_long *)0;
                                      flick_iiop_encode_end_chunk(4 + 4 * (*_local_c)->_u.b._length);
                                      flick_iiop_encode_end_glob(51);
                                      break;
                                      {
                                      _flick_abort712:
                                        goto _flick_abort670;
                                      }
                                    }
                                  default:
                                    {
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, (*_local_c)->_u.c, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(51);
                                      break;
                                    }
                                  }
                                CORBA_flick_free(*_local_c);
                                *_local_c = (struct Foo4 *)0;
                                break;
                                {
                                _flick_abort670:
                                  goto _flick_abort620;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(52);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort716);
                                break;
                                {
                                _flick_abort716:
                                  goto _flick_abort620;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort717);
                                flick_iiop_encode_end_glob(52);
                                break;
                                {
                                _flick_abort717:
                                  goto _flick_abort620;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort620:
                          goto _flick_abort_block773;
                        _flick_abort584:
                          goto _flick_abort583;
                        }
                      }
                      break;
                      {
                      _flick_abort583:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

