#ifndef _structplain__server_h_
#define _structplain__server_h_

#include "structplain_-client.h"
#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

class POA_geom ;


typedef POA_geom *POA_geom_ptr;

class POA_geom : public virtual PortableServer::ServantBase {

protected:
  POA_geom();

public:
  POA_geom(const POA_geom &rhs);
  virtual ~POA_geom();
  geom *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::Short dist(/* POA_geom *this, */ const struct coord &a, const struct coord &b, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_geom_tie : public POA_geom {

  public:
    POA_geom_tie(T &t);
    POA_geom_tie(T &t, PortableServer::POA_ptr poa);
    POA_geom_tie(T *t, CORBA::Boolean release = 1);
    POA_geom_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_geom_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_geom_tie(const POA_geom_tie &c);
    void operator=(const POA_geom_tie &c);

  public:
    CORBA::Short dist(/* POA_geom *this, */ const struct coord &a, const struct coord &b, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


geom_ptr _TAO_collocation_POA_geom_Stub_Factory(CORBA::Object_ptr obj);

int _TAO_collocation_POA_geom_Stub_Factory_Initializer(int dummy);

class _tao_thru_poa_collocated_geom : public virtual geom {

public:
  _tao_thru_poa_collocated_geom(TAO_Stub *stub);
  virtual CORBA::Short dist(const struct coord &a, const struct coord &b, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);
  virtual CORBA::Boolean _non_existent(CORBA::Environment &_ev);
} ;


#endif /* _structplain__server_h_ */
