#include "union2-client.h"
#include "union2-server.h"


static const CORBA::Long _oc_Foo[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x466f6f3a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:Foo:1.0 */,
    4, ACE_NTOHL(0x466f6f00) /* name = Foo */,
    CORBA::tk_enum,
    64 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      16, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x466f6f44), ACE_NTOHL(0x6973633a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:FooDisc:1.0 */,
      8, ACE_NTOHL(0x466f6f44), ACE_NTOHL(0x69736300) /* name = FooDisc */,
      2 /* member count */,
      5, ACE_NTOHL(0x464f4f31), ACE_NTOHL(0x00000000) /* name = FOO1 */,
      5, ACE_NTOHL(0x464f4f32), ACE_NTOHL(0x00000000) /* name = FOO2 */,
    -1 /* default used index */,
    3 /* member count */,
    (0x0000) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x78000000) /* name = x */,
    CORBA::tk_long,
    (0x0001) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x79000000) /* name = y */,
    CORBA::tk_string,
    0,
    (0x0000) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x7a000000) /* name = z */,
    CORBA::tk_char
};

static CORBA::TypeCode _tc_TAO_tc_Foo (CORBA::tk_union, sizeof(_oc_Foo), (char *) &_oc_Foo, 0, sizeof(Foo ));

CORBA::TypeCode_ptr _tc_Foo = &_tc_TAO_tc_Foo;


Foo::Foo()
  : TAO_Base_Union()
{
  ACE_OS::memset(&this->disc_, 0, sizeof(this->disc_));
  ACE_OS::memset(&this->_u, 0, sizeof(this->_u));
}

Foo::Foo(const Foo &o)
  : TAO_Base_Union()
{
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  case  0:
    {
      this->_u.x = o._u.x;
    }
    break;
  case  1:
    {
      this->_u.y = CORBA::string_dup(o._u.y);
    }
    break;
  default:
    {
      this->_u.z = o._u.z;
    }
    break;
  }
}

Foo::~Foo()
{
  this->_reset(this->disc_, 1);
}

Foo &Foo::operator=(const Foo &o)
{
  this->_reset(o.disc_, 0);
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  case  0:
    {
      this->_u.x = o._u.x;
    }
    break;
  case  1:
    {
      this->_u.y = CORBA::string_dup(o._u.y);
    }
    break;
  default:
    {
      this->_u.z = o._u.z;
    }
    break;
  }
  return *this;
}

void Foo::_reset(CORBA::Long _new_disc_, CORBA::Boolean _finalize_)
{
  if( (this->disc_ != _new_disc_) || _finalize_ )
  {
    switch( this->disc_ )
    {
    case  0:
;
      break;
    case  1:
      CORBA::string_free(this->_u.y);
      break;
    default:
;
      break;
    }
  }
}

void *Foo::_discriminant()
{
  return &this->disc_;
}

void Foo::_reset()
{
  this->_reset(this->disc_, 1);
}

void *Foo::_access(CORBA::Boolean flag)
{
  switch(this->disc_)
  {
  case  0:
    return &this->_u.x;
  case  1:
    return &this->_u.y;
  default:
    return &this->_u.z;
  }
  return 0;
}

void Foo::_d(enum FooDisc _d_)
{
  this->disc_ = _d_;
}

enum FooDisc Foo::_d() const
{
  return this->disc_;
}

void operator<<=(CORBA::Any &a, const Foo &o)
{
  Foo  *_any_val;
  ACE_NEW(_any_val, Foo  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Foo, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, Foo *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Foo, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, Foo *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_Foo, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (Foo  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, Foo , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_Foo, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_Foo, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

void Foo::x(CORBA::Long v)
{
  this->_reset(0, 0);
  this->disc_ = (enum FooDisc )0;
  this->_u.x = v;
}

CORBA::Long Foo::x() const
{
  return this->_u.x;
}

void Foo::y(char *v)
{
  this->_reset(1, 0);
  this->disc_ = (enum FooDisc )1;
  this->_u.y = v;
}

void Foo::y(const char *v)
{
  this->_reset(1, 0);
  this->disc_ = (enum FooDisc )1;
  this->_u.y = CORBA::string_dup(v);
}

void Foo::y(const ::CORBA::String_var &v)
{
  this->_reset(1, 0);
  this->disc_ = (enum FooDisc )1;
  CORBA::String_var tmp_var = v;
  this->_u.y = tmp_var._retn();
}

const char *Foo::y() const
{
  return this->_u.y;
}

void Foo::z(CORBA::Char v)
{
  this->_reset(0, 0);
  this->disc_ = (enum FooDisc )0;
  this->_u.z = v;
}

CORBA::Char Foo::z() const
{
  return this->_u.z;
}

Foo_var::Foo_var()
  : ptr_(0)
{}

Foo_var::Foo_var(Foo *p)
 : ptr_(p)
{}

Foo_var::Foo_var(const Foo_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new Foo (*a.ptr_);
  else
    this->ptr_ = 0;
}

Foo_var::~Foo_var()
{
  delete this->ptr_;
}

Foo_var &Foo_var::operator=(Foo *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

Foo_var &Foo_var::operator=(const Foo_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new Foo (*p.ptr_);
  }
  return *this;
}

Foo *Foo_var::operator->()
{
  return this->ptr_;
}

const Foo *Foo_var::operator->() const
{
  return this->ptr_;
}

Foo_var::operator const Foo &() const
{
  return *this->ptr_;
}

Foo_var::operator Foo &()
{
  return *this->ptr_;
}

Foo_var::operator Foo &() const
{
  return *this->ptr_;
}

const Foo &Foo_var::in() const
{
  return *this->ptr_;
}

Foo &Foo_var::inout()
{
  return *this->ptr_;
}

Foo *&Foo_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

Foo *Foo_var::_retn()
{
  Foo  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

Foo *Foo_var::ptr() const
{
  return this->ptr_;
}

Foo_out::Foo_out(Foo *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

Foo_out::Foo_out(Foo_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

Foo_out::Foo_out(const Foo_out &r)
  : ptr_(ACE_const_cast(Foo_out &,r).ptr_)
{}

Foo_out &Foo_out::operator=(const Foo_out &r)
{
  this->ptr_ = ACE_const_cast(Foo_out &,r).ptr_;
  return *this;
}

Foo_out &Foo_out::operator=(Foo *r)
{
  this->ptr_ = r;
  return *this;
}

Foo_out::operator Foo *&()
{
  return this->ptr_;
}

Foo *&Foo_out::ptr()
{
  return this->ptr_;
}

Foo *Foo_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_Bar[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x4261723a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:Bar:1.0 */,
    4, ACE_NTOHL(0x42617200) /* name = Bar */,
    2 /* member count */,
    5, ACE_NTOHL(0x6b696e64), ACE_NTOHL(0x00000000) /* name = kind */,
    CORBA::tk_enum,
    68 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      20, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x4261722f), ACE_NTOHL(0x42617244), ACE_NTOHL(0x6973633a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:Bar/BarDisc:1.0 */,
      8, ACE_NTOHL(0x42617244), ACE_NTOHL(0x69736300) /* name = BarDisc */,
      2 /* member count */,
      5, ACE_NTOHL(0x42415231), ACE_NTOHL(0x00000000) /* name = BAR1 */,
      5, ACE_NTOHL(0x42415232), ACE_NTOHL(0x00000000) /* name = BAR2 */,
    5, ACE_NTOHL(0x61646472), ACE_NTOHL(0x00000000) /* name = addr */,
    CORBA::tk_union,
    148 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      16, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x4261722f), ACE_NTOHL(0x466f6f3a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:Bar/Foo:1.0 */,
      4, ACE_NTOHL(0x466f6f00) /* name = Foo */,
      CORBA::tk_enum,
      68 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        20, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x4261722f), ACE_NTOHL(0x42617244), ACE_NTOHL(0x6973633a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:Bar/BarDisc:1.0 */,
        8, ACE_NTOHL(0x42617244), ACE_NTOHL(0x69736300) /* name = BarDisc */,
        2 /* member count */,
        5, ACE_NTOHL(0x42415231), ACE_NTOHL(0x00000000) /* name = BAR1 */,
        5, ACE_NTOHL(0x42415232), ACE_NTOHL(0x00000000) /* name = BAR2 */,
      -1 /* default used index */,
      2 /* member count */,
      (0x0000) /* union case label (evaluated) */,
      2, ACE_NTOHL(0x78000000) /* name = x */,
      CORBA::tk_long,
      (0x0001) /* union case label (evaluated) */,
      2, ACE_NTOHL(0x79000000) /* name = y */,
      CORBA::tk_long
};

static CORBA::TypeCode _tc_TAO_tc_Bar (CORBA::tk_struct, sizeof(_oc_Bar), (char *) &_oc_Bar, 0, sizeof(struct Bar ));

CORBA::TypeCode_ptr _tc_Bar = &_tc_TAO_tc_Bar;


void operator<<=(CORBA::Any &a, const struct Bar &o)
{
  struct Bar  *_any_val;
  ACE_NEW(_any_val, struct Bar  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Bar, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct Bar *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Bar, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct Bar *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_Bar, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct Bar  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct Bar , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_Bar, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_Bar, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

Bar_var::Bar_var()
  : ptr_(0)
{}

Bar_var::Bar_var(struct Bar *p)
 : ptr_(p)
{}

Bar_var::Bar_var(const Bar_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct Bar (*a.ptr_);
  else
    this->ptr_ = 0;
}

Bar_var::~Bar_var()
{
  delete this->ptr_;
}

Bar_var &Bar_var::operator=(struct Bar *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

Bar_var &Bar_var::operator=(const Bar_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct Bar (*p.ptr_);
  }
  return *this;
}

struct Bar *Bar_var::operator->()
{
  return this->ptr_;
}

const struct Bar *Bar_var::operator->() const
{
  return this->ptr_;
}

Bar_var::operator const struct Bar &() const
{
  return *this->ptr_;
}

Bar_var::operator struct Bar &()
{
  return *this->ptr_;
}

Bar_var::operator struct Bar &() const
{
  return *this->ptr_;
}

const struct Bar &Bar_var::in() const
{
  return *this->ptr_;
}

struct Bar &Bar_var::inout()
{
  return *this->ptr_;
}

struct Bar &Bar_var::out()
{
  return *this->ptr_;
}

struct Bar Bar_var::_retn()
{
  return *this->ptr_;
}

struct Bar *Bar_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_Bar_Foo[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    16, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x4261722f), ACE_NTOHL(0x466f6f3a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:Bar/Foo:1.0 */,
    4, ACE_NTOHL(0x466f6f00) /* name = Foo */,
    CORBA::tk_enum,
    68 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      20, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x4261722f), ACE_NTOHL(0x42617244), ACE_NTOHL(0x6973633a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:Bar/BarDisc:1.0 */,
      8, ACE_NTOHL(0x42617244), ACE_NTOHL(0x69736300) /* name = BarDisc */,
      2 /* member count */,
      5, ACE_NTOHL(0x42415231), ACE_NTOHL(0x00000000) /* name = BAR1 */,
      5, ACE_NTOHL(0x42415232), ACE_NTOHL(0x00000000) /* name = BAR2 */,
    -1 /* default used index */,
    2 /* member count */,
    (0x0000) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x78000000) /* name = x */,
    CORBA::tk_long,
    (0x0001) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x79000000) /* name = y */,
    CORBA::tk_long
};

static CORBA::TypeCode _tc_TAO_tc_Bar_Foo (CORBA::tk_union, sizeof(_oc_Bar_Foo), (char *) &_oc_Bar_Foo, 0, sizeof(::Bar::Foo ));

CORBA::TypeCode_ptr Bar::_tc_Foo = &_tc_TAO_tc_Bar_Foo;


Bar::Foo::Foo()
  : TAO_Base_Union()
{
  ACE_OS::memset(&this->disc_, 0, sizeof(this->disc_));
  ACE_OS::memset(&this->_u, 0, sizeof(this->_u));
}

Bar::Foo::Foo(const ::Bar::Foo &o)
  : TAO_Base_Union()
{
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  case  0:
    {
      this->_u.x = o._u.x;
    }
    break;
  case  1:
    {
      this->_u.y = o._u.y;
    }
    break;
  }
}

Bar::Foo::~Foo()
{
  this->_reset(this->disc_, 1);
}

::Bar::Foo &Bar::Foo::operator=(const ::Bar::Foo &o)
{
  this->_reset(o.disc_, 0);
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  case  0:
    {
      this->_u.x = o._u.x;
    }
    break;
  case  1:
    {
      this->_u.y = o._u.y;
    }
    break;
  }
  return *this;
}

void Bar::Foo::_reset(CORBA::Long _new_disc_, CORBA::Boolean _finalize_)
{
  if( (this->disc_ != _new_disc_) || _finalize_ )
  {
    switch( this->disc_ )
    {
    case  0:
;
      break;
    case  1:
;
      break;
    }
  }
}

void *Bar::Foo::_discriminant()
{
  return &this->disc_;
}

void Bar::Foo::_reset()
{
  this->_reset(this->disc_, 1);
}

void *Bar::Foo::_access(CORBA::Boolean flag)
{
  switch(this->disc_)
  {
  case  0:
    return &this->_u.x;
  case  1:
    return &this->_u.y;
  }
  return 0;
}

void Bar::Foo::_d(enum ::Bar::BarDisc _d_)
{
  this->disc_ = _d_;
}

enum ::Bar::BarDisc Bar::Foo::_d() const
{
  return this->disc_;
}

void operator<<=(CORBA::Any &a, const ::Bar::Foo &o)
{
  ::Bar::Foo  *_any_val;
  ACE_NEW(_any_val, ::Bar::Foo  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(Bar::_tc_Foo, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, ::Bar::Foo *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(Bar::_tc_Foo, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ::Bar::Foo *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(Bar::_tc_Foo, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (::Bar::Foo  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, ::Bar::Foo , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(Bar::_tc_Foo, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(Bar::_tc_Foo, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

void Bar::Foo::x(CORBA::Long v)
{
  this->_reset(0, 0);
  this->disc_ = (enum ::Bar::BarDisc )0;
  this->_u.x = v;
}

CORBA::Long Bar::Foo::x() const
{
  return this->_u.x;
}

void Bar::Foo::y(CORBA::Long v)
{
  this->_reset(1, 0);
  this->disc_ = (enum ::Bar::BarDisc )1;
  this->_u.y = v;
}

CORBA::Long Bar::Foo::y() const
{
  return this->_u.y;
}

Bar::Foo_var::Foo_var()
  : ptr_(0)
{}

Bar::Foo_var::Foo_var(::Bar::Foo *p)
 : ptr_(p)
{}

Bar::Foo_var::Foo_var(const ::Bar::Foo_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new ::Bar::Foo (*a.ptr_);
  else
    this->ptr_ = 0;
}

Bar::Foo_var::~Foo_var()
{
  delete this->ptr_;
}

::Bar::Foo_var &Bar::Foo_var::operator=(::Bar::Foo *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::Bar::Foo_var &Bar::Foo_var::operator=(const ::Bar::Foo_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new ::Bar::Foo (*p.ptr_);
  }
  return *this;
}

::Bar::Foo *Bar::Foo_var::operator->()
{
  return this->ptr_;
}

const ::Bar::Foo *Bar::Foo_var::operator->() const
{
  return this->ptr_;
}

Bar::Foo_var::operator const ::Bar::Foo &() const
{
  return *this->ptr_;
}

Bar::Foo_var::operator ::Bar::Foo &()
{
  return *this->ptr_;
}

Bar::Foo_var::operator ::Bar::Foo &() const
{
  return *this->ptr_;
}

const ::Bar::Foo &Bar::Foo_var::in() const
{
  return *this->ptr_;
}

::Bar::Foo &Bar::Foo_var::inout()
{
  return *this->ptr_;
}

::Bar::Foo &Bar::Foo_var::out()
{
  return *this->ptr_;
}

::Bar::Foo Bar::Foo_var::_retn()
{
  return *this->ptr_;
}

::Bar::Foo *Bar::Foo_var::ptr() const
{
  return this->ptr_;
}
