#include "interface_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_math[] = {
	"IDL:math:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t math_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t136_switch_tag;

    flick_khazana_decode_new_glob(24);
    flick_khazana_check_span(16, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t136_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t136_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t137_switch_tag;

          flick_khazana_check_span(16, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t137_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t137_switch_tag)
            {
            case /* adds */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633969267):
              {
                unsigned int _t138_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t138_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t138_switch_tag)
                  {
                  case /* hort */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134260):
                    {
                      char _t139_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t139_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t139_switch_tag)
                        {
                        case 0:
                          {
                            {
                              math _obj;
                              unsigned int _t140_principal_len;
                              CORBA_short _return;
                              CORBA_short _local_a;
                              CORBA_short _local_b;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t141_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort273);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t140_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_check_span(_t140_principal_len, _flick_abort273);
                              flick_khazana_decode_new_glob(_t140_principal_len);
                              flick_khazana_decode_new_chunk(_t140_principal_len);
                              flick_khazana_decode_end_chunk(_t140_principal_len);
                              flick_khazana_decode_end_glob(_t140_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(5);
                              flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                              flick_khazana_check_span(4, _flick_abort273);
                              flick_cdr_swap_decode_signed16(0, _local_a, CORBA_short );
                              flick_cdr_swap_decode_signed16(2, _local_b, CORBA_short );
                              _ev = (CORBA_Environment *)(&_t141_storage);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(5);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = math_addshort(_obj, _local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort273);
                                flick_khazana_encode_new_glob(6, _flick_abort273);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      flick_khazana_encode_end_glob(6);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(6);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort279);
                                      break;
                                      {
                                      _flick_abort279:
                                        goto _flick_abort273;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort280);
                                      flick_khazana_encode_end_glob(6);
                                      break;
                                      {
                                      _flick_abort280:
                                        goto _flick_abort273;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort273:
                                goto _flick_abort272;
                              }
                            }
                            break;
                            {
                            _flick_abort272:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* subs */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937072755):
              {
                unsigned int _t142_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t142_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t142_switch_tag)
                  {
                  case /* hort */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134260):
                    {
                      char _t143_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t143_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t143_switch_tag)
                        {
                        case 0:
                          {
                            {
                              math _obj;
                              unsigned int _t144_principal_len;
                              CORBA_short _return;
                              CORBA_short _local_a;
                              CORBA_short _local_b;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t145_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort282);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t144_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_check_span(_t144_principal_len, _flick_abort282);
                              flick_khazana_decode_new_glob(_t144_principal_len);
                              flick_khazana_decode_new_chunk(_t144_principal_len);
                              flick_khazana_decode_end_chunk(_t144_principal_len);
                              flick_khazana_decode_end_glob(_t144_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(5);
                              flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                              flick_khazana_check_span(4, _flick_abort282);
                              flick_cdr_swap_decode_signed16(0, _local_a, CORBA_short );
                              flick_cdr_swap_decode_signed16(2, _local_b, CORBA_short );
                              _ev = (CORBA_Environment *)(&_t145_storage);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(5);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = math_subshort(_obj, _local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort282);
                                flick_khazana_encode_new_glob(6, _flick_abort282);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      flick_khazana_encode_end_glob(6);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(6);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort288);
                                      break;
                                      {
                                      _flick_abort288:
                                        goto _flick_abort282;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort289);
                                      flick_khazana_encode_end_glob(6);
                                      break;
                                      {
                                      _flick_abort289:
                                        goto _flick_abort282;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort282:
                                goto _flick_abort281;
                              }
                            }
                            break;
                            {
                            _flick_abort281:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* mult */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836412020):
              {
                unsigned int _t146_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t146_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t146_switch_tag)
                  {
                  case /* long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819242087):
                    {
                      char _t147_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t147_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t147_switch_tag)
                        {
                        case 0:
                          {
                            {
                              math _obj;
                              unsigned int _t148_principal_len;
                              CORBA_long _return;
                              CORBA_long _local_a;
                              CORBA_long _local_b;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t149_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort291);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t148_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_check_span(_t148_principal_len, _flick_abort291);
                              flick_khazana_decode_new_glob(_t148_principal_len);
                              flick_khazana_decode_new_chunk(_t148_principal_len);
                              flick_khazana_decode_end_chunk(_t148_principal_len);
                              flick_khazana_decode_end_glob(_t148_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(11);
                              flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                              flick_khazana_check_span(8, _flick_abort291);
                              flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                              flick_cdr_swap_decode_signed32(4, _local_b, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t149_storage);
                              flick_khazana_decode_end_chunk(8);
                              flick_khazana_decode_end_glob(11);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = math_multlong(_obj, _local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort291);
                                flick_khazana_encode_new_glob(8, _flick_abort291);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort297);
                                      break;
                                      {
                                      _flick_abort297:
                                        goto _flick_abort291;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort298);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort298:
                                        goto _flick_abort291;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort291:
                                goto _flick_abort290;
                              }
                            }
                            break;
                            {
                            _flick_abort290:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t150_switch_tag;

          flick_khazana_check_span(16, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t150_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t150_switch_tag)
            {
            case /* mult */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836412020):
              {
                unsigned int _t151_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t151_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t151_switch_tag)
                  {
                  case /* shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936224114):
                    {
                      unsigned short int _t152_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t152_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t152_switch_tag)
                        {
                        case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                          {
                            {
                              math _obj;
                              unsigned int _t153_principal_len;
                              CORBA_short _return;
                              CORBA_short _local_a;
                              CORBA_short _local_b;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t154_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort300);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t153_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_check_span(_t153_principal_len, _flick_abort300);
                              flick_khazana_decode_new_glob(_t153_principal_len);
                              flick_khazana_decode_new_chunk(_t153_principal_len);
                              flick_khazana_decode_end_chunk(_t153_principal_len);
                              flick_khazana_decode_end_glob(_t153_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(5);
                              flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                              flick_khazana_check_span(4, _flick_abort300);
                              flick_cdr_swap_decode_signed16(0, _local_a, CORBA_short );
                              flick_cdr_swap_decode_signed16(2, _local_b, CORBA_short );
                              _ev = (CORBA_Environment *)(&_t154_storage);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(5);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = math_multshort(_obj, _local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort300);
                                flick_khazana_encode_new_glob(6, _flick_abort300);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      flick_khazana_encode_end_glob(6);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(6);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort306);
                                      break;
                                      {
                                      _flick_abort306:
                                        goto _flick_abort300;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort307);
                                      flick_khazana_encode_end_glob(6);
                                      break;
                                      {
                                      _flick_abort307:
                                        goto _flick_abort300;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort300:
                                goto _flick_abort299;
                              }
                            }
                            break;
                            {
                            _flick_abort299:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t155_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t155_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t155_switch_tag)
            {
            case /* addl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633969260):
              {
                unsigned int _t156_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t156_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t156_switch_tag)
                  {
                  case /* ong */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869506304):
                    {
                      {
                        math _obj;
                        unsigned int _t157_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_long _local_b;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t158_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort309);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t157_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_check_span(_t157_principal_len, _flick_abort309);
                        flick_khazana_decode_new_glob(_t157_principal_len);
                        flick_khazana_decode_new_chunk(_t157_principal_len);
                        flick_khazana_decode_end_chunk(_t157_principal_len);
                        flick_khazana_decode_end_glob(_t157_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(11);
                        flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                        flick_khazana_check_span(8, _flick_abort309);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        flick_cdr_swap_decode_signed32(4, _local_b, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t158_storage);
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(11);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = math_addlong(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort309);
                          flick_khazana_encode_new_glob(8, _flick_abort309);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort315);
                                break;
                                {
                                _flick_abort315:
                                  goto _flick_abort309;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort316);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort316:
                                  goto _flick_abort309;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort309:
                          goto _flick_abort308;
                        }
                      }
                      break;
                      {
                      _flick_abort308:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* subl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937072748):
              {
                unsigned int _t159_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t159_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t159_switch_tag)
                  {
                  case /* ong */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869506304):
                    {
                      {
                        math _obj;
                        unsigned int _t160_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_long _local_b;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t161_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort318);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t160_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_check_span(_t160_principal_len, _flick_abort318);
                        flick_khazana_decode_new_glob(_t160_principal_len);
                        flick_khazana_decode_new_chunk(_t160_principal_len);
                        flick_khazana_decode_end_chunk(_t160_principal_len);
                        flick_khazana_decode_end_glob(_t160_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(11);
                        flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                        flick_khazana_check_span(8, _flick_abort318);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        flick_cdr_swap_decode_signed32(4, _local_b, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t161_storage);
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(11);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = math_sublong(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort318);
                          flick_khazana_encode_new_glob(8, _flick_abort318);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort324);
                                break;
                                {
                                _flick_abort324:
                                  goto _flick_abort318;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort325);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort325:
                                  goto _flick_abort318;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort318:
                          goto _flick_abort317;
                        }
                      }
                      break;
                      {
                      _flick_abort317:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t162_switch_tag;

          flick_khazana_check_span(16, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t162_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t162_switch_tag)
            {
            case /* addl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633969260):
              {
                unsigned int _t163_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t163_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t163_switch_tag)
                  {
                  case /* ongl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869506412):
                    {
                      unsigned int _t164_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t164_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t164_switch_tag)
                        {
                        case /* ist */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769174016):
                          {
                            {
                              math _obj;
                              unsigned int _t165_principal_len;
                              CORBA_long _return;
                              long10 *_local_a;
                              long10 _t166_storage;
                              CORBA_long _t167_storage[10];
                              CORBA_unsigned_long _t168_array_iter;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t169_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort327);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t165_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_check_span(_t165_principal_len, _flick_abort327);
                              flick_khazana_decode_new_glob(_t165_principal_len);
                              flick_khazana_decode_new_chunk(_t165_principal_len);
                              flick_khazana_decode_end_chunk(_t165_principal_len);
                              flick_khazana_decode_end_glob(_t165_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (long10 *)(&_t166_storage);
                              flick_khazana_decode_new_glob(47);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort327);
                              flick_cdr_swap_decode_unsigned32(0, _local_a->_length, CORBA_unsigned_long );
                              flick_khazana_decode_end_chunk(4);
                              if (_local_a->_length > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort327);
                              _local_a->_buffer = (CORBA_long *)_t167_storage;
                              _local_a->_maximum = 10;
                              _local_a->_release = 0;
                              flick_khazana_check_span(_local_a->_length * 4, _flick_abort327);
                              for (_t168_array_iter = 0; _t168_array_iter < _local_a->_length; _t168_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_a->_buffer[_t168_array_iter], CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                }
                              _ev = (CORBA_Environment *)(&_t169_storage);
                              flick_khazana_decode_end_glob(47);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = math_addlonglist(_obj, _local_a, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort327);
                                flick_khazana_encode_new_glob(8, _flick_abort327);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort338);
                                      break;
                                      {
                                      _flick_abort338:
                                        goto _flick_abort327;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort339);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort339:
                                        goto _flick_abort327;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort327:
                                goto _flick_abort326;
                              }
                            }
                            break;
                            {
                            _flick_abort326:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          unsigned int _t170_switch_tag;

          flick_khazana_check_span(20, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t170_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t170_switch_tag)
            {
            case /* mult */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836412020):
              {
                unsigned int _t171_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t171_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t171_switch_tag)
                  {
                  case /* long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819242087):
                    {
                      unsigned int _t172_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t172_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t172_switch_tag)
                        {
                        case /* list */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818850164):
                          {
                            char _t173_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t173_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t173_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    math _obj;
                                    unsigned int _t174_principal_len;
                                    CORBA_long _return;
                                    long10 *_local_a;
                                    long10 _t175_storage;
                                    CORBA_long _t176_storage[10];
                                    CORBA_unsigned_long _t177_array_iter;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t178_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort341);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(7);
                                    flick_cdr_swap_decode_unsigned32(3, _t174_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(7);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_check_span(_t174_principal_len, _flick_abort341);
                                    flick_khazana_decode_new_glob(_t174_principal_len);
                                    flick_khazana_decode_new_chunk(_t174_principal_len);
                                    flick_khazana_decode_end_chunk(_t174_principal_len);
                                    flick_khazana_decode_end_glob(_t174_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_a = (long10 *)(&_t175_storage);
                                    flick_khazana_decode_new_glob(47);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort341);
                                    flick_cdr_swap_decode_unsigned32(0, _local_a->_length, CORBA_unsigned_long );
                                    flick_khazana_decode_end_chunk(4);
                                    if (_local_a->_length > 10)
                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort341);
                                    _local_a->_buffer = (CORBA_long *)_t176_storage;
                                    _local_a->_maximum = 10;
                                    _local_a->_release = 0;
                                    flick_khazana_check_span(_local_a->_length * 4, _flick_abort341);
                                    for (_t177_array_iter = 0; _t177_array_iter < _local_a->_length; _t177_array_iter++)
                                      {
                                        flick_khazana_decode_new_chunk(4);
                                        flick_cdr_swap_decode_signed32(0, _local_a->_buffer[_t177_array_iter], CORBA_long );
                                        flick_khazana_decode_end_chunk(4);
                                        continue;
                                      }
                                    _ev = (CORBA_Environment *)(&_t178_storage);
                                    flick_khazana_decode_end_glob(47);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = math_multlonglist(_obj, _local_a, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort341);
                                      flick_khazana_encode_new_glob(8, _flick_abort341);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return, CORBA_long );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(8);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort352);
                                            break;
                                            {
                                            _flick_abort352:
                                              goto _flick_abort341;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort353);
                                            flick_khazana_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort353:
                                              goto _flick_abort341;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort341:
                                      goto _flick_abort340;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort340:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t179_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t179_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t179_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t180_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t180_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t180_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t181_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t182_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t183_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort355);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t181_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_check_span(_t181_principal_len, _flick_abort355);
                        flick_khazana_decode_new_glob(_t181_principal_len);
                        flick_khazana_decode_new_chunk(_t181_principal_len);
                        flick_khazana_decode_end_chunk(_t181_principal_len);
                        flick_khazana_decode_end_glob(_t181_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort355);
                        flick_cdr_swap_decode_unsigned32(0, _t182_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t182_temp_string_len);
                        flick_khazana_check_span(1 * _t182_temp_string_len, _flick_abort355);
                        flick_khazana_decode_new_chunk(1 * _t182_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t182_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t182_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t183_storage);
                        _par = flick_interface_parents_math;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort355);
                          flick_khazana_encode_new_glob(5, _flick_abort355);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort363);
                                break;
                                {
                                _flick_abort363:
                                  goto _flick_abort355;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort364);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort364:
                                  goto _flick_abort355;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort355:
                          goto _flick_abort354;
                        }
                      }
                      break;
                      {
                      _flick_abort354:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(24);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t44_switch_tag;

    flick_khazana_decode_new_glob(24);
    flick_khazana_check_span(16, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t44_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t44_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t45_switch_tag;

          flick_khazana_check_span(16, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t45_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t45_switch_tag)
            {
            case /* adds */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633969267):
              {
                unsigned int _t46_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t46_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t46_switch_tag)
                  {
                  case /* hort */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134260):
                    {
                      char _t47_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t47_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t47_switch_tag)
                        {
                        case 0:
                          {
                            {
                              math _obj;
                              unsigned int _t48_principal_len;
                              CORBA_short _return;
                              CORBA_short _local_a;
                              CORBA_short _local_b;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t49_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort92);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t48_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_check_span(_t48_principal_len, _flick_abort92);
                              flick_khazana_decode_new_glob(_t48_principal_len);
                              flick_khazana_decode_new_chunk(_t48_principal_len);
                              flick_khazana_decode_end_chunk(_t48_principal_len);
                              flick_khazana_decode_end_glob(_t48_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(5);
                              flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                              flick_khazana_check_span(4, _flick_abort92);
                              flick_cdr_decode_signed16(0, _local_a, CORBA_short );
                              flick_cdr_decode_signed16(2, _local_b, CORBA_short );
                              _ev = (CORBA_Environment *)(&_t49_storage);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(5);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = math_addshort(_obj, _local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort92);
                                flick_khazana_encode_new_glob(6, _flick_abort92);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      flick_khazana_encode_end_glob(6);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(6);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort98);
                                      break;
                                      {
                                      _flick_abort98:
                                        goto _flick_abort92;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort99);
                                      flick_khazana_encode_end_glob(6);
                                      break;
                                      {
                                      _flick_abort99:
                                        goto _flick_abort92;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort92:
                                goto _flick_abort91;
                              }
                            }
                            break;
                            {
                            _flick_abort91:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* subs */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937072755):
              {
                unsigned int _t50_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t50_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t50_switch_tag)
                  {
                  case /* hort */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134260):
                    {
                      char _t51_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t51_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t51_switch_tag)
                        {
                        case 0:
                          {
                            {
                              math _obj;
                              unsigned int _t52_principal_len;
                              CORBA_short _return;
                              CORBA_short _local_a;
                              CORBA_short _local_b;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t53_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort101);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t52_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_check_span(_t52_principal_len, _flick_abort101);
                              flick_khazana_decode_new_glob(_t52_principal_len);
                              flick_khazana_decode_new_chunk(_t52_principal_len);
                              flick_khazana_decode_end_chunk(_t52_principal_len);
                              flick_khazana_decode_end_glob(_t52_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(5);
                              flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                              flick_khazana_check_span(4, _flick_abort101);
                              flick_cdr_decode_signed16(0, _local_a, CORBA_short );
                              flick_cdr_decode_signed16(2, _local_b, CORBA_short );
                              _ev = (CORBA_Environment *)(&_t53_storage);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(5);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = math_subshort(_obj, _local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort101);
                                flick_khazana_encode_new_glob(6, _flick_abort101);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      flick_khazana_encode_end_glob(6);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(6);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort107);
                                      break;
                                      {
                                      _flick_abort107:
                                        goto _flick_abort101;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort108);
                                      flick_khazana_encode_end_glob(6);
                                      break;
                                      {
                                      _flick_abort108:
                                        goto _flick_abort101;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort101:
                                goto _flick_abort100;
                              }
                            }
                            break;
                            {
                            _flick_abort100:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* mult */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836412020):
              {
                unsigned int _t54_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t54_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t54_switch_tag)
                  {
                  case /* long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819242087):
                    {
                      char _t55_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t55_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t55_switch_tag)
                        {
                        case 0:
                          {
                            {
                              math _obj;
                              unsigned int _t56_principal_len;
                              CORBA_long _return;
                              CORBA_long _local_a;
                              CORBA_long _local_b;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t57_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort110);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t56_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_check_span(_t56_principal_len, _flick_abort110);
                              flick_khazana_decode_new_glob(_t56_principal_len);
                              flick_khazana_decode_new_chunk(_t56_principal_len);
                              flick_khazana_decode_end_chunk(_t56_principal_len);
                              flick_khazana_decode_end_glob(_t56_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(11);
                              flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                              flick_khazana_check_span(8, _flick_abort110);
                              flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                              flick_cdr_decode_signed32(4, _local_b, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t57_storage);
                              flick_khazana_decode_end_chunk(8);
                              flick_khazana_decode_end_glob(11);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = math_multlong(_obj, _local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort110);
                                flick_khazana_encode_new_glob(8, _flick_abort110);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort116);
                                      break;
                                      {
                                      _flick_abort116:
                                        goto _flick_abort110;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort117);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort117:
                                        goto _flick_abort110;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort110:
                                goto _flick_abort109;
                              }
                            }
                            break;
                            {
                            _flick_abort109:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t58_switch_tag;

          flick_khazana_check_span(16, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t58_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t58_switch_tag)
            {
            case /* mult */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836412020):
              {
                unsigned int _t59_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t59_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t59_switch_tag)
                  {
                  case /* shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936224114):
                    {
                      unsigned short int _t60_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t60_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t60_switch_tag)
                        {
                        case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                          {
                            {
                              math _obj;
                              unsigned int _t61_principal_len;
                              CORBA_short _return;
                              CORBA_short _local_a;
                              CORBA_short _local_b;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t62_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort119);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t61_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_check_span(_t61_principal_len, _flick_abort119);
                              flick_khazana_decode_new_glob(_t61_principal_len);
                              flick_khazana_decode_new_chunk(_t61_principal_len);
                              flick_khazana_decode_end_chunk(_t61_principal_len);
                              flick_khazana_decode_end_glob(_t61_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(5);
                              flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                              flick_khazana_check_span(4, _flick_abort119);
                              flick_cdr_decode_signed16(0, _local_a, CORBA_short );
                              flick_cdr_decode_signed16(2, _local_b, CORBA_short );
                              _ev = (CORBA_Environment *)(&_t62_storage);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(5);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = math_multshort(_obj, _local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort119);
                                flick_khazana_encode_new_glob(6, _flick_abort119);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      flick_khazana_encode_end_glob(6);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(6);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort125);
                                      break;
                                      {
                                      _flick_abort125:
                                        goto _flick_abort119;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort126);
                                      flick_khazana_encode_end_glob(6);
                                      break;
                                      {
                                      _flick_abort126:
                                        goto _flick_abort119;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort119:
                                goto _flick_abort118;
                              }
                            }
                            break;
                            {
                            _flick_abort118:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t63_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t63_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t63_switch_tag)
            {
            case /* addl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633969260):
              {
                unsigned int _t64_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t64_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t64_switch_tag)
                  {
                  case /* ong */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869506304):
                    {
                      {
                        math _obj;
                        unsigned int _t65_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_long _local_b;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t66_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort128);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t65_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_check_span(_t65_principal_len, _flick_abort128);
                        flick_khazana_decode_new_glob(_t65_principal_len);
                        flick_khazana_decode_new_chunk(_t65_principal_len);
                        flick_khazana_decode_end_chunk(_t65_principal_len);
                        flick_khazana_decode_end_glob(_t65_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(11);
                        flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                        flick_khazana_check_span(8, _flick_abort128);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        flick_cdr_decode_signed32(4, _local_b, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t66_storage);
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(11);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = math_addlong(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort128);
                          flick_khazana_encode_new_glob(8, _flick_abort128);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort134);
                                break;
                                {
                                _flick_abort134:
                                  goto _flick_abort128;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort135);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort135:
                                  goto _flick_abort128;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort128:
                          goto _flick_abort127;
                        }
                      }
                      break;
                      {
                      _flick_abort127:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* subl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937072748):
              {
                unsigned int _t67_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t67_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t67_switch_tag)
                  {
                  case /* ong */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869506304):
                    {
                      {
                        math _obj;
                        unsigned int _t68_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_long _local_b;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t69_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort137);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t68_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_check_span(_t68_principal_len, _flick_abort137);
                        flick_khazana_decode_new_glob(_t68_principal_len);
                        flick_khazana_decode_new_chunk(_t68_principal_len);
                        flick_khazana_decode_end_chunk(_t68_principal_len);
                        flick_khazana_decode_end_glob(_t68_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(11);
                        flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                        flick_khazana_check_span(8, _flick_abort137);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        flick_cdr_decode_signed32(4, _local_b, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t69_storage);
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(11);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = math_sublong(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort137);
                          flick_khazana_encode_new_glob(8, _flick_abort137);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort143);
                                break;
                                {
                                _flick_abort143:
                                  goto _flick_abort137;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort144);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort144:
                                  goto _flick_abort137;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort137:
                          goto _flick_abort136;
                        }
                      }
                      break;
                      {
                      _flick_abort136:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t70_switch_tag;

          flick_khazana_check_span(16, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t70_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t70_switch_tag)
            {
            case /* addl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633969260):
              {
                unsigned int _t71_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t71_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t71_switch_tag)
                  {
                  case /* ongl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869506412):
                    {
                      unsigned int _t72_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t72_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t72_switch_tag)
                        {
                        case /* ist */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769174016):
                          {
                            {
                              math _obj;
                              unsigned int _t73_principal_len;
                              CORBA_long _return;
                              long10 *_local_a;
                              long10 _t74_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t75_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort146);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t73_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_check_span(_t73_principal_len, _flick_abort146);
                              flick_khazana_decode_new_glob(_t73_principal_len);
                              flick_khazana_decode_new_chunk(_t73_principal_len);
                              flick_khazana_decode_end_chunk(_t73_principal_len);
                              flick_khazana_decode_end_glob(_t73_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (long10 *)(&_t74_storage);
                              flick_khazana_decode_new_glob(47);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort146);
                              flick_cdr_decode_unsigned32(0, _local_a->_length, CORBA_unsigned_long );
                              if (_local_a->_length > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort146);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_check_span(4 * _local_a->_length, _flick_abort146);
                              flick_khazana_decode_new_chunk(4 * _local_a->_length);
                              flick_cdr_decode_msgptr(0, _local_a->_buffer, CORBA_long *);
                              _local_a->_maximum = _local_a->_length;
                              _local_a->_release = 0;
                              flick_khazana_decode_end_chunk(4 * _local_a->_length);
                              _ev = (CORBA_Environment *)(&_t75_storage);
                              flick_khazana_decode_end_glob(47);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = math_addlonglist(_obj, _local_a, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort146);
                                flick_khazana_encode_new_glob(8, _flick_abort146);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort154);
                                      break;
                                      {
                                      _flick_abort154:
                                        goto _flick_abort146;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort155);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort155:
                                        goto _flick_abort146;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort146:
                                goto _flick_abort145;
                              }
                            }
                            break;
                            {
                            _flick_abort145:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          unsigned int _t76_switch_tag;

          flick_khazana_check_span(20, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t76_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t76_switch_tag)
            {
            case /* mult */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836412020):
              {
                unsigned int _t77_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t77_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t77_switch_tag)
                  {
                  case /* long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819242087):
                    {
                      unsigned int _t78_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t78_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t78_switch_tag)
                        {
                        case /* list */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818850164):
                          {
                            char _t79_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t79_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t79_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    math _obj;
                                    unsigned int _t80_principal_len;
                                    CORBA_long _return;
                                    long10 *_local_a;
                                    long10 _t81_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t82_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort157);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(7);
                                    flick_cdr_decode_unsigned32(3, _t80_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(7);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_check_span(_t80_principal_len, _flick_abort157);
                                    flick_khazana_decode_new_glob(_t80_principal_len);
                                    flick_khazana_decode_new_chunk(_t80_principal_len);
                                    flick_khazana_decode_end_chunk(_t80_principal_len);
                                    flick_khazana_decode_end_glob(_t80_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_a = (long10 *)(&_t81_storage);
                                    flick_khazana_decode_new_glob(47);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort157);
                                    flick_cdr_decode_unsigned32(0, _local_a->_length, CORBA_unsigned_long );
                                    if (_local_a->_length > 10)
                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort157);
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_check_span(4 * _local_a->_length, _flick_abort157);
                                    flick_khazana_decode_new_chunk(4 * _local_a->_length);
                                    flick_cdr_decode_msgptr(0, _local_a->_buffer, CORBA_long *);
                                    _local_a->_maximum = _local_a->_length;
                                    _local_a->_release = 0;
                                    flick_khazana_decode_end_chunk(4 * _local_a->_length);
                                    _ev = (CORBA_Environment *)(&_t82_storage);
                                    flick_khazana_decode_end_glob(47);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = math_multlonglist(_obj, _local_a, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort157);
                                      flick_khazana_encode_new_glob(8, _flick_abort157);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return, CORBA_long );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(8);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort165);
                                            break;
                                            {
                                            _flick_abort165:
                                              goto _flick_abort157;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort166);
                                            flick_khazana_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort166:
                                              goto _flick_abort157;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort157:
                                      goto _flick_abort156;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort156:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t83_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t83_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t83_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t84_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t84_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t84_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t85_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t86_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t87_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort168);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t85_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_check_span(_t85_principal_len, _flick_abort168);
                        flick_khazana_decode_new_glob(_t85_principal_len);
                        flick_khazana_decode_new_chunk(_t85_principal_len);
                        flick_khazana_decode_end_chunk(_t85_principal_len);
                        flick_khazana_decode_end_glob(_t85_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort168);
                        flick_cdr_decode_unsigned32(0, _t86_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t86_temp_string_len);
                        flick_khazana_check_span(1 * _t86_temp_string_len, _flick_abort168);
                        flick_khazana_decode_new_chunk(1 * _t86_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t86_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t86_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t87_storage);
                        _par = flick_interface_parents_math;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort168);
                          flick_khazana_encode_new_glob(5, _flick_abort168);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort176);
                                break;
                                {
                                _flick_abort176:
                                  goto _flick_abort168;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort177);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort177:
                                  goto _flick_abort168;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort168:
                          goto _flick_abort167;
                        }
                      }
                      break;
                      {
                      _flick_abort167:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(24);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

