#include "structnest_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_test[] = {
	"IDL:test:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t test_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t90_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t90_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t90_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t91_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t91_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t91_switch_tag)
            {
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  test _obj;
                  unsigned int _t92_principal_len;
                  struct a _return;
                  struct a *_local_s1;
                  struct a _t93_storage;
                  struct a *_local_s2;
                  struct a _t94_storage;
                  struct a *_local_s3;
                  struct a _t95_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t96_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort171);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t92_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t92_principal_len, _flick_abort171);
                  flick_khazana_decode_new_glob(_t92_principal_len);
                  flick_khazana_decode_new_chunk(_t92_principal_len);
                  flick_khazana_decode_end_chunk(_t92_principal_len);
                  flick_khazana_decode_end_glob(_t92_principal_len);
                  /* Begin decode phase on parameters */
                  _local_s1 = (struct a *)(&_t93_storage);
                  flick_khazana_decode_new_glob(195);
                  flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                  flick_khazana_check_span(4, _flick_abort171);
                  flick_cdr_swap_decode_signed16(0, _local_s1->e.c, CORBA_short );
                  flick_cdr_swap_decode_char8(2, _local_s1->e.d, CORBA_char );
                  flick_cdr_swap_decode_unsigned8(3, _local_s1->e.e.c, CORBA_boolean );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_new_chunk_align(14, 2, 1, 0);
                  flick_khazana_check_span(14, _flick_abort171);
                  flick_cdr_swap_decode_signed32(0, _local_s1->e.e.d, CORBA_long );
                  flick_cdr_swap_decode_signed16(4, _local_s1->e.f, CORBA_short );
                  flick_cdr_swap_decode_unsigned8(6, _local_s1->e.g.c, CORBA_boolean );
                  flick_cdr_swap_decode_signed32(8, _local_s1->e.g.d, CORBA_long );
                  flick_cdr_swap_decode_signed16(12, _local_s1->h.a, CORBA_short );
                  flick_khazana_decode_end_chunk(14);
                  flick_khazana_decode_new_chunk_align(168, 3, 2, 2);
                  flick_khazana_check_span(168, _flick_abort171);
                  flick_cdr_swap_decode_float64(0, _local_s1->h.b, CORBA_double );
                  flick_cdr_swap_decode_signed16(8, _local_s1->j.b.a.a, CORBA_short );
                  flick_cdr_swap_decode_float64(16, _local_s1->j.b.a.b, CORBA_double );
                  flick_cdr_swap_decode_signed16(24, _local_s1->j.m.a, CORBA_short );
                  flick_cdr_swap_decode_float64(32, _local_s1->j.m.b, CORBA_double );
                  flick_cdr_swap_decode_float32(40, _local_s1->f, CORBA_float );
                  flick_cdr_swap_decode_signed16(44, _local_s1->g.c, CORBA_short );
                  flick_cdr_swap_decode_char8(46, _local_s1->g.d, CORBA_char );
                  flick_cdr_swap_decode_unsigned8(47, _local_s1->g.e.c, CORBA_boolean );
                  flick_cdr_swap_decode_signed32(48, _local_s1->g.e.d, CORBA_long );
                  flick_cdr_swap_decode_signed16(52, _local_s1->g.f, CORBA_short );
                  flick_cdr_swap_decode_unsigned8(54, _local_s1->g.g.c, CORBA_boolean );
                  flick_cdr_swap_decode_signed32(56, _local_s1->g.g.d, CORBA_long );
                  flick_cdr_swap_decode_signed16(60, _local_s1->i.a, CORBA_short );
                  flick_cdr_swap_decode_float64(64, _local_s1->i.b, CORBA_double );
                  _local_s2 = (struct a *)(&_t94_storage);
                  flick_cdr_swap_decode_signed16(72, _local_s2->e.c, CORBA_short );
                  flick_cdr_swap_decode_char8(74, _local_s2->e.d, CORBA_char );
                  flick_cdr_swap_decode_unsigned8(75, _local_s2->e.e.c, CORBA_boolean );
                  flick_cdr_swap_decode_signed32(76, _local_s2->e.e.d, CORBA_long );
                  flick_cdr_swap_decode_signed16(80, _local_s2->e.f, CORBA_short );
                  flick_cdr_swap_decode_unsigned8(82, _local_s2->e.g.c, CORBA_boolean );
                  flick_cdr_swap_decode_signed32(84, _local_s2->e.g.d, CORBA_long );
                  flick_cdr_swap_decode_signed16(88, _local_s2->h.a, CORBA_short );
                  flick_cdr_swap_decode_float64(96, _local_s2->h.b, CORBA_double );
                  flick_cdr_swap_decode_signed16(104, _local_s2->j.b.a.a, CORBA_short );
                  flick_cdr_swap_decode_float64(112, _local_s2->j.b.a.b, CORBA_double );
                  flick_cdr_swap_decode_signed16(120, _local_s2->j.m.a, CORBA_short );
                  flick_cdr_swap_decode_float64(128, _local_s2->j.m.b, CORBA_double );
                  flick_cdr_swap_decode_float32(136, _local_s2->f, CORBA_float );
                  flick_cdr_swap_decode_signed16(140, _local_s2->g.c, CORBA_short );
                  flick_cdr_swap_decode_char8(142, _local_s2->g.d, CORBA_char );
                  flick_cdr_swap_decode_unsigned8(143, _local_s2->g.e.c, CORBA_boolean );
                  flick_cdr_swap_decode_signed32(144, _local_s2->g.e.d, CORBA_long );
                  flick_cdr_swap_decode_signed16(148, _local_s2->g.f, CORBA_short );
                  flick_cdr_swap_decode_unsigned8(150, _local_s2->g.g.c, CORBA_boolean );
                  flick_cdr_swap_decode_signed32(152, _local_s2->g.g.d, CORBA_long );
                  flick_cdr_swap_decode_signed16(156, _local_s2->i.a, CORBA_short );
                  flick_cdr_swap_decode_float64(160, _local_s2->i.b, CORBA_double );
                  _local_s3 = (struct a *)(&_t95_storage);
                  _ev = (CORBA_Environment *)(&_t96_storage);
                  flick_khazana_decode_end_chunk(168);
                  flick_khazana_decode_end_glob(195);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = test_op1(_obj, _local_s1, _local_s2, _local_s3, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort171);
                    flick_khazana_encode_new_glob(292, _flick_abort171);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(18);
                          flick_cdr_encode_signed16(0, _return.e.c, CORBA_short );
                          flick_cdr_encode_char8(2, _return.e.d, CORBA_char );
                          flick_cdr_encode_unsigned8(3, _return.e.e.c, CORBA_boolean );
                          flick_cdr_encode_signed32(4, _return.e.e.d, CORBA_long );
                          flick_cdr_encode_signed16(8, _return.e.f, CORBA_short );
                          flick_cdr_encode_unsigned8(10, _return.e.g.c, CORBA_boolean );
                          flick_cdr_encode_signed32(12, _return.e.g.d, CORBA_long );
                          flick_cdr_encode_signed16(16, _return.h.a, CORBA_short );
                          flick_khazana_encode_end_chunk(18);
                          flick_khazana_encode_new_chunk_align(264, 3, 2, 2);
                          flick_cdr_encode_float64(0, _return.h.b, CORBA_double );
                          flick_cdr_encode_signed16(8, _return.j.b.a.a, CORBA_short );
                          flick_cdr_encode_float64(16, _return.j.b.a.b, CORBA_double );
                          flick_cdr_encode_signed16(24, _return.j.m.a, CORBA_short );
                          flick_cdr_encode_float64(32, _return.j.m.b, CORBA_double );
                          flick_cdr_encode_float32(40, _return.f, CORBA_float );
                          flick_cdr_encode_signed16(44, _return.g.c, CORBA_short );
                          flick_cdr_encode_char8(46, _return.g.d, CORBA_char );
                          flick_cdr_encode_unsigned8(47, _return.g.e.c, CORBA_boolean );
                          flick_cdr_encode_signed32(48, _return.g.e.d, CORBA_long );
                          flick_cdr_encode_signed16(52, _return.g.f, CORBA_short );
                          flick_cdr_encode_unsigned8(54, _return.g.g.c, CORBA_boolean );
                          flick_cdr_encode_signed32(56, _return.g.g.d, CORBA_long );
                          flick_cdr_encode_signed16(60, _return.i.a, CORBA_short );
                          flick_cdr_encode_float64(64, _return.i.b, CORBA_double );
                          flick_cdr_encode_signed16(72, _local_s2->e.c, CORBA_short );
                          flick_cdr_encode_char8(74, _local_s2->e.d, CORBA_char );
                          flick_cdr_encode_unsigned8(75, _local_s2->e.e.c, CORBA_boolean );
                          flick_cdr_encode_signed32(76, _local_s2->e.e.d, CORBA_long );
                          flick_cdr_encode_signed16(80, _local_s2->e.f, CORBA_short );
                          flick_cdr_encode_unsigned8(82, _local_s2->e.g.c, CORBA_boolean );
                          flick_cdr_encode_signed32(84, _local_s2->e.g.d, CORBA_long );
                          flick_cdr_encode_signed16(88, _local_s2->h.a, CORBA_short );
                          flick_cdr_encode_float64(96, _local_s2->h.b, CORBA_double );
                          flick_cdr_encode_signed16(104, _local_s2->j.b.a.a, CORBA_short );
                          flick_cdr_encode_float64(112, _local_s2->j.b.a.b, CORBA_double );
                          flick_cdr_encode_signed16(120, _local_s2->j.m.a, CORBA_short );
                          flick_cdr_encode_float64(128, _local_s2->j.m.b, CORBA_double );
                          flick_cdr_encode_float32(136, _local_s2->f, CORBA_float );
                          flick_cdr_encode_signed16(140, _local_s2->g.c, CORBA_short );
                          flick_cdr_encode_char8(142, _local_s2->g.d, CORBA_char );
                          flick_cdr_encode_unsigned8(143, _local_s2->g.e.c, CORBA_boolean );
                          flick_cdr_encode_signed32(144, _local_s2->g.e.d, CORBA_long );
                          flick_cdr_encode_signed16(148, _local_s2->g.f, CORBA_short );
                          flick_cdr_encode_unsigned8(150, _local_s2->g.g.c, CORBA_boolean );
                          flick_cdr_encode_signed32(152, _local_s2->g.g.d, CORBA_long );
                          flick_cdr_encode_signed16(156, _local_s2->i.a, CORBA_short );
                          flick_cdr_encode_float64(160, _local_s2->i.b, CORBA_double );
                          flick_cdr_encode_signed16(168, _local_s3->e.c, CORBA_short );
                          flick_cdr_encode_char8(170, _local_s3->e.d, CORBA_char );
                          flick_cdr_encode_unsigned8(171, _local_s3->e.e.c, CORBA_boolean );
                          flick_cdr_encode_signed32(172, _local_s3->e.e.d, CORBA_long );
                          flick_cdr_encode_signed16(176, _local_s3->e.f, CORBA_short );
                          flick_cdr_encode_unsigned8(178, _local_s3->e.g.c, CORBA_boolean );
                          flick_cdr_encode_signed32(180, _local_s3->e.g.d, CORBA_long );
                          flick_cdr_encode_signed16(184, _local_s3->h.a, CORBA_short );
                          flick_cdr_encode_float64(192, _local_s3->h.b, CORBA_double );
                          flick_cdr_encode_signed16(200, _local_s3->j.b.a.a, CORBA_short );
                          flick_cdr_encode_float64(208, _local_s3->j.b.a.b, CORBA_double );
                          flick_cdr_encode_signed16(216, _local_s3->j.m.a, CORBA_short );
                          flick_cdr_encode_float64(224, _local_s3->j.m.b, CORBA_double );
                          flick_cdr_encode_float32(232, _local_s3->f, CORBA_float );
                          flick_cdr_encode_signed16(236, _local_s3->g.c, CORBA_short );
                          flick_cdr_encode_char8(238, _local_s3->g.d, CORBA_char );
                          flick_cdr_encode_unsigned8(239, _local_s3->g.e.c, CORBA_boolean );
                          flick_cdr_encode_signed32(240, _local_s3->g.e.d, CORBA_long );
                          flick_cdr_encode_signed16(244, _local_s3->g.f, CORBA_short );
                          flick_cdr_encode_unsigned8(246, _local_s3->g.g.c, CORBA_boolean );
                          flick_cdr_encode_signed32(248, _local_s3->g.g.d, CORBA_long );
                          flick_cdr_encode_signed16(252, _local_s3->i.a, CORBA_short );
                          flick_cdr_encode_float64(256, _local_s3->i.b, CORBA_double );
                          flick_khazana_encode_end_chunk(264);
                          flick_khazana_encode_end_glob(292);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(292);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort177);
                          break;
                          {
                          _flick_abort177:
                            goto _flick_abort171;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort178);
                          flick_khazana_encode_end_glob(292);
                          break;
                          {
                          _flick_abort178:
                            goto _flick_abort171;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort171:
                    goto _flick_abort170;
                  }
                }
                break;
                {
                _flick_abort170:
                  goto _flick_abort2;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  test _obj;
                  unsigned int _t97_principal_len;
                  struct b _return;
                  struct b *_local_s1;
                  struct b _t98_storage;
                  struct b *_local_s2;
                  struct b _t99_storage;
                  struct b *_local_s3;
                  struct b _t100_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t101_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort180);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t97_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t97_principal_len, _flick_abort180);
                  flick_khazana_decode_new_glob(_t97_principal_len);
                  flick_khazana_decode_new_chunk(_t97_principal_len);
                  flick_khazana_decode_end_chunk(_t97_principal_len);
                  flick_khazana_decode_end_glob(_t97_principal_len);
                  /* Begin decode phase on parameters */
                  _local_s1 = (struct b *)(&_t98_storage);
                  flick_khazana_decode_new_glob(40);
                  flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                  flick_khazana_check_span(4, _flick_abort180);
                  flick_cdr_swap_decode_signed16(0, _local_s1->c.c, CORBA_short );
                  flick_cdr_swap_decode_char8(2, _local_s1->c.d, CORBA_char );
                  flick_cdr_swap_decode_unsigned8(3, _local_s1->c.e.c, CORBA_boolean );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_new_chunk_align(33, 2, 1, 0);
                  flick_khazana_check_span(33, _flick_abort180);
                  flick_cdr_swap_decode_signed32(0, _local_s1->c.e.d, CORBA_long );
                  flick_cdr_swap_decode_signed16(4, _local_s1->c.f, CORBA_short );
                  flick_cdr_swap_decode_unsigned8(6, _local_s1->c.g.c, CORBA_boolean );
                  flick_cdr_swap_decode_signed32(8, _local_s1->c.g.d, CORBA_long );
                  flick_cdr_swap_decode_char8(12, _local_s1->d, CORBA_char );
                  _local_s2 = (struct b *)(&_t99_storage);
                  flick_cdr_swap_decode_signed16(14, _local_s2->c.c, CORBA_short );
                  flick_cdr_swap_decode_char8(16, _local_s2->c.d, CORBA_char );
                  flick_cdr_swap_decode_unsigned8(17, _local_s2->c.e.c, CORBA_boolean );
                  flick_cdr_swap_decode_signed32(20, _local_s2->c.e.d, CORBA_long );
                  flick_cdr_swap_decode_signed16(24, _local_s2->c.f, CORBA_short );
                  flick_cdr_swap_decode_unsigned8(26, _local_s2->c.g.c, CORBA_boolean );
                  flick_cdr_swap_decode_signed32(28, _local_s2->c.g.d, CORBA_long );
                  flick_cdr_swap_decode_char8(32, _local_s2->d, CORBA_char );
                  _local_s3 = (struct b *)(&_t100_storage);
                  _ev = (CORBA_Environment *)(&_t101_storage);
                  flick_khazana_decode_end_chunk(33);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = test_op2(_obj, _local_s1, _local_s2, _local_s3, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort180);
                    flick_khazana_encode_new_glob(61, _flick_abort180);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(57);
                          flick_cdr_encode_signed16(0, _return.c.c, CORBA_short );
                          flick_cdr_encode_char8(2, _return.c.d, CORBA_char );
                          flick_cdr_encode_unsigned8(3, _return.c.e.c, CORBA_boolean );
                          flick_cdr_encode_signed32(4, _return.c.e.d, CORBA_long );
                          flick_cdr_encode_signed16(8, _return.c.f, CORBA_short );
                          flick_cdr_encode_unsigned8(10, _return.c.g.c, CORBA_boolean );
                          flick_cdr_encode_signed32(12, _return.c.g.d, CORBA_long );
                          flick_cdr_encode_char8(16, _return.d, CORBA_char );
                          flick_cdr_encode_signed16(18, _local_s2->c.c, CORBA_short );
                          flick_cdr_encode_char8(20, _local_s2->c.d, CORBA_char );
                          flick_cdr_encode_unsigned8(21, _local_s2->c.e.c, CORBA_boolean );
                          flick_cdr_encode_signed32(24, _local_s2->c.e.d, CORBA_long );
                          flick_cdr_encode_signed16(28, _local_s2->c.f, CORBA_short );
                          flick_cdr_encode_unsigned8(30, _local_s2->c.g.c, CORBA_boolean );
                          flick_cdr_encode_signed32(32, _local_s2->c.g.d, CORBA_long );
                          flick_cdr_encode_char8(36, _local_s2->d, CORBA_char );
                          flick_cdr_encode_signed16(38, _local_s3->c.c, CORBA_short );
                          flick_cdr_encode_char8(40, _local_s3->c.d, CORBA_char );
                          flick_cdr_encode_unsigned8(41, _local_s3->c.e.c, CORBA_boolean );
                          flick_cdr_encode_signed32(44, _local_s3->c.e.d, CORBA_long );
                          flick_cdr_encode_signed16(48, _local_s3->c.f, CORBA_short );
                          flick_cdr_encode_unsigned8(50, _local_s3->c.g.c, CORBA_boolean );
                          flick_cdr_encode_signed32(52, _local_s3->c.g.d, CORBA_long );
                          flick_cdr_encode_char8(56, _local_s3->d, CORBA_char );
                          flick_khazana_encode_end_chunk(57);
                          flick_khazana_encode_end_glob(61);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(61);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort186);
                          break;
                          {
                          _flick_abort186:
                            goto _flick_abort180;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort187);
                          flick_khazana_encode_end_glob(61);
                          break;
                          {
                          _flick_abort187:
                            goto _flick_abort180;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort180:
                    goto _flick_abort179;
                  }
                }
                break;
                {
                _flick_abort179:
                  goto _flick_abort2;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  test _obj;
                  unsigned int _t102_principal_len;
                  struct c *_return;
                  struct c *_local_s1;
                  struct c _t103_storage;
                  flick_unsigned32_t _t104_temp_string_len;
                  struct c *_local_s2;
                  struct c _t105_storage;
                  flick_unsigned32_t _t106_temp_string_len;
                  struct c **_local_s3;
                  struct c *_t107_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t108_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort189);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t102_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t102_principal_len + 1, _flick_abort189);
                  flick_khazana_decode_new_glob(_t102_principal_len);
                  flick_khazana_decode_new_chunk(_t102_principal_len);
                  flick_khazana_decode_end_chunk(_t102_principal_len);
                  flick_khazana_decode_end_glob(_t102_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_s1 = (struct c *)(&_t103_storage);
                  flick_khazana_decode_new_glob(28);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_swap_decode_unsigned8(0, _local_s1->q.c, CORBA_boolean );
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_new_chunk_align(6, 2, 0, 0);
                  flick_khazana_check_span(6, _flick_abort189);
                  flick_cdr_swap_decode_signed32(0, _local_s1->q.d, CORBA_long );
                  flick_cdr_swap_decode_signed16(4, _local_s1->z.a.a, CORBA_short );
                  flick_khazana_decode_end_chunk(6);
                  flick_khazana_decode_new_chunk_align(12, 3, 2, 2);
                  flick_khazana_check_span(12, _flick_abort189);
                  flick_cdr_swap_decode_float64(0, _local_s1->z.a.b, CORBA_double );
                  flick_cdr_swap_decode_unsigned32(8, _t104_temp_string_len, flick_unsigned32_t );
                  flick_khazana_decode_end_chunk(12);
                  flick_khazana_decode_end_glob(28);
                  flick_khazana_decode_new_glob(1 * _t104_temp_string_len);
                  flick_khazana_check_span(1 * _t104_temp_string_len + 1, _flick_abort189);
                  flick_khazana_decode_new_chunk(1 * _t104_temp_string_len);
                  flick_cdr_swap_decode_msgptr(0, _local_s1->s, CORBA_char *);
                  flick_khazana_decode_end_chunk(1 * _t104_temp_string_len);
                  flick_khazana_decode_end_glob(1 * _t104_temp_string_len);
                  _local_s2 = (struct c *)(&_t105_storage);
                  flick_khazana_decode_new_glob(28);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_swap_decode_unsigned8(0, _local_s2->q.c, CORBA_boolean );
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_new_chunk_align(6, 2, 0, 0);
                  flick_khazana_check_span(6, _flick_abort189);
                  flick_cdr_swap_decode_signed32(0, _local_s2->q.d, CORBA_long );
                  flick_cdr_swap_decode_signed16(4, _local_s2->z.a.a, CORBA_short );
                  flick_khazana_decode_end_chunk(6);
                  flick_khazana_decode_new_chunk_align(12, 3, 2, 2);
                  flick_khazana_check_span(12, _flick_abort189);
                  flick_cdr_swap_decode_float64(0, _local_s2->z.a.b, CORBA_double );
                  flick_cdr_swap_decode_unsigned32(8, _t106_temp_string_len, flick_unsigned32_t );
                  flick_khazana_decode_end_chunk(12);
                  flick_khazana_decode_end_glob(28);
                  flick_khazana_decode_new_glob(1 * _t106_temp_string_len);
                  flick_khazana_check_span(1 * _t106_temp_string_len, _flick_abort189);
                  flick_khazana_decode_new_chunk(1 * _t106_temp_string_len);
                  {
                    CORBA_char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t106_temp_string_len * sizeof(CORBA_char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort189);
                    _local_s2->s = _t_alloc_ptr;
                  }
                  flick_cdr_swap_decode_bcopy(0, _local_s2->s, 1 * _t106_temp_string_len);
                  flick_khazana_decode_end_chunk(1 * _t106_temp_string_len);
                  flick_khazana_decode_end_glob(1 * _t106_temp_string_len);
                  _local_s3 = (struct c **)(&_t107_storage);
                  _ev = (CORBA_Environment *)(&_t108_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = test_op3(_obj, _local_s1, _local_s2, _local_s3, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort194);
                    flick_khazana_encode_new_glob(32, _flick_abort194);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t112_temp_string_len;
                          flick_unsigned32_t _t113_temp_string_len;
                          flick_unsigned32_t _t114_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, _return->s, flick_unsigned32_t , _t112_temp_string_len);
                          flick_cdr_stringlen(CORBA_char *, _local_s2->s, flick_unsigned32_t , _t113_temp_string_len);
                          flick_cdr_stringlen(CORBA_char *, (*_local_s3)->s, flick_unsigned32_t , _t114_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(10);
                          flick_cdr_encode_unsigned8(0, _return->q.c, CORBA_boolean );
                          flick_cdr_encode_signed32(4, _return->q.d, CORBA_long );
                          flick_cdr_encode_signed16(8, _return->z.a.a, CORBA_short );
                          flick_khazana_encode_end_chunk(10);
                          flick_khazana_encode_new_chunk_align(12, 3, 2, 2);
                          flick_cdr_encode_float64(0, _return->z.a.b, CORBA_double );
                          flick_cdr_encode_unsigned32(8, _t112_temp_string_len, flick_unsigned32_t );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(32);
                          flick_khazana_encode_new_glob(1 * _t112_temp_string_len, _flick_abort205);
                          flick_khazana_encode_new_chunk(1 * _t112_temp_string_len);
                          flick_cdr_encode_bcopy(0, _return->s, 1 * _t112_temp_string_len);
                          CORBA_flick_free(_return->s);
                          _return->s = (CORBA_char *)0;
                          flick_khazana_encode_end_chunk(1 * _t112_temp_string_len);
                          flick_khazana_encode_end_glob(1 * _t112_temp_string_len);
                          CORBA_flick_free(_return);
                          _return = (struct c *)0;
                          flick_khazana_encode_new_glob(28, _flick_abort205);
                          flick_khazana_encode_new_chunk(1);
                          flick_cdr_encode_unsigned8(0, _local_s2->q.c, CORBA_boolean );
                          flick_khazana_encode_end_chunk(1);
                          flick_khazana_encode_new_chunk_align(6, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _local_s2->q.d, CORBA_long );
                          flick_cdr_encode_signed16(4, _local_s2->z.a.a, CORBA_short );
                          flick_khazana_encode_end_chunk(6);
                          flick_khazana_encode_new_chunk_align(12, 3, 2, 2);
                          flick_cdr_encode_float64(0, _local_s2->z.a.b, CORBA_double );
                          flick_cdr_encode_unsigned32(8, _t113_temp_string_len, flick_unsigned32_t );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(28);
                          flick_khazana_encode_new_glob(1 * _t113_temp_string_len, _flick_abort205);
                          flick_khazana_encode_new_chunk(1 * _t113_temp_string_len);
                          flick_cdr_encode_bcopy(0, _local_s2->s, 1 * _t113_temp_string_len);
                          CORBA_flick_free(_local_s2->s);
                          _local_s2->s = (CORBA_char *)0;
                          flick_khazana_encode_end_chunk(1 * _t113_temp_string_len);
                          flick_khazana_encode_end_glob(1 * _t113_temp_string_len);
                          flick_khazana_encode_new_glob(28, _flick_abort205);
                          flick_khazana_encode_new_chunk(1);
                          flick_cdr_encode_unsigned8(0, (*_local_s3)->q.c, CORBA_boolean );
                          flick_khazana_encode_end_chunk(1);
                          flick_khazana_encode_new_chunk_align(6, 2, 0, 0);
                          flick_cdr_encode_signed32(0, (*_local_s3)->q.d, CORBA_long );
                          flick_cdr_encode_signed16(4, (*_local_s3)->z.a.a, CORBA_short );
                          flick_khazana_encode_end_chunk(6);
                          flick_khazana_encode_new_chunk_align(12, 3, 2, 2);
                          flick_cdr_encode_float64(0, (*_local_s3)->z.a.b, CORBA_double );
                          flick_cdr_encode_unsigned32(8, _t114_temp_string_len, flick_unsigned32_t );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(28);
                          flick_khazana_encode_new_glob(1 * _t114_temp_string_len, _flick_abort205);
                          flick_khazana_encode_new_chunk(1 * _t114_temp_string_len);
                          flick_cdr_encode_bcopy(0, (*_local_s3)->s, 1 * _t114_temp_string_len);
                          CORBA_flick_free((*_local_s3)->s);
                          (*_local_s3)->s = (CORBA_char *)0;
                          flick_khazana_encode_end_chunk(1 * _t114_temp_string_len);
                          flick_khazana_encode_end_glob(1 * _t114_temp_string_len);
                          CORBA_flick_free(*_local_s3);
                          *_local_s3 = (struct c *)0;
                          break;
                          {
                          _flick_abort205:
                            goto _flick_abort194;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(32);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort212);
                          break;
                          {
                          _flick_abort212:
                            goto _flick_abort194;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort213);
                          flick_khazana_encode_end_glob(32);
                          break;
                          {
                          _flick_abort213:
                            goto _flick_abort194;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort194:
                    CORBA_flick_free(_local_s2->s);
                  _flick_abort189:
                    goto _flick_abort188;
                  }
                }
                break;
                {
                _flick_abort188:
                  goto _flick_abort2;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t115_switch_tag;

          flick_khazana_check_span(12, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t115_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t115_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t116_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t116_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t116_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t117_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t118_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t119_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort215);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t117_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t117_principal_len, _flick_abort215);
                        flick_khazana_decode_new_glob(_t117_principal_len);
                        flick_khazana_decode_new_chunk(_t117_principal_len);
                        flick_khazana_decode_end_chunk(_t117_principal_len);
                        flick_khazana_decode_end_glob(_t117_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort215);
                        flick_cdr_swap_decode_unsigned32(0, _t118_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t118_temp_string_len);
                        flick_khazana_check_span(1 * _t118_temp_string_len, _flick_abort215);
                        flick_khazana_decode_new_chunk(1 * _t118_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t118_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t118_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t119_storage);
                        _par = flick_interface_parents_test;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort215);
                          flick_khazana_encode_new_glob(5, _flick_abort215);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort223);
                                break;
                                {
                                _flick_abort223:
                                  goto _flick_abort215;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort224);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort224:
                                  goto _flick_abort215;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort215:
                          goto _flick_abort214;
                        }
                      }
                      break;
                      {
                      _flick_abort214:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t30_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t30_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t30_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t31_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t31_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t31_switch_tag)
            {
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  test _obj;
                  unsigned int _t32_principal_len;
                  struct a _return;
                  struct a *_local_s1;
                  struct a _t33_storage;
                  struct a *_local_s2;
                  struct a _t34_storage;
                  struct a *_local_s3;
                  struct a _t35_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t36_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort60);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t32_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t32_principal_len, _flick_abort60);
                  flick_khazana_decode_new_glob(_t32_principal_len);
                  flick_khazana_decode_new_chunk(_t32_principal_len);
                  flick_khazana_decode_end_chunk(_t32_principal_len);
                  flick_khazana_decode_end_glob(_t32_principal_len);
                  /* Begin decode phase on parameters */
                  _local_s1 = (struct a *)(&_t33_storage);
                  flick_khazana_decode_new_glob(195);
                  flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                  flick_khazana_check_span(4, _flick_abort60);
                  flick_cdr_decode_signed16(0, _local_s1->e.c, CORBA_short );
                  flick_cdr_decode_char8(2, _local_s1->e.d, CORBA_char );
                  flick_cdr_decode_unsigned8(3, _local_s1->e.e.c, CORBA_boolean );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_new_chunk_align(14, 2, 1, 0);
                  flick_khazana_check_span(14, _flick_abort60);
                  flick_cdr_decode_signed32(0, _local_s1->e.e.d, CORBA_long );
                  flick_cdr_decode_signed16(4, _local_s1->e.f, CORBA_short );
                  flick_cdr_decode_unsigned8(6, _local_s1->e.g.c, CORBA_boolean );
                  flick_cdr_decode_signed32(8, _local_s1->e.g.d, CORBA_long );
                  flick_cdr_decode_signed16(12, _local_s1->h.a, CORBA_short );
                  flick_khazana_decode_end_chunk(14);
                  flick_khazana_decode_new_chunk_align(168, 3, 2, 2);
                  flick_khazana_check_span(168, _flick_abort60);
                  flick_cdr_decode_float64(0, _local_s1->h.b, CORBA_double );
                  flick_cdr_decode_signed16(8, _local_s1->j.b.a.a, CORBA_short );
                  flick_cdr_decode_float64(16, _local_s1->j.b.a.b, CORBA_double );
                  flick_cdr_decode_signed16(24, _local_s1->j.m.a, CORBA_short );
                  flick_cdr_decode_float64(32, _local_s1->j.m.b, CORBA_double );
                  flick_cdr_decode_float32(40, _local_s1->f, CORBA_float );
                  flick_cdr_decode_signed16(44, _local_s1->g.c, CORBA_short );
                  flick_cdr_decode_char8(46, _local_s1->g.d, CORBA_char );
                  flick_cdr_decode_unsigned8(47, _local_s1->g.e.c, CORBA_boolean );
                  flick_cdr_decode_signed32(48, _local_s1->g.e.d, CORBA_long );
                  flick_cdr_decode_signed16(52, _local_s1->g.f, CORBA_short );
                  flick_cdr_decode_unsigned8(54, _local_s1->g.g.c, CORBA_boolean );
                  flick_cdr_decode_signed32(56, _local_s1->g.g.d, CORBA_long );
                  flick_cdr_decode_signed16(60, _local_s1->i.a, CORBA_short );
                  flick_cdr_decode_float64(64, _local_s1->i.b, CORBA_double );
                  _local_s2 = (struct a *)(&_t34_storage);
                  flick_cdr_decode_signed16(72, _local_s2->e.c, CORBA_short );
                  flick_cdr_decode_char8(74, _local_s2->e.d, CORBA_char );
                  flick_cdr_decode_unsigned8(75, _local_s2->e.e.c, CORBA_boolean );
                  flick_cdr_decode_signed32(76, _local_s2->e.e.d, CORBA_long );
                  flick_cdr_decode_signed16(80, _local_s2->e.f, CORBA_short );
                  flick_cdr_decode_unsigned8(82, _local_s2->e.g.c, CORBA_boolean );
                  flick_cdr_decode_signed32(84, _local_s2->e.g.d, CORBA_long );
                  flick_cdr_decode_signed16(88, _local_s2->h.a, CORBA_short );
                  flick_cdr_decode_float64(96, _local_s2->h.b, CORBA_double );
                  flick_cdr_decode_signed16(104, _local_s2->j.b.a.a, CORBA_short );
                  flick_cdr_decode_float64(112, _local_s2->j.b.a.b, CORBA_double );
                  flick_cdr_decode_signed16(120, _local_s2->j.m.a, CORBA_short );
                  flick_cdr_decode_float64(128, _local_s2->j.m.b, CORBA_double );
                  flick_cdr_decode_float32(136, _local_s2->f, CORBA_float );
                  flick_cdr_decode_signed16(140, _local_s2->g.c, CORBA_short );
                  flick_cdr_decode_char8(142, _local_s2->g.d, CORBA_char );
                  flick_cdr_decode_unsigned8(143, _local_s2->g.e.c, CORBA_boolean );
                  flick_cdr_decode_signed32(144, _local_s2->g.e.d, CORBA_long );
                  flick_cdr_decode_signed16(148, _local_s2->g.f, CORBA_short );
                  flick_cdr_decode_unsigned8(150, _local_s2->g.g.c, CORBA_boolean );
                  flick_cdr_decode_signed32(152, _local_s2->g.g.d, CORBA_long );
                  flick_cdr_decode_signed16(156, _local_s2->i.a, CORBA_short );
                  flick_cdr_decode_float64(160, _local_s2->i.b, CORBA_double );
                  _local_s3 = (struct a *)(&_t35_storage);
                  _ev = (CORBA_Environment *)(&_t36_storage);
                  flick_khazana_decode_end_chunk(168);
                  flick_khazana_decode_end_glob(195);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = test_op1(_obj, _local_s1, _local_s2, _local_s3, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort60);
                    flick_khazana_encode_new_glob(292, _flick_abort60);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(18);
                          flick_cdr_encode_signed16(0, _return.e.c, CORBA_short );
                          flick_cdr_encode_char8(2, _return.e.d, CORBA_char );
                          flick_cdr_encode_unsigned8(3, _return.e.e.c, CORBA_boolean );
                          flick_cdr_encode_signed32(4, _return.e.e.d, CORBA_long );
                          flick_cdr_encode_signed16(8, _return.e.f, CORBA_short );
                          flick_cdr_encode_unsigned8(10, _return.e.g.c, CORBA_boolean );
                          flick_cdr_encode_signed32(12, _return.e.g.d, CORBA_long );
                          flick_cdr_encode_signed16(16, _return.h.a, CORBA_short );
                          flick_khazana_encode_end_chunk(18);
                          flick_khazana_encode_new_chunk_align(264, 3, 2, 2);
                          flick_cdr_encode_float64(0, _return.h.b, CORBA_double );
                          flick_cdr_encode_signed16(8, _return.j.b.a.a, CORBA_short );
                          flick_cdr_encode_float64(16, _return.j.b.a.b, CORBA_double );
                          flick_cdr_encode_signed16(24, _return.j.m.a, CORBA_short );
                          flick_cdr_encode_float64(32, _return.j.m.b, CORBA_double );
                          flick_cdr_encode_float32(40, _return.f, CORBA_float );
                          flick_cdr_encode_signed16(44, _return.g.c, CORBA_short );
                          flick_cdr_encode_char8(46, _return.g.d, CORBA_char );
                          flick_cdr_encode_unsigned8(47, _return.g.e.c, CORBA_boolean );
                          flick_cdr_encode_signed32(48, _return.g.e.d, CORBA_long );
                          flick_cdr_encode_signed16(52, _return.g.f, CORBA_short );
                          flick_cdr_encode_unsigned8(54, _return.g.g.c, CORBA_boolean );
                          flick_cdr_encode_signed32(56, _return.g.g.d, CORBA_long );
                          flick_cdr_encode_signed16(60, _return.i.a, CORBA_short );
                          flick_cdr_encode_float64(64, _return.i.b, CORBA_double );
                          flick_cdr_encode_signed16(72, _local_s2->e.c, CORBA_short );
                          flick_cdr_encode_char8(74, _local_s2->e.d, CORBA_char );
                          flick_cdr_encode_unsigned8(75, _local_s2->e.e.c, CORBA_boolean );
                          flick_cdr_encode_signed32(76, _local_s2->e.e.d, CORBA_long );
                          flick_cdr_encode_signed16(80, _local_s2->e.f, CORBA_short );
                          flick_cdr_encode_unsigned8(82, _local_s2->e.g.c, CORBA_boolean );
                          flick_cdr_encode_signed32(84, _local_s2->e.g.d, CORBA_long );
                          flick_cdr_encode_signed16(88, _local_s2->h.a, CORBA_short );
                          flick_cdr_encode_float64(96, _local_s2->h.b, CORBA_double );
                          flick_cdr_encode_signed16(104, _local_s2->j.b.a.a, CORBA_short );
                          flick_cdr_encode_float64(112, _local_s2->j.b.a.b, CORBA_double );
                          flick_cdr_encode_signed16(120, _local_s2->j.m.a, CORBA_short );
                          flick_cdr_encode_float64(128, _local_s2->j.m.b, CORBA_double );
                          flick_cdr_encode_float32(136, _local_s2->f, CORBA_float );
                          flick_cdr_encode_signed16(140, _local_s2->g.c, CORBA_short );
                          flick_cdr_encode_char8(142, _local_s2->g.d, CORBA_char );
                          flick_cdr_encode_unsigned8(143, _local_s2->g.e.c, CORBA_boolean );
                          flick_cdr_encode_signed32(144, _local_s2->g.e.d, CORBA_long );
                          flick_cdr_encode_signed16(148, _local_s2->g.f, CORBA_short );
                          flick_cdr_encode_unsigned8(150, _local_s2->g.g.c, CORBA_boolean );
                          flick_cdr_encode_signed32(152, _local_s2->g.g.d, CORBA_long );
                          flick_cdr_encode_signed16(156, _local_s2->i.a, CORBA_short );
                          flick_cdr_encode_float64(160, _local_s2->i.b, CORBA_double );
                          flick_cdr_encode_signed16(168, _local_s3->e.c, CORBA_short );
                          flick_cdr_encode_char8(170, _local_s3->e.d, CORBA_char );
                          flick_cdr_encode_unsigned8(171, _local_s3->e.e.c, CORBA_boolean );
                          flick_cdr_encode_signed32(172, _local_s3->e.e.d, CORBA_long );
                          flick_cdr_encode_signed16(176, _local_s3->e.f, CORBA_short );
                          flick_cdr_encode_unsigned8(178, _local_s3->e.g.c, CORBA_boolean );
                          flick_cdr_encode_signed32(180, _local_s3->e.g.d, CORBA_long );
                          flick_cdr_encode_signed16(184, _local_s3->h.a, CORBA_short );
                          flick_cdr_encode_float64(192, _local_s3->h.b, CORBA_double );
                          flick_cdr_encode_signed16(200, _local_s3->j.b.a.a, CORBA_short );
                          flick_cdr_encode_float64(208, _local_s3->j.b.a.b, CORBA_double );
                          flick_cdr_encode_signed16(216, _local_s3->j.m.a, CORBA_short );
                          flick_cdr_encode_float64(224, _local_s3->j.m.b, CORBA_double );
                          flick_cdr_encode_float32(232, _local_s3->f, CORBA_float );
                          flick_cdr_encode_signed16(236, _local_s3->g.c, CORBA_short );
                          flick_cdr_encode_char8(238, _local_s3->g.d, CORBA_char );
                          flick_cdr_encode_unsigned8(239, _local_s3->g.e.c, CORBA_boolean );
                          flick_cdr_encode_signed32(240, _local_s3->g.e.d, CORBA_long );
                          flick_cdr_encode_signed16(244, _local_s3->g.f, CORBA_short );
                          flick_cdr_encode_unsigned8(246, _local_s3->g.g.c, CORBA_boolean );
                          flick_cdr_encode_signed32(248, _local_s3->g.g.d, CORBA_long );
                          flick_cdr_encode_signed16(252, _local_s3->i.a, CORBA_short );
                          flick_cdr_encode_float64(256, _local_s3->i.b, CORBA_double );
                          flick_khazana_encode_end_chunk(264);
                          flick_khazana_encode_end_glob(292);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(292);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort66);
                          break;
                          {
                          _flick_abort66:
                            goto _flick_abort60;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort67);
                          flick_khazana_encode_end_glob(292);
                          break;
                          {
                          _flick_abort67:
                            goto _flick_abort60;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort60:
                    goto _flick_abort59;
                  }
                }
                break;
                {
                _flick_abort59:
                  goto _flick_abort2;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  test _obj;
                  unsigned int _t37_principal_len;
                  struct b _return;
                  struct b *_local_s1;
                  struct b _t38_storage;
                  struct b *_local_s2;
                  struct b _t39_storage;
                  struct b *_local_s3;
                  struct b _t40_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t41_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort69);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t37_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t37_principal_len, _flick_abort69);
                  flick_khazana_decode_new_glob(_t37_principal_len);
                  flick_khazana_decode_new_chunk(_t37_principal_len);
                  flick_khazana_decode_end_chunk(_t37_principal_len);
                  flick_khazana_decode_end_glob(_t37_principal_len);
                  /* Begin decode phase on parameters */
                  _local_s1 = (struct b *)(&_t38_storage);
                  flick_khazana_decode_new_glob(40);
                  flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                  flick_khazana_check_span(4, _flick_abort69);
                  flick_cdr_decode_signed16(0, _local_s1->c.c, CORBA_short );
                  flick_cdr_decode_char8(2, _local_s1->c.d, CORBA_char );
                  flick_cdr_decode_unsigned8(3, _local_s1->c.e.c, CORBA_boolean );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_new_chunk_align(33, 2, 1, 0);
                  flick_khazana_check_span(33, _flick_abort69);
                  flick_cdr_decode_signed32(0, _local_s1->c.e.d, CORBA_long );
                  flick_cdr_decode_signed16(4, _local_s1->c.f, CORBA_short );
                  flick_cdr_decode_unsigned8(6, _local_s1->c.g.c, CORBA_boolean );
                  flick_cdr_decode_signed32(8, _local_s1->c.g.d, CORBA_long );
                  flick_cdr_decode_char8(12, _local_s1->d, CORBA_char );
                  _local_s2 = (struct b *)(&_t39_storage);
                  flick_cdr_decode_signed16(14, _local_s2->c.c, CORBA_short );
                  flick_cdr_decode_char8(16, _local_s2->c.d, CORBA_char );
                  flick_cdr_decode_unsigned8(17, _local_s2->c.e.c, CORBA_boolean );
                  flick_cdr_decode_signed32(20, _local_s2->c.e.d, CORBA_long );
                  flick_cdr_decode_signed16(24, _local_s2->c.f, CORBA_short );
                  flick_cdr_decode_unsigned8(26, _local_s2->c.g.c, CORBA_boolean );
                  flick_cdr_decode_signed32(28, _local_s2->c.g.d, CORBA_long );
                  flick_cdr_decode_char8(32, _local_s2->d, CORBA_char );
                  _local_s3 = (struct b *)(&_t40_storage);
                  _ev = (CORBA_Environment *)(&_t41_storage);
                  flick_khazana_decode_end_chunk(33);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = test_op2(_obj, _local_s1, _local_s2, _local_s3, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort69);
                    flick_khazana_encode_new_glob(61, _flick_abort69);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(57);
                          flick_cdr_encode_signed16(0, _return.c.c, CORBA_short );
                          flick_cdr_encode_char8(2, _return.c.d, CORBA_char );
                          flick_cdr_encode_unsigned8(3, _return.c.e.c, CORBA_boolean );
                          flick_cdr_encode_signed32(4, _return.c.e.d, CORBA_long );
                          flick_cdr_encode_signed16(8, _return.c.f, CORBA_short );
                          flick_cdr_encode_unsigned8(10, _return.c.g.c, CORBA_boolean );
                          flick_cdr_encode_signed32(12, _return.c.g.d, CORBA_long );
                          flick_cdr_encode_char8(16, _return.d, CORBA_char );
                          flick_cdr_encode_signed16(18, _local_s2->c.c, CORBA_short );
                          flick_cdr_encode_char8(20, _local_s2->c.d, CORBA_char );
                          flick_cdr_encode_unsigned8(21, _local_s2->c.e.c, CORBA_boolean );
                          flick_cdr_encode_signed32(24, _local_s2->c.e.d, CORBA_long );
                          flick_cdr_encode_signed16(28, _local_s2->c.f, CORBA_short );
                          flick_cdr_encode_unsigned8(30, _local_s2->c.g.c, CORBA_boolean );
                          flick_cdr_encode_signed32(32, _local_s2->c.g.d, CORBA_long );
                          flick_cdr_encode_char8(36, _local_s2->d, CORBA_char );
                          flick_cdr_encode_signed16(38, _local_s3->c.c, CORBA_short );
                          flick_cdr_encode_char8(40, _local_s3->c.d, CORBA_char );
                          flick_cdr_encode_unsigned8(41, _local_s3->c.e.c, CORBA_boolean );
                          flick_cdr_encode_signed32(44, _local_s3->c.e.d, CORBA_long );
                          flick_cdr_encode_signed16(48, _local_s3->c.f, CORBA_short );
                          flick_cdr_encode_unsigned8(50, _local_s3->c.g.c, CORBA_boolean );
                          flick_cdr_encode_signed32(52, _local_s3->c.g.d, CORBA_long );
                          flick_cdr_encode_char8(56, _local_s3->d, CORBA_char );
                          flick_khazana_encode_end_chunk(57);
                          flick_khazana_encode_end_glob(61);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(61);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort75);
                          break;
                          {
                          _flick_abort75:
                            goto _flick_abort69;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort76);
                          flick_khazana_encode_end_glob(61);
                          break;
                          {
                          _flick_abort76:
                            goto _flick_abort69;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort69:
                    goto _flick_abort68;
                  }
                }
                break;
                {
                _flick_abort68:
                  goto _flick_abort2;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  test _obj;
                  unsigned int _t42_principal_len;
                  struct c *_return;
                  struct c *_local_s1;
                  struct c _t43_storage;
                  flick_unsigned32_t _t44_temp_string_len;
                  struct c *_local_s2;
                  struct c _t45_storage;
                  flick_unsigned32_t _t46_temp_string_len;
                  struct c **_local_s3;
                  struct c *_t47_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t48_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort78);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t42_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t42_principal_len + 1, _flick_abort78);
                  flick_khazana_decode_new_glob(_t42_principal_len);
                  flick_khazana_decode_new_chunk(_t42_principal_len);
                  flick_khazana_decode_end_chunk(_t42_principal_len);
                  flick_khazana_decode_end_glob(_t42_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_s1 = (struct c *)(&_t43_storage);
                  flick_khazana_decode_new_glob(28);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_decode_unsigned8(0, _local_s1->q.c, CORBA_boolean );
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_new_chunk_align(6, 2, 0, 0);
                  flick_khazana_check_span(6, _flick_abort78);
                  flick_cdr_decode_signed32(0, _local_s1->q.d, CORBA_long );
                  flick_cdr_decode_signed16(4, _local_s1->z.a.a, CORBA_short );
                  flick_khazana_decode_end_chunk(6);
                  flick_khazana_decode_new_chunk_align(12, 3, 2, 2);
                  flick_khazana_check_span(12, _flick_abort78);
                  flick_cdr_decode_float64(0, _local_s1->z.a.b, CORBA_double );
                  flick_cdr_decode_unsigned32(8, _t44_temp_string_len, flick_unsigned32_t );
                  flick_khazana_decode_end_chunk(12);
                  flick_khazana_decode_end_glob(28);
                  flick_khazana_decode_new_glob(1 * _t44_temp_string_len);
                  flick_khazana_check_span(1 * _t44_temp_string_len + 1, _flick_abort78);
                  flick_khazana_decode_new_chunk(1 * _t44_temp_string_len);
                  flick_cdr_decode_msgptr(0, _local_s1->s, CORBA_char *);
                  flick_khazana_decode_end_chunk(1 * _t44_temp_string_len);
                  flick_khazana_decode_end_glob(1 * _t44_temp_string_len);
                  _local_s2 = (struct c *)(&_t45_storage);
                  flick_khazana_decode_new_glob(28);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_decode_unsigned8(0, _local_s2->q.c, CORBA_boolean );
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_new_chunk_align(6, 2, 0, 0);
                  flick_khazana_check_span(6, _flick_abort78);
                  flick_cdr_decode_signed32(0, _local_s2->q.d, CORBA_long );
                  flick_cdr_decode_signed16(4, _local_s2->z.a.a, CORBA_short );
                  flick_khazana_decode_end_chunk(6);
                  flick_khazana_decode_new_chunk_align(12, 3, 2, 2);
                  flick_khazana_check_span(12, _flick_abort78);
                  flick_cdr_decode_float64(0, _local_s2->z.a.b, CORBA_double );
                  flick_cdr_decode_unsigned32(8, _t46_temp_string_len, flick_unsigned32_t );
                  flick_khazana_decode_end_chunk(12);
                  flick_khazana_decode_end_glob(28);
                  flick_khazana_decode_new_glob(1 * _t46_temp_string_len);
                  flick_khazana_check_span(1 * _t46_temp_string_len, _flick_abort78);
                  flick_khazana_decode_new_chunk(1 * _t46_temp_string_len);
                  {
                    CORBA_char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t46_temp_string_len * sizeof(CORBA_char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort78);
                    _local_s2->s = _t_alloc_ptr;
                  }
                  flick_cdr_decode_bcopy(0, _local_s2->s, 1 * _t46_temp_string_len);
                  flick_khazana_decode_end_chunk(1 * _t46_temp_string_len);
                  flick_khazana_decode_end_glob(1 * _t46_temp_string_len);
                  _local_s3 = (struct c **)(&_t47_storage);
                  _ev = (CORBA_Environment *)(&_t48_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = test_op3(_obj, _local_s1, _local_s2, _local_s3, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort83);
                    flick_khazana_encode_new_glob(32, _flick_abort83);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t52_temp_string_len;
                          flick_unsigned32_t _t53_temp_string_len;
                          flick_unsigned32_t _t54_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, _return->s, flick_unsigned32_t , _t52_temp_string_len);
                          flick_cdr_stringlen(CORBA_char *, _local_s2->s, flick_unsigned32_t , _t53_temp_string_len);
                          flick_cdr_stringlen(CORBA_char *, (*_local_s3)->s, flick_unsigned32_t , _t54_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(10);
                          flick_cdr_encode_unsigned8(0, _return->q.c, CORBA_boolean );
                          flick_cdr_encode_signed32(4, _return->q.d, CORBA_long );
                          flick_cdr_encode_signed16(8, _return->z.a.a, CORBA_short );
                          flick_khazana_encode_end_chunk(10);
                          flick_khazana_encode_new_chunk_align(12, 3, 2, 2);
                          flick_cdr_encode_float64(0, _return->z.a.b, CORBA_double );
                          flick_cdr_encode_unsigned32(8, _t52_temp_string_len, flick_unsigned32_t );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(32);
                          flick_khazana_encode_new_glob(1 * _t52_temp_string_len, _flick_abort94);
                          flick_khazana_encode_new_chunk(1 * _t52_temp_string_len);
                          flick_cdr_encode_bcopy(0, _return->s, 1 * _t52_temp_string_len);
                          CORBA_flick_free(_return->s);
                          _return->s = (CORBA_char *)0;
                          flick_khazana_encode_end_chunk(1 * _t52_temp_string_len);
                          flick_khazana_encode_end_glob(1 * _t52_temp_string_len);
                          CORBA_flick_free(_return);
                          _return = (struct c *)0;
                          flick_khazana_encode_new_glob(28, _flick_abort94);
                          flick_khazana_encode_new_chunk(1);
                          flick_cdr_encode_unsigned8(0, _local_s2->q.c, CORBA_boolean );
                          flick_khazana_encode_end_chunk(1);
                          flick_khazana_encode_new_chunk_align(6, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _local_s2->q.d, CORBA_long );
                          flick_cdr_encode_signed16(4, _local_s2->z.a.a, CORBA_short );
                          flick_khazana_encode_end_chunk(6);
                          flick_khazana_encode_new_chunk_align(12, 3, 2, 2);
                          flick_cdr_encode_float64(0, _local_s2->z.a.b, CORBA_double );
                          flick_cdr_encode_unsigned32(8, _t53_temp_string_len, flick_unsigned32_t );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(28);
                          flick_khazana_encode_new_glob(1 * _t53_temp_string_len, _flick_abort94);
                          flick_khazana_encode_new_chunk(1 * _t53_temp_string_len);
                          flick_cdr_encode_bcopy(0, _local_s2->s, 1 * _t53_temp_string_len);
                          CORBA_flick_free(_local_s2->s);
                          _local_s2->s = (CORBA_char *)0;
                          flick_khazana_encode_end_chunk(1 * _t53_temp_string_len);
                          flick_khazana_encode_end_glob(1 * _t53_temp_string_len);
                          flick_khazana_encode_new_glob(28, _flick_abort94);
                          flick_khazana_encode_new_chunk(1);
                          flick_cdr_encode_unsigned8(0, (*_local_s3)->q.c, CORBA_boolean );
                          flick_khazana_encode_end_chunk(1);
                          flick_khazana_encode_new_chunk_align(6, 2, 0, 0);
                          flick_cdr_encode_signed32(0, (*_local_s3)->q.d, CORBA_long );
                          flick_cdr_encode_signed16(4, (*_local_s3)->z.a.a, CORBA_short );
                          flick_khazana_encode_end_chunk(6);
                          flick_khazana_encode_new_chunk_align(12, 3, 2, 2);
                          flick_cdr_encode_float64(0, (*_local_s3)->z.a.b, CORBA_double );
                          flick_cdr_encode_unsigned32(8, _t54_temp_string_len, flick_unsigned32_t );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(28);
                          flick_khazana_encode_new_glob(1 * _t54_temp_string_len, _flick_abort94);
                          flick_khazana_encode_new_chunk(1 * _t54_temp_string_len);
                          flick_cdr_encode_bcopy(0, (*_local_s3)->s, 1 * _t54_temp_string_len);
                          CORBA_flick_free((*_local_s3)->s);
                          (*_local_s3)->s = (CORBA_char *)0;
                          flick_khazana_encode_end_chunk(1 * _t54_temp_string_len);
                          flick_khazana_encode_end_glob(1 * _t54_temp_string_len);
                          CORBA_flick_free(*_local_s3);
                          *_local_s3 = (struct c *)0;
                          break;
                          {
                          _flick_abort94:
                            goto _flick_abort83;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(32);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort101);
                          break;
                          {
                          _flick_abort101:
                            goto _flick_abort83;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort102);
                          flick_khazana_encode_end_glob(32);
                          break;
                          {
                          _flick_abort102:
                            goto _flick_abort83;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort83:
                    CORBA_flick_free(_local_s2->s);
                  _flick_abort78:
                    goto _flick_abort77;
                  }
                }
                break;
                {
                _flick_abort77:
                  goto _flick_abort2;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t55_switch_tag;

          flick_khazana_check_span(12, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t55_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t55_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t56_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t56_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t56_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t57_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t58_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t59_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort104);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t57_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t57_principal_len, _flick_abort104);
                        flick_khazana_decode_new_glob(_t57_principal_len);
                        flick_khazana_decode_new_chunk(_t57_principal_len);
                        flick_khazana_decode_end_chunk(_t57_principal_len);
                        flick_khazana_decode_end_glob(_t57_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort104);
                        flick_cdr_decode_unsigned32(0, _t58_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t58_temp_string_len);
                        flick_khazana_check_span(1 * _t58_temp_string_len, _flick_abort104);
                        flick_khazana_decode_new_chunk(1 * _t58_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t58_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t58_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t59_storage);
                        _par = flick_interface_parents_test;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort104);
                          flick_khazana_encode_new_glob(5, _flick_abort104);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort112);
                                break;
                                {
                                _flick_abort112:
                                  goto _flick_abort104;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort113);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort113:
                                  goto _flick_abort104;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort104:
                          goto _flick_abort103;
                        }
                      }
                      break;
                      {
                      _flick_abort103:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

