#include "turtle-server-server.h"

/* This is the runtime type information */
char *flick_interface_parents_Server[] = {
	"IDL:Server:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t Server_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t102_switch_tag;

    flick_khazana_decode_new_glob(20);
    flick_khazana_check_span(16, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t102_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t102_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t103_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t103_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t103_switch_tag)
            {
            case /* SetS */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157843):
              {
                unsigned int _t104_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t104_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t104_switch_tag)
                  {
                  case /* ize */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769628928):
                    {
                      {
                        Server _obj;
                        unsigned int _t105_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_width;
                        CORBA_long _local_height;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t106_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort228);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t105_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t105_principal_len, _flick_abort228);
                        flick_khazana_decode_new_glob(_t105_principal_len);
                        flick_khazana_decode_new_chunk(_t105_principal_len);
                        flick_khazana_decode_end_chunk(_t105_principal_len);
                        flick_khazana_decode_end_glob(_t105_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(11);
                        flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                        flick_khazana_check_span(8, _flick_abort228);
                        flick_cdr_swap_decode_signed32(0, _local_width, CORBA_long );
                        flick_cdr_swap_decode_signed32(4, _local_height, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t106_storage);
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(11);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Server_SetSize(_obj, _local_width, _local_height, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort228);
                          flick_khazana_encode_new_glob(8, _flick_abort228);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort234);
                                break;
                                {
                                _flick_abort234:
                                  goto _flick_abort228;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort235);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort235:
                                  goto _flick_abort228;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort228:
                          goto _flick_abort227;
                        }
                      }
                      break;
                      {
                      _flick_abort227:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* AddW */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1097098327):
              {
                unsigned int _t107_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t107_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t107_switch_tag)
                  {
                  case /* all */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634495488):
                    {
                      {
                        Server _obj;
                        unsigned int _t108_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_startx;
                        CORBA_long _local_starty;
                        CORBA_long _local_endx;
                        CORBA_long _local_endy;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t109_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort237);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t108_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t108_principal_len, _flick_abort237);
                        flick_khazana_decode_new_glob(_t108_principal_len);
                        flick_khazana_decode_new_chunk(_t108_principal_len);
                        flick_khazana_decode_end_chunk(_t108_principal_len);
                        flick_khazana_decode_end_glob(_t108_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(19);
                        flick_khazana_decode_new_chunk_align(16, 2, 0, 0);
                        flick_khazana_check_span(16, _flick_abort237);
                        flick_cdr_swap_decode_signed32(0, _local_startx, CORBA_long );
                        flick_cdr_swap_decode_signed32(4, _local_starty, CORBA_long );
                        flick_cdr_swap_decode_signed32(8, _local_endx, CORBA_long );
                        flick_cdr_swap_decode_signed32(12, _local_endy, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t109_storage);
                        flick_khazana_decode_end_chunk(16);
                        flick_khazana_decode_end_glob(19);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Server_AddWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort237);
                          flick_khazana_encode_new_glob(8, _flick_abort237);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort243);
                                break;
                                {
                                _flick_abort243:
                                  goto _flick_abort237;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort244);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort244:
                                  goto _flick_abort237;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort237:
                          goto _flick_abort236;
                        }
                      }
                      break;
                      {
                      _flick_abort236:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* DelW */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1147497559):
              {
                unsigned int _t110_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t110_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t110_switch_tag)
                  {
                  case /* all */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634495488):
                    {
                      {
                        Server _obj;
                        unsigned int _t111_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_startx;
                        CORBA_long _local_starty;
                        CORBA_long _local_endx;
                        CORBA_long _local_endy;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t112_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort246);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t111_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t111_principal_len, _flick_abort246);
                        flick_khazana_decode_new_glob(_t111_principal_len);
                        flick_khazana_decode_new_chunk(_t111_principal_len);
                        flick_khazana_decode_end_chunk(_t111_principal_len);
                        flick_khazana_decode_end_glob(_t111_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(19);
                        flick_khazana_decode_new_chunk_align(16, 2, 0, 0);
                        flick_khazana_check_span(16, _flick_abort246);
                        flick_cdr_swap_decode_signed32(0, _local_startx, CORBA_long );
                        flick_cdr_swap_decode_signed32(4, _local_starty, CORBA_long );
                        flick_cdr_swap_decode_signed32(8, _local_endx, CORBA_long );
                        flick_cdr_swap_decode_signed32(12, _local_endy, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t112_storage);
                        flick_khazana_decode_end_chunk(16);
                        flick_khazana_decode_end_glob(19);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Server_DelWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort246);
                          flick_khazana_encode_new_glob(8, _flick_abort246);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort252);
                                break;
                                {
                                _flick_abort252:
                                  goto _flick_abort246;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort253);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort253:
                                  goto _flick_abort246;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort246:
                          goto _flick_abort245;
                        }
                      }
                      break;
                      {
                      _flick_abort245:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* AddR */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1097098322):
              {
                unsigned int _t113_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t113_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t113_switch_tag)
                  {
                  case /* ect */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016576):
                    {
                      {
                        Server _obj;
                        unsigned int _t114_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_left;
                        CORBA_long _local_top;
                        CORBA_long _local_right;
                        CORBA_long _local_bottom;
                        CORBA_long _local_color;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t115_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort255);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t114_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t114_principal_len, _flick_abort255);
                        flick_khazana_decode_new_glob(_t114_principal_len);
                        flick_khazana_decode_new_chunk(_t114_principal_len);
                        flick_khazana_decode_end_chunk(_t114_principal_len);
                        flick_khazana_decode_end_glob(_t114_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(23);
                        flick_khazana_decode_new_chunk_align(20, 2, 0, 0);
                        flick_khazana_check_span(20, _flick_abort255);
                        flick_cdr_swap_decode_signed32(0, _local_left, CORBA_long );
                        flick_cdr_swap_decode_signed32(4, _local_top, CORBA_long );
                        flick_cdr_swap_decode_signed32(8, _local_right, CORBA_long );
                        flick_cdr_swap_decode_signed32(12, _local_bottom, CORBA_long );
                        flick_cdr_swap_decode_signed32(16, _local_color, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t115_storage);
                        flick_khazana_decode_end_chunk(20);
                        flick_khazana_decode_end_glob(23);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Server_AddRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _local_color, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort255);
                          flick_khazana_encode_new_glob(8, _flick_abort255);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort261);
                                break;
                                {
                                _flick_abort261:
                                  goto _flick_abort255;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort262);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort262:
                                  goto _flick_abort255;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort255:
                          goto _flick_abort254;
                        }
                      }
                      break;
                      {
                      _flick_abort254:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* DelR */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1147497554):
              {
                unsigned int _t116_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t116_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t116_switch_tag)
                  {
                  case /* ect */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016576):
                    {
                      {
                        Server _obj;
                        unsigned int _t117_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_left;
                        CORBA_long _local_top;
                        CORBA_long _local_right;
                        CORBA_long _local_bottom;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t118_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort264);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t117_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t117_principal_len, _flick_abort264);
                        flick_khazana_decode_new_glob(_t117_principal_len);
                        flick_khazana_decode_new_chunk(_t117_principal_len);
                        flick_khazana_decode_end_chunk(_t117_principal_len);
                        flick_khazana_decode_end_glob(_t117_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(19);
                        flick_khazana_decode_new_chunk_align(16, 2, 0, 0);
                        flick_khazana_check_span(16, _flick_abort264);
                        flick_cdr_swap_decode_signed32(0, _local_left, CORBA_long );
                        flick_cdr_swap_decode_signed32(4, _local_top, CORBA_long );
                        flick_cdr_swap_decode_signed32(8, _local_right, CORBA_long );
                        flick_cdr_swap_decode_signed32(12, _local_bottom, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t118_storage);
                        flick_khazana_decode_end_chunk(16);
                        flick_khazana_decode_end_glob(19);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Server_DelRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort264);
                          flick_khazana_encode_new_glob(8, _flick_abort264);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort270);
                                break;
                                {
                                _flick_abort270:
                                  goto _flick_abort264;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort271);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort271:
                                  goto _flick_abort264;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort264:
                          goto _flick_abort263;
                        }
                      }
                      break;
                      {
                      _flick_abort263:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t119_switch_tag;

          flick_khazana_check_span(16, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t119_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t119_switch_tag)
            {
            case /* SetT */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157844):
              {
                unsigned int _t120_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t120_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t120_switch_tag)
                  {
                  case /* urtl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970435180):
                    {
                      unsigned short int _t121_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t121_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t121_switch_tag)
                        {
                        case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                          {
                            {
                              Server _obj;
                              unsigned int _t122_principal_len;
                              CORBA_long _return;
                              CORBA_long _local_x;
                              CORBA_long _local_y;
                              CORBA_long _local_angle;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t123_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort273);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t122_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t122_principal_len, _flick_abort273);
                              flick_khazana_decode_new_glob(_t122_principal_len);
                              flick_khazana_decode_new_chunk(_t122_principal_len);
                              flick_khazana_decode_end_chunk(_t122_principal_len);
                              flick_khazana_decode_end_glob(_t122_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(15);
                              flick_khazana_decode_new_chunk_align(12, 2, 0, 0);
                              flick_khazana_check_span(12, _flick_abort273);
                              flick_cdr_swap_decode_signed32(0, _local_x, CORBA_long );
                              flick_cdr_swap_decode_signed32(4, _local_y, CORBA_long );
                              flick_cdr_swap_decode_signed32(8, _local_angle, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t123_storage);
                              flick_khazana_decode_end_chunk(12);
                              flick_khazana_decode_end_glob(15);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = Server_SetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort273);
                                flick_khazana_encode_new_glob(8, _flick_abort273);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort279);
                                      break;
                                      {
                                      _flick_abort279:
                                        goto _flick_abort273;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort280);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort280:
                                        goto _flick_abort273;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort273:
                                goto _flick_abort272;
                              }
                            }
                            break;
                            {
                            _flick_abort272:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* GetT */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831252):
              {
                unsigned int _t124_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t124_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t124_switch_tag)
                  {
                  case /* urtl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970435180):
                    {
                      unsigned short int _t125_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t125_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t125_switch_tag)
                        {
                        case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                          {
                            {
                              Server _obj;
                              unsigned int _t126_principal_len;
                              CORBA_long _return;
                              CORBA_long *_local_x;
                              CORBA_long _t127_storage;
                              CORBA_long *_local_y;
                              CORBA_long _t128_storage;
                              CORBA_long *_local_angle;
                              CORBA_long _t129_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t130_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort282);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t126_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t126_principal_len, _flick_abort282);
                              flick_khazana_decode_new_glob(_t126_principal_len);
                              flick_khazana_decode_new_chunk(_t126_principal_len);
                              flick_khazana_decode_end_chunk(_t126_principal_len);
                              flick_khazana_decode_end_glob(_t126_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_x = (CORBA_long *)(&_t127_storage);
                              _local_y = (CORBA_long *)(&_t128_storage);
                              _local_angle = (CORBA_long *)(&_t129_storage);
                              _ev = (CORBA_Environment *)(&_t130_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = Server_GetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort282);
                                flick_khazana_encode_new_glob(20, _flick_abort282);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(16);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_cdr_encode_signed32(4, *_local_x, CORBA_long );
                                      flick_cdr_encode_signed32(8, *_local_y, CORBA_long );
                                      flick_cdr_encode_signed32(12, *_local_angle, CORBA_long );
                                      flick_khazana_encode_end_chunk(16);
                                      flick_khazana_encode_end_glob(20);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(20);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort288);
                                      break;
                                      {
                                      _flick_abort288:
                                        goto _flick_abort282;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort289);
                                      flick_khazana_encode_end_glob(20);
                                      break;
                                      {
                                      _flick_abort289:
                                        goto _flick_abort282;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort282:
                                goto _flick_abort281;
                              }
                            }
                            break;
                            {
                            _flick_abort281:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t131_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t131_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t131_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t132_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t132_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t132_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t133_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t134_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t135_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort291);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t133_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t133_principal_len, _flick_abort291);
                        flick_khazana_decode_new_glob(_t133_principal_len);
                        flick_khazana_decode_new_chunk(_t133_principal_len);
                        flick_khazana_decode_end_chunk(_t133_principal_len);
                        flick_khazana_decode_end_glob(_t133_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort291);
                        flick_cdr_swap_decode_unsigned32(0, _t134_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t134_temp_string_len);
                        flick_khazana_check_span(1 * _t134_temp_string_len, _flick_abort291);
                        flick_khazana_decode_new_chunk(1 * _t134_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t134_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t134_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t135_storage);
                        _par = flick_interface_parents_Server;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort291);
                          flick_khazana_encode_new_glob(5, _flick_abort291);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort299);
                                break;
                                {
                                _flick_abort299:
                                  goto _flick_abort291;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort300);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort300:
                                  goto _flick_abort291;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort291:
                          goto _flick_abort290;
                        }
                      }
                      break;
                      {
                      _flick_abort290:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t34_switch_tag;

    flick_khazana_decode_new_glob(20);
    flick_khazana_check_span(16, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t34_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t34_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t35_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t35_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t35_switch_tag)
            {
            case /* SetS */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157843):
              {
                unsigned int _t36_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t36_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t36_switch_tag)
                  {
                  case /* ize */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769628928):
                    {
                      {
                        Server _obj;
                        unsigned int _t37_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_width;
                        CORBA_long _local_height;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t38_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort79);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t37_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t37_principal_len, _flick_abort79);
                        flick_khazana_decode_new_glob(_t37_principal_len);
                        flick_khazana_decode_new_chunk(_t37_principal_len);
                        flick_khazana_decode_end_chunk(_t37_principal_len);
                        flick_khazana_decode_end_glob(_t37_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(11);
                        flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                        flick_khazana_check_span(8, _flick_abort79);
                        flick_cdr_decode_signed32(0, _local_width, CORBA_long );
                        flick_cdr_decode_signed32(4, _local_height, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t38_storage);
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(11);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Server_SetSize(_obj, _local_width, _local_height, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort79);
                          flick_khazana_encode_new_glob(8, _flick_abort79);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort85);
                                break;
                                {
                                _flick_abort85:
                                  goto _flick_abort79;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort86);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort86:
                                  goto _flick_abort79;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort79:
                          goto _flick_abort78;
                        }
                      }
                      break;
                      {
                      _flick_abort78:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* AddW */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1097098327):
              {
                unsigned int _t39_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t39_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t39_switch_tag)
                  {
                  case /* all */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634495488):
                    {
                      {
                        Server _obj;
                        unsigned int _t40_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_startx;
                        CORBA_long _local_starty;
                        CORBA_long _local_endx;
                        CORBA_long _local_endy;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t41_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort88);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t40_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t40_principal_len, _flick_abort88);
                        flick_khazana_decode_new_glob(_t40_principal_len);
                        flick_khazana_decode_new_chunk(_t40_principal_len);
                        flick_khazana_decode_end_chunk(_t40_principal_len);
                        flick_khazana_decode_end_glob(_t40_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(19);
                        flick_khazana_decode_new_chunk_align(16, 2, 0, 0);
                        flick_khazana_check_span(16, _flick_abort88);
                        flick_cdr_decode_signed32(0, _local_startx, CORBA_long );
                        flick_cdr_decode_signed32(4, _local_starty, CORBA_long );
                        flick_cdr_decode_signed32(8, _local_endx, CORBA_long );
                        flick_cdr_decode_signed32(12, _local_endy, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t41_storage);
                        flick_khazana_decode_end_chunk(16);
                        flick_khazana_decode_end_glob(19);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Server_AddWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort88);
                          flick_khazana_encode_new_glob(8, _flick_abort88);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort94);
                                break;
                                {
                                _flick_abort94:
                                  goto _flick_abort88;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort95);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort95:
                                  goto _flick_abort88;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort88:
                          goto _flick_abort87;
                        }
                      }
                      break;
                      {
                      _flick_abort87:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* DelW */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1147497559):
              {
                unsigned int _t42_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t42_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t42_switch_tag)
                  {
                  case /* all */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634495488):
                    {
                      {
                        Server _obj;
                        unsigned int _t43_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_startx;
                        CORBA_long _local_starty;
                        CORBA_long _local_endx;
                        CORBA_long _local_endy;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t44_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort97);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t43_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t43_principal_len, _flick_abort97);
                        flick_khazana_decode_new_glob(_t43_principal_len);
                        flick_khazana_decode_new_chunk(_t43_principal_len);
                        flick_khazana_decode_end_chunk(_t43_principal_len);
                        flick_khazana_decode_end_glob(_t43_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(19);
                        flick_khazana_decode_new_chunk_align(16, 2, 0, 0);
                        flick_khazana_check_span(16, _flick_abort97);
                        flick_cdr_decode_signed32(0, _local_startx, CORBA_long );
                        flick_cdr_decode_signed32(4, _local_starty, CORBA_long );
                        flick_cdr_decode_signed32(8, _local_endx, CORBA_long );
                        flick_cdr_decode_signed32(12, _local_endy, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t44_storage);
                        flick_khazana_decode_end_chunk(16);
                        flick_khazana_decode_end_glob(19);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Server_DelWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort97);
                          flick_khazana_encode_new_glob(8, _flick_abort97);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort103);
                                break;
                                {
                                _flick_abort103:
                                  goto _flick_abort97;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort104);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort104:
                                  goto _flick_abort97;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort97:
                          goto _flick_abort96;
                        }
                      }
                      break;
                      {
                      _flick_abort96:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* AddR */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1097098322):
              {
                unsigned int _t45_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t45_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t45_switch_tag)
                  {
                  case /* ect */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016576):
                    {
                      {
                        Server _obj;
                        unsigned int _t46_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_left;
                        CORBA_long _local_top;
                        CORBA_long _local_right;
                        CORBA_long _local_bottom;
                        CORBA_long _local_color;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t47_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort106);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t46_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t46_principal_len, _flick_abort106);
                        flick_khazana_decode_new_glob(_t46_principal_len);
                        flick_khazana_decode_new_chunk(_t46_principal_len);
                        flick_khazana_decode_end_chunk(_t46_principal_len);
                        flick_khazana_decode_end_glob(_t46_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(23);
                        flick_khazana_decode_new_chunk_align(20, 2, 0, 0);
                        flick_khazana_check_span(20, _flick_abort106);
                        flick_cdr_decode_signed32(0, _local_left, CORBA_long );
                        flick_cdr_decode_signed32(4, _local_top, CORBA_long );
                        flick_cdr_decode_signed32(8, _local_right, CORBA_long );
                        flick_cdr_decode_signed32(12, _local_bottom, CORBA_long );
                        flick_cdr_decode_signed32(16, _local_color, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t47_storage);
                        flick_khazana_decode_end_chunk(20);
                        flick_khazana_decode_end_glob(23);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Server_AddRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _local_color, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort106);
                          flick_khazana_encode_new_glob(8, _flick_abort106);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort112);
                                break;
                                {
                                _flick_abort112:
                                  goto _flick_abort106;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort113);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort113:
                                  goto _flick_abort106;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort106:
                          goto _flick_abort105;
                        }
                      }
                      break;
                      {
                      _flick_abort105:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* DelR */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1147497554):
              {
                unsigned int _t48_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t48_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t48_switch_tag)
                  {
                  case /* ect */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016576):
                    {
                      {
                        Server _obj;
                        unsigned int _t49_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_left;
                        CORBA_long _local_top;
                        CORBA_long _local_right;
                        CORBA_long _local_bottom;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t50_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort115);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t49_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t49_principal_len, _flick_abort115);
                        flick_khazana_decode_new_glob(_t49_principal_len);
                        flick_khazana_decode_new_chunk(_t49_principal_len);
                        flick_khazana_decode_end_chunk(_t49_principal_len);
                        flick_khazana_decode_end_glob(_t49_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(19);
                        flick_khazana_decode_new_chunk_align(16, 2, 0, 0);
                        flick_khazana_check_span(16, _flick_abort115);
                        flick_cdr_decode_signed32(0, _local_left, CORBA_long );
                        flick_cdr_decode_signed32(4, _local_top, CORBA_long );
                        flick_cdr_decode_signed32(8, _local_right, CORBA_long );
                        flick_cdr_decode_signed32(12, _local_bottom, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t50_storage);
                        flick_khazana_decode_end_chunk(16);
                        flick_khazana_decode_end_glob(19);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Server_DelRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort115);
                          flick_khazana_encode_new_glob(8, _flick_abort115);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort121);
                                break;
                                {
                                _flick_abort121:
                                  goto _flick_abort115;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort122);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort122:
                                  goto _flick_abort115;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort115:
                          goto _flick_abort114;
                        }
                      }
                      break;
                      {
                      _flick_abort114:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t51_switch_tag;

          flick_khazana_check_span(16, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t51_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t51_switch_tag)
            {
            case /* SetT */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157844):
              {
                unsigned int _t52_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t52_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t52_switch_tag)
                  {
                  case /* urtl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970435180):
                    {
                      unsigned short int _t53_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t53_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t53_switch_tag)
                        {
                        case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                          {
                            {
                              Server _obj;
                              unsigned int _t54_principal_len;
                              CORBA_long _return;
                              CORBA_long _local_x;
                              CORBA_long _local_y;
                              CORBA_long _local_angle;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t55_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort124);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t54_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t54_principal_len, _flick_abort124);
                              flick_khazana_decode_new_glob(_t54_principal_len);
                              flick_khazana_decode_new_chunk(_t54_principal_len);
                              flick_khazana_decode_end_chunk(_t54_principal_len);
                              flick_khazana_decode_end_glob(_t54_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(15);
                              flick_khazana_decode_new_chunk_align(12, 2, 0, 0);
                              flick_khazana_check_span(12, _flick_abort124);
                              flick_cdr_decode_signed32(0, _local_x, CORBA_long );
                              flick_cdr_decode_signed32(4, _local_y, CORBA_long );
                              flick_cdr_decode_signed32(8, _local_angle, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t55_storage);
                              flick_khazana_decode_end_chunk(12);
                              flick_khazana_decode_end_glob(15);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = Server_SetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort124);
                                flick_khazana_encode_new_glob(8, _flick_abort124);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort130);
                                      break;
                                      {
                                      _flick_abort130:
                                        goto _flick_abort124;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort131);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort131:
                                        goto _flick_abort124;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort124:
                                goto _flick_abort123;
                              }
                            }
                            break;
                            {
                            _flick_abort123:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* GetT */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831252):
              {
                unsigned int _t56_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t56_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t56_switch_tag)
                  {
                  case /* urtl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970435180):
                    {
                      unsigned short int _t57_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t57_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t57_switch_tag)
                        {
                        case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                          {
                            {
                              Server _obj;
                              unsigned int _t58_principal_len;
                              CORBA_long _return;
                              CORBA_long *_local_x;
                              CORBA_long _t59_storage;
                              CORBA_long *_local_y;
                              CORBA_long _t60_storage;
                              CORBA_long *_local_angle;
                              CORBA_long _t61_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t62_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort133);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t58_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t58_principal_len, _flick_abort133);
                              flick_khazana_decode_new_glob(_t58_principal_len);
                              flick_khazana_decode_new_chunk(_t58_principal_len);
                              flick_khazana_decode_end_chunk(_t58_principal_len);
                              flick_khazana_decode_end_glob(_t58_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_x = (CORBA_long *)(&_t59_storage);
                              _local_y = (CORBA_long *)(&_t60_storage);
                              _local_angle = (CORBA_long *)(&_t61_storage);
                              _ev = (CORBA_Environment *)(&_t62_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = Server_GetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort133);
                                flick_khazana_encode_new_glob(20, _flick_abort133);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(16);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_cdr_encode_signed32(4, *_local_x, CORBA_long );
                                      flick_cdr_encode_signed32(8, *_local_y, CORBA_long );
                                      flick_cdr_encode_signed32(12, *_local_angle, CORBA_long );
                                      flick_khazana_encode_end_chunk(16);
                                      flick_khazana_encode_end_glob(20);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(20);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort139);
                                      break;
                                      {
                                      _flick_abort139:
                                        goto _flick_abort133;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort140);
                                      flick_khazana_encode_end_glob(20);
                                      break;
                                      {
                                      _flick_abort140:
                                        goto _flick_abort133;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort133:
                                goto _flick_abort132;
                              }
                            }
                            break;
                            {
                            _flick_abort132:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t63_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t63_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t63_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t64_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t64_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t64_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t65_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t66_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t67_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort142);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t65_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t65_principal_len, _flick_abort142);
                        flick_khazana_decode_new_glob(_t65_principal_len);
                        flick_khazana_decode_new_chunk(_t65_principal_len);
                        flick_khazana_decode_end_chunk(_t65_principal_len);
                        flick_khazana_decode_end_glob(_t65_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort142);
                        flick_cdr_decode_unsigned32(0, _t66_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t66_temp_string_len);
                        flick_khazana_check_span(1 * _t66_temp_string_len, _flick_abort142);
                        flick_khazana_decode_new_chunk(1 * _t66_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t66_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t66_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t67_storage);
                        _par = flick_interface_parents_Server;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort142);
                          flick_khazana_encode_new_glob(5, _flick_abort142);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort150);
                                break;
                                {
                                _flick_abort150:
                                  goto _flick_abort142;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort151);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort151:
                                  goto _flick_abort142;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort142:
                          goto _flick_abort141;
                        }
                      }
                      break;
                      {
                      _flick_abort141:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

