#include "union-server.h"

/* This is the runtime type information */
char *flick_interface_parents_a[] = {
	"IDL:a:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t a_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t36_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t36_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t36_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t37_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t37_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t37_switch_tag)
            {
            case /* opA */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869627648):
              {
                {
                  a _obj;
                  unsigned int _t38_principal_len;
                  struct Foo2 _return;
                  struct a_astruct *_local_b;
                  struct a_astruct _t39_storage;
                  struct a_astruct *_local_c;
                  struct a_astruct _t40_storage;
                  struct a_astruct *_local_d;
                  struct a_astruct _t41_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t42_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort696);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t38_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t38_principal_len + 1, _flick_abort696);
                  flick_khazana_decode_new_glob(_t38_principal_len);
                  flick_khazana_decode_new_chunk(_t38_principal_len);
                  flick_khazana_decode_end_chunk(_t38_principal_len);
                  flick_khazana_decode_end_glob(_t38_principal_len);
                  /* Begin decode phase on parameters */
                  _local_b = (struct a_astruct *)(&_t39_storage);
                  flick_khazana_decode_new_glob(65);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _local_b->a1._d, CORBA_char );
                  flick_khazana_decode_end_chunk(1);
                  switch (_local_b->a1._d)
                    {
                    case 'a':
                      {
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort708);
                        flick_cdr_swap_decode_signed32(0, _local_b->a1._u.x, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort708:
                          goto _flick_abort696;
                        }
                      }
                    case 'b':
                      {
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(5, _flick_abort709);
                        flick_cdr_swap_decode_signed32(0, _local_b->a1._u.y._d, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        switch (_local_b->a1._u.y._d)
                          {
                          case 1:
                            {
                              flick_khazana_check_span(4, _flick_abort714);
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_swap_decode_signed32(0, _local_b->a1._u.y._u.x, CORBA_long );
                              flick_khazana_decode_end_chunk(4);
                              break;
                              {
                              _flick_abort714:
                                goto _flick_abort709;
                              }
                            }
                          case 2:
                            {
                              flick_khazana_check_span(5, _flick_abort715);
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_swap_decode_signed32(0, _local_b->a1._u.y._u.y.b1, CORBA_long );
                              flick_cdr_swap_decode_char8(4, _local_b->a1._u.y._u.y.b2, CORBA_char );
                              flick_khazana_decode_end_chunk(5);
                              break;
                              {
                              _flick_abort715:
                                goto _flick_abort709;
                              }
                            }
                          default:
                            {
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_b->a1._u.y._u.z, CORBA_char );
                              flick_khazana_decode_end_chunk(1);
                              break;
                            }
                          }
                        break;
                        {
                        _flick_abort709:
                          goto _flick_abort696;
                        }
                      }
                    default:
                      {
                        break;
                      }
                    }
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(5, _flick_abort696);
                  flick_cdr_swap_decode_signed32(0, _local_b->a2._d, CORBA_long );
                  flick_khazana_decode_end_chunk(4);
                  switch (_local_b->a2._d)
                    {
                    case 1:
                      {
                        flick_khazana_check_span(4, _flick_abort722);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _local_b->a2._u.x, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort722:
                          goto _flick_abort696;
                        }
                      }
                    case 2:
                      {
                        flick_khazana_check_span(5, _flick_abort723);
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_swap_decode_signed32(0, _local_b->a2._u.y.b1, CORBA_long );
                        flick_cdr_swap_decode_char8(4, _local_b->a2._u.y.b2, CORBA_char );
                        flick_khazana_decode_end_chunk(5);
                        break;
                        {
                        _flick_abort723:
                          goto _flick_abort696;
                        }
                      }
                    default:
                      {
                        flick_khazana_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _local_b->a2._u.z, CORBA_char );
                        flick_khazana_decode_end_chunk(1);
                        break;
                      }
                    }
                  flick_khazana_decode_new_chunk_align(6, 2, 0, 0);
                  flick_khazana_check_span(12, _flick_abort696);
                  flick_cdr_swap_decode_signed32(0, _local_b->a3.b1, CORBA_long );
                  flick_cdr_swap_decode_char8(4, _local_b->a3.b2, CORBA_char );
                  _local_c = (struct a_astruct *)(&_t40_storage);
                  flick_cdr_swap_decode_char8(5, _local_c->a1._d, CORBA_char );
                  flick_khazana_decode_end_chunk(6);
                  switch (_local_c->a1._d)
                    {
                    case 'a':
                      {
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_signed32(2, _local_c->a1._u.x, CORBA_long );
                        flick_khazana_decode_end_chunk(6);
                        break;
                      }
                    case 'b':
                      {
                        flick_khazana_check_span(7, _flick_abort737);
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_signed32(2, _local_c->a1._u.y._d, CORBA_long );
                        flick_khazana_decode_end_chunk(6);
                        switch (_local_c->a1._u.y._d)
                          {
                          case 1:
                            {
                              flick_khazana_check_span(4, _flick_abort742);
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_swap_decode_signed32(0, _local_c->a1._u.y._u.x, CORBA_long );
                              flick_khazana_decode_end_chunk(4);
                              break;
                              {
                              _flick_abort742:
                                goto _flick_abort737;
                              }
                            }
                          case 2:
                            {
                              flick_khazana_check_span(5, _flick_abort743);
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_swap_decode_signed32(0, _local_c->a1._u.y._u.y.b1, CORBA_long );
                              flick_cdr_swap_decode_char8(4, _local_c->a1._u.y._u.y.b2, CORBA_char );
                              flick_khazana_decode_end_chunk(5);
                              break;
                              {
                              _flick_abort743:
                                goto _flick_abort737;
                              }
                            }
                          default:
                            {
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_c->a1._u.y._u.z, CORBA_char );
                              flick_khazana_decode_end_chunk(1);
                              break;
                            }
                          }
                        break;
                        {
                        _flick_abort737:
                          goto _flick_abort696;
                        }
                      }
                    default:
                      {
                        break;
                      }
                    }
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(5, _flick_abort696);
                  flick_cdr_swap_decode_signed32(0, _local_c->a2._d, CORBA_long );
                  flick_khazana_decode_end_chunk(4);
                  switch (_local_c->a2._d)
                    {
                    case 1:
                      {
                        flick_khazana_check_span(4, _flick_abort750);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _local_c->a2._u.x, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort750:
                          goto _flick_abort696;
                        }
                      }
                    case 2:
                      {
                        flick_khazana_check_span(5, _flick_abort751);
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_swap_decode_signed32(0, _local_c->a2._u.y.b1, CORBA_long );
                        flick_cdr_swap_decode_char8(4, _local_c->a2._u.y.b2, CORBA_char );
                        flick_khazana_decode_end_chunk(5);
                        break;
                        {
                        _flick_abort751:
                          goto _flick_abort696;
                        }
                      }
                    default:
                      {
                        flick_khazana_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _local_c->a2._u.z, CORBA_char );
                        flick_khazana_decode_end_chunk(1);
                        break;
                      }
                    }
                  flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
                  flick_khazana_check_span(5, _flick_abort696);
                  flick_cdr_swap_decode_signed32(0, _local_c->a3.b1, CORBA_long );
                  flick_cdr_swap_decode_char8(4, _local_c->a3.b2, CORBA_char );
                  _local_d = (struct a_astruct *)(&_t41_storage);
                  _ev = (CORBA_Environment *)(&_t42_storage);
                  flick_khazana_decode_end_chunk(5);
                  flick_khazana_decode_end_glob(65);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = a_opA(_obj, _local_b, _local_c, _local_d, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort696);
                    flick_khazana_encode_new_glob(82, _flick_abort696);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _return._d, CORBA_char );
                          flick_khazana_encode_end_chunk(1);
                          switch (_return._d)
                            {
                            case 'a':
                              {
                                flick_khazana_encode_new_chunk(7);
                                flick_cdr_encode_signed32(3, _return._u.x, CORBA_long );
                                flick_khazana_encode_end_chunk(7);
                                break;
                              }
                            case 'b':
                              {
                                flick_khazana_encode_new_chunk(7);
                                flick_cdr_encode_signed32(3, _return._u.y._d, CORBA_long );
                                flick_khazana_encode_end_chunk(7);
                                switch (_return._u.y._d)
                                  {
                                  case 1:
                                    {
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return._u.y._u.x, CORBA_long );
                                      flick_khazana_encode_end_chunk(4);
                                      break;
                                    }
                                  case 2:
                                    {
                                      flick_khazana_encode_new_chunk(5);
                                      flick_cdr_encode_signed32(0, _return._u.y._u.y.b1, CORBA_long );
                                      flick_cdr_encode_char8(4, _return._u.y._u.y.b2, CORBA_char );
                                      flick_khazana_encode_end_chunk(5);
                                      break;
                                    }
                                  default:
                                    {
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return._u.y._u.z, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                break;
                              }
                            }
                          flick_khazana_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _local_c->a1._d, CORBA_char );
                          flick_khazana_encode_end_chunk(1);
                          switch (_local_c->a1._d)
                            {
                            case 'a':
                              {
                                flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_c->a1._u.x, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                break;
                              }
                            case 'b':
                              {
                                flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_c->a1._u.y._d, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                switch (_local_c->a1._u.y._d)
                                  {
                                  case 1:
                                    {
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _local_c->a1._u.y._u.x, CORBA_long );
                                      flick_khazana_encode_end_chunk(4);
                                      break;
                                    }
                                  case 2:
                                    {
                                      flick_khazana_encode_new_chunk(5);
                                      flick_cdr_encode_signed32(0, _local_c->a1._u.y._u.y.b1, CORBA_long );
                                      flick_cdr_encode_char8(4, _local_c->a1._u.y._u.y.b2, CORBA_char );
                                      flick_khazana_encode_end_chunk(5);
                                      break;
                                    }
                                  default:
                                    {
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_c->a1._u.y._u.z, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                break;
                              }
                            }
                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _local_c->a2._d, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          switch (_local_c->a2._d)
                            {
                            case 1:
                              {
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _local_c->a2._u.x, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                break;
                              }
                            case 2:
                              {
                                flick_khazana_encode_new_chunk(5);
                                flick_cdr_encode_signed32(0, _local_c->a2._u.y.b1, CORBA_long );
                                flick_cdr_encode_char8(4, _local_c->a2._u.y.b2, CORBA_char );
                                flick_khazana_encode_end_chunk(5);
                                break;
                              }
                            default:
                              {
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _local_c->a2._u.z, CORBA_char );
                                flick_khazana_encode_end_chunk(1);
                                break;
                              }
                            }
                          flick_khazana_encode_new_chunk_align(6, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _local_c->a3.b1, CORBA_long );
                          flick_cdr_encode_char8(4, _local_c->a3.b2, CORBA_char );
                          flick_cdr_encode_char8(5, _local_d->a1._d, CORBA_char );
                          flick_khazana_encode_end_chunk(6);
                          switch (_local_d->a1._d)
                            {
                            case 'a':
                              {
                                flick_khazana_encode_new_chunk(6);
                                flick_cdr_encode_signed32(2, _local_d->a1._u.x, CORBA_long );
                                flick_khazana_encode_end_chunk(6);
                                break;
                              }
                            case 'b':
                              {
                                flick_khazana_encode_new_chunk(6);
                                flick_cdr_encode_signed32(2, _local_d->a1._u.y._d, CORBA_long );
                                flick_khazana_encode_end_chunk(6);
                                switch (_local_d->a1._u.y._d)
                                  {
                                  case 1:
                                    {
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _local_d->a1._u.y._u.x, CORBA_long );
                                      flick_khazana_encode_end_chunk(4);
                                      break;
                                    }
                                  case 2:
                                    {
                                      flick_khazana_encode_new_chunk(5);
                                      flick_cdr_encode_signed32(0, _local_d->a1._u.y._u.y.b1, CORBA_long );
                                      flick_cdr_encode_char8(4, _local_d->a1._u.y._u.y.b2, CORBA_char );
                                      flick_khazana_encode_end_chunk(5);
                                      break;
                                    }
                                  default:
                                    {
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_d->a1._u.y._u.z, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                break;
                              }
                            }
                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _local_d->a2._d, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          switch (_local_d->a2._d)
                            {
                            case 1:
                              {
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _local_d->a2._u.x, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                break;
                              }
                            case 2:
                              {
                                flick_khazana_encode_new_chunk(5);
                                flick_cdr_encode_signed32(0, _local_d->a2._u.y.b1, CORBA_long );
                                flick_cdr_encode_char8(4, _local_d->a2._u.y.b2, CORBA_char );
                                flick_khazana_encode_end_chunk(5);
                                break;
                              }
                            default:
                              {
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _local_d->a2._u.z, CORBA_char );
                                flick_khazana_encode_end_chunk(1);
                                break;
                              }
                            }
                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _local_d->a3.b1, CORBA_long );
                          flick_cdr_encode_char8(4, _local_d->a3.b2, CORBA_char );
                          flick_khazana_encode_end_chunk(5);
                          flick_khazana_encode_end_glob(82);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(82);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort912);
                          break;
                          {
                          _flick_abort912:
                            goto _flick_abort696;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort913);
                          flick_khazana_encode_end_glob(82);
                          break;
                          {
                          _flick_abort913:
                            goto _flick_abort696;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort696:
                    goto _flick_abort695;
                  }
                }
                break;
                {
                _flick_abort695:
                  goto _flick_abort2;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t43_switch_tag;

          flick_khazana_check_span(12, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t43_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t43_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t44_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t44_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t44_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t45_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t46_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t47_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort915);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t45_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t45_principal_len, _flick_abort915);
                        flick_khazana_decode_new_glob(_t45_principal_len);
                        flick_khazana_decode_new_chunk(_t45_principal_len);
                        flick_khazana_decode_end_chunk(_t45_principal_len);
                        flick_khazana_decode_end_glob(_t45_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort915);
                        flick_cdr_swap_decode_unsigned32(0, _t46_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t46_temp_string_len);
                        flick_khazana_check_span(1 * _t46_temp_string_len, _flick_abort915);
                        flick_khazana_decode_new_chunk(1 * _t46_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t46_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t46_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t47_storage);
                        _par = flick_interface_parents_a;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort915);
                          flick_khazana_encode_new_glob(5, _flick_abort915);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort923);
                                break;
                                {
                                _flick_abort923:
                                  goto _flick_abort915;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort924);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort924:
                                  goto _flick_abort915;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort915:
                          goto _flick_abort914;
                        }
                      }
                      break;
                      {
                      _flick_abort914:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t12_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t12_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t12_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t13_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t13_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t13_switch_tag)
            {
            case /* opA */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869627648):
              {
                {
                  a _obj;
                  unsigned int _t14_principal_len;
                  struct Foo2 _return;
                  struct a_astruct *_local_b;
                  struct a_astruct _t15_storage;
                  struct a_astruct *_local_c;
                  struct a_astruct _t16_storage;
                  struct a_astruct *_local_d;
                  struct a_astruct _t17_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t18_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort235);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t14_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t14_principal_len + 1, _flick_abort235);
                  flick_khazana_decode_new_glob(_t14_principal_len);
                  flick_khazana_decode_new_chunk(_t14_principal_len);
                  flick_khazana_decode_end_chunk(_t14_principal_len);
                  flick_khazana_decode_end_glob(_t14_principal_len);
                  /* Begin decode phase on parameters */
                  _local_b = (struct a_astruct *)(&_t15_storage);
                  flick_khazana_decode_new_glob(65);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_b->a1._d, CORBA_char );
                  flick_khazana_decode_end_chunk(1);
                  switch (_local_b->a1._d)
                    {
                    case 'a':
                      {
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort247);
                        flick_cdr_decode_signed32(0, _local_b->a1._u.x, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort247:
                          goto _flick_abort235;
                        }
                      }
                    case 'b':
                      {
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(5, _flick_abort248);
                        flick_cdr_decode_signed32(0, _local_b->a1._u.y._d, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        switch (_local_b->a1._u.y._d)
                          {
                          case 1:
                            {
                              flick_khazana_check_span(4, _flick_abort253);
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_decode_signed32(0, _local_b->a1._u.y._u.x, CORBA_long );
                              flick_khazana_decode_end_chunk(4);
                              break;
                              {
                              _flick_abort253:
                                goto _flick_abort248;
                              }
                            }
                          case 2:
                            {
                              flick_khazana_check_span(5, _flick_abort254);
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_decode_signed32(0, _local_b->a1._u.y._u.y.b1, CORBA_long );
                              flick_cdr_decode_char8(4, _local_b->a1._u.y._u.y.b2, CORBA_char );
                              flick_khazana_decode_end_chunk(5);
                              break;
                              {
                              _flick_abort254:
                                goto _flick_abort248;
                              }
                            }
                          default:
                            {
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_b->a1._u.y._u.z, CORBA_char );
                              flick_khazana_decode_end_chunk(1);
                              break;
                            }
                          }
                        break;
                        {
                        _flick_abort248:
                          goto _flick_abort235;
                        }
                      }
                    default:
                      {
                        break;
                      }
                    }
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(5, _flick_abort235);
                  flick_cdr_decode_signed32(0, _local_b->a2._d, CORBA_long );
                  flick_khazana_decode_end_chunk(4);
                  switch (_local_b->a2._d)
                    {
                    case 1:
                      {
                        flick_khazana_check_span(4, _flick_abort261);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _local_b->a2._u.x, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort261:
                          goto _flick_abort235;
                        }
                      }
                    case 2:
                      {
                        flick_khazana_check_span(5, _flick_abort262);
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_decode_signed32(0, _local_b->a2._u.y.b1, CORBA_long );
                        flick_cdr_decode_char8(4, _local_b->a2._u.y.b2, CORBA_char );
                        flick_khazana_decode_end_chunk(5);
                        break;
                        {
                        _flick_abort262:
                          goto _flick_abort235;
                        }
                      }
                    default:
                      {
                        flick_khazana_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _local_b->a2._u.z, CORBA_char );
                        flick_khazana_decode_end_chunk(1);
                        break;
                      }
                    }
                  flick_khazana_decode_new_chunk_align(6, 2, 0, 0);
                  flick_khazana_check_span(12, _flick_abort235);
                  flick_cdr_decode_signed32(0, _local_b->a3.b1, CORBA_long );
                  flick_cdr_decode_char8(4, _local_b->a3.b2, CORBA_char );
                  _local_c = (struct a_astruct *)(&_t16_storage);
                  flick_cdr_decode_char8(5, _local_c->a1._d, CORBA_char );
                  flick_khazana_decode_end_chunk(6);
                  switch (_local_c->a1._d)
                    {
                    case 'a':
                      {
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_signed32(2, _local_c->a1._u.x, CORBA_long );
                        flick_khazana_decode_end_chunk(6);
                        break;
                      }
                    case 'b':
                      {
                        flick_khazana_check_span(7, _flick_abort276);
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_signed32(2, _local_c->a1._u.y._d, CORBA_long );
                        flick_khazana_decode_end_chunk(6);
                        switch (_local_c->a1._u.y._d)
                          {
                          case 1:
                            {
                              flick_khazana_check_span(4, _flick_abort281);
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_decode_signed32(0, _local_c->a1._u.y._u.x, CORBA_long );
                              flick_khazana_decode_end_chunk(4);
                              break;
                              {
                              _flick_abort281:
                                goto _flick_abort276;
                              }
                            }
                          case 2:
                            {
                              flick_khazana_check_span(5, _flick_abort282);
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_decode_signed32(0, _local_c->a1._u.y._u.y.b1, CORBA_long );
                              flick_cdr_decode_char8(4, _local_c->a1._u.y._u.y.b2, CORBA_char );
                              flick_khazana_decode_end_chunk(5);
                              break;
                              {
                              _flick_abort282:
                                goto _flick_abort276;
                              }
                            }
                          default:
                            {
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_c->a1._u.y._u.z, CORBA_char );
                              flick_khazana_decode_end_chunk(1);
                              break;
                            }
                          }
                        break;
                        {
                        _flick_abort276:
                          goto _flick_abort235;
                        }
                      }
                    default:
                      {
                        break;
                      }
                    }
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(5, _flick_abort235);
                  flick_cdr_decode_signed32(0, _local_c->a2._d, CORBA_long );
                  flick_khazana_decode_end_chunk(4);
                  switch (_local_c->a2._d)
                    {
                    case 1:
                      {
                        flick_khazana_check_span(4, _flick_abort289);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _local_c->a2._u.x, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort289:
                          goto _flick_abort235;
                        }
                      }
                    case 2:
                      {
                        flick_khazana_check_span(5, _flick_abort290);
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_decode_signed32(0, _local_c->a2._u.y.b1, CORBA_long );
                        flick_cdr_decode_char8(4, _local_c->a2._u.y.b2, CORBA_char );
                        flick_khazana_decode_end_chunk(5);
                        break;
                        {
                        _flick_abort290:
                          goto _flick_abort235;
                        }
                      }
                    default:
                      {
                        flick_khazana_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _local_c->a2._u.z, CORBA_char );
                        flick_khazana_decode_end_chunk(1);
                        break;
                      }
                    }
                  flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
                  flick_khazana_check_span(5, _flick_abort235);
                  flick_cdr_decode_signed32(0, _local_c->a3.b1, CORBA_long );
                  flick_cdr_decode_char8(4, _local_c->a3.b2, CORBA_char );
                  _local_d = (struct a_astruct *)(&_t17_storage);
                  _ev = (CORBA_Environment *)(&_t18_storage);
                  flick_khazana_decode_end_chunk(5);
                  flick_khazana_decode_end_glob(65);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = a_opA(_obj, _local_b, _local_c, _local_d, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort235);
                    flick_khazana_encode_new_glob(82, _flick_abort235);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _return._d, CORBA_char );
                          flick_khazana_encode_end_chunk(1);
                          switch (_return._d)
                            {
                            case 'a':
                              {
                                flick_khazana_encode_new_chunk(7);
                                flick_cdr_encode_signed32(3, _return._u.x, CORBA_long );
                                flick_khazana_encode_end_chunk(7);
                                break;
                              }
                            case 'b':
                              {
                                flick_khazana_encode_new_chunk(7);
                                flick_cdr_encode_signed32(3, _return._u.y._d, CORBA_long );
                                flick_khazana_encode_end_chunk(7);
                                switch (_return._u.y._d)
                                  {
                                  case 1:
                                    {
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return._u.y._u.x, CORBA_long );
                                      flick_khazana_encode_end_chunk(4);
                                      break;
                                    }
                                  case 2:
                                    {
                                      flick_khazana_encode_new_chunk(5);
                                      flick_cdr_encode_signed32(0, _return._u.y._u.y.b1, CORBA_long );
                                      flick_cdr_encode_char8(4, _return._u.y._u.y.b2, CORBA_char );
                                      flick_khazana_encode_end_chunk(5);
                                      break;
                                    }
                                  default:
                                    {
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return._u.y._u.z, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                break;
                              }
                            }
                          flick_khazana_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _local_c->a1._d, CORBA_char );
                          flick_khazana_encode_end_chunk(1);
                          switch (_local_c->a1._d)
                            {
                            case 'a':
                              {
                                flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_c->a1._u.x, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                break;
                              }
                            case 'b':
                              {
                                flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_c->a1._u.y._d, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                switch (_local_c->a1._u.y._d)
                                  {
                                  case 1:
                                    {
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _local_c->a1._u.y._u.x, CORBA_long );
                                      flick_khazana_encode_end_chunk(4);
                                      break;
                                    }
                                  case 2:
                                    {
                                      flick_khazana_encode_new_chunk(5);
                                      flick_cdr_encode_signed32(0, _local_c->a1._u.y._u.y.b1, CORBA_long );
                                      flick_cdr_encode_char8(4, _local_c->a1._u.y._u.y.b2, CORBA_char );
                                      flick_khazana_encode_end_chunk(5);
                                      break;
                                    }
                                  default:
                                    {
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_c->a1._u.y._u.z, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                break;
                              }
                            }
                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _local_c->a2._d, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          switch (_local_c->a2._d)
                            {
                            case 1:
                              {
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _local_c->a2._u.x, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                break;
                              }
                            case 2:
                              {
                                flick_khazana_encode_new_chunk(5);
                                flick_cdr_encode_signed32(0, _local_c->a2._u.y.b1, CORBA_long );
                                flick_cdr_encode_char8(4, _local_c->a2._u.y.b2, CORBA_char );
                                flick_khazana_encode_end_chunk(5);
                                break;
                              }
                            default:
                              {
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _local_c->a2._u.z, CORBA_char );
                                flick_khazana_encode_end_chunk(1);
                                break;
                              }
                            }
                          flick_khazana_encode_new_chunk_align(6, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _local_c->a3.b1, CORBA_long );
                          flick_cdr_encode_char8(4, _local_c->a3.b2, CORBA_char );
                          flick_cdr_encode_char8(5, _local_d->a1._d, CORBA_char );
                          flick_khazana_encode_end_chunk(6);
                          switch (_local_d->a1._d)
                            {
                            case 'a':
                              {
                                flick_khazana_encode_new_chunk(6);
                                flick_cdr_encode_signed32(2, _local_d->a1._u.x, CORBA_long );
                                flick_khazana_encode_end_chunk(6);
                                break;
                              }
                            case 'b':
                              {
                                flick_khazana_encode_new_chunk(6);
                                flick_cdr_encode_signed32(2, _local_d->a1._u.y._d, CORBA_long );
                                flick_khazana_encode_end_chunk(6);
                                switch (_local_d->a1._u.y._d)
                                  {
                                  case 1:
                                    {
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _local_d->a1._u.y._u.x, CORBA_long );
                                      flick_khazana_encode_end_chunk(4);
                                      break;
                                    }
                                  case 2:
                                    {
                                      flick_khazana_encode_new_chunk(5);
                                      flick_cdr_encode_signed32(0, _local_d->a1._u.y._u.y.b1, CORBA_long );
                                      flick_cdr_encode_char8(4, _local_d->a1._u.y._u.y.b2, CORBA_char );
                                      flick_khazana_encode_end_chunk(5);
                                      break;
                                    }
                                  default:
                                    {
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_d->a1._u.y._u.z, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                break;
                              }
                            }
                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _local_d->a2._d, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          switch (_local_d->a2._d)
                            {
                            case 1:
                              {
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _local_d->a2._u.x, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                break;
                              }
                            case 2:
                              {
                                flick_khazana_encode_new_chunk(5);
                                flick_cdr_encode_signed32(0, _local_d->a2._u.y.b1, CORBA_long );
                                flick_cdr_encode_char8(4, _local_d->a2._u.y.b2, CORBA_char );
                                flick_khazana_encode_end_chunk(5);
                                break;
                              }
                            default:
                              {
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _local_d->a2._u.z, CORBA_char );
                                flick_khazana_encode_end_chunk(1);
                                break;
                              }
                            }
                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _local_d->a3.b1, CORBA_long );
                          flick_cdr_encode_char8(4, _local_d->a3.b2, CORBA_char );
                          flick_khazana_encode_end_chunk(5);
                          flick_khazana_encode_end_glob(82);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(82);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort451);
                          break;
                          {
                          _flick_abort451:
                            goto _flick_abort235;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort452);
                          flick_khazana_encode_end_glob(82);
                          break;
                          {
                          _flick_abort452:
                            goto _flick_abort235;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort235:
                    goto _flick_abort234;
                  }
                }
                break;
                {
                _flick_abort234:
                  goto _flick_abort2;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t19_switch_tag;

          flick_khazana_check_span(12, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t19_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t19_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t20_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t20_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t20_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t21_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t22_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t23_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort454);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t21_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t21_principal_len, _flick_abort454);
                        flick_khazana_decode_new_glob(_t21_principal_len);
                        flick_khazana_decode_new_chunk(_t21_principal_len);
                        flick_khazana_decode_end_chunk(_t21_principal_len);
                        flick_khazana_decode_end_glob(_t21_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort454);
                        flick_cdr_decode_unsigned32(0, _t22_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t22_temp_string_len);
                        flick_khazana_check_span(1 * _t22_temp_string_len, _flick_abort454);
                        flick_khazana_decode_new_chunk(1 * _t22_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t22_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t22_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t23_storage);
                        _par = flick_interface_parents_a;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort454);
                          flick_khazana_encode_new_glob(5, _flick_abort454);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort462);
                                break;
                                {
                                _flick_abort462:
                                  goto _flick_abort454;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort463);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort463:
                                  goto _flick_abort454;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort454:
                          goto _flick_abort453;
                        }
                      }
                      break;
                      {
                      _flick_abort453:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

