#include "mig-tests-client.h"

/* This is the runtime type information */
/* */

kern_return_t inline_integers(mach_port_t target, Iint inInt, Iint *inoutInt, Iint *outInt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort1);
  }
  {
    flick_trapeze_encode_new_glob(16, _flick_abort1);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550001, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, inInt, Iint );
    flick_cdr_encode_signed32(12, *inoutInt, Iint );
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_trapeze_client_rpc(target, &_msg_buf, _msg_ctl_len, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort3);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(12, _flick_abort3);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_signed32(0, *inoutInt, Iint );
            flick_cdr_decode_signed32(4, *outInt, Iint );
            flick_trapeze_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort3:
  _flick_abort1:
    flick_mig_client_error(cdr, trapeze, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_fixed_structs(mach_port_t target, IFstruct inStruct, IFstruct *inoutStruct, IFstruct *outStruct)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort10);
  }
  {
    unsigned *_t2_internal;
    unsigned *_t3_internal;

    flick_trapeze_encode_new_glob(8, _flick_abort10);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550002, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    _t2_internal = (unsigned *)(&(inStruct));
    flick_trapeze_client_encode_array(_t2_internal, 4 * 100);
    _t3_internal = (unsigned *)(&(*inoutStruct));
    flick_trapeze_client_encode_array(_t3_internal, 4 * 100);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _t6_internal = flick_trapeze_client_array__alloc();
  if (!flick_trapeze_client_rpc_receiving_payload(target, &_msg_buf, _msg_ctl_len, 3, TPZ_UNSOL, _t6_internal))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort12);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(4, _flick_abort12);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t6_internal;
            unsigned *_t7_internal;

            /* Begin decode phase on parameters */
            _t6_internal = (unsigned *)(&(*inoutStruct));
            flick_trapeze_client_decode_array(_t6_internal, 4 * 100);
            _t7_internal = (unsigned *)(&(*outStruct));
            flick_trapeze_client_decode_array(_t7_internal, 4 * 100);
            break;
          }
        default:
          {
            flick_trapeze_check_span(8, _flick_abort17);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort17:
              goto _flick_abort12;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort12:
    flick_trapeze_client_array__free(_t6_internal);
  _flick_abort10:
    flick_mig_client_error(cdr, trapeze, _flick_abort9);
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_fixed_arrays(mach_port_t target, IFarray inArray, IFarray inoutArray, IFarray outArray)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort19);
  }
  {
    unsigned *_t10_internal;
    unsigned *_t11_internal;

    flick_trapeze_encode_new_glob(8, _flick_abort19);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550003, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    _t10_internal = (unsigned *)inArray;
    flick_trapeze_client_encode_array(_t10_internal, 4 * 300);
    _t11_internal = (unsigned *)inoutArray;
    flick_trapeze_client_encode_array(_t11_internal, 4 * 300);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _t14_internal = flick_trapeze_client_array__alloc();
  if (!flick_trapeze_client_rpc_receiving_payload(target, &_msg_buf, _msg_ctl_len, 3, TPZ_UNSOL, _t14_internal))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort21);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(4, _flick_abort21);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t14_internal;
            unsigned *_t15_internal;

            /* Begin decode phase on parameters */
            _t14_internal = (unsigned *)inoutArray;
            flick_trapeze_client_decode_array(_t14_internal, 4 * 300);
            _t15_internal = (unsigned *)outArray;
            flick_trapeze_client_decode_array(_t15_internal, 4 * 300);
            break;
          }
        default:
          {
            flick_trapeze_check_span(8, _flick_abort26);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort26:
              goto _flick_abort21;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort21:
    flick_trapeze_client_array__free(_t14_internal);
  _flick_abort19:
    flick_mig_client_error(cdr, trapeze, _flick_abort18);
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_bounded_arrays(mach_port_t target, IBarray inArray, mach_msg_type_number_t inArrayCnt, IBarray outArray, mach_msg_type_number_t *outArrayCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort28);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort28);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550004, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt, mach_msg_type_number_t );
    if (inArrayCnt > 500)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort28);
    flick_trapeze_client_encode_array(inArray, 4 * inArrayCnt);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  outArray = flick_trapeze_client_array__alloc();
  if (!flick_trapeze_client_rpc_receiving_payload(target, &_msg_buf, _msg_ctl_len, 3, TPZ_UNSOL, outArray))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort30);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(8, _flick_abort30);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            if (*outArrayCnt > 500)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort34);
            flick_trapeze_client_decode_array(outArray, 4 * *outArrayCnt);
            flick_trapeze_decode_end_chunk(4);
            break;
            {
            _flick_abort34:
              goto _flick_abort30;
            }
          }
        default:
          {
            flick_trapeze_check_span(8, _flick_abort35);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort35:
              goto _flick_abort30;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort30:
    flick_trapeze_client_array__free(outArray);
  _flick_abort28:
    flick_mig_client_error(cdr, trapeze, _flick_abort27);
  _flick_abort27:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_unbounded_arrays(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, Iarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort37);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort37);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550005, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt, mach_msg_type_number_t );
    flick_trapeze_client_encode_array(inArray, 4 * inArrayCnt);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  *outArray = flick_trapeze_client_array__alloc();
  if (!flick_trapeze_client_rpc_receiving_payload(target, &_msg_buf, _msg_ctl_len, 3, TPZ_UNSOL, *outArray))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort39);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(8, _flick_abort39);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            flick_trapeze_client_decode_array(*outArray, 4 * *outArrayCnt);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        default:
          {
            flick_trapeze_check_span(8, _flick_abort44);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort44:
              goto _flick_abort39;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort39:
    flick_trapeze_client_array__free(*outArray);
  _flick_abort37:
    flick_mig_client_error(cdr, trapeze, _flick_abort36);
  _flick_abort36:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_fixed_strings(mach_port_t target, IFstring inString, IFstring inoutString, IFstring outString)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort46);
  }
  {
    char *_t18_internal;
    char *_t19_internal;

    flick_trapeze_encode_new_glob(8, _flick_abort46);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550006, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    _t18_internal = (char *)inString;
    flick_trapeze_client_encode_array(_t18_internal, 1 * 799);
    _t19_internal = (char *)inoutString;
    flick_trapeze_client_encode_array(_t19_internal, 1 * 799);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _t22_internal = flick_trapeze_client_array__alloc();
  if (!flick_trapeze_client_rpc_receiving_payload(target, &_msg_buf, _msg_ctl_len, 3, TPZ_UNSOL, _t22_internal))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort48);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(4, _flick_abort48);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            char *_t22_internal;
            char *_t23_internal;

            /* Begin decode phase on parameters */
            _t22_internal = (char *)inoutString;
            flick_trapeze_client_decode_array(_t22_internal, 1 * 799);
            _t23_internal = (char *)outString;
            flick_trapeze_client_decode_array(_t23_internal, 1 * 799);
            break;
          }
        default:
          {
            flick_trapeze_check_span(8, _flick_abort53);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort53:
              goto _flick_abort48;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort48:
    flick_trapeze_client_array__free(_t22_internal);
  _flick_abort46:
    flick_mig_client_error(cdr, trapeze, _flick_abort45);
  _flick_abort45:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_bounded_strings(mach_port_t target, IVstring inString, IVstring outString)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort55);
  }
  {
    flick_unsigned32_t _t25_temp_string_len;

    flick_cdr_stringlen(IVstring , inString, flick_unsigned32_t , _t25_temp_string_len);

    flick_trapeze_encode_new_glob(12, _flick_abort55);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550007, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, _t25_temp_string_len, flick_unsigned32_t );
    if (_t25_temp_string_len > 4997)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort55);
    flick_trapeze_client_encode_array(inString, 1 * _t25_temp_string_len);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  outString = flick_trapeze_client_array__alloc();
  if (!flick_trapeze_client_rpc_receiving_payload(target, &_msg_buf, _msg_ctl_len, 3, TPZ_UNSOL, outString))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort57);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(8, _flick_abort57);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            flick_unsigned32_t _t27_temp_string_len;

            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t27_temp_string_len, flick_unsigned32_t );
            if (_t27_temp_string_len > 4997)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort61);
            flick_trapeze_client_decode_array(outString, 1 * _t27_temp_string_len);
            flick_trapeze_decode_end_chunk(4);
            break;
            {
            _flick_abort61:
              goto _flick_abort57;
            }
          }
        default:
          {
            flick_trapeze_check_span(8, _flick_abort62);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort62:
              goto _flick_abort57;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort57:
    flick_trapeze_client_array__free(outString);
  _flick_abort55:
    flick_mig_client_error(cdr, trapeze, _flick_abort54);
  _flick_abort54:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_port_rights(mach_port_t target, mach_port_t inRight, mach_port_t *inoutRight, mach_port_t *outRight)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort64);
  }
  {
    flick_trapeze_encode_new_glob(8, _flick_abort64);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550008, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_trapeze_client_rpc(target, &_msg_buf, _msg_ctl_len, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort66);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(4, _flick_abort66);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_trapeze_check_span(8, _flick_abort71);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort71:
              goto _flick_abort66;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort66:
  _flick_abort64:
    flick_mig_client_error(cdr, trapeze, _flick_abort63);
  _flick_abort63:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_port_arrays(mach_port_t target, Imach_port_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort73);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort73);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550009, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRightCnt, mach_msg_type_number_t );
    flick_trapeze_client_encode_array(inRight, sizeof(mach_port_t ) * inRightCnt);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  *outRight = flick_trapeze_client_array__alloc();
  if (!flick_trapeze_client_rpc_receiving_payload(target, &_msg_buf, _msg_ctl_len, 3, TPZ_UNSOL, *outRight))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort75);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(8, _flick_abort75);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outRightCnt, mach_msg_type_number_t );
            flick_trapeze_client_decode_array(*outRight, sizeof(mach_port_t ) * *outRightCnt);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        default:
          {
            flick_trapeze_check_span(8, _flick_abort80);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort80:
              goto _flick_abort75;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort75:
    flick_trapeze_client_array__free(*outRight);
  _flick_abort73:
    flick_mig_client_error(cdr, trapeze, _flick_abort72);
  _flick_abort72:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_poly_arrays(mach_port_t target, Imach_poly_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_poly_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort82);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort82);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550010, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRightCnt, mach_msg_type_number_t );
    flick_trapeze_client_encode_array(inRight, sizeof(mach_port_t ) * inRightCnt);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  *outRight = flick_trapeze_client_array__alloc();
  if (!flick_trapeze_client_rpc_receiving_payload(target, &_msg_buf, _msg_ctl_len, 3, TPZ_UNSOL, *outRight))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort84);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(8, _flick_abort84);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outRightCnt, mach_msg_type_number_t );
            flick_trapeze_client_decode_array(*outRight, sizeof(mach_port_t ) * *outRightCnt);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        default:
          {
            flick_trapeze_check_span(8, _flick_abort89);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort89:
              goto _flick_abort84;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort84:
    flick_trapeze_client_array__free(*outRight);
  _flick_abort82:
    flick_mig_client_error(cdr, trapeze, _flick_abort81);
  _flick_abort81:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_integers(mach_port_t target, Oint inInt, Oint *inoutInt, Oint *outInt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort91);
  }
  {
    flick_trapeze_encode_new_glob(16, _flick_abort91);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550012, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *inInt, unsigned );
    flick_cdr_encode_signed32(12, **inoutInt, unsigned );
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_trapeze_client_rpc(target, &_msg_buf, _msg_ctl_len, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort93);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(12, _flick_abort93);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_signed32(0, **inoutInt, unsigned );
            flick_cdr_decode_signed32(4, **outInt, unsigned );
            flick_trapeze_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort93:
  _flick_abort91:
    flick_mig_client_error(cdr, trapeze, _flick_abort90);
  _flick_abort90:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_fixed_structs(mach_port_t target, OFstruct inStruct, OFstruct *inoutStruct, OFstruct *outStruct)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort100);
  }
  {
    flick_trapeze_encode_new_glob(8, _flick_abort100);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550013, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(*inStruct, 4 * 200);
    flick_trapeze_client_encode_array(**inoutStruct, 4 * 200);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  **inoutStruct = flick_trapeze_client_array__alloc();
  if (!flick_trapeze_client_rpc_receiving_payload(target, &_msg_buf, _msg_ctl_len, 3, TPZ_UNSOL, **inoutStruct))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort102);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(4, _flick_abort102);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(**inoutStruct, 4 * 200);
            flick_trapeze_client_decode_array(**outStruct, 4 * 200);
            break;
          }
        default:
          {
            flick_trapeze_check_span(8, _flick_abort107);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort107:
              goto _flick_abort102;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort102:
    flick_trapeze_client_array__free(**inoutStruct);
  _flick_abort100:
    flick_mig_client_error(cdr, trapeze, _flick_abort99);
  _flick_abort99:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_fixed_arrays(mach_port_t target, OFarray inArray, OFarray *inoutArray, OFarray *outArray)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort109);
  }
  {
    flick_trapeze_encode_new_glob(8, _flick_abort109);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550014, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(*inArray, 4 * 400);
    flick_trapeze_client_encode_array(**inoutArray, 4 * 400);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  **inoutArray = flick_trapeze_client_array__alloc();
  if (!flick_trapeze_client_rpc_receiving_payload(target, &_msg_buf, _msg_ctl_len, 3, TPZ_UNSOL, **inoutArray))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort111);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(4, _flick_abort111);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(**inoutArray, 4 * 400);
            flick_trapeze_client_decode_array(**outArray, 4 * 400);
            break;
          }
        default:
          {
            flick_trapeze_check_span(8, _flick_abort116);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort116:
              goto _flick_abort111;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort111:
    flick_trapeze_client_array__free(**inoutArray);
  _flick_abort109:
    flick_mig_client_error(cdr, trapeze, _flick_abort108);
  _flick_abort108:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_unbounded_arrays(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort118);
  }
  {
    flick_trapeze_encode_new_glob(16, _flick_abort118);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550015, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt, mach_msg_type_number_t );
    if (inArrayCnt > 512)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort118);
    flick_trapeze_client_encode_array(inArray, 4 * inArrayCnt);
    flick_cdr_encode_unsigned32(12, *inoutArrayCnt, mach_msg_type_number_t );
    if (*inoutArrayCnt > 512)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort118);
    flick_trapeze_client_encode_array(*inoutArray, 4 * *inoutArrayCnt);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  *inoutArray = flick_trapeze_client_array__alloc();
  if (!flick_trapeze_client_rpc_receiving_payload(target, &_msg_buf, _msg_ctl_len, 3, TPZ_UNSOL, *inoutArray))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort120);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(12, _flick_abort120);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
            if (*inoutArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort124);
            flick_trapeze_client_decode_array(*inoutArray, 4 * *inoutArrayCnt);
            flick_cdr_decode_unsigned32(4, *outArrayCnt, mach_msg_type_number_t );
            if (*outArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort124);
            flick_trapeze_client_decode_array(*outArray, 4 * *outArrayCnt);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort124:
              goto _flick_abort120;
            }
          }
        default:
          {
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort120:
    flick_trapeze_client_array__free(*inoutArray);
  _flick_abort118:
    flick_mig_client_error(cdr, trapeze, _flick_abort117);
  _flick_abort117:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_fixed_strings(mach_port_t target, OFstring inString, OFstring *inoutString, OFstring *outString)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort127);
  }
  {
    flick_trapeze_encode_new_glob(8, _flick_abort127);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550016, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(*inString, 1 * 800);
    flick_trapeze_client_encode_array(**inoutString, 1 * 800);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  **inoutString = flick_trapeze_client_array__alloc();
  if (!flick_trapeze_client_rpc_receiving_payload(target, &_msg_buf, _msg_ctl_len, 3, TPZ_UNSOL, **inoutString))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort129);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(4, _flick_abort129);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(**inoutString, 1 * 800);
            flick_trapeze_client_decode_array(**outString, 1 * 800);
            break;
          }
        default:
          {
            flick_trapeze_check_span(8, _flick_abort134);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort134:
              goto _flick_abort129;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort129:
    flick_trapeze_client_array__free(**inoutString);
  _flick_abort127:
    flick_mig_client_error(cdr, trapeze, _flick_abort126);
  _flick_abort126:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_port_arrays(mach_port_t target, mach_port_array_t inRight, mach_msg_type_number_t inRightCnt, mach_port_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, mach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort136);
  }
  {
    flick_trapeze_encode_new_glob(16, _flick_abort136);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550017, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRightCnt, mach_msg_type_number_t );
    if (inRightCnt > 512)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort136);
    flick_trapeze_client_encode_array(inRight, sizeof(mach_port_t ) * inRightCnt);
    flick_cdr_encode_unsigned32(12, *inoutRightCnt, mach_msg_type_number_t );
    if (*inoutRightCnt > 512)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort136);
    flick_trapeze_client_encode_array(*inoutRight, sizeof(mach_port_t ) * *inoutRightCnt);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  *inoutRight = flick_trapeze_client_array__alloc();
  if (!flick_trapeze_client_rpc_receiving_payload(target, &_msg_buf, _msg_ctl_len, 3, TPZ_UNSOL, *inoutRight))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort138);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(12, _flick_abort138);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutRightCnt, mach_msg_type_number_t );
            if (*inoutRightCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort142);
            flick_trapeze_client_decode_array(*inoutRight, sizeof(mach_port_t ) * *inoutRightCnt);
            flick_cdr_decode_unsigned32(4, *outRightCnt, mach_msg_type_number_t );
            if (*outRightCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort142);
            flick_trapeze_client_decode_array(*outRight, sizeof(mach_port_t ) * *outRightCnt);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort142:
              goto _flick_abort138;
            }
          }
        default:
          {
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort138:
    flick_trapeze_client_array__free(*inoutRight);
  _flick_abort136:
    flick_mig_client_error(cdr, trapeze, _flick_abort135);
  _flick_abort135:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_poly_arrays(mach_port_t target, Omach_poly_array_t inRight, mach_msg_type_number_t inRightCnt, Omach_poly_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, Omach_poly_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort145);
  }
  {
    flick_trapeze_encode_new_glob(16, _flick_abort145);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550018, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRightCnt, mach_msg_type_number_t );
    if (inRightCnt > 512)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort145);
    flick_trapeze_client_encode_array(inRight, sizeof(mach_port_t ) * inRightCnt);
    flick_cdr_encode_unsigned32(12, *inoutRightCnt, mach_msg_type_number_t );
    if (*inoutRightCnt > 512)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort145);
    flick_trapeze_client_encode_array(*inoutRight, sizeof(mach_port_t ) * *inoutRightCnt);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  *inoutRight = flick_trapeze_client_array__alloc();
  if (!flick_trapeze_client_rpc_receiving_payload(target, &_msg_buf, _msg_ctl_len, 3, TPZ_UNSOL, *inoutRight))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort147);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(12, _flick_abort147);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutRightCnt, mach_msg_type_number_t );
            if (*inoutRightCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort151);
            flick_trapeze_client_decode_array(*inoutRight, sizeof(mach_port_t ) * *inoutRightCnt);
            flick_cdr_decode_unsigned32(4, *outRightCnt, mach_msg_type_number_t );
            if (*outRightCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort151);
            flick_trapeze_client_decode_array(*outRight, sizeof(mach_port_t ) * *outRightCnt);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort151:
              goto _flick_abort147;
            }
          }
        default:
          {
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort147:
    flick_trapeze_client_array__free(*inoutRight);
  _flick_abort145:
    flick_mig_client_error(cdr, trapeze, _flick_abort144);
  _flick_abort144:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_reply_ports(mach_port_t reply, mach_port_t target, unsigned int *data)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort154);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort154);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550020, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *data, unsigned int );
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_trapeze_client_rpc(target, &_msg_buf, _msg_ctl_len, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort156);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(8, _flick_abort156);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *data, unsigned int );
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        default:
          {
            flick_trapeze_check_span(8, _flick_abort161);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort161:
              goto _flick_abort156;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort156:
  _flick_abort154:
    flick_mig_client_error(cdr, trapeze, _flick_abort153);
  _flick_abort153:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_sreply_ports(mach_port_t target, unsigned int *data)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort163);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort163);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550021, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *data, unsigned int );
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_trapeze_client_rpc(target, &_msg_buf, _msg_ctl_len, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort165);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(8, _flick_abort165);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *data, unsigned int );
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        default:
          {
            flick_trapeze_check_span(8, _flick_abort170);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort170:
              goto _flick_abort165;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort165:
  _flick_abort163:
    flick_mig_client_error(cdr, trapeze, _flick_abort162);
  _flick_abort162:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_ureply_ports(mach_port_t target, mach_port_t reply, unsigned int *data)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort172);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort172);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550022, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *data, unsigned int );
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_trapeze_client_rpc(target, &_msg_buf, _msg_ctl_len, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort174);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(8, _flick_abort174);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *data, unsigned int );
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        default:
          {
            flick_trapeze_check_span(8, _flick_abort179);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort179:
              goto _flick_abort174;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort174:
  _flick_abort172:
    flick_mig_client_error(cdr, trapeze, _flick_abort171);
  _flick_abort171:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_param_flags(unsigned int time, unsigned int opt, mach_port_t target, unsigned int *data)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort181);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort181);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550023, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *data, unsigned int );
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_trapeze_client_rpc(target, &_msg_buf, _msg_ctl_len, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort183);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(8, _flick_abort183);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *data, unsigned int );
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        default:
          {
            flick_trapeze_check_span(8, _flick_abort188);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort188:
              goto _flick_abort183;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort183:
  _flick_abort181:
    flick_mig_client_error(cdr, trapeze, _flick_abort180);
  _flick_abort180:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_countinout(mach_port_t target, Iarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort190);
  }
  {
    flick_trapeze_encode_new_glob(8, _flick_abort190);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550024, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  *outArray = flick_trapeze_client_array__alloc();
  if (!flick_trapeze_client_rpc_receiving_payload(target, &_msg_buf, _msg_ctl_len, 3, TPZ_CTRL, *outArray))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort192);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(8, _flick_abort192);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            flick_trapeze_client_decode_array(*outArray, 4 * *outArrayCnt);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        default:
          {
            flick_trapeze_check_span(8, _flick_abort197);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort197:
              goto _flick_abort192;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort192:
    flick_trapeze_client_array__free(*outArray);
  _flick_abort190:
    flick_mig_client_error(cdr, trapeze, _flick_abort189);
  _flick_abort189:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_dealloc_pointer(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort199);
  }
  {
    flick_trapeze_encode_new_glob(16, _flick_abort199);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550025, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt, mach_msg_type_number_t );
    if (inArrayCnt > 512)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort199);
    flick_trapeze_client_encode_array(inArray, 4 * inArrayCnt);
    flick_cdr_encode_unsigned32(12, *inoutArrayCnt, mach_msg_type_number_t );
    if (*inoutArrayCnt > 512)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort199);
    flick_trapeze_client_encode_array(*inoutArray, 4 * *inoutArrayCnt);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  *inoutArray = flick_trapeze_client_array__alloc();
  if (!flick_trapeze_client_rpc_receiving_payload(target, &_msg_buf, _msg_ctl_len, 3, TPZ_UNSOL, *inoutArray))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort201);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(12, _flick_abort201);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
            if (*inoutArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort205);
            flick_trapeze_client_decode_array(*inoutArray, 4 * *inoutArrayCnt);
            flick_cdr_decode_unsigned32(4, *outArrayCnt, mach_msg_type_number_t );
            if (*outArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort205);
            flick_trapeze_client_decode_array(*outArray, 4 * *outArrayCnt);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort205:
              goto _flick_abort201;
            }
          }
        default:
          {
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort201:
    flick_trapeze_client_array__free(*inoutArray);
  _flick_abort199:
    flick_mig_client_error(cdr, trapeze, _flick_abort198);
  _flick_abort198:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_dynamic_dealloc_pointer(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, boolean_t inArrayDealloc, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, boolean_t inoutArrayDealloc, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort208);
  }
  {
    flick_trapeze_encode_new_glob(16, _flick_abort208);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550026, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt, mach_msg_type_number_t );
    if (inArrayCnt > 512)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort208);
    flick_trapeze_client_encode_array(inArray, 4 * inArrayCnt);
    flick_cdr_encode_unsigned32(12, *inoutArrayCnt, mach_msg_type_number_t );
    if (*inoutArrayCnt > 512)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort208);
    flick_trapeze_client_encode_array(*inoutArray, 4 * *inoutArrayCnt);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  *inoutArray = flick_trapeze_client_array__alloc();
  if (!flick_trapeze_client_rpc_receiving_payload(target, &_msg_buf, _msg_ctl_len, 3, TPZ_UNSOL, *inoutArray))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort210);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(12, _flick_abort210);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
            if (*inoutArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort214);
            flick_trapeze_client_decode_array(*inoutArray, 4 * *inoutArrayCnt);
            flick_cdr_decode_unsigned32(4, *outArrayCnt, mach_msg_type_number_t );
            if (*outArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort214);
            flick_trapeze_client_decode_array(*outArray, 4 * *outArrayCnt);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort214:
              goto _flick_abort210;
            }
          }
        default:
          {
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort210:
    flick_trapeze_client_array__free(*inoutArray);
  _flick_abort208:
    flick_mig_client_error(cdr, trapeze, _flick_abort207);
  _flick_abort207:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_servercopy(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, boolean_t *scopy)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort217);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort217);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550027, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt, mach_msg_type_number_t );
    flick_trapeze_client_encode_array(inArray, 4 * inArrayCnt);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_trapeze_client_rpc(target, &_msg_buf, _msg_ctl_len, TPZ_UNSOL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort219);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(5, _flick_abort219);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(1);
            flick_cdr_decode_unsigned8(0, *scopy, boolean_t );
            flick_trapeze_decode_end_chunk(1);
            break;
          }
        default:
          {
            flick_trapeze_check_span(8, _flick_abort224);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _return, mig);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort224:
              goto _flick_abort219;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort219:
  _flick_abort217:
    flick_mig_client_error(cdr, trapeze, _flick_abort216);
  _flick_abort216:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t terminate(mach_port_t target)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort226);
  }
  {
    flick_trapeze_encode_new_glob(8, _flick_abort226);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550028, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_trapeze_client_send(target, _msg_buf, _msg_ctl_len, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort228);
  return _return;
  {
  _flick_abort228:
  _flick_abort226:
    flick_mig_client_error(cdr, trapeze, _flick_abort225);
  _flick_abort225:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

