#include "parm_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_intf[] = {
	"IDL:intf:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t intf_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t124_switch_tag;

    flick_trapeze_decode_new_glob(96);
    flick_trapeze_check_span(8, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t124_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t124_switch_tag)
      {
      case (signed int) 0:
        {
          {
            intf _obj;
            CORBA_short _return;
            CORBA_short _local_a;
            CORBA_short *_local_b;
            CORBA_short _t125_storage;
            CORBA_short *_local_c;
            CORBA_short _t126_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t127_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort369);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort369);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed16(4, _local_a, CORBA_short );
            _local_b = (CORBA_short *)(&_t125_storage);
            flick_cdr_decode_signed16(6, *_local_b, CORBA_short );
            _local_c = (CORBA_short *)(&_t126_storage);
            _ev = (CORBA_Environment *)(&_t127_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_Short(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort369);
              flick_trapeze_encode_new_glob(12, _flick_abort369);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(6);
                    flick_cdr_encode_signed16(0, _return, CORBA_short );
                    flick_cdr_encode_signed16(2, *_local_b, CORBA_short );
                    flick_cdr_encode_signed16(4, *_local_c, CORBA_short );
                    flick_trapeze_encode_end_chunk(6);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort376);
                    break;
                    {
                    _flick_abort376:
                      goto _flick_abort369;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort369:
              goto _flick_abort368;
            }
          }
          break;
          {
          _flick_abort368:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            intf _obj;
            CORBA_long _return;
            CORBA_long _local_a;
            CORBA_long *_local_b;
            CORBA_long _t128_storage;
            CORBA_long *_local_c;
            CORBA_long _t129_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t130_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort378);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort378);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_a, CORBA_long );
            _local_b = (CORBA_long *)(&_t128_storage);
            flick_cdr_decode_signed32(8, *_local_b, CORBA_long );
            _local_c = (CORBA_long *)(&_t129_storage);
            _ev = (CORBA_Environment *)(&_t130_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_Long(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort378);
              flick_trapeze_encode_new_glob(16, _flick_abort378);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_cdr_encode_signed32(4, *_local_b, CORBA_long );
                    flick_cdr_encode_signed32(8, *_local_c, CORBA_long );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort385);
                    break;
                    {
                    _flick_abort385:
                      goto _flick_abort378;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort378:
              goto _flick_abort377;
            }
          }
          break;
          {
          _flick_abort377:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            intf _obj;
            CORBA_long_long _return;
            CORBA_long_long _local_a;
            CORBA_long_long *_local_b;
            CORBA_long_long _t131_storage;
            CORBA_long_long *_local_c;
            CORBA_long_long _t132_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t133_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort387);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(16, 3, 2, 0);
            flick_trapeze_check_span(16, _flick_abort387);
            flick_cdr_decode_signed64(0, _local_a, CORBA_long_long );
            _local_b = (CORBA_long_long *)(&_t131_storage);
            flick_cdr_decode_signed64(8, *_local_b, CORBA_long_long );
            _local_c = (CORBA_long_long *)(&_t132_storage);
            _ev = (CORBA_Environment *)(&_t133_storage);
            flick_trapeze_decode_end_chunk(16);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_LongLong(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort387);
              flick_trapeze_encode_new_glob(32, _flick_abort387);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk_align(24, 3, 2, 0);
                    flick_cdr_encode_signed64(0, _return, CORBA_long_long );
                    flick_cdr_encode_signed64(8, *_local_b, CORBA_long_long );
                    flick_cdr_encode_signed64(16, *_local_c, CORBA_long_long );
                    flick_trapeze_encode_end_chunk(24);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort394);
                    break;
                    {
                    _flick_abort394:
                      goto _flick_abort387;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(32);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort387:
              goto _flick_abort386;
            }
          }
          break;
          {
          _flick_abort386:
            goto _flick_abort2;
          }
        }
      case (signed int) 3:
        {
          {
            intf _obj;
            CORBA_unsigned_short _return;
            CORBA_unsigned_short _local_a;
            CORBA_unsigned_short *_local_b;
            CORBA_unsigned_short _t134_storage;
            CORBA_unsigned_short *_local_c;
            CORBA_unsigned_short _t135_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t136_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort396);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort396);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned16(4, _local_a, CORBA_unsigned_short );
            _local_b = (CORBA_unsigned_short *)(&_t134_storage);
            flick_cdr_decode_unsigned16(6, *_local_b, CORBA_unsigned_short );
            _local_c = (CORBA_unsigned_short *)(&_t135_storage);
            _ev = (CORBA_Environment *)(&_t136_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_UShort(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort396);
              flick_trapeze_encode_new_glob(12, _flick_abort396);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(6);
                    flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                    flick_cdr_encode_unsigned16(2, *_local_b, CORBA_unsigned_short );
                    flick_cdr_encode_unsigned16(4, *_local_c, CORBA_unsigned_short );
                    flick_trapeze_encode_end_chunk(6);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort403);
                    break;
                    {
                    _flick_abort403:
                      goto _flick_abort396;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort396:
              goto _flick_abort395;
            }
          }
          break;
          {
          _flick_abort395:
            goto _flick_abort2;
          }
        }
      case (signed int) 4:
        {
          {
            intf _obj;
            CORBA_unsigned_long _return;
            CORBA_unsigned_long _local_a;
            CORBA_unsigned_long *_local_b;
            CORBA_unsigned_long _t137_storage;
            CORBA_unsigned_long *_local_c;
            CORBA_unsigned_long _t138_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t139_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort405);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort405);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _local_a, CORBA_unsigned_long );
            _local_b = (CORBA_unsigned_long *)(&_t137_storage);
            flick_cdr_decode_unsigned32(8, *_local_b, CORBA_unsigned_long );
            _local_c = (CORBA_unsigned_long *)(&_t138_storage);
            _ev = (CORBA_Environment *)(&_t139_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_ULong(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort405);
              flick_trapeze_encode_new_glob(16, _flick_abort405);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                    flick_cdr_encode_unsigned32(4, *_local_b, CORBA_unsigned_long );
                    flick_cdr_encode_unsigned32(8, *_local_c, CORBA_unsigned_long );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort412);
                    break;
                    {
                    _flick_abort412:
                      goto _flick_abort405;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort405:
              goto _flick_abort404;
            }
          }
          break;
          {
          _flick_abort404:
            goto _flick_abort2;
          }
        }
      case (signed int) 5:
        {
          {
            intf _obj;
            CORBA_unsigned_long_long _return;
            CORBA_unsigned_long_long _local_a;
            CORBA_unsigned_long_long *_local_b;
            CORBA_unsigned_long_long _t140_storage;
            CORBA_unsigned_long_long *_local_c;
            CORBA_unsigned_long_long _t141_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t142_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort414);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(16, 3, 2, 0);
            flick_trapeze_check_span(16, _flick_abort414);
            flick_cdr_decode_unsigned64(0, _local_a, CORBA_unsigned_long_long );
            _local_b = (CORBA_unsigned_long_long *)(&_t140_storage);
            flick_cdr_decode_unsigned64(8, *_local_b, CORBA_unsigned_long_long );
            _local_c = (CORBA_unsigned_long_long *)(&_t141_storage);
            _ev = (CORBA_Environment *)(&_t142_storage);
            flick_trapeze_decode_end_chunk(16);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_ULongLong(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort414);
              flick_trapeze_encode_new_glob(32, _flick_abort414);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk_align(24, 3, 2, 0);
                    flick_cdr_encode_unsigned64(0, _return, CORBA_unsigned_long_long );
                    flick_cdr_encode_unsigned64(8, *_local_b, CORBA_unsigned_long_long );
                    flick_cdr_encode_unsigned64(16, *_local_c, CORBA_unsigned_long_long );
                    flick_trapeze_encode_end_chunk(24);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort421);
                    break;
                    {
                    _flick_abort421:
                      goto _flick_abort414;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(32);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort414:
              goto _flick_abort413;
            }
          }
          break;
          {
          _flick_abort413:
            goto _flick_abort2;
          }
        }
      case (signed int) 6:
        {
          {
            intf _obj;
            CORBA_float _return;
            CORBA_float _local_a;
            CORBA_float *_local_b;
            CORBA_float _t143_storage;
            CORBA_float *_local_c;
            CORBA_float _t144_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t145_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort423);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort423);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0.000000;
            flick_cdr_decode_float32(4, _local_a, CORBA_float );
            _local_b = (CORBA_float *)(&_t143_storage);
            flick_cdr_decode_float32(8, *_local_b, CORBA_float );
            _local_c = (CORBA_float *)(&_t144_storage);
            _ev = (CORBA_Environment *)(&_t145_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_Float(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort423);
              flick_trapeze_encode_new_glob(16, _flick_abort423);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_float32(0, _return, CORBA_float );
                    flick_cdr_encode_float32(4, *_local_b, CORBA_float );
                    flick_cdr_encode_float32(8, *_local_c, CORBA_float );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort430);
                    break;
                    {
                    _flick_abort430:
                      goto _flick_abort423;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort423:
              goto _flick_abort422;
            }
          }
          break;
          {
          _flick_abort422:
            goto _flick_abort2;
          }
        }
      case (signed int) 7:
        {
          {
            intf _obj;
            CORBA_double _return;
            CORBA_double _local_a;
            CORBA_double *_local_b;
            CORBA_double _t146_storage;
            CORBA_double *_local_c;
            CORBA_double _t147_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t148_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort432);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0.000000;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(16, 3, 2, 0);
            flick_trapeze_check_span(16, _flick_abort432);
            flick_cdr_decode_float64(0, _local_a, CORBA_double );
            _local_b = (CORBA_double *)(&_t146_storage);
            flick_cdr_decode_float64(8, *_local_b, CORBA_double );
            _local_c = (CORBA_double *)(&_t147_storage);
            _ev = (CORBA_Environment *)(&_t148_storage);
            flick_trapeze_decode_end_chunk(16);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_Double(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort432);
              flick_trapeze_encode_new_glob(32, _flick_abort432);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk_align(24, 3, 2, 0);
                    flick_cdr_encode_float64(0, _return, CORBA_double );
                    flick_cdr_encode_float64(8, *_local_b, CORBA_double );
                    flick_cdr_encode_float64(16, *_local_c, CORBA_double );
                    flick_trapeze_encode_end_chunk(24);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort439);
                    break;
                    {
                    _flick_abort439:
                      goto _flick_abort432;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(32);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort432:
              goto _flick_abort431;
            }
          }
          break;
          {
          _flick_abort431:
            goto _flick_abort2;
          }
        }
      case (signed int) 8:
        {
          {
            intf _obj;
            CORBA_boolean _return;
            CORBA_boolean _local_a;
            CORBA_boolean *_local_b;
            CORBA_boolean _t149_storage;
            CORBA_boolean *_local_c;
            CORBA_boolean _t150_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t151_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort441);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(6, _flick_abort441);
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned8(4, _local_a, CORBA_boolean );
            _local_b = (CORBA_boolean *)(&_t149_storage);
            flick_cdr_decode_unsigned8(5, *_local_b, CORBA_boolean );
            _local_c = (CORBA_boolean *)(&_t150_storage);
            _ev = (CORBA_Environment *)(&_t151_storage);
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort441);
              flick_trapeze_encode_new_glob(12, _flick_abort441);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(3);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                    flick_cdr_encode_unsigned8(2, *_local_c, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(3);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort448);
                    break;
                    {
                    _flick_abort448:
                      goto _flick_abort441;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort441:
              goto _flick_abort440;
            }
          }
          break;
          {
          _flick_abort440:
            goto _flick_abort2;
          }
        }
      case (signed int) 9:
        {
          {
            intf _obj;
            CORBA_char _return;
            CORBA_char _local_a;
            CORBA_char *_local_b;
            CORBA_char _t152_storage;
            CORBA_char *_local_c;
            CORBA_char _t153_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t154_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort450);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(6, _flick_abort450);
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_char8(4, _local_a, CORBA_char );
            _local_b = (CORBA_char *)(&_t152_storage);
            flick_cdr_decode_char8(5, *_local_b, CORBA_char );
            _local_c = (CORBA_char *)(&_t153_storage);
            _ev = (CORBA_Environment *)(&_t154_storage);
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_Char(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort450);
              flick_trapeze_encode_new_glob(12, _flick_abort450);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(3);
                    flick_cdr_encode_char8(0, _return, CORBA_char );
                    flick_cdr_encode_char8(1, *_local_b, CORBA_char );
                    flick_cdr_encode_char8(2, *_local_c, CORBA_char );
                    flick_trapeze_encode_end_chunk(3);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort457);
                    break;
                    {
                    _flick_abort457:
                      goto _flick_abort450;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort450:
              goto _flick_abort449;
            }
          }
          break;
          {
          _flick_abort449:
            goto _flick_abort2;
          }
        }
      case (signed int) 10:
        {
          {
            intf _obj;
            CORBA_octet _return;
            CORBA_octet _local_a;
            CORBA_octet *_local_b;
            CORBA_octet _t155_storage;
            CORBA_octet *_local_c;
            CORBA_octet _t156_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t157_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort459);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(6, _flick_abort459);
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned8(4, _local_a, CORBA_octet );
            _local_b = (CORBA_octet *)(&_t155_storage);
            flick_cdr_decode_unsigned8(5, *_local_b, CORBA_octet );
            _local_c = (CORBA_octet *)(&_t156_storage);
            _ev = (CORBA_Environment *)(&_t157_storage);
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_Octet(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort459);
              flick_trapeze_encode_new_glob(12, _flick_abort459);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(3);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                    flick_cdr_encode_unsigned8(1, *_local_b, CORBA_octet );
                    flick_cdr_encode_unsigned8(2, *_local_c, CORBA_octet );
                    flick_trapeze_encode_end_chunk(3);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort466);
                    break;
                    {
                    _flick_abort466:
                      goto _flick_abort459;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort459:
              goto _flick_abort458;
            }
          }
          break;
          {
          _flick_abort458:
            goto _flick_abort2;
          }
        }
      case (signed int) 11:
        {
          {
            intf _obj;
            Enumeration _return;
            Enumeration _local_a;
            Enumeration *_local_b;
            Enumeration _t158_storage;
            Enumeration *_local_c;
            Enumeration _t159_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t160_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort468);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort468);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _local_a, CORBA_enum );
            _local_b = (Enumeration *)(&_t158_storage);
            flick_cdr_decode_unsigned32(8, *_local_b, CORBA_enum );
            _local_c = (Enumeration *)(&_t159_storage);
            _ev = (CORBA_Environment *)(&_t160_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_Enum(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort468);
              flick_trapeze_encode_new_glob(16, _flick_abort468);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_unsigned32(0, _return, CORBA_enum );
                    flick_cdr_encode_unsigned32(4, *_local_b, CORBA_enum );
                    flick_cdr_encode_unsigned32(8, *_local_c, CORBA_enum );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort475);
                    break;
                    {
                    _flick_abort475:
                      goto _flick_abort468;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort468:
              goto _flick_abort467;
            }
          }
          break;
          {
          _flick_abort467:
            goto _flick_abort2;
          }
        }
      case (signed int) 12:
        {
          {
            intf _obj;
            intf _return;
            intf _local_a;
            intf *_local_b;
            intf _t161_storage;
            intf *_local_c;
            intf _t162_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t163_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort477);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_b = (intf *)(&_t161_storage);
            _local_c = (intf *)(&_t162_storage);
            _ev = (CORBA_Environment *)(&_t163_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_ObjectRef(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort477);
              flick_trapeze_encode_new_glob(12, _flick_abort477);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort484);
                    break;
                    {
                    _flick_abort484:
                      goto _flick_abort477;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort477:
              goto _flick_abort476;
            }
          }
          break;
          {
          _flick_abort476:
            goto _flick_abort2;
          }
        }
      case (signed int) 13:
        {
          {
            intf _obj;
            struct FStruct _return;
            struct FStruct *_local_a;
            struct FStruct _t164_storage;
            struct FStruct *_local_b;
            struct FStruct _t165_storage;
            struct FStruct *_local_c;
            struct FStruct _t166_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t167_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort486);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort486);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_a = (struct FStruct *)(&_t164_storage);
            flick_cdr_decode_signed16(4, _local_a->a, CORBA_short );
            _local_b = (struct FStruct *)(&_t165_storage);
            flick_cdr_decode_signed16(6, _local_b->a, CORBA_short );
            _local_c = (struct FStruct *)(&_t166_storage);
            _ev = (CORBA_Environment *)(&_t167_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_FixedStruct(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort486);
              flick_trapeze_encode_new_glob(12, _flick_abort486);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(6);
                    flick_cdr_encode_signed16(0, _return.a, CORBA_short );
                    flick_cdr_encode_signed16(2, _local_b->a, CORBA_short );
                    flick_cdr_encode_signed16(4, _local_c->a, CORBA_short );
                    flick_trapeze_encode_end_chunk(6);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort493);
                    break;
                    {
                    _flick_abort493:
                      goto _flick_abort486;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort486:
              goto _flick_abort485;
            }
          }
          break;
          {
          _flick_abort485:
            goto _flick_abort2;
          }
        }
      case (signed int) 14:
        {
          {
            intf _obj;
            struct VStruct *_return;
            struct VStruct *_local_a;
            struct VStruct _t168_storage;
            flick_unsigned32_t _t169_temp_string_len;
            struct VStruct *_local_b;
            struct VStruct _t170_storage;
            flick_unsigned32_t _t171_temp_string_len;
            struct VStruct **_local_c;
            struct VStruct *_t172_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t173_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort495);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort495);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (struct VStruct *)(&_t168_storage);
            flick_cdr_decode_unsigned32(4, _t169_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_a->a, 1 * _t169_temp_string_len);
            _local_b = (struct VStruct *)(&_t170_storage);
            flick_cdr_decode_unsigned32(8, _t171_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_b->a, 1 * _t171_temp_string_len);
            _local_c = (struct VStruct **)(&_t172_storage);
            _ev = (CORBA_Environment *)(&_t173_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_VarStruct(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort495);
              flick_trapeze_encode_new_glob(16, _flick_abort495);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t177_temp_string_len;
                    flick_unsigned32_t _t178_temp_string_len;
                    flick_unsigned32_t _t179_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return->a, flick_unsigned32_t , _t177_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, _local_b->a, flick_unsigned32_t , _t178_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, (*_local_c)->a, flick_unsigned32_t , _t179_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_unsigned32(0, _t177_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(_return->a, 1 * _t177_temp_string_len);
                    CORBA_flick_free(_return);
                    _return = (struct VStruct *)0;
                    flick_cdr_encode_unsigned32(4, _t178_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(_local_b->a, 1 * _t178_temp_string_len);
                    flick_cdr_encode_unsigned32(8, _t179_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array((*_local_c)->a, 1 * _t179_temp_string_len);
                    CORBA_flick_free(*_local_c);
                    *_local_c = (struct VStruct *)0;
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort502);
                    break;
                    {
                    _flick_abort502:
                      goto _flick_abort495;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort495:
              goto _flick_abort494;
            }
          }
          break;
          {
          _flick_abort494:
            goto _flick_abort2;
          }
        }
      case (signed int) 15:
        {
          {
            intf _obj;
            struct FUnion _return;
            struct FUnion *_local_a;
            struct FUnion _t180_storage;
            struct FUnion *_local_b;
            struct FUnion _t181_storage;
            struct FUnion *_local_c;
            struct FUnion _t182_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t183_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort504);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(9, _flick_abort504);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_a = (struct FUnion *)(&_t180_storage);
            flick_cdr_decode_signed32(4, _local_a->_d, CORBA_long );
            flick_trapeze_decode_end_chunk(8);
            switch (_local_a->_d)
              {
              case 1:
                {
                  flick_trapeze_check_span(4, _flick_abort508);
                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _local_a->_u.x, CORBA_long );
                  flick_trapeze_decode_end_chunk(4);
                  break;
                  {
                  _flick_abort508:
                    goto _flick_abort504;
                  }
                }
              default:
                {
                  flick_trapeze_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_a->_u.z, CORBA_char );
                  flick_trapeze_decode_end_chunk(1);
                  break;
                }
              }
            _local_b = (struct FUnion *)(&_t181_storage);
            flick_trapeze_decode_new_chunk_align(4, 2, 0, 0);
            flick_trapeze_check_span(5, _flick_abort504);
            flick_cdr_decode_signed32(0, _local_b->_d, CORBA_long );
            flick_trapeze_decode_end_chunk(4);
            switch (_local_b->_d)
              {
              case 1:
                {
                  flick_trapeze_check_span(4, _flick_abort513);
                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _local_b->_u.x, CORBA_long );
                  flick_trapeze_decode_end_chunk(4);
                  break;
                  {
                  _flick_abort513:
                    goto _flick_abort504;
                  }
                }
              default:
                {
                  flick_trapeze_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_b->_u.z, CORBA_char );
                  flick_trapeze_decode_end_chunk(1);
                  break;
                }
              }
            _local_c = (struct FUnion *)(&_t182_storage);
            _ev = (CORBA_Environment *)(&_t183_storage);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_FixedUnion(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort504);
              flick_trapeze_encode_new_glob(34, _flick_abort504);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return._d, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    switch (_return._d)
                      {
                      case 1:
                        {
                          flick_trapeze_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return._u.x, CORBA_long );
                          flick_trapeze_encode_end_chunk(4);
                          break;
                        }
                      default:
                        {
                          flick_trapeze_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _return._u.z, CORBA_char );
                          flick_trapeze_encode_end_chunk(1);
                          break;
                        }
                      }
                    flick_trapeze_encode_new_chunk_align(4, 2, 0, 0);
                    flick_cdr_encode_signed32(0, _local_b->_d, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    switch (_local_b->_d)
                      {
                      case 1:
                        {
                          flick_trapeze_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _local_b->_u.x, CORBA_long );
                          flick_trapeze_encode_end_chunk(4);
                          break;
                        }
                      default:
                        {
                          flick_trapeze_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _local_b->_u.z, CORBA_char );
                          flick_trapeze_encode_end_chunk(1);
                          break;
                        }
                      }
                    flick_trapeze_encode_new_chunk_align(4, 2, 0, 0);
                    flick_cdr_encode_signed32(0, _local_c->_d, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    switch (_local_c->_d)
                      {
                      case 1:
                        {
                          flick_trapeze_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _local_c->_u.x, CORBA_long );
                          flick_trapeze_encode_end_chunk(4);
                          break;
                        }
                      default:
                        {
                          flick_trapeze_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _local_c->_u.z, CORBA_char );
                          flick_trapeze_encode_end_chunk(1);
                          break;
                        }
                      }
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort551);
                    break;
                    {
                    _flick_abort551:
                      goto _flick_abort504;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(34);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort504:
              goto _flick_abort503;
            }
          }
          break;
          {
          _flick_abort503:
            goto _flick_abort2;
          }
        }
      case (signed int) 16:
        {
          {
            intf _obj;
            struct VUnion *_return;
            struct VUnion *_local_a;
            struct VUnion _t184_storage;
            struct VUnion *_local_b;
            struct VUnion _t187_storage;
            struct VUnion **_local_c;
            struct VUnion *_t190_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t191_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort553);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(9, _flick_abort553);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (struct VUnion *)(&_t184_storage);
            flick_cdr_decode_signed32(4, _local_a->_d, CORBA_long );
            flick_trapeze_decode_end_chunk(8);
            switch (_local_a->_d)
              {
              case 1:
                {
                  flick_unsigned32_t _t186_temp_string_len;

                  flick_trapeze_check_span(4, _flick_abort557);
                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t186_temp_string_len, flick_unsigned32_t );
                  flick_trapeze_server_decode_array(_local_a->_u.a, 1 * _t186_temp_string_len);
                  flick_trapeze_decode_end_chunk(4);
                  break;
                  {
                  _flick_abort557:
                    goto _flick_abort553;
                  }
                }
              default:
                {
                  flick_trapeze_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_a->_u.z, CORBA_char );
                  flick_trapeze_decode_end_chunk(1);
                  break;
                }
              }
            _local_b = (struct VUnion *)(&_t187_storage);
            flick_trapeze_decode_new_chunk_align(4, 2, 0, 0);
            flick_trapeze_check_span(5, _flick_abort553);
            flick_cdr_decode_signed32(0, _local_b->_d, CORBA_long );
            flick_trapeze_decode_end_chunk(4);
            switch (_local_b->_d)
              {
              case 1:
                {
                  flick_unsigned32_t _t189_temp_string_len;

                  flick_trapeze_check_span(4, _flick_abort562);
                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t189_temp_string_len, flick_unsigned32_t );
                  flick_trapeze_server_decode_array(_local_b->_u.a, 1 * _t189_temp_string_len);
                  flick_trapeze_decode_end_chunk(4);
                  break;
                  {
                  _flick_abort562:
                    goto _flick_abort553;
                  }
                }
              default:
                {
                  flick_trapeze_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_b->_u.z, CORBA_char );
                  flick_trapeze_decode_end_chunk(1);
                  break;
                }
              }
            _local_c = (struct VUnion **)(&_t190_storage);
            _ev = (CORBA_Environment *)(&_t191_storage);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_VarUnion(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort553);
              flick_trapeze_encode_new_glob(34, _flick_abort553);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return->_d, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    switch (_return->_d)
                      {
                      case 1:
                        {
                          flick_unsigned32_t _t199_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, _return->_u.a, flick_unsigned32_t , _t199_temp_string_len);

                          flick_trapeze_encode_new_chunk(4);
                          flick_cdr_encode_unsigned32(0, _t199_temp_string_len, flick_unsigned32_t );
                          flick_trapeze_server_encode_array(_return->_u.a, 1 * _t199_temp_string_len);
                          flick_trapeze_encode_end_chunk(4);
                          break;
                        }
                      default:
                        {
                          flick_trapeze_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _return->_u.z, CORBA_char );
                          flick_trapeze_encode_end_chunk(1);
                          break;
                        }
                      }
                    CORBA_flick_free(_return);
                    _return = (struct VUnion *)0;
                    flick_trapeze_encode_new_chunk_align(4, 2, 0, 0);
                    flick_cdr_encode_signed32(0, _local_b->_d, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    switch (_local_b->_d)
                      {
                      case 1:
                        {
                          flick_unsigned32_t _t201_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, _local_b->_u.a, flick_unsigned32_t , _t201_temp_string_len);

                          flick_trapeze_encode_new_chunk(4);
                          flick_cdr_encode_unsigned32(0, _t201_temp_string_len, flick_unsigned32_t );
                          flick_trapeze_server_encode_array(_local_b->_u.a, 1 * _t201_temp_string_len);
                          flick_trapeze_encode_end_chunk(4);
                          break;
                        }
                      default:
                        {
                          flick_trapeze_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _local_b->_u.z, CORBA_char );
                          flick_trapeze_encode_end_chunk(1);
                          break;
                        }
                      }
                    flick_trapeze_encode_new_chunk_align(4, 2, 0, 0);
                    flick_cdr_encode_signed32(0, (*_local_c)->_d, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    switch ((*_local_c)->_d)
                      {
                      case 1:
                        {
                          flick_unsigned32_t _t203_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, (*_local_c)->_u.a, flick_unsigned32_t , _t203_temp_string_len);

                          flick_trapeze_encode_new_chunk(4);
                          flick_cdr_encode_unsigned32(0, _t203_temp_string_len, flick_unsigned32_t );
                          flick_trapeze_server_encode_array((*_local_c)->_u.a, 1 * _t203_temp_string_len);
                          flick_trapeze_encode_end_chunk(4);
                          break;
                        }
                      default:
                        {
                          flick_trapeze_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, (*_local_c)->_u.z, CORBA_char );
                          flick_trapeze_encode_end_chunk(1);
                          break;
                        }
                      }
                    CORBA_flick_free(*_local_c);
                    *_local_c = (struct VUnion *)0;
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort600);
                    break;
                    {
                    _flick_abort600:
                      goto _flick_abort553;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(34);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort553:
              goto _flick_abort552;
            }
          }
          break;
          {
          _flick_abort552:
            goto _flick_abort2;
          }
        }
      case (signed int) 17:
        {
          {
            intf _obj;
            CORBA_char *_return;
            CORBA_char *_local_a;
            flick_unsigned32_t _t204_temp_string_len;
            CORBA_char **_local_b;
            CORBA_char *_t205_storage;
            flick_unsigned32_t _t206_temp_string_len;
            CORBA_char **_local_c;
            CORBA_char *_t207_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t208_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort602);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort602);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t204_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_a, 1 * _t204_temp_string_len);
            _local_b = (CORBA_char **)(&_t205_storage);
            flick_cdr_decode_unsigned32(8, _t206_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(*_local_b, 1 * _t206_temp_string_len);
            _local_c = (CORBA_char **)(&_t207_storage);
            _ev = (CORBA_Environment *)(&_t208_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_String(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort602);
              flick_trapeze_encode_new_glob(16, _flick_abort602);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t212_temp_string_len;
                    flick_unsigned32_t _t213_temp_string_len;
                    flick_unsigned32_t _t214_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t212_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t213_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t214_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_unsigned32(0, _t212_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(_return, 1 * _t212_temp_string_len);
                    flick_cdr_encode_unsigned32(4, _t213_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(*_local_b, 1 * _t213_temp_string_len);
                    flick_cdr_encode_unsigned32(8, _t214_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(*_local_c, 1 * _t214_temp_string_len);
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort609);
                    break;
                    {
                    _flick_abort609:
                      goto _flick_abort602;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort602:
              goto _flick_abort601;
            }
          }
          break;
          {
          _flick_abort601:
            goto _flick_abort2;
          }
        }
      case (signed int) 18:
        {
          {
            intf _obj;
            CORBA_char *_return;
            CORBA_char *_local_a;
            flick_unsigned32_t _t215_temp_string_len;
            CORBA_char **_local_b;
            CORBA_char *_t216_storage;
            flick_unsigned32_t _t217_temp_string_len;
            CORBA_char **_local_c;
            CORBA_char *_t218_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t219_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort611);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort611);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t215_temp_string_len, flick_unsigned32_t );
            if (_t215_temp_string_len > 21)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort611);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_check_span(1 * _t215_temp_string_len, _flick_abort611);
            flick_trapeze_decode_new_chunk(1 * _t215_temp_string_len);
            flick_cdr_decode_msgptr(0, _local_a, CORBA_char *);
            flick_trapeze_decode_end_chunk(1 * _t215_temp_string_len);
            _local_b = (CORBA_char **)(&_t216_storage);
            flick_trapeze_decode_new_chunk_align(4, 2, 0, 0);
            flick_trapeze_check_span(4, _flick_abort611);
            flick_cdr_decode_unsigned32(0, _t217_temp_string_len, flick_unsigned32_t );
            if (_t217_temp_string_len > 21)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort611);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_check_span(1 * _t217_temp_string_len, _flick_abort611);
            flick_trapeze_decode_new_chunk(1 * _t217_temp_string_len);
            {
              CORBA_char *_t_alloc_ptr;

              _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(21 * sizeof(CORBA_char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort611);
              *_local_b = _t_alloc_ptr;
            }
            flick_cdr_decode_bcopy(0, *_local_b, 1 * _t217_temp_string_len);
            flick_trapeze_decode_end_chunk(1 * _t217_temp_string_len);
            _local_c = (CORBA_char **)(&_t218_storage);
            _ev = (CORBA_Environment *)(&_t219_storage);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_BoundString(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort616);
              flick_trapeze_encode_new_glob(85, _flick_abort616);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t223_temp_string_len;
                    flick_unsigned32_t _t224_temp_string_len;
                    flick_unsigned32_t _t225_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t223_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t224_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t225_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4 + 1 * _t223_temp_string_len);
                    flick_cdr_encode_unsigned32(0, _t223_temp_string_len, flick_unsigned32_t );
                    if (_t223_temp_string_len > 21)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort627);
                    flick_cdr_encode_bcopy(4, _return, 1 * _t223_temp_string_len);
                    CORBA_flick_free(_return);
                    _return = (CORBA_char *)0;
                    flick_trapeze_encode_end_chunk(4 + 1 * _t223_temp_string_len);
                    flick_trapeze_encode_new_chunk_align(4 + 1 * _t224_temp_string_len, 2, 0, 0);
                    flick_cdr_encode_unsigned32(0, _t224_temp_string_len, flick_unsigned32_t );
                    if (_t224_temp_string_len > 21)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort627);
                    flick_cdr_encode_bcopy(4, *_local_b, 1 * _t224_temp_string_len);
                    CORBA_flick_free(*_local_b);
                    *_local_b = (CORBA_char *)0;
                    flick_trapeze_encode_end_chunk(4 + 1 * _t224_temp_string_len);
                    flick_trapeze_encode_new_chunk_align(4 + 1 * _t225_temp_string_len, 2, 0, 0);
                    flick_cdr_encode_unsigned32(0, _t225_temp_string_len, flick_unsigned32_t );
                    if (_t225_temp_string_len > 21)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort627);
                    flick_cdr_encode_bcopy(4, *_local_c, 1 * _t225_temp_string_len);
                    CORBA_flick_free(*_local_c);
                    *_local_c = (CORBA_char *)0;
                    flick_trapeze_encode_end_chunk(4 + 1 * _t225_temp_string_len);
                    break;
                    {
                    _flick_abort627:
                      goto _flick_abort616;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort635);
                    break;
                    {
                    _flick_abort635:
                      goto _flick_abort616;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(85);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort616:
              CORBA_flick_free(*_local_b);
            _flick_abort611:
              goto _flick_abort610;
            }
          }
          break;
          {
          _flick_abort610:
            goto _flick_abort2;
          }
        }
      case (signed int) 19:
        {
          {
            intf _obj;
            BFSequence *_return;
            BFSequence *_local_a;
            BFSequence _t226_storage;
            BFSequence *_local_b;
            BFSequence _t227_storage;
            BFSequence **_local_c;
            BFSequence *_t228_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t229_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort637);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort637);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (BFSequence *)(&_t226_storage);
            flick_cdr_decode_unsigned32(4, _local_a->_length, CORBA_unsigned_long );
            if (_local_a->_length > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort637);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_check_span(4 * _local_a->_length + 4, _flick_abort637);
            flick_trapeze_decode_new_chunk(4 * _local_a->_length);
            flick_cdr_decode_msgptr(0, _local_a->_buffer, CORBA_long *);
            _local_a->_maximum = _local_a->_length;
            _local_a->_release = 0;
            flick_trapeze_decode_end_chunk(4 * _local_a->_length);
            _local_b = (BFSequence *)(&_t227_storage);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
            if (_local_b->_length > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort637);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_check_span(4 * _local_b->_length, _flick_abort637);
            flick_trapeze_decode_new_chunk(4 * _local_b->_length);
            {
              CORBA_long *_t_alloc_ptr;

              _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort637);
              _local_b->_buffer = _t_alloc_ptr;
              _local_b->_maximum = 10;
              _local_b->_release = 1;
            }
            flick_cdr_decode_bcopy(0, _local_b->_buffer, 4 * _local_b->_length);
            flick_trapeze_decode_end_chunk(4 * _local_b->_length);
            _local_c = (BFSequence **)(&_t228_storage);
            _ev = (CORBA_Environment *)(&_t229_storage);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_BoundedFixedSequence(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort642);
              flick_trapeze_encode_new_glob(96, _flick_abort642);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4 + 4 * _return->_length);
                    flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                    if (_return->_length > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort653);
                    flick_cdr_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                    if (_return->_release)
                      CORBA_flick_free(_return->_buffer);
                    _return->_maximum = 0;
                    _return->_release = 0;
                    _return->_buffer = (CORBA_long *)0;
                    flick_trapeze_encode_end_chunk(4 + 4 * _return->_length);
                    CORBA_flick_free(_return);
                    _return = (BFSequence *)0;
                    flick_trapeze_encode_new_chunk(4 + 4 * _local_b->_length);
                    flick_cdr_encode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                    if (_local_b->_length > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort653);
                    flick_cdr_encode_bcopy(4, _local_b->_buffer, 4 * _local_b->_length);
                    if (_local_b->_release)
                      CORBA_flick_free(_local_b->_buffer);
                    _local_b->_maximum = 0;
                    _local_b->_release = 0;
                    _local_b->_buffer = (CORBA_long *)0;
                    flick_trapeze_encode_end_chunk(4 + 4 * _local_b->_length);
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, (*_local_c)->_length, CORBA_unsigned_long );
                    flick_trapeze_encode_end_chunk(4);
                    flick_trapeze_encode_end_glob(96);
                    flick_trapeze_encode_new_glob(40, _flick_abort653);
                    if ((*_local_c)->_length > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort653);
                    flick_trapeze_encode_new_chunk(4 * (*_local_c)->_length);
                    flick_cdr_encode_bcopy(0, (*_local_c)->_buffer, 4 * (*_local_c)->_length);
                    if ((*_local_c)->_release)
                      CORBA_flick_free((*_local_c)->_buffer);
                    (*_local_c)->_maximum = 0;
                    (*_local_c)->_release = 0;
                    (*_local_c)->_buffer = (CORBA_long *)0;
                    flick_trapeze_encode_end_chunk(4 * (*_local_c)->_length);
                    CORBA_flick_free(*_local_c);
                    *_local_c = (BFSequence *)0;
                    flick_trapeze_encode_end_glob(40);
                    break;
                    {
                    _flick_abort653:
                      goto _flick_abort642;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    flick_trapeze_encode_end_glob(96);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort661);
                    flick_trapeze_encode_end_glob(96);
                    break;
                    {
                    _flick_abort661:
                      goto _flick_abort642;
                    }
                  }
                }
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort642:
              CORBA_flick_free(_local_b->_buffer);
            _flick_abort637:
              goto _flick_abort636;
            }
          }
          break;
          {
          _flick_abort636:
            goto _flick_abort2;
          }
        }
      case (signed int) 20:
        {
          {
            intf _obj;
            BVSequence *_return;
            BVSequence *_local_a;
            BVSequence _t230_storage;
            BVSequence *_local_b;
            BVSequence _t231_storage;
            BVSequence **_local_c;
            BVSequence *_t232_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t233_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort663);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort663);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (BVSequence *)(&_t230_storage);
            flick_cdr_decode_unsigned32(4, _local_a->_length, CORBA_unsigned_long );
            if (_local_a->_length > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort663);
            flick_trapeze_server_decode_array(_local_a->_buffer, sizeof(CORBA_char *) * _local_a->_length);
            _local_b = (BVSequence *)(&_t231_storage);
            flick_cdr_decode_unsigned32(8, _local_b->_length, CORBA_unsigned_long );
            if (_local_b->_length > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort663);
            flick_trapeze_server_decode_array(_local_b->_buffer, sizeof(CORBA_char *) * _local_b->_length);
            _local_c = (BVSequence **)(&_t232_storage);
            _ev = (CORBA_Environment *)(&_t233_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_BoundedVarSequence(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort663);
              flick_trapeze_encode_new_glob(16, _flick_abort663);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                    if (_return->_length > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort668);
                    flick_trapeze_server_encode_array(_return->_buffer, sizeof(CORBA_char *) * _return->_length);
                    CORBA_flick_free(_return);
                    _return = (BVSequence *)0;
                    flick_cdr_encode_unsigned32(4, _local_b->_length, CORBA_unsigned_long );
                    if (_local_b->_length > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort668);
                    flick_trapeze_server_encode_array(_local_b->_buffer, sizeof(CORBA_char *) * _local_b->_length);
                    flick_cdr_encode_unsigned32(8, (*_local_c)->_length, CORBA_unsigned_long );
                    if ((*_local_c)->_length > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort668);
                    flick_trapeze_server_encode_array((*_local_c)->_buffer, sizeof(CORBA_char *) * (*_local_c)->_length);
                    CORBA_flick_free(*_local_c);
                    *_local_c = (BVSequence *)0;
                    flick_trapeze_encode_end_chunk(12);
                    break;
                    {
                    _flick_abort668:
                      goto _flick_abort663;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort670);
                    break;
                    {
                    _flick_abort670:
                      goto _flick_abort663;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort663:
              goto _flick_abort662;
            }
          }
          break;
          {
          _flick_abort662:
            goto _flick_abort2;
          }
        }
      case (signed int) 21:
        {
          {
            intf _obj;
            UFSequence *_return;
            UFSequence *_local_a;
            UFSequence _t234_storage;
            UFSequence *_local_b;
            UFSequence _t235_storage;
            UFSequence **_local_c;
            UFSequence *_t236_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t237_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort672);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort672);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (UFSequence *)(&_t234_storage);
            flick_cdr_decode_unsigned32(4, _local_a->_length, CORBA_unsigned_long );
            flick_trapeze_server_decode_array(_local_a->_buffer, 4 * _local_a->_length);
            _local_b = (UFSequence *)(&_t235_storage);
            flick_cdr_decode_unsigned32(8, _local_b->_length, CORBA_unsigned_long );
            flick_trapeze_server_decode_array(_local_b->_buffer, 4 * _local_b->_length);
            _local_c = (UFSequence **)(&_t236_storage);
            _ev = (CORBA_Environment *)(&_t237_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_FixedSequence(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort672);
              flick_trapeze_encode_new_glob(16, _flick_abort672);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                    flick_trapeze_server_encode_array(_return->_buffer, 4 * _return->_length);
                    CORBA_flick_free(_return);
                    _return = (UFSequence *)0;
                    flick_cdr_encode_unsigned32(4, _local_b->_length, CORBA_unsigned_long );
                    flick_trapeze_server_encode_array(_local_b->_buffer, 4 * _local_b->_length);
                    flick_cdr_encode_unsigned32(8, (*_local_c)->_length, CORBA_unsigned_long );
                    flick_trapeze_server_encode_array((*_local_c)->_buffer, 4 * (*_local_c)->_length);
                    CORBA_flick_free(*_local_c);
                    *_local_c = (UFSequence *)0;
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort679);
                    break;
                    {
                    _flick_abort679:
                      goto _flick_abort672;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort672:
              goto _flick_abort671;
            }
          }
          break;
          {
          _flick_abort671:
            goto _flick_abort2;
          }
        }
      case (signed int) 22:
        {
          {
            intf _obj;
            UVSequence *_return;
            UVSequence *_local_a;
            UVSequence _t238_storage;
            UVSequence *_local_b;
            UVSequence _t239_storage;
            UVSequence **_local_c;
            UVSequence *_t240_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t241_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort681);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort681);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (UVSequence *)(&_t238_storage);
            flick_cdr_decode_unsigned32(4, _local_a->_length, CORBA_unsigned_long );
            flick_trapeze_server_decode_array(_local_a->_buffer, sizeof(CORBA_char *) * _local_a->_length);
            _local_b = (UVSequence *)(&_t239_storage);
            flick_cdr_decode_unsigned32(8, _local_b->_length, CORBA_unsigned_long );
            flick_trapeze_server_decode_array(_local_b->_buffer, sizeof(CORBA_char *) * _local_b->_length);
            _local_c = (UVSequence **)(&_t240_storage);
            _ev = (CORBA_Environment *)(&_t241_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_VarSequence(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort681);
              flick_trapeze_encode_new_glob(16, _flick_abort681);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                    flick_trapeze_server_encode_array(_return->_buffer, sizeof(CORBA_char *) * _return->_length);
                    CORBA_flick_free(_return);
                    _return = (UVSequence *)0;
                    flick_cdr_encode_unsigned32(4, _local_b->_length, CORBA_unsigned_long );
                    flick_trapeze_server_encode_array(_local_b->_buffer, sizeof(CORBA_char *) * _local_b->_length);
                    flick_cdr_encode_unsigned32(8, (*_local_c)->_length, CORBA_unsigned_long );
                    flick_trapeze_server_encode_array((*_local_c)->_buffer, sizeof(CORBA_char *) * (*_local_c)->_length);
                    CORBA_flick_free(*_local_c);
                    *_local_c = (UVSequence *)0;
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort688);
                    break;
                    {
                    _flick_abort688:
                      goto _flick_abort681;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort681:
              goto _flick_abort680;
            }
          }
          break;
          {
          _flick_abort680:
            goto _flick_abort2;
          }
        }
      case (signed int) 23:
        {
          {
            intf _obj;
            FArray_slice *_return;
            CORBA_long *_local_a;
            CORBA_long *_local_b;
            CORBA_long _t242_storage[10];
            CORBA_long *_local_c;
            CORBA_Environment *_ev;
            CORBA_Environment _t243_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort690);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(84, _flick_abort690);
            flick_trapeze_decode_new_chunk(84);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_msgptr(4, _local_a, CORBA_long *);
            _local_b = (CORBA_long *)_t242_storage;
            flick_cdr_decode_bcopy(44, _local_b, 40);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = (CORBA_Environment *)(&_t243_storage);
            flick_trapeze_decode_end_chunk(84);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_FixedArray(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort690);
              flick_trapeze_encode_new_glob(4, _flick_abort690);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              flick_trapeze_encode_end_glob(4);
              flick_trapeze_encode_new_glob(120, _flick_abort690);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(120);
                    flick_cdr_encode_bcopy(0, _return, 40);
                    CORBA_flick_free(_return);
                    _return = (CORBA_long *)0;
                    flick_cdr_encode_bcopy(40, _local_b, 40);
                    flick_cdr_encode_bcopy(80, _local_c, 40);
                    flick_trapeze_encode_end_chunk(120);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort713);
                    break;
                    {
                    _flick_abort713:
                      goto _flick_abort690;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(120);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort690:
              goto _flick_abort689;
            }
          }
          break;
          {
          _flick_abort689:
            goto _flick_abort2;
          }
        }
      case (signed int) 24:
        {
          {
            intf _obj;
            VArray_slice *_return;
            CORBA_char **_local_a;
            CORBA_char **_local_b;
            VArray_slice **_local_c;
            VArray_slice *_t244_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t245_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort715);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_trapeze_server_decode_array(_local_a, sizeof(CORBA_char *) * 10);
            flick_trapeze_server_decode_array(_local_b, sizeof(CORBA_char *) * 10);
            _local_c = (VArray_slice **)(&_t244_storage);
            _ev = (CORBA_Environment *)(&_t245_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = intf_VarArray(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort715);
              flick_trapeze_encode_new_glob(12, _flick_abort715);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_return, sizeof(CORBA_char *) * 10);
                    flick_trapeze_server_encode_array(_local_b, sizeof(CORBA_char *) * 10);
                    flick_trapeze_server_encode_array(*_local_c, sizeof(CORBA_char *) * 10);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort722);
                    break;
                    {
                    _flick_abort722:
                      goto _flick_abort715;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort715:
              goto _flick_abort714;
            }
          }
          break;
          {
          _flick_abort714:
            goto _flick_abort2;
          }
        }
      case (signed int) 25:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t246_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t247_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort724);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort724);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t246_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t246_temp_string_len);
            _ev = (CORBA_Environment *)(&_t247_storage);
            _par = flick_interface_parents_intf;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort724);
              flick_trapeze_encode_new_glob(12, _flick_abort724);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort731);
                    break;
                    {
                    _flick_abort731:
                      goto _flick_abort724;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort724:
              goto _flick_abort723;
            }
          }
          break;
          {
          _flick_abort723:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(96);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

