#include "primtypes-server.h"

/* This is the runtime type information */
char *flick_interface_parents_ex1[] = {
	"IDL:ex1:1.0",
	0
};

char *flick_interface_parents_ex2[] = {
	"IDL:ex2:1.0",
	"IDL:ex1:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t ex1_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t21_switch_tag;

    flick_trapeze_decode_new_glob(62);
    flick_trapeze_check_span(8, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t21_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t21_switch_tag)
      {
      case (signed int) 0:
        {
          {
            ex1 _obj;
            CORBA_long _return;
            CORBA_long _local_a;
            CORBA_Environment *_ev;
            CORBA_Environment _t22_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort50);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort50);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_a, CORBA_long );
            _ev = (CORBA_Environment *)(&_t22_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(62);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex1_m1(_obj, _local_a, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort50);
              flick_trapeze_encode_new_glob(12, _flick_abort50);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort57);
                    break;
                    {
                    _flick_abort57:
                      goto _flick_abort50;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort50:
              goto _flick_abort49;
            }
          }
          break;
          {
          _flick_abort49:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            ex1 _obj;
            ex1 _return;
            CORBA_long _local_a1;
            CORBA_long *_local_a2;
            CORBA_long _t23_storage;
            CORBA_long *_local_a3;
            CORBA_long _t24_storage;
            CORBA_unsigned_long _local_b1;
            CORBA_unsigned_long *_local_b2;
            CORBA_unsigned_long _t25_storage;
            CORBA_unsigned_long *_local_b3;
            CORBA_unsigned_long _t26_storage;
            CORBA_short _local_c1;
            CORBA_short *_local_c2;
            CORBA_short _t27_storage;
            CORBA_short *_local_c3;
            CORBA_short _t28_storage;
            CORBA_unsigned_short _local_d1;
            CORBA_unsigned_short *_local_d2;
            CORBA_unsigned_short _t29_storage;
            CORBA_unsigned_short *_local_d3;
            CORBA_unsigned_short _t30_storage;
            CORBA_float _local_e1;
            CORBA_float *_local_e2;
            CORBA_float _t31_storage;
            CORBA_float *_local_e3;
            CORBA_float _t32_storage;
            CORBA_double _local_f1;
            CORBA_double *_local_f2;
            CORBA_double _t33_storage;
            CORBA_double *_local_f3;
            CORBA_double _t34_storage;
            CORBA_char _local_g1;
            CORBA_char *_local_g2;
            CORBA_char _t35_storage;
            CORBA_char *_local_g3;
            CORBA_char _t36_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t37_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort59);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(36, _flick_abort59);
            flick_trapeze_decode_new_chunk(36);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_a1, CORBA_long );
            _local_a2 = (CORBA_long *)(&_t23_storage);
            flick_cdr_decode_signed32(8, *_local_a2, CORBA_long );
            _local_a3 = (CORBA_long *)(&_t24_storage);
            flick_cdr_decode_unsigned32(12, _local_b1, CORBA_unsigned_long );
            _local_b2 = (CORBA_unsigned_long *)(&_t25_storage);
            flick_cdr_decode_unsigned32(16, *_local_b2, CORBA_unsigned_long );
            _local_b3 = (CORBA_unsigned_long *)(&_t26_storage);
            flick_cdr_decode_signed16(20, _local_c1, CORBA_short );
            _local_c2 = (CORBA_short *)(&_t27_storage);
            flick_cdr_decode_signed16(22, *_local_c2, CORBA_short );
            _local_c3 = (CORBA_short *)(&_t28_storage);
            flick_cdr_decode_unsigned16(24, _local_d1, CORBA_unsigned_short );
            _local_d2 = (CORBA_unsigned_short *)(&_t29_storage);
            flick_cdr_decode_unsigned16(26, *_local_d2, CORBA_unsigned_short );
            _local_d3 = (CORBA_unsigned_short *)(&_t30_storage);
            flick_cdr_decode_float32(28, _local_e1, CORBA_float );
            _local_e2 = (CORBA_float *)(&_t31_storage);
            flick_cdr_decode_float32(32, *_local_e2, CORBA_float );
            _local_e3 = (CORBA_float *)(&_t32_storage);
            flick_trapeze_decode_end_chunk(36);
            flick_trapeze_decode_new_chunk_align(18, 3, 2, 0);
            flick_trapeze_check_span(18, _flick_abort59);
            flick_cdr_decode_float64(0, _local_f1, CORBA_double );
            _local_f2 = (CORBA_double *)(&_t33_storage);
            flick_cdr_decode_float64(8, *_local_f2, CORBA_double );
            _local_f3 = (CORBA_double *)(&_t34_storage);
            flick_cdr_decode_char8(16, _local_g1, CORBA_char );
            _local_g2 = (CORBA_char *)(&_t35_storage);
            flick_cdr_decode_char8(17, *_local_g2, CORBA_char );
            _local_g3 = (CORBA_char *)(&_t36_storage);
            _ev = (CORBA_Environment *)(&_t37_storage);
            flick_trapeze_decode_end_chunk(18);
            flick_trapeze_decode_end_glob(62);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex1_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort59);
              flick_trapeze_encode_new_glob(58, _flick_abort59);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(32);
                    flick_cdr_encode_signed32(0, *_local_a2, CORBA_long );
                    flick_cdr_encode_signed32(4, *_local_a3, CORBA_long );
                    flick_cdr_encode_unsigned32(8, *_local_b2, CORBA_unsigned_long );
                    flick_cdr_encode_unsigned32(12, *_local_b3, CORBA_unsigned_long );
                    flick_cdr_encode_signed16(16, *_local_c2, CORBA_short );
                    flick_cdr_encode_signed16(18, *_local_c3, CORBA_short );
                    flick_cdr_encode_unsigned16(20, *_local_d2, CORBA_unsigned_short );
                    flick_cdr_encode_unsigned16(22, *_local_d3, CORBA_unsigned_short );
                    flick_cdr_encode_float32(24, *_local_e2, CORBA_float );
                    flick_cdr_encode_float32(28, *_local_e3, CORBA_float );
                    flick_trapeze_encode_end_chunk(32);
                    flick_trapeze_encode_new_chunk_align(18, 3, 2, 0);
                    flick_cdr_encode_float64(0, *_local_f2, CORBA_double );
                    flick_cdr_encode_float64(8, *_local_f3, CORBA_double );
                    flick_cdr_encode_char8(16, *_local_g2, CORBA_char );
                    flick_cdr_encode_char8(17, *_local_g3, CORBA_char );
                    flick_trapeze_encode_end_chunk(18);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort66);
                    break;
                    {
                    _flick_abort66:
                      goto _flick_abort59;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(58);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort59:
              goto _flick_abort58;
            }
          }
          break;
          {
          _flick_abort58:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            ex1 _obj;
            CORBA_long _return;
            CORBA_Environment *_ev;
            CORBA_Environment _t38_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort68);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _ev = (CORBA_Environment *)(&_t38_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(62);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex1__get_l1(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort68);
              flick_trapeze_encode_new_glob(12, _flick_abort68);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort75);
                    break;
                    {
                    _flick_abort75:
                      goto _flick_abort68;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort68:
              goto _flick_abort67;
            }
          }
          break;
          {
          _flick_abort67:
            goto _flick_abort2;
          }
        }
      case (signed int) 3:
        {
          {
            ex1 _obj;
            CORBA_long _local_l1;
            CORBA_Environment *_ev;
            CORBA_Environment _t39_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort77);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort77);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_l1, CORBA_long );
            _ev = (CORBA_Environment *)(&_t39_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(62);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            ex1__set_l1(_obj, _local_l1, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort77);
              flick_trapeze_encode_new_glob(12, _flick_abort77);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort84);
                    break;
                    {
                    _flick_abort84:
                      goto _flick_abort77;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort77:
              goto _flick_abort76;
            }
          }
          break;
          {
          _flick_abort76:
            goto _flick_abort2;
          }
        }
      case (signed int) 4:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t40_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t41_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort86);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort86);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t40_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t40_temp_string_len);
            _ev = (CORBA_Environment *)(&_t41_storage);
            _par = flick_interface_parents_ex1;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(62);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort86);
              flick_trapeze_encode_new_glob(12, _flick_abort86);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort93);
                    break;
                    {
                    _flick_abort93:
                      goto _flick_abort86;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort86:
              goto _flick_abort85;
            }
          }
          break;
          {
          _flick_abort85:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(62);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t ex2_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t109_switch_tag;

    flick_trapeze_decode_new_glob(62);
    flick_trapeze_check_span(8, _flick_abort187);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t109_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t109_switch_tag)
      {
      case (signed int) 5:
        {
          {
            ex2 _obj;
            CORBA_long _return;
            CORBA_long _local_a;
            CORBA_long *_local_b;
            CORBA_long _t110_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t111_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort262);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort262);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_a, CORBA_long );
            _local_b = (CORBA_long *)(&_t110_storage);
            _ev = (CORBA_Environment *)(&_t111_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(62);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex2_m2(_obj, _local_a, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort262);
              flick_trapeze_encode_new_glob(12, _flick_abort262);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(8);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_cdr_encode_signed32(4, *_local_b, CORBA_long );
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort269);
                    break;
                    {
                    _flick_abort269:
                      goto _flick_abort262;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort262:
              goto _flick_abort261;
            }
          }
          break;
          {
          _flick_abort261:
            goto _flick_abort187;
          }
        }
      case (signed int) 6:
        {
          {
            ex2 _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t112_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort271);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t112_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(62);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            ex2_mv(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort271);
              flick_trapeze_encode_new_glob(12, _flick_abort271);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort278);
                    break;
                    {
                    _flick_abort278:
                      goto _flick_abort271;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort271:
              goto _flick_abort270;
            }
          }
          break;
          {
          _flick_abort270:
            goto _flick_abort187;
          }
        }
      case (signed int) 7:
        {
          {
            ex2 _obj;
            CORBA_long _return;
            CORBA_Environment *_ev;
            CORBA_Environment _t113_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort280);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _ev = (CORBA_Environment *)(&_t113_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(62);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex2__get_l2(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort280);
              flick_trapeze_encode_new_glob(12, _flick_abort280);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort287);
                    break;
                    {
                    _flick_abort287:
                      goto _flick_abort280;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort280:
              goto _flick_abort279;
            }
          }
          break;
          {
          _flick_abort279:
            goto _flick_abort187;
          }
        }
      case (signed int) 8:
        {
          {
            ex2 _obj;
            CORBA_long _return;
            CORBA_long _local_a;
            CORBA_Environment *_ev;
            CORBA_Environment _t114_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort289);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort289);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_a, CORBA_long );
            _ev = (CORBA_Environment *)(&_t114_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(62);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex2_m1(_obj, _local_a, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort289);
              flick_trapeze_encode_new_glob(12, _flick_abort289);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort296);
                    break;
                    {
                    _flick_abort296:
                      goto _flick_abort289;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort289:
              goto _flick_abort288;
            }
          }
          break;
          {
          _flick_abort288:
            goto _flick_abort187;
          }
        }
      case (signed int) 9:
        {
          {
            ex2 _obj;
            ex1 _return;
            CORBA_long _local_a1;
            CORBA_long *_local_a2;
            CORBA_long _t115_storage;
            CORBA_long *_local_a3;
            CORBA_long _t116_storage;
            CORBA_unsigned_long _local_b1;
            CORBA_unsigned_long *_local_b2;
            CORBA_unsigned_long _t117_storage;
            CORBA_unsigned_long *_local_b3;
            CORBA_unsigned_long _t118_storage;
            CORBA_short _local_c1;
            CORBA_short *_local_c2;
            CORBA_short _t119_storage;
            CORBA_short *_local_c3;
            CORBA_short _t120_storage;
            CORBA_unsigned_short _local_d1;
            CORBA_unsigned_short *_local_d2;
            CORBA_unsigned_short _t121_storage;
            CORBA_unsigned_short *_local_d3;
            CORBA_unsigned_short _t122_storage;
            CORBA_float _local_e1;
            CORBA_float *_local_e2;
            CORBA_float _t123_storage;
            CORBA_float *_local_e3;
            CORBA_float _t124_storage;
            CORBA_double _local_f1;
            CORBA_double *_local_f2;
            CORBA_double _t125_storage;
            CORBA_double *_local_f3;
            CORBA_double _t126_storage;
            CORBA_char _local_g1;
            CORBA_char *_local_g2;
            CORBA_char _t127_storage;
            CORBA_char *_local_g3;
            CORBA_char _t128_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t129_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort298);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(36, _flick_abort298);
            flick_trapeze_decode_new_chunk(36);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_a1, CORBA_long );
            _local_a2 = (CORBA_long *)(&_t115_storage);
            flick_cdr_decode_signed32(8, *_local_a2, CORBA_long );
            _local_a3 = (CORBA_long *)(&_t116_storage);
            flick_cdr_decode_unsigned32(12, _local_b1, CORBA_unsigned_long );
            _local_b2 = (CORBA_unsigned_long *)(&_t117_storage);
            flick_cdr_decode_unsigned32(16, *_local_b2, CORBA_unsigned_long );
            _local_b3 = (CORBA_unsigned_long *)(&_t118_storage);
            flick_cdr_decode_signed16(20, _local_c1, CORBA_short );
            _local_c2 = (CORBA_short *)(&_t119_storage);
            flick_cdr_decode_signed16(22, *_local_c2, CORBA_short );
            _local_c3 = (CORBA_short *)(&_t120_storage);
            flick_cdr_decode_unsigned16(24, _local_d1, CORBA_unsigned_short );
            _local_d2 = (CORBA_unsigned_short *)(&_t121_storage);
            flick_cdr_decode_unsigned16(26, *_local_d2, CORBA_unsigned_short );
            _local_d3 = (CORBA_unsigned_short *)(&_t122_storage);
            flick_cdr_decode_float32(28, _local_e1, CORBA_float );
            _local_e2 = (CORBA_float *)(&_t123_storage);
            flick_cdr_decode_float32(32, *_local_e2, CORBA_float );
            _local_e3 = (CORBA_float *)(&_t124_storage);
            flick_trapeze_decode_end_chunk(36);
            flick_trapeze_decode_new_chunk_align(18, 3, 2, 0);
            flick_trapeze_check_span(18, _flick_abort298);
            flick_cdr_decode_float64(0, _local_f1, CORBA_double );
            _local_f2 = (CORBA_double *)(&_t125_storage);
            flick_cdr_decode_float64(8, *_local_f2, CORBA_double );
            _local_f3 = (CORBA_double *)(&_t126_storage);
            flick_cdr_decode_char8(16, _local_g1, CORBA_char );
            _local_g2 = (CORBA_char *)(&_t127_storage);
            flick_cdr_decode_char8(17, *_local_g2, CORBA_char );
            _local_g3 = (CORBA_char *)(&_t128_storage);
            _ev = (CORBA_Environment *)(&_t129_storage);
            flick_trapeze_decode_end_chunk(18);
            flick_trapeze_decode_end_glob(62);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex2_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort298);
              flick_trapeze_encode_new_glob(58, _flick_abort298);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(32);
                    flick_cdr_encode_signed32(0, *_local_a2, CORBA_long );
                    flick_cdr_encode_signed32(4, *_local_a3, CORBA_long );
                    flick_cdr_encode_unsigned32(8, *_local_b2, CORBA_unsigned_long );
                    flick_cdr_encode_unsigned32(12, *_local_b3, CORBA_unsigned_long );
                    flick_cdr_encode_signed16(16, *_local_c2, CORBA_short );
                    flick_cdr_encode_signed16(18, *_local_c3, CORBA_short );
                    flick_cdr_encode_unsigned16(20, *_local_d2, CORBA_unsigned_short );
                    flick_cdr_encode_unsigned16(22, *_local_d3, CORBA_unsigned_short );
                    flick_cdr_encode_float32(24, *_local_e2, CORBA_float );
                    flick_cdr_encode_float32(28, *_local_e3, CORBA_float );
                    flick_trapeze_encode_end_chunk(32);
                    flick_trapeze_encode_new_chunk_align(18, 3, 2, 0);
                    flick_cdr_encode_float64(0, *_local_f2, CORBA_double );
                    flick_cdr_encode_float64(8, *_local_f3, CORBA_double );
                    flick_cdr_encode_char8(16, *_local_g2, CORBA_char );
                    flick_cdr_encode_char8(17, *_local_g3, CORBA_char );
                    flick_trapeze_encode_end_chunk(18);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort305);
                    break;
                    {
                    _flick_abort305:
                      goto _flick_abort298;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(58);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort298:
              goto _flick_abort297;
            }
          }
          break;
          {
          _flick_abort297:
            goto _flick_abort187;
          }
        }
      case (signed int) 10:
        {
          {
            ex2 _obj;
            CORBA_long _return;
            CORBA_Environment *_ev;
            CORBA_Environment _t130_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort307);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _ev = (CORBA_Environment *)(&_t130_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(62);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex2__get_l1(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort307);
              flick_trapeze_encode_new_glob(12, _flick_abort307);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort314);
                    break;
                    {
                    _flick_abort314:
                      goto _flick_abort307;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort307:
              goto _flick_abort306;
            }
          }
          break;
          {
          _flick_abort306:
            goto _flick_abort187;
          }
        }
      case (signed int) 11:
        {
          {
            ex2 _obj;
            CORBA_long _local_l1;
            CORBA_Environment *_ev;
            CORBA_Environment _t131_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort316);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort316);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_l1, CORBA_long );
            _ev = (CORBA_Environment *)(&_t131_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(62);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            ex2__set_l1(_obj, _local_l1, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort316);
              flick_trapeze_encode_new_glob(12, _flick_abort316);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort323);
                    break;
                    {
                    _flick_abort323:
                      goto _flick_abort316;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort316:
              goto _flick_abort315;
            }
          }
          break;
          {
          _flick_abort315:
            goto _flick_abort187;
          }
        }
      case (signed int) 12:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t132_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t133_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort325);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort325);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t132_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t132_temp_string_len);
            _ev = (CORBA_Environment *)(&_t133_storage);
            _par = flick_interface_parents_ex2;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(62);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort325);
              flick_trapeze_encode_new_glob(12, _flick_abort325);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort332);
                    break;
                    {
                    _flick_abort332:
                      goto _flick_abort325;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort325:
              goto _flick_abort324;
            }
          }
          break;
          {
          _flick_abort324:
            goto _flick_abort187;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort187);
          flick_trapeze_decode_end_glob(62);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort187:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort186);
  _flick_abort186:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

