#include "string_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_test[] = {
	"IDL:test:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t test_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t56_switch_tag;

    flick_trapeze_decode_new_glob(71);
    flick_trapeze_check_span(12, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t56_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t56_switch_tag)
      {
      case (signed int) 0:
        {
          {
            test _obj;
            CORBA_char *_return;
            CORBA_char *_local_a;
            flick_unsigned32_t _t57_temp_string_len;
            CORBA_char **_local_b;
            CORBA_char *_t58_storage;
            flick_unsigned32_t _t59_temp_string_len;
            CORBA_char **_local_c;
            CORBA_char *_t60_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t61_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort84);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort84);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t57_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_a, 1 * _t57_temp_string_len);
            _local_b = (CORBA_char **)(&_t58_storage);
            flick_cdr_decode_unsigned32(8, _t59_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(*_local_b, 1 * _t59_temp_string_len);
            _local_c = (CORBA_char **)(&_t60_storage);
            _ev = (CORBA_Environment *)(&_t61_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(71);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort84);
              flick_trapeze_encode_new_glob(16, _flick_abort84);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t65_temp_string_len;
                    flick_unsigned32_t _t66_temp_string_len;
                    flick_unsigned32_t _t67_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t65_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t66_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t67_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_unsigned32(0, _t65_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(_return, 1 * _t65_temp_string_len);
                    flick_cdr_encode_unsigned32(4, _t66_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(*_local_b, 1 * _t66_temp_string_len);
                    flick_cdr_encode_unsigned32(8, _t67_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(*_local_c, 1 * _t67_temp_string_len);
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort91);
                    break;
                    {
                    _flick_abort91:
                      goto _flick_abort84;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort84:
              goto _flick_abort83;
            }
          }
          break;
          {
          _flick_abort83:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            test _obj;
            longstr _return;
            longstr _local_a;
            flick_unsigned32_t _t68_temp_string_len;
            longstr *_local_b;
            longstr _t69_storage;
            flick_unsigned32_t _t70_temp_string_len;
            longstr *_local_c;
            longstr _t71_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t72_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort93);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort93);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t68_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_a, 1 * _t68_temp_string_len);
            _local_b = (longstr *)(&_t69_storage);
            flick_cdr_decode_unsigned32(8, _t70_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(*_local_b, 1 * _t70_temp_string_len);
            _local_c = (longstr *)(&_t71_storage);
            _ev = (CORBA_Environment *)(&_t72_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(71);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_LongString(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort93);
              flick_trapeze_encode_new_glob(16, _flick_abort93);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t76_temp_string_len;
                    flick_unsigned32_t _t77_temp_string_len;
                    flick_unsigned32_t _t78_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t76_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t77_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t78_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_unsigned32(0, _t76_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(_return, 1 * _t76_temp_string_len);
                    flick_cdr_encode_unsigned32(4, _t77_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(*_local_b, 1 * _t77_temp_string_len);
                    flick_cdr_encode_unsigned32(8, _t78_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(*_local_c, 1 * _t78_temp_string_len);
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort100);
                    break;
                    {
                    _flick_abort100:
                      goto _flick_abort93;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort93:
              goto _flick_abort92;
            }
          }
          break;
          {
          _flick_abort92:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            test _obj;
            shortstr _return;
            shortstr _local_a;
            flick_unsigned32_t _t79_temp_string_len;
            shortstr *_local_b;
            shortstr _t80_storage;
            flick_unsigned32_t _t81_temp_string_len;
            shortstr *_local_c;
            shortstr _t82_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t83_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort102);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t79_temp_string_len, flick_unsigned32_t );
            if (_t79_temp_string_len > 26)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort102);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_check_span(1 * _t79_temp_string_len, _flick_abort102);
            flick_trapeze_decode_new_chunk(1 * _t79_temp_string_len);
            flick_cdr_decode_msgptr(0, _local_a, CORBA_char *);
            flick_trapeze_decode_end_chunk(1 * _t79_temp_string_len);
            _local_b = (shortstr *)(&_t80_storage);
            flick_trapeze_decode_new_chunk_align(4, 2, 0, 0);
            flick_trapeze_check_span(4, _flick_abort102);
            flick_cdr_decode_unsigned32(0, _t81_temp_string_len, flick_unsigned32_t );
            if (_t81_temp_string_len > 26)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort102);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_check_span(1 * _t81_temp_string_len, _flick_abort102);
            flick_trapeze_decode_new_chunk(1 * _t81_temp_string_len);
            {
              CORBA_char *_t_alloc_ptr;

              _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(26 * sizeof(CORBA_char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort102);
              *_local_b = _t_alloc_ptr;
            }
            flick_cdr_decode_bcopy(0, *_local_b, 1 * _t81_temp_string_len);
            flick_trapeze_decode_end_chunk(1 * _t81_temp_string_len);
            _local_c = (shortstr *)(&_t82_storage);
            _ev = (CORBA_Environment *)(&_t83_storage);
            flick_trapeze_decode_end_glob(71);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_ShortString(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort107);
              flick_trapeze_encode_new_glob(100, _flick_abort107);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t87_temp_string_len;
                    flick_unsigned32_t _t88_temp_string_len;
                    flick_unsigned32_t _t89_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t87_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t88_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t89_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4 + 1 * _t87_temp_string_len);
                    flick_cdr_encode_unsigned32(0, _t87_temp_string_len, flick_unsigned32_t );
                    if (_t87_temp_string_len > 26)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort118);
                    flick_cdr_encode_bcopy(4, _return, 1 * _t87_temp_string_len);
                    CORBA_flick_free(_return);
                    _return = (CORBA_char *)0;
                    flick_trapeze_encode_end_chunk(4 + 1 * _t87_temp_string_len);
                    flick_trapeze_encode_new_chunk_align(4 + 1 * _t88_temp_string_len, 2, 0, 0);
                    flick_cdr_encode_unsigned32(0, _t88_temp_string_len, flick_unsigned32_t );
                    if (_t88_temp_string_len > 26)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort118);
                    flick_cdr_encode_bcopy(4, *_local_b, 1 * _t88_temp_string_len);
                    CORBA_flick_free(*_local_b);
                    *_local_b = (CORBA_char *)0;
                    flick_trapeze_encode_end_chunk(4 + 1 * _t88_temp_string_len);
                    flick_trapeze_encode_new_chunk_align(4 + 1 * _t89_temp_string_len, 2, 0, 0);
                    flick_cdr_encode_unsigned32(0, _t89_temp_string_len, flick_unsigned32_t );
                    if (_t89_temp_string_len > 26)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort118);
                    flick_cdr_encode_bcopy(4, *_local_c, 1 * _t89_temp_string_len);
                    CORBA_flick_free(*_local_c);
                    *_local_c = (CORBA_char *)0;
                    flick_trapeze_encode_end_chunk(4 + 1 * _t89_temp_string_len);
                    break;
                    {
                    _flick_abort118:
                      goto _flick_abort107;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort126);
                    break;
                    {
                    _flick_abort126:
                      goto _flick_abort107;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(100);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort107:
              CORBA_flick_free(*_local_b);
            _flick_abort102:
              goto _flick_abort101;
            }
          }
          break;
          {
          _flick_abort101:
            goto _flick_abort2;
          }
        }
      case (signed int) 3:
        {
          {
            test _obj;
            struct str *_return;
            struct str *_local_a;
            struct str _t90_storage;
            flick_unsigned32_t _t91_temp_string_len;
            flick_unsigned32_t _t92_temp_string_len;
            struct str *_local_b;
            struct str _t93_storage;
            flick_unsigned32_t _t94_temp_string_len;
            flick_unsigned32_t _t95_temp_string_len;
            struct str **_local_c;
            struct str *_t96_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t97_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort128);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (struct str *)(&_t90_storage);
            flick_cdr_decode_unsigned32(4, _t91_temp_string_len, flick_unsigned32_t );
            if (_t91_temp_string_len > 11)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort128);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_check_span(1 * _t91_temp_string_len, _flick_abort128);
            flick_trapeze_decode_new_chunk(1 * _t91_temp_string_len);
            flick_cdr_decode_msgptr(0, _local_a->s10, CORBA_char *);
            flick_trapeze_decode_end_chunk(1 * _t91_temp_string_len);
            flick_trapeze_decode_new_chunk_align(16, 2, 0, 0);
            flick_trapeze_check_span(16, _flick_abort128);
            flick_cdr_decode_signed32(0, _local_a->a, CORBA_long );
            flick_cdr_decode_unsigned32(4, _t92_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_a->sx, 1 * _t92_temp_string_len);
            flick_cdr_decode_signed16(8, _local_a->b, CORBA_short );
            _local_b = (struct str *)(&_t93_storage);
            flick_cdr_decode_unsigned32(12, _t94_temp_string_len, flick_unsigned32_t );
            if (_t94_temp_string_len > 11)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort128);
            flick_trapeze_decode_end_chunk(16);
            flick_trapeze_check_span(1 * _t94_temp_string_len, _flick_abort128);
            flick_trapeze_decode_new_chunk(1 * _t94_temp_string_len);
            {
              CORBA_char *_t_alloc_ptr;

              _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(11 * sizeof(CORBA_char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort128);
              _local_b->s10 = _t_alloc_ptr;
            }
            flick_cdr_decode_bcopy(0, _local_b->s10, 1 * _t94_temp_string_len);
            flick_trapeze_decode_end_chunk(1 * _t94_temp_string_len);
            flick_trapeze_decode_new_chunk_align(10, 2, 0, 0);
            flick_trapeze_check_span(10, _flick_abort133);
            flick_cdr_decode_signed32(0, _local_b->a, CORBA_long );
            flick_cdr_decode_unsigned32(4, _t95_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_b->sx, 1 * _t95_temp_string_len);
            flick_cdr_decode_signed16(8, _local_b->b, CORBA_short );
            _local_c = (struct str **)(&_t96_storage);
            _ev = (CORBA_Environment *)(&_t97_storage);
            flick_trapeze_decode_end_chunk(10);
            flick_trapeze_decode_end_glob(71);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_Struct(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort133);
              flick_trapeze_encode_new_glob(92, _flick_abort133);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t104_temp_string_len;
                    flick_unsigned32_t _t105_temp_string_len;
                    flick_unsigned32_t _t106_temp_string_len;
                    flick_unsigned32_t _t107_temp_string_len;
                    flick_unsigned32_t _t108_temp_string_len;
                    flick_unsigned32_t _t109_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return->s10, flick_unsigned32_t , _t104_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, _return->sx, flick_unsigned32_t , _t105_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, _local_b->s10, flick_unsigned32_t , _t106_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, _local_b->sx, flick_unsigned32_t , _t107_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, (*_local_c)->s10, flick_unsigned32_t , _t108_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, (*_local_c)->sx, flick_unsigned32_t , _t109_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4 + 1 * _t104_temp_string_len);
                    flick_cdr_encode_unsigned32(0, _t104_temp_string_len, flick_unsigned32_t );
                    if (_t104_temp_string_len > 11)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort144);
                    flick_cdr_encode_bcopy(4, _return->s10, 1 * _t104_temp_string_len);
                    CORBA_flick_free(_return->s10);
                    _return->s10 = (CORBA_char *)0;
                    flick_trapeze_encode_end_chunk(4 + 1 * _t104_temp_string_len);
                    flick_trapeze_encode_new_chunk_align(16 + 1 * _t106_temp_string_len, 2, 0, 0);
                    flick_cdr_encode_signed32(0, _return->a, CORBA_long );
                    flick_cdr_encode_unsigned32(4, _t105_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(_return->sx, 1 * _t105_temp_string_len);
                    flick_cdr_encode_signed16(8, _return->b, CORBA_short );
                    CORBA_flick_free(_return);
                    _return = (struct str *)0;
                    flick_cdr_encode_unsigned32(12, _t106_temp_string_len, flick_unsigned32_t );
                    if (_t106_temp_string_len > 11)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort144);
                    flick_cdr_encode_bcopy(16, _local_b->s10, 1 * _t106_temp_string_len);
                    CORBA_flick_free(_local_b->s10);
                    _local_b->s10 = (CORBA_char *)0;
                    flick_trapeze_encode_end_chunk(16 + 1 * _t106_temp_string_len);
                    flick_trapeze_encode_new_chunk_align(16 + 1 * _t108_temp_string_len, 2, 0, 0);
                    flick_cdr_encode_signed32(0, _local_b->a, CORBA_long );
                    flick_cdr_encode_unsigned32(4, _t107_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(_local_b->sx, 1 * _t107_temp_string_len);
                    flick_cdr_encode_signed16(8, _local_b->b, CORBA_short );
                    flick_cdr_encode_unsigned32(12, _t108_temp_string_len, flick_unsigned32_t );
                    if (_t108_temp_string_len > 11)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort144);
                    flick_cdr_encode_bcopy(16, (*_local_c)->s10, 1 * _t108_temp_string_len);
                    CORBA_flick_free((*_local_c)->s10);
                    (*_local_c)->s10 = (CORBA_char *)0;
                    flick_trapeze_encode_end_chunk(16 + 1 * _t108_temp_string_len);
                    flick_trapeze_encode_new_chunk_align(10, 2, 0, 0);
                    flick_cdr_encode_signed32(0, (*_local_c)->a, CORBA_long );
                    flick_cdr_encode_unsigned32(4, _t109_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array((*_local_c)->sx, 1 * _t109_temp_string_len);
                    flick_cdr_encode_signed16(8, (*_local_c)->b, CORBA_short );
                    CORBA_flick_free(*_local_c);
                    *_local_c = (struct str *)0;
                    flick_trapeze_encode_end_chunk(10);
                    break;
                    {
                    _flick_abort144:
                      goto _flick_abort133;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort152);
                    break;
                    {
                    _flick_abort152:
                      goto _flick_abort133;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(92);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort133:
              CORBA_flick_free(_local_b->s10);
            _flick_abort128:
              goto _flick_abort127;
            }
          }
          break;
          {
          _flick_abort127:
            goto _flick_abort2;
          }
        }
      case (signed int) 4:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t110_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t111_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort154);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t110_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t110_temp_string_len);
            _ev = (CORBA_Environment *)(&_t111_storage);
            _par = flick_interface_parents_test;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(71);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort154);
              flick_trapeze_encode_new_glob(12, _flick_abort154);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort161);
                    break;
                    {
                    _flick_abort161:
                      goto _flick_abort154;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort154:
              goto _flick_abort153;
            }
          }
          break;
          {
          _flick_abort153:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(71);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

