#include "struct-server.h"

/* This is the runtime type information */
char *flick_interface_parents_foo[] = {
	"IDL:foo:1.0",
	0
};

char *flick_interface_parents_foo2[] = {
	"IDL:foo2:1.0",
	"IDL:foo:1.0",
	0
};

char *flick_interface_parents_Cells[] = {
	"IDL:Cells:1.0",
	"IDL:foo:1.0",
	"IDL:foo2:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t foo_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t9_switch_tag;

    flick_trapeze_decode_new_glob(41);
    flick_trapeze_check_span(12, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t9_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t9_switch_tag)
      {
      case (signed int) 0:
        {
          {
            foo _obj;
            CORBA_long _return;
            struct bar *_local_a;
            struct bar _t10_storage;
            flick_unsigned32_t _t11_temp_string_len;
            struct bar2 **_local_b;
            struct bar2 *_t12_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t13_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort29);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(16, _flick_abort29);
            flick_trapeze_decode_new_chunk(16);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (struct bar *)(&_t10_storage);
            flick_cdr_decode_signed32(4, _local_a->b1, CORBA_long );
            flick_cdr_decode_signed32(8, _local_a->b2, CORBA_long );
            flick_cdr_decode_unsigned32(12, _t11_temp_string_len, flick_unsigned32_t );
            if (_t11_temp_string_len > 21)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort29);
            flick_trapeze_decode_end_chunk(16);
            flick_trapeze_check_span(1 * _t11_temp_string_len, _flick_abort29);
            flick_trapeze_decode_new_chunk(1 * _t11_temp_string_len);
            flick_cdr_decode_msgptr(0, _local_a->b3, CORBA_char *);
            flick_trapeze_decode_end_chunk(1 * _t11_temp_string_len);
            _local_b = (struct bar2 **)(&_t12_storage);
            _ev = (CORBA_Environment *)(&_t13_storage);
            flick_trapeze_decode_end_glob(41);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = foo_op(_obj, _local_a, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort29);
              flick_trapeze_encode_new_glob(45, _flick_abort29);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t15_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, (*_local_b)->b4.b3, flick_unsigned32_t , _t15_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(20 + 1 * _t15_temp_string_len);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_cdr_encode_signed32(4, (*_local_b)->b3, CORBA_long );
                    flick_cdr_encode_signed32(8, (*_local_b)->b4.b1, CORBA_long );
                    flick_cdr_encode_signed32(12, (*_local_b)->b4.b2, CORBA_long );
                    flick_cdr_encode_unsigned32(16, _t15_temp_string_len, flick_unsigned32_t );
                    if (_t15_temp_string_len > 21)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort38);
                    flick_cdr_encode_bcopy(20, (*_local_b)->b4.b3, 1 * _t15_temp_string_len);
                    CORBA_flick_free((*_local_b)->b4.b3);
                    (*_local_b)->b4.b3 = (CORBA_char *)0;
                    flick_trapeze_encode_end_chunk(20 + 1 * _t15_temp_string_len);
                    CORBA_flick_free(*_local_b);
                    *_local_b = (struct bar2 *)0;
                    break;
                    {
                    _flick_abort38:
                      goto _flick_abort29;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort42);
                    break;
                    {
                    _flick_abort42:
                      goto _flick_abort29;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(45);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort29:
              goto _flick_abort28;
            }
          }
          break;
          {
          _flick_abort28:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t16_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t17_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort44);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t16_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t16_temp_string_len);
            _ev = (CORBA_Environment *)(&_t17_storage);
            _par = flick_interface_parents_foo;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(41);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort44);
              flick_trapeze_encode_new_glob(12, _flick_abort44);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort51);
                    break;
                    {
                    _flick_abort51:
                      goto _flick_abort44;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort44:
              goto _flick_abort43;
            }
          }
          break;
          {
          _flick_abort43:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(41);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t foo2_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t52_switch_tag;

    flick_trapeze_decode_new_glob(45);
    flick_trapeze_check_span(12, _flick_abort103);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t52_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t52_switch_tag)
      {
      case (signed int) 2:
        {
          {
            foo2 _obj;
            struct bar *_return;
            struct bar2 *_local_a;
            struct bar2 _t53_storage;
            flick_unsigned32_t _t54_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t55_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort154);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(20, _flick_abort154);
            flick_trapeze_decode_new_chunk(20);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (struct bar2 *)(&_t53_storage);
            flick_cdr_decode_signed32(4, _local_a->b3, CORBA_long );
            flick_cdr_decode_signed32(8, _local_a->b4.b1, CORBA_long );
            flick_cdr_decode_signed32(12, _local_a->b4.b2, CORBA_long );
            flick_cdr_decode_unsigned32(16, _t54_temp_string_len, flick_unsigned32_t );
            if (_t54_temp_string_len > 21)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort154);
            flick_trapeze_decode_end_chunk(20);
            flick_trapeze_check_span(1 * _t54_temp_string_len, _flick_abort154);
            flick_trapeze_decode_new_chunk(1 * _t54_temp_string_len);
            flick_cdr_decode_msgptr(0, _local_a->b4.b3, CORBA_char *);
            flick_trapeze_decode_end_chunk(1 * _t54_temp_string_len);
            _ev = (CORBA_Environment *)(&_t55_storage);
            flick_trapeze_decode_end_glob(45);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = foo2_op2(_obj, _local_a, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort154);
              flick_trapeze_encode_new_glob(37, _flick_abort154);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t57_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return->b3, flick_unsigned32_t , _t57_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12 + 1 * _t57_temp_string_len);
                    flick_cdr_encode_signed32(0, _return->b1, CORBA_long );
                    flick_cdr_encode_signed32(4, _return->b2, CORBA_long );
                    flick_cdr_encode_unsigned32(8, _t57_temp_string_len, flick_unsigned32_t );
                    if (_t57_temp_string_len > 21)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort163);
                    flick_cdr_encode_bcopy(12, _return->b3, 1 * _t57_temp_string_len);
                    CORBA_flick_free(_return->b3);
                    _return->b3 = (CORBA_char *)0;
                    flick_trapeze_encode_end_chunk(12 + 1 * _t57_temp_string_len);
                    CORBA_flick_free(_return);
                    _return = (struct bar *)0;
                    break;
                    {
                    _flick_abort163:
                      goto _flick_abort154;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort167);
                    break;
                    {
                    _flick_abort167:
                      goto _flick_abort154;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(37);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort154:
              goto _flick_abort153;
            }
          }
          break;
          {
          _flick_abort153:
            goto _flick_abort103;
          }
        }
      case (signed int) 3:
        {
          {
            foo2 _obj;
            CORBA_long _return;
            CORBA_long _local_a;
            CORBA_char *_local_b;
            CORBA_char _t58_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t59_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort169);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_a, CORBA_long );
            _local_b = (CORBA_char *)(&_t58_storage);
            _ev = (CORBA_Environment *)(&_t59_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(45);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = foo2_op3(_obj, _local_a, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort169);
              flick_trapeze_encode_new_glob(12, _flick_abort169);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(5);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_cdr_encode_char8(4, *_local_b, CORBA_char );
                    flick_trapeze_encode_end_chunk(5);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort176);
                    break;
                    {
                    _flick_abort176:
                      goto _flick_abort169;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort169:
              goto _flick_abort168;
            }
          }
          break;
          {
          _flick_abort168:
            goto _flick_abort103;
          }
        }
      case (signed int) 4:
        {
          {
            foo2 _obj;
            CORBA_long _return;
            struct bar *_local_a;
            struct bar _t60_storage;
            flick_unsigned32_t _t61_temp_string_len;
            struct bar2 **_local_b;
            struct bar2 *_t62_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t63_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort178);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(16, _flick_abort178);
            flick_trapeze_decode_new_chunk(16);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (struct bar *)(&_t60_storage);
            flick_cdr_decode_signed32(4, _local_a->b1, CORBA_long );
            flick_cdr_decode_signed32(8, _local_a->b2, CORBA_long );
            flick_cdr_decode_unsigned32(12, _t61_temp_string_len, flick_unsigned32_t );
            if (_t61_temp_string_len > 21)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort178);
            flick_trapeze_decode_end_chunk(16);
            flick_trapeze_check_span(1 * _t61_temp_string_len, _flick_abort178);
            flick_trapeze_decode_new_chunk(1 * _t61_temp_string_len);
            flick_cdr_decode_msgptr(0, _local_a->b3, CORBA_char *);
            flick_trapeze_decode_end_chunk(1 * _t61_temp_string_len);
            _local_b = (struct bar2 **)(&_t62_storage);
            _ev = (CORBA_Environment *)(&_t63_storage);
            flick_trapeze_decode_end_glob(45);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = foo2_op(_obj, _local_a, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort178);
              flick_trapeze_encode_new_glob(45, _flick_abort178);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t65_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, (*_local_b)->b4.b3, flick_unsigned32_t , _t65_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(20 + 1 * _t65_temp_string_len);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_cdr_encode_signed32(4, (*_local_b)->b3, CORBA_long );
                    flick_cdr_encode_signed32(8, (*_local_b)->b4.b1, CORBA_long );
                    flick_cdr_encode_signed32(12, (*_local_b)->b4.b2, CORBA_long );
                    flick_cdr_encode_unsigned32(16, _t65_temp_string_len, flick_unsigned32_t );
                    if (_t65_temp_string_len > 21)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort187);
                    flick_cdr_encode_bcopy(20, (*_local_b)->b4.b3, 1 * _t65_temp_string_len);
                    CORBA_flick_free((*_local_b)->b4.b3);
                    (*_local_b)->b4.b3 = (CORBA_char *)0;
                    flick_trapeze_encode_end_chunk(20 + 1 * _t65_temp_string_len);
                    CORBA_flick_free(*_local_b);
                    *_local_b = (struct bar2 *)0;
                    break;
                    {
                    _flick_abort187:
                      goto _flick_abort178;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort191);
                    break;
                    {
                    _flick_abort191:
                      goto _flick_abort178;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(45);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort178:
              goto _flick_abort177;
            }
          }
          break;
          {
          _flick_abort177:
            goto _flick_abort103;
          }
        }
      case (signed int) 5:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t66_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t67_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort193);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t66_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t66_temp_string_len);
            _ev = (CORBA_Environment *)(&_t67_storage);
            _par = flick_interface_parents_foo2;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(45);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort193);
              flick_trapeze_encode_new_glob(12, _flick_abort193);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort200);
                    break;
                    {
                    _flick_abort200:
                      goto _flick_abort193;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort193:
              goto _flick_abort192;
            }
          }
          break;
          {
          _flick_abort192:
            goto _flick_abort103;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort103);
          flick_trapeze_decode_end_glob(45);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort103:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort102);
  _flick_abort102:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t Cells_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t132_switch_tag;

    flick_trapeze_decode_new_glob(120);
    flick_trapeze_check_span(12, _flick_abort300);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t132_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t132_switch_tag)
      {
      case (signed int) 6:
        {
          {
            Cells _obj;
            struct bar4 *_return;
            struct bar4 *_local_a;
            struct bar4 _t133_storage;
            flick_unsigned32_t _t134_temp_string_len;
            struct bar4 *_local_b;
            struct bar4 _t135_storage;
            flick_unsigned32_t _t136_temp_string_len;
            struct bar4 **_local_c;
            struct bar4 *_t137_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t138_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort382);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(24, _flick_abort382);
            flick_trapeze_decode_new_chunk(24);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (struct bar4 *)(&_t133_storage);
            flick_cdr_decode_signed32(4, _local_a->b1, CORBA_long );
            flick_cdr_decode_signed32(8, _local_a->b2.b3, CORBA_long );
            flick_cdr_decode_signed32(12, _local_a->b2.b4.b1, CORBA_long );
            flick_cdr_decode_signed32(16, _local_a->b2.b4.b2, CORBA_long );
            flick_cdr_decode_unsigned32(20, _t134_temp_string_len, flick_unsigned32_t );
            if (_t134_temp_string_len > 21)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort382);
            flick_trapeze_decode_end_chunk(24);
            flick_trapeze_check_span(1 * _t134_temp_string_len, _flick_abort382);
            flick_trapeze_decode_new_chunk(1 * _t134_temp_string_len);
            flick_cdr_decode_msgptr(0, _local_a->b2.b4.b3, CORBA_char *);
            flick_trapeze_decode_end_chunk(1 * _t134_temp_string_len);
            flick_trapeze_decode_new_chunk_align(40, 2, 0, 0);
            flick_trapeze_check_span(40, _flick_abort382);
            flick_cdr_decode_signed32(0, _local_a->b3, CORBA_long );
            flick_cdr_decode_signed32(4, _local_a->b4.b1, CORBA_long );
            flick_cdr_decode_signed32(8, _local_a->b4.b2, CORBA_long );
            flick_cdr_decode_signed32(12, _local_a->b4.b3, CORBA_long );
            flick_cdr_decode_signed32(16, _local_a->b5, CORBA_long );
            _local_b = (struct bar4 *)(&_t135_storage);
            flick_cdr_decode_signed32(20, _local_b->b1, CORBA_long );
            flick_cdr_decode_signed32(24, _local_b->b2.b3, CORBA_long );
            flick_cdr_decode_signed32(28, _local_b->b2.b4.b1, CORBA_long );
            flick_cdr_decode_signed32(32, _local_b->b2.b4.b2, CORBA_long );
            flick_cdr_decode_unsigned32(36, _t136_temp_string_len, flick_unsigned32_t );
            if (_t136_temp_string_len > 21)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort382);
            flick_trapeze_decode_end_chunk(40);
            flick_trapeze_check_span(1 * _t136_temp_string_len, _flick_abort382);
            flick_trapeze_decode_new_chunk(1 * _t136_temp_string_len);
            {
              CORBA_char *_t_alloc_ptr;

              _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(21 * sizeof(CORBA_char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort382);
              _local_b->b2.b4.b3 = _t_alloc_ptr;
            }
            flick_cdr_decode_bcopy(0, _local_b->b2.b4.b3, 1 * _t136_temp_string_len);
            flick_trapeze_decode_end_chunk(1 * _t136_temp_string_len);
            flick_trapeze_decode_new_chunk_align(4, 2, 0, 0);
            flick_trapeze_check_span(20, _flick_abort387);
            flick_cdr_decode_signed32(0, _local_b->b3, CORBA_long );
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(120);
            flick_trapeze_decode_new_glob(16);
            flick_trapeze_decode_new_chunk(16);
            flick_cdr_decode_signed32(0, _local_b->b4.b1, CORBA_long );
            flick_cdr_decode_signed32(4, _local_b->b4.b2, CORBA_long );
            flick_cdr_decode_signed32(8, _local_b->b4.b3, CORBA_long );
            flick_cdr_decode_signed32(12, _local_b->b5, CORBA_long );
            _local_c = (struct bar4 **)(&_t137_storage);
            _ev = (CORBA_Environment *)(&_t138_storage);
            flick_trapeze_decode_end_chunk(16);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Cells_op4(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort387);
              flick_trapeze_encode_new_glob(120, _flick_abort387);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t142_temp_string_len;
                    flick_unsigned32_t _t143_temp_string_len;
                    flick_unsigned32_t _t144_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return->b2.b4.b3, flick_unsigned32_t , _t142_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, _local_b->b2.b4.b3, flick_unsigned32_t , _t143_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, (*_local_c)->b2.b4.b3, flick_unsigned32_t , _t144_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(20 + 1 * _t142_temp_string_len);
                    flick_cdr_encode_signed32(0, _return->b1, CORBA_long );
                    flick_cdr_encode_signed32(4, _return->b2.b3, CORBA_long );
                    flick_cdr_encode_signed32(8, _return->b2.b4.b1, CORBA_long );
                    flick_cdr_encode_signed32(12, _return->b2.b4.b2, CORBA_long );
                    flick_cdr_encode_unsigned32(16, _t142_temp_string_len, flick_unsigned32_t );
                    if (_t142_temp_string_len > 21)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort396);
                    flick_cdr_encode_bcopy(20, _return->b2.b4.b3, 1 * _t142_temp_string_len);
                    CORBA_flick_free(_return->b2.b4.b3);
                    _return->b2.b4.b3 = (CORBA_char *)0;
                    flick_trapeze_encode_end_chunk(20 + 1 * _t142_temp_string_len);
                    flick_trapeze_encode_new_chunk_align(40 + 1 * _t143_temp_string_len, 2, 0, 0);
                    flick_cdr_encode_signed32(0, _return->b3, CORBA_long );
                    flick_cdr_encode_signed32(4, _return->b4.b1, CORBA_long );
                    flick_cdr_encode_signed32(8, _return->b4.b2, CORBA_long );
                    flick_cdr_encode_signed32(12, _return->b4.b3, CORBA_long );
                    flick_cdr_encode_signed32(16, _return->b5, CORBA_long );
                    CORBA_flick_free(_return);
                    _return = (struct bar4 *)0;
                    flick_cdr_encode_signed32(20, _local_b->b1, CORBA_long );
                    flick_cdr_encode_signed32(24, _local_b->b2.b3, CORBA_long );
                    flick_cdr_encode_signed32(28, _local_b->b2.b4.b1, CORBA_long );
                    flick_cdr_encode_signed32(32, _local_b->b2.b4.b2, CORBA_long );
                    flick_cdr_encode_unsigned32(36, _t143_temp_string_len, flick_unsigned32_t );
                    if (_t143_temp_string_len > 21)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort396);
                    flick_cdr_encode_bcopy(40, _local_b->b2.b4.b3, 1 * _t143_temp_string_len);
                    CORBA_flick_free(_local_b->b2.b4.b3);
                    _local_b->b2.b4.b3 = (CORBA_char *)0;
                    flick_trapeze_encode_end_chunk(40 + 1 * _t143_temp_string_len);
                    flick_trapeze_encode_new_chunk_align(8, 2, 0, 0);
                    flick_cdr_encode_signed32(0, _local_b->b3, CORBA_long );
                    flick_cdr_encode_signed32(4, _local_b->b4.b1, CORBA_long );
                    flick_trapeze_encode_end_chunk(8);
                    flick_trapeze_encode_end_glob(120);
                    flick_trapeze_encode_new_glob(52, _flick_abort396);
                    flick_trapeze_encode_new_chunk(52);
                    flick_cdr_encode_signed32(0, _local_b->b4.b2, CORBA_long );
                    flick_cdr_encode_signed32(4, _local_b->b4.b3, CORBA_long );
                    flick_cdr_encode_signed32(8, _local_b->b5, CORBA_long );
                    flick_cdr_encode_signed32(12, (*_local_c)->b1, CORBA_long );
                    flick_cdr_encode_signed32(16, (*_local_c)->b2.b3, CORBA_long );
                    flick_cdr_encode_signed32(20, (*_local_c)->b2.b4.b1, CORBA_long );
                    flick_cdr_encode_signed32(24, (*_local_c)->b2.b4.b2, CORBA_long );
                    flick_cdr_encode_unsigned32(28, _t144_temp_string_len, flick_unsigned32_t );
                    if (_t144_temp_string_len > 21)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort396);
                    flick_trapeze_server_encode_array((*_local_c)->b2.b4.b3, 1 * _t144_temp_string_len);
                    flick_cdr_encode_signed32(32, (*_local_c)->b3, CORBA_long );
                    flick_cdr_encode_signed32(36, (*_local_c)->b4.b1, CORBA_long );
                    flick_cdr_encode_signed32(40, (*_local_c)->b4.b2, CORBA_long );
                    flick_cdr_encode_signed32(44, (*_local_c)->b4.b3, CORBA_long );
                    flick_cdr_encode_signed32(48, (*_local_c)->b5, CORBA_long );
                    CORBA_flick_free(*_local_c);
                    *_local_c = (struct bar4 *)0;
                    flick_trapeze_encode_end_chunk(52);
                    flick_trapeze_encode_end_glob(52);
                    break;
                    {
                    _flick_abort396:
                      goto _flick_abort387;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    flick_trapeze_encode_end_glob(120);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort402);
                    flick_trapeze_encode_end_glob(120);
                    break;
                    {
                    _flick_abort402:
                      goto _flick_abort387;
                    }
                  }
                }
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort387:
              CORBA_flick_free(_local_b->b2.b4.b3);
            _flick_abort382:
              goto _flick_abort381;
            }
          }
          break;
          {
          _flick_abort381:
            goto _flick_abort300;
          }
        }
      case (signed int) 7:
        {
          {
            Cells _obj;
            Coord _return;
            struct CellPos1 *_local_a;
            struct CellPos1 _t145_storage;
            struct CellPos2 *_local_b;
            struct CellPos2 _t146_storage;
            struct CellPos3 *_local_c;
            struct CellPos3 _t147_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t148_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort404);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort404);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (struct CellPos1 *)(&_t145_storage);
            flick_cdr_decode_unsigned16(4, _local_a->row, CORBA_unsigned_short );
            flick_cdr_decode_unsigned16(6, _local_a->col, CORBA_unsigned_short );
            _local_b = (struct CellPos2 *)(&_t146_storage);
            flick_cdr_decode_unsigned16(8, _local_b->row, CORBA_unsigned_short );
            flick_cdr_decode_unsigned16(10, _local_b->col, CORBA_unsigned_short );
            _local_c = (struct CellPos3 *)(&_t147_storage);
            _ev = (CORBA_Environment *)(&_t148_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(120);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Cells_op5(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort404);
              flick_trapeze_encode_new_glob(16, _flick_abort404);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                    flick_cdr_encode_unsigned16(2, _local_b->row, CORBA_unsigned_short );
                    flick_cdr_encode_unsigned16(4, _local_b->col, CORBA_unsigned_short );
                    flick_cdr_encode_unsigned16(6, _local_c->row, CORBA_unsigned_short );
                    flick_cdr_encode_unsigned16(8, _local_c->col, CORBA_unsigned_short );
                    flick_cdr_encode_unsigned16(10, _local_c->col2, CORBA_unsigned_short );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort411);
                    break;
                    {
                    _flick_abort411:
                      goto _flick_abort404;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort404:
              goto _flick_abort403;
            }
          }
          break;
          {
          _flick_abort403:
            goto _flick_abort300;
          }
        }
      case (signed int) 8:
        {
          {
            Cells _obj;
            struct bar *_return;
            struct bar2 *_local_a;
            struct bar2 _t149_storage;
            flick_unsigned32_t _t150_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t151_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort413);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(20, _flick_abort413);
            flick_trapeze_decode_new_chunk(20);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (struct bar2 *)(&_t149_storage);
            flick_cdr_decode_signed32(4, _local_a->b3, CORBA_long );
            flick_cdr_decode_signed32(8, _local_a->b4.b1, CORBA_long );
            flick_cdr_decode_signed32(12, _local_a->b4.b2, CORBA_long );
            flick_cdr_decode_unsigned32(16, _t150_temp_string_len, flick_unsigned32_t );
            if (_t150_temp_string_len > 21)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort413);
            flick_trapeze_decode_end_chunk(20);
            flick_trapeze_check_span(1 * _t150_temp_string_len, _flick_abort413);
            flick_trapeze_decode_new_chunk(1 * _t150_temp_string_len);
            flick_cdr_decode_msgptr(0, _local_a->b4.b3, CORBA_char *);
            flick_trapeze_decode_end_chunk(1 * _t150_temp_string_len);
            _ev = (CORBA_Environment *)(&_t151_storage);
            flick_trapeze_decode_end_glob(120);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Cells_op2(_obj, _local_a, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort413);
              flick_trapeze_encode_new_glob(37, _flick_abort413);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t153_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return->b3, flick_unsigned32_t , _t153_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12 + 1 * _t153_temp_string_len);
                    flick_cdr_encode_signed32(0, _return->b1, CORBA_long );
                    flick_cdr_encode_signed32(4, _return->b2, CORBA_long );
                    flick_cdr_encode_unsigned32(8, _t153_temp_string_len, flick_unsigned32_t );
                    if (_t153_temp_string_len > 21)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort422);
                    flick_cdr_encode_bcopy(12, _return->b3, 1 * _t153_temp_string_len);
                    CORBA_flick_free(_return->b3);
                    _return->b3 = (CORBA_char *)0;
                    flick_trapeze_encode_end_chunk(12 + 1 * _t153_temp_string_len);
                    CORBA_flick_free(_return);
                    _return = (struct bar *)0;
                    break;
                    {
                    _flick_abort422:
                      goto _flick_abort413;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort426);
                    break;
                    {
                    _flick_abort426:
                      goto _flick_abort413;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(37);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort413:
              goto _flick_abort412;
            }
          }
          break;
          {
          _flick_abort412:
            goto _flick_abort300;
          }
        }
      case (signed int) 9:
        {
          {
            Cells _obj;
            CORBA_long _return;
            CORBA_long _local_a;
            CORBA_char *_local_b;
            CORBA_char _t154_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t155_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort428);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_a, CORBA_long );
            _local_b = (CORBA_char *)(&_t154_storage);
            _ev = (CORBA_Environment *)(&_t155_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(120);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Cells_op3(_obj, _local_a, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort428);
              flick_trapeze_encode_new_glob(12, _flick_abort428);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(5);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_cdr_encode_char8(4, *_local_b, CORBA_char );
                    flick_trapeze_encode_end_chunk(5);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort435);
                    break;
                    {
                    _flick_abort435:
                      goto _flick_abort428;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort428:
              goto _flick_abort427;
            }
          }
          break;
          {
          _flick_abort427:
            goto _flick_abort300;
          }
        }
      case (signed int) 10:
        {
          {
            Cells _obj;
            CORBA_long _return;
            struct bar *_local_a;
            struct bar _t156_storage;
            flick_unsigned32_t _t157_temp_string_len;
            struct bar2 **_local_b;
            struct bar2 *_t158_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t159_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort437);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(16, _flick_abort437);
            flick_trapeze_decode_new_chunk(16);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (struct bar *)(&_t156_storage);
            flick_cdr_decode_signed32(4, _local_a->b1, CORBA_long );
            flick_cdr_decode_signed32(8, _local_a->b2, CORBA_long );
            flick_cdr_decode_unsigned32(12, _t157_temp_string_len, flick_unsigned32_t );
            if (_t157_temp_string_len > 21)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort437);
            flick_trapeze_decode_end_chunk(16);
            flick_trapeze_check_span(1 * _t157_temp_string_len, _flick_abort437);
            flick_trapeze_decode_new_chunk(1 * _t157_temp_string_len);
            flick_cdr_decode_msgptr(0, _local_a->b3, CORBA_char *);
            flick_trapeze_decode_end_chunk(1 * _t157_temp_string_len);
            _local_b = (struct bar2 **)(&_t158_storage);
            _ev = (CORBA_Environment *)(&_t159_storage);
            flick_trapeze_decode_end_glob(120);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Cells_op(_obj, _local_a, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort437);
              flick_trapeze_encode_new_glob(45, _flick_abort437);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t161_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, (*_local_b)->b4.b3, flick_unsigned32_t , _t161_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(20 + 1 * _t161_temp_string_len);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_cdr_encode_signed32(4, (*_local_b)->b3, CORBA_long );
                    flick_cdr_encode_signed32(8, (*_local_b)->b4.b1, CORBA_long );
                    flick_cdr_encode_signed32(12, (*_local_b)->b4.b2, CORBA_long );
                    flick_cdr_encode_unsigned32(16, _t161_temp_string_len, flick_unsigned32_t );
                    if (_t161_temp_string_len > 21)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort446);
                    flick_cdr_encode_bcopy(20, (*_local_b)->b4.b3, 1 * _t161_temp_string_len);
                    CORBA_flick_free((*_local_b)->b4.b3);
                    (*_local_b)->b4.b3 = (CORBA_char *)0;
                    flick_trapeze_encode_end_chunk(20 + 1 * _t161_temp_string_len);
                    CORBA_flick_free(*_local_b);
                    *_local_b = (struct bar2 *)0;
                    break;
                    {
                    _flick_abort446:
                      goto _flick_abort437;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort450);
                    break;
                    {
                    _flick_abort450:
                      goto _flick_abort437;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(45);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort437:
              goto _flick_abort436;
            }
          }
          break;
          {
          _flick_abort436:
            goto _flick_abort300;
          }
        }
      case (signed int) 11:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t162_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t163_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort452);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t162_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t162_temp_string_len);
            _ev = (CORBA_Environment *)(&_t163_storage);
            _par = flick_interface_parents_Cells;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(120);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort452);
              flick_trapeze_encode_new_glob(12, _flick_abort452);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort459);
                    break;
                    {
                    _flick_abort459:
                      goto _flick_abort452;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort452:
              goto _flick_abort451;
            }
          }
          break;
          {
          _flick_abort451:
            goto _flick_abort300;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort300);
          flick_trapeze_decode_end_glob(120);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort300:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort299);
  _flick_abort299:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

