#include "dif2-client.h"
#include "dif2-server.h"


static const CORBA::Long _oc_ex1[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6578313a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:ex1:1.0 */,
    4, ACE_NTOHL(0x65783100) /* name = ex1 */
};

static CORBA::TypeCode _tc_TAO_tc_ex1 (CORBA::tk_objref, sizeof(_oc_ex1), (char *) &_oc_ex1, 0, sizeof(ex1 ));

CORBA::TypeCode_ptr _tc_ex1 = &_tc_TAO_tc_ex1;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<ex1 , ex1_var >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<ex1 , ex1_var >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */


ex1_ptr  (*_TAO_collocation_ex1_Stub_Factory_function_pointer)(CORBA::Object_ptr obj) = 0;


ex1_ptr ex1::_duplicate(ex1_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

ex1_ptr ex1::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if (CORBA::is_nil(obj))
    return ex1::_nil();
  CORBA::Boolean is_a = obj->_is_a ("IDL:ex1:1.0", _env);
  if (_env.exception() != 0)
    return ex1::_nil();
  if (is_a == 0)
    return ex1::_nil();
  return ex1::_unchecked_narrow(obj, _env);
}

ex1_ptr ex1::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &)
{
  if( CORBA::is_nil(_obj) )
    return ex1::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  if (_obj->_is_collocated () && _TAO_collocation_ex1_Stub_Factory_function_pointer != 0)
    {
      ex1_ptr  retv = _TAO_collocation_ex1_Stub_Factory_function_pointer(_obj);
      if (retv != 0)
        return retv;
    }
  return new ex1 (stub);
}

ex1_ptr ex1::_nil()
{
  return (ex1_ptr )NULL;
}

CORBA::Boolean ex1::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:ex1:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *ex1::_interface_repository_id() const
{
  return "IDL:ex1:1.0";
}

ex1::ex1()
{}

ex1::~ex1()
{}

void operator<<=(CORBA::Any &a, ex1_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = ex1::_duplicate(o);
    a.replace (_tc_ex1, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ex1_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = ex1::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_ex1, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_ex1, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = ex1::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_ex1, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

ex1::ex1(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

ex1_var::ex1_var()
  : ptr_(ex1::_nil())
{}

ex1_var::ex1_var(ex1_ptr p)
  : ptr_(p)
{}

ex1_var::ex1_var(const ex1_var &a)
  : ptr_(ex1::_duplicate(a.ptr()))
{}

ex1_var::~ex1_var()
{
  CORBA::release(this->ptr_);
}

ex1_var &ex1_var::operator=(ex1_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

ex1_var &ex1_var::operator=(const ex1_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = ex1::_duplicate(p.ptr());
  }
  return *this;
}

ex1_ptr ex1_var::operator->() const
{
  return this->ptr_;
}

ex1_var::operator const ex1_ptr &() const
{
  return this->ptr_;
}

ex1_var::operator ex1_ptr &()
{
  return this->ptr_;
}

ex1_ptr ex1_var::in() const
{
  return this->ptr_;
}

ex1_ptr &ex1_var::inout()
{
  return this->ptr_;
}

ex1_ptr &ex1_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = ex1::_nil();
  return this->ptr_;
}

ex1_ptr ex1_var::_retn()
{
  ex1_ptr  val = this->ptr_;
  this->ptr_ = ex1::_nil();
  return val;
}

ex1_ptr ex1_var::ptr() const
{
  return this->ptr_;
}

ex1_out::ex1_out(ex1_ptr &r)
  : ptr_(r)
{
  this->ptr_ = ex1::_nil();
}

ex1_out::ex1_out(ex1_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = ex1::_nil();
}

ex1_out::ex1_out(const ex1_out &r)
  : ptr_(ACE_const_cast(ex1_out &,r).ptr_)
{}

ex1_out &ex1_out::operator=(const ex1_out &r)
{
  this->ptr_ = ACE_const_cast(ex1_out &,r).ptr_;
  return *this;
}

ex1_out &ex1_out::operator=(const ex1_var &r)
{
  this->ptr_ = ex1::_duplicate(r.ptr());
  return *this;
}

ex1_out &ex1_out::operator=(ex1_ptr r)
{
  this->ptr_ = r;
  return *this;
}

ex1_out::operator ex1_ptr &()
{
  return this->ptr_;
}

ex1_ptr &ex1_out::ptr()
{
  return this->ptr_;
}

ex1_ptr ex1_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_ex2[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6578323a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:ex2:1.0 */,
    4, ACE_NTOHL(0x65783200) /* name = ex2 */
};

static CORBA::TypeCode _tc_TAO_tc_ex2 (CORBA::tk_objref, sizeof(_oc_ex2), (char *) &_oc_ex2, 0, sizeof(ex2 ));

CORBA::TypeCode_ptr _tc_ex2 = &_tc_TAO_tc_ex2;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<ex2 , ex2_var >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<ex2 , ex2_var >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */


ex2_ptr  (*_TAO_collocation_ex2_Stub_Factory_function_pointer)(CORBA::Object_ptr obj) = 0;


ex2_ptr ex2::_duplicate(ex2_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

ex2_ptr ex2::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if (CORBA::is_nil(obj))
    return ex2::_nil();
  CORBA::Boolean is_a = obj->_is_a ("IDL:ex2:1.0", _env);
  if (_env.exception() != 0)
    return ex2::_nil();
  if (is_a == 0)
    return ex2::_nil();
  return ex2::_unchecked_narrow(obj, _env);
}

ex2_ptr ex2::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &)
{
  if( CORBA::is_nil(_obj) )
    return ex2::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  if (_obj->_is_collocated () && _TAO_collocation_ex2_Stub_Factory_function_pointer != 0)
    {
      ex2_ptr  retv = _TAO_collocation_ex2_Stub_Factory_function_pointer(_obj);
      if (retv != 0)
        return retv;
    }
  return new ex2 (stub);
}

ex2_ptr ex2::_nil()
{
  return (ex2_ptr )NULL;
}

CORBA::Boolean ex2::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:ex1:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, "IDL:ex2:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *ex2::_interface_repository_id() const
{
  return "IDL:ex2:1.0";
}

ex2::ex2()
{}

ex2::~ex2()
{}

void operator<<=(CORBA::Any &a, ex2_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = ex2::_duplicate(o);
    a.replace (_tc_ex2, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ex2_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = ex2::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_ex2, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_ex2, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = ex2::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_ex2, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

ex2::ex2(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

ex2_var::ex2_var()
  : ptr_(ex2::_nil())
{}

ex2_var::ex2_var(ex2_ptr p)
  : ptr_(p)
{}

ex2_var::ex2_var(const ex2_var &a)
  : ptr_(ex2::_duplicate(a.ptr()))
{}

ex2_var::~ex2_var()
{
  CORBA::release(this->ptr_);
}

ex2_var &ex2_var::operator=(ex2_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

ex2_var &ex2_var::operator=(const ex2_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = ex2::_duplicate(p.ptr());
  }
  return *this;
}

ex2_ptr ex2_var::operator->() const
{
  return this->ptr_;
}

ex2_var::operator const ex2_ptr &() const
{
  return this->ptr_;
}

ex2_var::operator ex2_ptr &()
{
  return this->ptr_;
}

ex2_ptr ex2_var::in() const
{
  return this->ptr_;
}

ex2_ptr &ex2_var::inout()
{
  return this->ptr_;
}

ex2_ptr &ex2_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = ex2::_nil();
  return this->ptr_;
}

ex2_ptr ex2_var::_retn()
{
  ex2_ptr  val = this->ptr_;
  this->ptr_ = ex2::_nil();
  return val;
}

ex2_ptr ex2_var::ptr() const
{
  return this->ptr_;
}

ex2_out::ex2_out(ex2_ptr &r)
  : ptr_(r)
{
  this->ptr_ = ex2::_nil();
}

ex2_out::ex2_out(ex2_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = ex2::_nil();
}

ex2_out::ex2_out(const ex2_out &r)
  : ptr_(ACE_const_cast(ex2_out &,r).ptr_)
{}

ex2_out &ex2_out::operator=(const ex2_out &r)
{
  this->ptr_ = ACE_const_cast(ex2_out &,r).ptr_;
  return *this;
}

ex2_out &ex2_out::operator=(const ex2_var &r)
{
  this->ptr_ = ex2::_duplicate(r.ptr());
  return *this;
}

ex2_out &ex2_out::operator=(ex2_ptr r)
{
  this->ptr_ = r;
  return *this;
}

ex2_out::operator ex2_ptr &()
{
  return this->ptr_;
}

ex2_ptr &ex2_out::ptr()
{
  return this->ptr_;
}

ex2_ptr ex2_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_ex3[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6578333a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:ex3:1.0 */,
    4, ACE_NTOHL(0x65783300) /* name = ex3 */
};

static CORBA::TypeCode _tc_TAO_tc_ex3 (CORBA::tk_objref, sizeof(_oc_ex3), (char *) &_oc_ex3, 0, sizeof(ex3 ));

CORBA::TypeCode_ptr _tc_ex3 = &_tc_TAO_tc_ex3;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<ex3 , ex3_var >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<ex3 , ex3_var >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */


ex3_ptr  (*_TAO_collocation_ex3_Stub_Factory_function_pointer)(CORBA::Object_ptr obj) = 0;


ex3_ptr ex3::_duplicate(ex3_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

ex3_ptr ex3::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if (CORBA::is_nil(obj))
    return ex3::_nil();
  CORBA::Boolean is_a = obj->_is_a ("IDL:ex3:1.0", _env);
  if (_env.exception() != 0)
    return ex3::_nil();
  if (is_a == 0)
    return ex3::_nil();
  return ex3::_unchecked_narrow(obj, _env);
}

ex3_ptr ex3::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &)
{
  if( CORBA::is_nil(_obj) )
    return ex3::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  if (_obj->_is_collocated () && _TAO_collocation_ex3_Stub_Factory_function_pointer != 0)
    {
      ex3_ptr  retv = _TAO_collocation_ex3_Stub_Factory_function_pointer(_obj);
      if (retv != 0)
        return retv;
    }
  return new ex3 (stub);
}

ex3_ptr ex3::_nil()
{
  return (ex3_ptr )NULL;
}

CORBA::Boolean ex3::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:ex1:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, "IDL:ex3:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *ex3::_interface_repository_id() const
{
  return "IDL:ex3:1.0";
}

ex3::ex3()
{}

ex3::~ex3()
{}

void operator<<=(CORBA::Any &a, ex3_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = ex3::_duplicate(o);
    a.replace (_tc_ex3, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ex3_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = ex3::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_ex3, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_ex3, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = ex3::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_ex3, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

ex3::ex3(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

ex3_var::ex3_var()
  : ptr_(ex3::_nil())
{}

ex3_var::ex3_var(ex3_ptr p)
  : ptr_(p)
{}

ex3_var::ex3_var(const ex3_var &a)
  : ptr_(ex3::_duplicate(a.ptr()))
{}

ex3_var::~ex3_var()
{
  CORBA::release(this->ptr_);
}

ex3_var &ex3_var::operator=(ex3_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

ex3_var &ex3_var::operator=(const ex3_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = ex3::_duplicate(p.ptr());
  }
  return *this;
}

ex3_ptr ex3_var::operator->() const
{
  return this->ptr_;
}

ex3_var::operator const ex3_ptr &() const
{
  return this->ptr_;
}

ex3_var::operator ex3_ptr &()
{
  return this->ptr_;
}

ex3_ptr ex3_var::in() const
{
  return this->ptr_;
}

ex3_ptr &ex3_var::inout()
{
  return this->ptr_;
}

ex3_ptr &ex3_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = ex3::_nil();
  return this->ptr_;
}

ex3_ptr ex3_var::_retn()
{
  ex3_ptr  val = this->ptr_;
  this->ptr_ = ex3::_nil();
  return val;
}

ex3_ptr ex3_var::ptr() const
{
  return this->ptr_;
}

ex3_out::ex3_out(ex3_ptr &r)
  : ptr_(r)
{
  this->ptr_ = ex3::_nil();
}

ex3_out::ex3_out(ex3_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = ex3::_nil();
}

ex3_out::ex3_out(const ex3_out &r)
  : ptr_(ACE_const_cast(ex3_out &,r).ptr_)
{}

ex3_out &ex3_out::operator=(const ex3_out &r)
{
  this->ptr_ = ACE_const_cast(ex3_out &,r).ptr_;
  return *this;
}

ex3_out &ex3_out::operator=(const ex3_var &r)
{
  this->ptr_ = ex3::_duplicate(r.ptr());
  return *this;
}

ex3_out &ex3_out::operator=(ex3_ptr r)
{
  this->ptr_ = r;
  return *this;
}

ex3_out::operator ex3_ptr &()
{
  return this->ptr_;
}

ex3_ptr &ex3_out::ptr()
{
  return this->ptr_;
}

ex3_ptr ex3_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_ex4[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6578343a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:ex4:1.0 */,
    4, ACE_NTOHL(0x65783400) /* name = ex4 */
};

static CORBA::TypeCode _tc_TAO_tc_ex4 (CORBA::tk_objref, sizeof(_oc_ex4), (char *) &_oc_ex4, 0, sizeof(ex4 ));

CORBA::TypeCode_ptr _tc_ex4 = &_tc_TAO_tc_ex4;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<ex4 , ex4_var >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<ex4 , ex4_var >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */


ex4_ptr  (*_TAO_collocation_ex4_Stub_Factory_function_pointer)(CORBA::Object_ptr obj) = 0;


ex4_ptr ex4::_duplicate(ex4_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

ex4_ptr ex4::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if (CORBA::is_nil(obj))
    return ex4::_nil();
  CORBA::Boolean is_a = obj->_is_a ("IDL:ex4:1.0", _env);
  if (_env.exception() != 0)
    return ex4::_nil();
  if (is_a == 0)
    return ex4::_nil();
  return ex4::_unchecked_narrow(obj, _env);
}

ex4_ptr ex4::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &)
{
  if( CORBA::is_nil(_obj) )
    return ex4::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  if (_obj->_is_collocated () && _TAO_collocation_ex4_Stub_Factory_function_pointer != 0)
    {
      ex4_ptr  retv = _TAO_collocation_ex4_Stub_Factory_function_pointer(_obj);
      if (retv != 0)
        return retv;
    }
  return new ex4 (stub);
}

ex4_ptr ex4::_nil()
{
  return (ex4_ptr )NULL;
}

CORBA::Boolean ex4::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:ex1:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, "IDL:ex2:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, "IDL:ex3:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, "IDL:ex4:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *ex4::_interface_repository_id() const
{
  return "IDL:ex4:1.0";
}

ex4::ex4()
{}

ex4::~ex4()
{}

void operator<<=(CORBA::Any &a, ex4_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = ex4::_duplicate(o);
    a.replace (_tc_ex4, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ex4_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = ex4::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_ex4, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_ex4, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = ex4::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_ex4, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

ex4::ex4(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

ex4_var::ex4_var()
  : ptr_(ex4::_nil())
{}

ex4_var::ex4_var(ex4_ptr p)
  : ptr_(p)
{}

ex4_var::ex4_var(const ex4_var &a)
  : ptr_(ex4::_duplicate(a.ptr()))
{}

ex4_var::~ex4_var()
{
  CORBA::release(this->ptr_);
}

ex4_var &ex4_var::operator=(ex4_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

ex4_var &ex4_var::operator=(const ex4_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = ex4::_duplicate(p.ptr());
  }
  return *this;
}

ex4_ptr ex4_var::operator->() const
{
  return this->ptr_;
}

ex4_var::operator const ex4_ptr &() const
{
  return this->ptr_;
}

ex4_var::operator ex4_ptr &()
{
  return this->ptr_;
}

ex4_ptr ex4_var::in() const
{
  return this->ptr_;
}

ex4_ptr &ex4_var::inout()
{
  return this->ptr_;
}

ex4_ptr &ex4_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = ex4::_nil();
  return this->ptr_;
}

ex4_ptr ex4_var::_retn()
{
  ex4_ptr  val = this->ptr_;
  this->ptr_ = ex4::_nil();
  return val;
}

ex4_ptr ex4_var::ptr() const
{
  return this->ptr_;
}

ex4_out::ex4_out(ex4_ptr &r)
  : ptr_(r)
{
  this->ptr_ = ex4::_nil();
}

ex4_out::ex4_out(ex4_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = ex4::_nil();
}

ex4_out::ex4_out(const ex4_out &r)
  : ptr_(ACE_const_cast(ex4_out &,r).ptr_)
{}

ex4_out &ex4_out::operator=(const ex4_out &r)
{
  this->ptr_ = ACE_const_cast(ex4_out &,r).ptr_;
  return *this;
}

ex4_out &ex4_out::operator=(const ex4_var &r)
{
  this->ptr_ = ex4::_duplicate(r.ptr());
  return *this;
}

ex4_out &ex4_out::operator=(ex4_ptr r)
{
  this->ptr_ = r;
  return *this;
}

ex4_out::operator ex4_ptr &()
{
  return this->ptr_;
}

ex4_ptr &ex4_out::ptr()
{
  return this->ptr_;
}

ex4_ptr ex4_out::operator->()
{
  return this->ptr_;
}
void ex1::op0(/* ex1 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();



  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1);
    }




    {
      flick_iiopxx_encode_new_glob(12, _flick_abort1);
      flick_iiopxx_encode_new_chunk(12);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '0', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(12);
      flick_iiopxx_encode_end_glob(12);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t1_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort1);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t1_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t1_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort15);
              break;
              {
              _flick_abort15:
                goto _flick_abort1;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort16);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort16:
                goto _flick_abort1;
              }
            }
          }
      }

    else
      {
        int _t0_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort1);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t0_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t0_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort8);
              break;
              {
              _flick_abort8:
                goto _flick_abort1;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort9);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort9:
                goto _flick_abort1;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1);
  }
  return;
  {
  _flick_abort1:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }

_flick_reaper:
  return;

}

CORBA::Float ex1::op1(/* ex1 *this, */ CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Float _return;


  _return = 0.000000;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort18);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort18);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort18);
    }




    {
      flick_iiopxx_encode_new_glob(20, _flick_abort18);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '1', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_float32(12, f, CORBA::Float );
      flick_cdr_encode_signed32(16, l, CORBA::Long );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort18);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort18);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort18);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort18);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t3_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(24);
        flick_iiopxx_check_span(4, _flick_abort18);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t3_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t3_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort31);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_float32(0, _return, CORBA::Float );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_new_chunk_align(12, 3, 2, 0);
              flick_iiopxx_check_span(12, _flick_abort31);
              flick_cdr_swap_decode_float64(0, d, CORBA::Double );
              flick_cdr_swap_decode_signed32(8, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort31:
                goto _flick_abort18;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(24);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort32);
              break;
              {
              _flick_abort32:
                goto _flick_abort18;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort33);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort33:
                goto _flick_abort18;
              }
            }
          }
      }

    else
      {
        int _t2_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(24);
        flick_iiopxx_check_span(4, _flick_abort18);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t2_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t2_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort24);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_float32(0, _return, CORBA::Float );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_new_chunk_align(12, 3, 2, 0);
              flick_iiopxx_check_span(12, _flick_abort24);
              flick_cdr_decode_float64(0, d, CORBA::Double );
              flick_cdr_decode_signed32(8, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort24:
                goto _flick_abort18;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(24);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort25);
              break;
              {
              _flick_abort25:
                goto _flick_abort18;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort26);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort26:
                goto _flick_abort18;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort18);
  }
  return _return;
  {
  _flick_abort18:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort17);
  _flick_abort17:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Double ex1::op2(/* ex1 *this, */ CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Double _return;


  _return = 0.000000;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort35);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort35);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort35);
    }




    {
      flick_iiopxx_encode_new_glob(26, _flick_abort35);
      flick_iiopxx_encode_new_chunk(12);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '2', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(12);
      flick_iiopxx_encode_new_chunk_align(10, 3, 2, 0);
      flick_cdr_encode_float64(0, d, CORBA::Double );
      flick_cdr_encode_signed16(8, s, CORBA::Short );
      flick_iiopxx_encode_end_chunk(10);
      flick_iiopxx_encode_end_glob(26);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort35);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort35);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort35);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort35);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t5_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(22);
        flick_iiopxx_check_span(4, _flick_abort35);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t5_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t5_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(14, 3, 2, 0);
              flick_iiopxx_check_span(14, _flick_abort48);
              flick_cdr_swap_decode_float64(0, _return, CORBA::Double );
              flick_cdr_swap_decode_signed32(8, l, CORBA::Long );
              flick_cdr_swap_decode_signed16(12, s, CORBA::Short );
              flick_iiopxx_decode_end_chunk(14);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort48:
                goto _flick_abort35;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(22);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort49);
              break;
              {
              _flick_abort49:
                goto _flick_abort35;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort50);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort50:
                goto _flick_abort35;
              }
            }
          }
      }

    else
      {
        int _t4_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(22);
        flick_iiopxx_check_span(4, _flick_abort35);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t4_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t4_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(14, 3, 2, 0);
              flick_iiopxx_check_span(14, _flick_abort41);
              flick_cdr_decode_float64(0, _return, CORBA::Double );
              flick_cdr_decode_signed32(8, l, CORBA::Long );
              flick_cdr_decode_signed16(12, s, CORBA::Short );
              flick_iiopxx_decode_end_chunk(14);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort41:
                goto _flick_abort35;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(22);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort42);
              break;
              {
              _flick_abort42:
                goto _flick_abort35;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort43);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort43:
                goto _flick_abort35;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort35);
  }
  return _return;
  {
  _flick_abort35:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort34);
  _flick_abort34:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Long ex1::op3(/* ex1 *this, */ CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort52);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort52);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort52);
    }




    {
      flick_iiopxx_encode_new_glob(20, _flick_abort52);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '3', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, l, CORBA::Long );
      flick_cdr_encode_unsigned32(16, ul, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort52);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort52);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort52);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort52);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t7_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort52);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t7_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t7_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort65);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_swap_decode_signed16(4, s, CORBA::Short );
              flick_cdr_swap_decode_unsigned32(8, ul, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort65:
                goto _flick_abort52;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort66);
              break;
              {
              _flick_abort66:
                goto _flick_abort52;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort67);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort67:
                goto _flick_abort52;
              }
            }
          }
      }

    else
      {
        int _t6_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort52);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t6_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t6_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort58);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_decode_signed16(4, s, CORBA::Short );
              flick_cdr_decode_unsigned32(8, ul, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort58:
                goto _flick_abort52;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort59);
              break;
              {
              _flick_abort59:
                goto _flick_abort52;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort60);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort60:
                goto _flick_abort52;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort52);
  }
  return _return;
  {
  _flick_abort52:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort51);
  _flick_abort51:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Short ex1::op4(/* ex1 *this, */ CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Short _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort69);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort69);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort69);
    }




    {
      flick_iiopxx_encode_new_glob(16, _flick_abort69);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '4', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(12, s, CORBA::Short );
      flick_cdr_encode_unsigned16(14, us, CORBA::UShort );
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(16);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort69);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort69);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort69);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort69);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t9_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(14);
        flick_iiopxx_check_span(4, _flick_abort69);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t9_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t9_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(10, _flick_abort82);
              flick_iiopxx_decode_new_chunk(10);
              flick_cdr_swap_decode_signed16(0, _return, CORBA::Short );
              flick_cdr_swap_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_swap_decode_unsigned16(8, us, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(10);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort82:
                goto _flick_abort69;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(14);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort83);
              break;
              {
              _flick_abort83:
                goto _flick_abort69;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort84);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort84:
                goto _flick_abort69;
              }
            }
          }
      }

    else
      {
        int _t8_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(14);
        flick_iiopxx_check_span(4, _flick_abort69);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t8_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t8_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(10, _flick_abort75);
              flick_iiopxx_decode_new_chunk(10);
              flick_cdr_decode_signed16(0, _return, CORBA::Short );
              flick_cdr_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_decode_unsigned16(8, us, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(10);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort75:
                goto _flick_abort69;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(14);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort76);
              break;
              {
              _flick_abort76:
                goto _flick_abort69;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort77);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort77:
                goto _flick_abort69;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort69);
  }
  return _return;
  {
  _flick_abort69:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort68);
  _flick_abort68:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::ULong ex1::op5(/* ex1 *this, */ CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::ULong _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort86);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort86);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort86);
    }




    {
      flick_iiopxx_encode_new_glob(19, _flick_abort86);
      flick_iiopxx_encode_new_chunk(19);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '5', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(12, ul, CORBA::ULong );
      flick_cdr_encode_unsigned16(16, us, CORBA::UShort );
      flick_cdr_encode_unsigned8(18, b, CORBA::Boolean );
      flick_iiopxx_encode_end_chunk(19);
      flick_iiopxx_encode_end_glob(19);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort86);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort86);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort86);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort86);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t11_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(13);
        flick_iiopxx_check_span(4, _flick_abort86);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t11_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t11_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(9, _flick_abort99);
              flick_iiopxx_decode_new_chunk(9);
              flick_cdr_swap_decode_unsigned32(0, _return, CORBA::ULong );
              flick_cdr_swap_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_swap_decode_char8(8, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort99:
                goto _flick_abort86;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(13);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort100);
              break;
              {
              _flick_abort100:
                goto _flick_abort86;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort101);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort101:
                goto _flick_abort86;
              }
            }
          }
      }

    else
      {
        int _t10_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(13);
        flick_iiopxx_check_span(4, _flick_abort86);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t10_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t10_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(9, _flick_abort92);
              flick_iiopxx_decode_new_chunk(9);
              flick_cdr_decode_unsigned32(0, _return, CORBA::ULong );
              flick_cdr_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_decode_char8(8, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort92:
                goto _flick_abort86;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(13);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort93);
              break;
              {
              _flick_abort93:
                goto _flick_abort86;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort94);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort94:
                goto _flick_abort86;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort86);
  }
  return _return;
  {
  _flick_abort86:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort85);
  _flick_abort85:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::UShort ex1::op6(/* ex1 *this, */ ::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::UShort _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort103);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort103);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort103);
    }




    {
      flick_iiopxx_encode_new_glob(13, _flick_abort103);
      flick_iiopxx_encode_new_chunk(13);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '6', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_char8(12, c, CORBA::Char );
      flick_iiopxx_encode_end_chunk(13);
      flick_iiopxx_encode_end_glob(13);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort103);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort103);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort103);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort103);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t13_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(9);
        flick_iiopxx_check_span(4, _flick_abort103);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t13_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t13_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort116);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_swap_decode_unsigned16(0, _return, CORBA::UShort );
              flick_cdr_swap_decode_unsigned16(2, us, CORBA::UShort );
              flick_cdr_swap_decode_char8(4, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(5);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort116:
                goto _flick_abort103;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(9);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort117);
              break;
              {
              _flick_abort117:
                goto _flick_abort103;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort118);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort118:
                goto _flick_abort103;
              }
            }
          }
      }

    else
      {
        int _t12_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(9);
        flick_iiopxx_check_span(4, _flick_abort103);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t12_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t12_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort109);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_decode_unsigned16(0, _return, CORBA::UShort );
              flick_cdr_decode_unsigned16(2, us, CORBA::UShort );
              flick_cdr_decode_char8(4, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(5);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort109:
                goto _flick_abort103;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(9);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort110);
              break;
              {
              _flick_abort110:
                goto _flick_abort103;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort111);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort111:
                goto _flick_abort103;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort103);
  }
  return _return;
  {
  _flick_abort103:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort102);
  _flick_abort102:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Char ex2::op7(/* ex2 *this, */ CORBA::Char c, ::CORBA::Boolean &b, CORBA::Octet &o, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Char _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort120);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort120);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort120);
    }




    {
      flick_iiopxx_encode_new_glob(14, _flick_abort120);
      flick_iiopxx_encode_new_chunk(14);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '7', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_char8(12, c, CORBA::Char );
      flick_cdr_encode_unsigned8(13, o, CORBA::Octet );
      flick_iiopxx_encode_end_chunk(14);
      flick_iiopxx_encode_end_glob(14);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort120);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort120);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort120);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort120);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t15_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(7);
        flick_iiopxx_check_span(4, _flick_abort120);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t15_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t15_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort133);
              flick_iiopxx_decode_new_chunk(3);
              flick_cdr_swap_decode_char8(0, _return, CORBA::Char );
              flick_cdr_swap_decode_unsigned8(1, b, CORBA::Boolean );
              flick_cdr_swap_decode_unsigned8(2, o, CORBA::Octet );
              flick_iiopxx_decode_end_chunk(3);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort133:
                goto _flick_abort120;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(7);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort134);
              break;
              {
              _flick_abort134:
                goto _flick_abort120;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort135);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort135:
                goto _flick_abort120;
              }
            }
          }
      }

    else
      {
        int _t14_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(7);
        flick_iiopxx_check_span(4, _flick_abort120);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t14_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t14_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort126);
              flick_iiopxx_decode_new_chunk(3);
              flick_cdr_decode_char8(0, _return, CORBA::Char );
              flick_cdr_decode_unsigned8(1, b, CORBA::Boolean );
              flick_cdr_decode_unsigned8(2, o, CORBA::Octet );
              flick_iiopxx_decode_end_chunk(3);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort126:
                goto _flick_abort120;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(7);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort127);
              break;
              {
              _flick_abort127:
                goto _flick_abort120;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort128);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort128:
                goto _flick_abort120;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort120);
  }
  return _return;
  {
  _flick_abort120:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort119);
  _flick_abort119:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Boolean ex2::op8(/* ex2 *this, */ ::CORBA::Boolean &b, CORBA::Octet o, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Boolean _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort137);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort137);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort137);
    }




    {
      flick_iiopxx_encode_new_glob(13, _flick_abort137);
      flick_iiopxx_encode_new_chunk(13);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '8', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned8(12, o, CORBA::Octet );
      flick_iiopxx_encode_end_chunk(13);
      flick_iiopxx_encode_end_glob(13);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort137);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort137);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort137);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort137);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t17_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort137);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t17_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t17_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort150);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_unsigned8(0, _return, CORBA::Boolean );
              flick_cdr_swap_decode_unsigned8(1, b, CORBA::Boolean );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort150:
                goto _flick_abort137;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort151);
              break;
              {
              _flick_abort151:
                goto _flick_abort137;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort152);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort152:
                goto _flick_abort137;
              }
            }
          }
      }

    else
      {
        int _t16_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort137);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t16_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t16_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort143);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_decode_unsigned8(0, _return, CORBA::Boolean );
              flick_cdr_decode_unsigned8(1, b, CORBA::Boolean );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort143:
                goto _flick_abort137;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort144);
              break;
              {
              _flick_abort144:
                goto _flick_abort137;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort145);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort145:
                goto _flick_abort137;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort137);
  }
  return _return;
  {
  _flick_abort137:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort136);
  _flick_abort136:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Octet ex2::op9(/* ex2 *this, */ CORBA::Octet &o, ::CORBA::String_out s, const char *ls, CORBA::Long &l, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Octet _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort154);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort154);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort154);
    }




    {
      flick_unsigned32_t _t19_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, (ls), flick_unsigned32_t , _t19_temp_string_len);

      flick_iiopxx_encode_new_glob(38, _flick_abort154);
      flick_iiopxx_encode_new_chunk(20 + 1 * _t19_temp_string_len);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '9', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned8(12, o, CORBA::Octet );
      flick_cdr_encode_unsigned32(16, _t19_temp_string_len, flick_unsigned32_t );
      if (_t19_temp_string_len > 11)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort154);
      flick_cdr_encode_bcopy(20, (ls), 1 * _t19_temp_string_len);
      flick_iiopxx_encode_end_chunk(20 + 1 * _t19_temp_string_len);
      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_signed32(0, l, CORBA::Long );
      flick_iiopxx_encode_end_chunk(4);
      flick_iiopxx_encode_end_glob(38);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort154);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort154);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort154);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort154);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t23_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(12);
        flick_iiopxx_check_span(4, _flick_abort154);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t23_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t23_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t25_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(8, _flick_abort180);
              flick_iiopxx_decode_new_chunk(8);
              flick_cdr_swap_decode_unsigned8(0, _return, CORBA::Octet );
              flick_cdr_swap_decode_unsigned8(1, o, CORBA::Octet );
              flick_cdr_swap_decode_unsigned32(4, _t25_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(12);
              flick_iiopxx_decode_new_glob(1 * _t25_temp_string_len);
              flick_iiopxx_check_span(1 * _t25_temp_string_len, _flick_abort180);
              flick_iiopxx_decode_new_chunk(1 * _t25_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t25_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort180);
                s = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, s, 1 * _t25_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t25_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t25_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort183);
              flick_cdr_swap_decode_signed32(0, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort183:
                CORBA_string_flick_free(s);
              _flick_abort180:
                goto _flick_abort154;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(12);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort184);
              break;
              {
              _flick_abort184:
                goto _flick_abort154;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort185);
              flick_iiopxx_decode_end_glob(12);
              break;
              {
              _flick_abort185:
                goto _flick_abort154;
              }
            }
          }
      }

    else
      {
        int _t20_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(12);
        flick_iiopxx_check_span(4, _flick_abort154);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t20_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t20_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t22_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(8, _flick_abort167);
              flick_iiopxx_decode_new_chunk(8);
              flick_cdr_decode_unsigned8(0, _return, CORBA::Octet );
              flick_cdr_decode_unsigned8(1, o, CORBA::Octet );
              flick_cdr_decode_unsigned32(4, _t22_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(12);
              flick_iiopxx_decode_new_glob(1 * _t22_temp_string_len);
              flick_iiopxx_check_span(1 * _t22_temp_string_len, _flick_abort167);
              flick_iiopxx_decode_new_chunk(1 * _t22_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t22_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort167);
                s = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, s, 1 * _t22_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t22_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t22_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort170);
              flick_cdr_decode_signed32(0, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort170:
                CORBA_string_flick_free(s);
              _flick_abort167:
                goto _flick_abort154;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(12);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort171);
              break;
              {
              _flick_abort171:
                goto _flick_abort154;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort172);
              flick_iiopxx_decode_end_glob(12);
              break;
              {
              _flick_abort172:
                goto _flick_abort154;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort154);
  }
  return _return;
  {
  _flick_abort154:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort153);
  _flick_abort153:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

char *ex2::op10(/* ex2 *this, */ const char *s, ::CORBA::String_out ls, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  char *_return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort187);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort187);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort187);
    }




    {
      flick_unsigned32_t _t27_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, (s), flick_unsigned32_t , _t27_temp_string_len);

      flick_iiopxx_encode_new_glob(20, _flick_abort187);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 5, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '1', flick_char8_t );
      flick_cdr_encode_char8(7, '0', flick_char8_t );
      flick_cdr_encode_char8(8, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(16, _t27_temp_string_len, flick_unsigned32_t );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
      flick_iiopxx_encode_new_glob(1 * _t27_temp_string_len, _flick_abort187);
      flick_iiopxx_encode_new_chunk(1 * _t27_temp_string_len);
      flick_cdr_encode_bcopy(0, (s), 1 * _t27_temp_string_len);
      flick_iiopxx_encode_end_chunk(1 * _t27_temp_string_len);
      flick_iiopxx_encode_end_glob(1 * _t27_temp_string_len);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort187);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort187);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort187);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort187);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t33_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort187);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t33_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t33_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t36_temp_string_len;
              flick_unsigned32_t _t37_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort222);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t36_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(1 * _t36_temp_string_len);
              flick_iiopxx_check_span(1 * _t36_temp_string_len, _flick_abort222);
              flick_iiopxx_decode_new_chunk(1 * _t36_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t36_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort222);
                _return = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return, 1 * _t36_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t36_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t36_temp_string_len);
              flick_iiopxx_decode_new_glob(18);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort225);
              flick_cdr_swap_decode_unsigned32(0, _t37_temp_string_len, flick_unsigned32_t );
              if (_t37_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort225);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t37_temp_string_len, _flick_abort225);
              flick_iiopxx_decode_new_chunk(1 * _t37_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t37_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort225);
                ls = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, ls, 1 * _t37_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t37_temp_string_len);
              flick_iiopxx_decode_end_glob(18);
              break;
              {
              _flick_abort225:
                CORBA_string_flick_free(_return);
              _flick_abort222:
                goto _flick_abort187;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort229);
              break;
              {
              _flick_abort229:
                goto _flick_abort187;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort230);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort230:
                goto _flick_abort187;
              }
            }
          }
      }

    else
      {
        int _t28_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort187);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t28_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t28_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t31_temp_string_len;
              flick_unsigned32_t _t32_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort203);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t31_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(1 * _t31_temp_string_len);
              flick_iiopxx_check_span(1 * _t31_temp_string_len, _flick_abort203);
              flick_iiopxx_decode_new_chunk(1 * _t31_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t31_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort203);
                _return = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return, 1 * _t31_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t31_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t31_temp_string_len);
              flick_iiopxx_decode_new_glob(18);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort206);
              flick_cdr_decode_unsigned32(0, _t32_temp_string_len, flick_unsigned32_t );
              if (_t32_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort206);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t32_temp_string_len, _flick_abort206);
              flick_iiopxx_decode_new_chunk(1 * _t32_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t32_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort206);
                ls = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, ls, 1 * _t32_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t32_temp_string_len);
              flick_iiopxx_decode_end_glob(18);
              break;
              {
              _flick_abort206:
                CORBA_string_flick_free(_return);
              _flick_abort203:
                goto _flick_abort187;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort210);
              break;
              {
              _flick_abort210:
                goto _flick_abort187;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort211);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort211:
                goto _flick_abort187;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort187);
  }
  return _return;
  {
  _flick_abort187:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort186);
  _flick_abort186:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

char *ex2::op11(/* ex2 *this, */ char *&ls, ::CORBA::Long &l, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  char *_return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort232);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort232);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort232);
    }




    {
      flick_unsigned32_t _t39_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, (ls), flick_unsigned32_t , _t39_temp_string_len);

      flick_iiopxx_encode_new_glob(31, _flick_abort232);
      flick_iiopxx_encode_new_chunk(20 + 1 * _t39_temp_string_len);
      flick_cdr_encode_unsigned32(0, 5, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '1', flick_char8_t );
      flick_cdr_encode_char8(7, '1', flick_char8_t );
      flick_cdr_encode_char8(8, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(16, _t39_temp_string_len, flick_unsigned32_t );
      if (_t39_temp_string_len > 11)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort232);
      flick_cdr_encode_bcopy(20, (ls), 1 * _t39_temp_string_len);
      CORBA_string_flick_free((ls));
      (ls) = (CORBA::Char *)0;
      flick_iiopxx_encode_end_chunk(20 + 1 * _t39_temp_string_len);
      flick_iiopxx_encode_end_glob(31);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort232);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort232);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort232);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort232);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t45_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(44);
        flick_iiopxx_check_span(4, _flick_abort232);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t45_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t45_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t48_temp_string_len;
              flick_unsigned32_t _t49_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort267);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t48_temp_string_len, flick_unsigned32_t );
              if (_t48_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort267);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t48_temp_string_len, _flick_abort267);
              flick_iiopxx_decode_new_chunk(1 * _t48_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t48_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort267);
                _return = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return, 1 * _t48_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t48_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort270);
              flick_cdr_swap_decode_unsigned32(0, _t49_temp_string_len, flick_unsigned32_t );
              if (_t49_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort270);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t49_temp_string_len, _flick_abort270);
              flick_iiopxx_decode_new_chunk(1 * _t49_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t49_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort270);
                ls = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, ls, 1 * _t49_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t49_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort273);
              flick_cdr_swap_decode_signed32(0, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(44);
              break;
              {
              _flick_abort273:
                CORBA_string_flick_free(ls);
              _flick_abort270:
                CORBA_string_flick_free(_return);
              _flick_abort267:
                goto _flick_abort232;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(44);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort274);
              break;
              {
              _flick_abort274:
                goto _flick_abort232;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort275);
              flick_iiopxx_decode_end_glob(44);
              break;
              {
              _flick_abort275:
                goto _flick_abort232;
              }
            }
          }
      }

    else
      {
        int _t40_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(44);
        flick_iiopxx_check_span(4, _flick_abort232);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t40_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t40_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t43_temp_string_len;
              flick_unsigned32_t _t44_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort248);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t43_temp_string_len, flick_unsigned32_t );
              if (_t43_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort248);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t43_temp_string_len, _flick_abort248);
              flick_iiopxx_decode_new_chunk(1 * _t43_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t43_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort248);
                _return = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return, 1 * _t43_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t43_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort251);
              flick_cdr_decode_unsigned32(0, _t44_temp_string_len, flick_unsigned32_t );
              if (_t44_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort251);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t44_temp_string_len, _flick_abort251);
              flick_iiopxx_decode_new_chunk(1 * _t44_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t44_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort251);
                ls = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, ls, 1 * _t44_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t44_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort254);
              flick_cdr_decode_signed32(0, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(44);
              break;
              {
              _flick_abort254:
                CORBA_string_flick_free(ls);
              _flick_abort251:
                CORBA_string_flick_free(_return);
              _flick_abort248:
                goto _flick_abort232;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(44);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort255);
              break;
              {
              _flick_abort255:
                goto _flick_abort232;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort256);
              flick_iiopxx_decode_end_glob(44);
              break;
              {
              _flick_abort256:
                goto _flick_abort232;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort232);
  }
  return _return;
  {
  _flick_abort232:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort231);
  _flick_abort231:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Long ex2::op12(/* ex2 *this, */ CORBA::Long l, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort277);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort277);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort277);
    }




    {
      flick_iiopxx_encode_new_glob(20, _flick_abort277);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 5, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '1', flick_char8_t );
      flick_cdr_encode_char8(7, '2', flick_char8_t );
      flick_cdr_encode_char8(8, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(16, l, CORBA::Long );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort277);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort277);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort277);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort277);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t51_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort277);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t51_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t51_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort290);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort290:
                goto _flick_abort277;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort291);
              break;
              {
              _flick_abort291:
                goto _flick_abort277;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort292);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort292:
                goto _flick_abort277;
              }
            }
          }
      }

    else
      {
        int _t50_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort277);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t50_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t50_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort283);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort283:
                goto _flick_abort277;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort284);
              break;
              {
              _flick_abort284:
                goto _flick_abort277;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort285);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort285:
                goto _flick_abort277;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort277);
  }
  return _return;
  {
  _flick_abort277:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort276);
  _flick_abort276:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

void ex2::op0(/* ex2 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();



  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort294);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort294);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort294);
    }




    {
      flick_iiopxx_encode_new_glob(12, _flick_abort294);
      flick_iiopxx_encode_new_chunk(12);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '0', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(12);
      flick_iiopxx_encode_end_glob(12);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort294);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort294);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort294);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort294);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t53_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort294);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t53_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t53_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort308);
              break;
              {
              _flick_abort308:
                goto _flick_abort294;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort309);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort309:
                goto _flick_abort294;
              }
            }
          }
      }

    else
      {
        int _t52_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort294);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t52_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t52_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort301);
              break;
              {
              _flick_abort301:
                goto _flick_abort294;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort302);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort302:
                goto _flick_abort294;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort294);
  }
  return;
  {
  _flick_abort294:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort293);
  _flick_abort293:
    goto _flick_reaper;
  }

_flick_reaper:
  return;

}

CORBA::Float ex2::op1(/* ex2 *this, */ CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Float _return;


  _return = 0.000000;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort311);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort311);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort311);
    }




    {
      flick_iiopxx_encode_new_glob(20, _flick_abort311);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '1', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_float32(12, f, CORBA::Float );
      flick_cdr_encode_signed32(16, l, CORBA::Long );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort311);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort311);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort311);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort311);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t55_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(24);
        flick_iiopxx_check_span(4, _flick_abort311);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t55_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t55_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort324);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_float32(0, _return, CORBA::Float );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_new_chunk_align(12, 3, 2, 0);
              flick_iiopxx_check_span(12, _flick_abort324);
              flick_cdr_swap_decode_float64(0, d, CORBA::Double );
              flick_cdr_swap_decode_signed32(8, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort324:
                goto _flick_abort311;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(24);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort325);
              break;
              {
              _flick_abort325:
                goto _flick_abort311;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort326);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort326:
                goto _flick_abort311;
              }
            }
          }
      }

    else
      {
        int _t54_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(24);
        flick_iiopxx_check_span(4, _flick_abort311);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t54_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t54_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort317);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_float32(0, _return, CORBA::Float );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_new_chunk_align(12, 3, 2, 0);
              flick_iiopxx_check_span(12, _flick_abort317);
              flick_cdr_decode_float64(0, d, CORBA::Double );
              flick_cdr_decode_signed32(8, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort317:
                goto _flick_abort311;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(24);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort318);
              break;
              {
              _flick_abort318:
                goto _flick_abort311;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort319);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort319:
                goto _flick_abort311;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort311);
  }
  return _return;
  {
  _flick_abort311:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort310);
  _flick_abort310:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Double ex2::op2(/* ex2 *this, */ CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Double _return;


  _return = 0.000000;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort328);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort328);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort328);
    }




    {
      flick_iiopxx_encode_new_glob(26, _flick_abort328);
      flick_iiopxx_encode_new_chunk(12);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '2', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(12);
      flick_iiopxx_encode_new_chunk_align(10, 3, 2, 0);
      flick_cdr_encode_float64(0, d, CORBA::Double );
      flick_cdr_encode_signed16(8, s, CORBA::Short );
      flick_iiopxx_encode_end_chunk(10);
      flick_iiopxx_encode_end_glob(26);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort328);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort328);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort328);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort328);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t57_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(22);
        flick_iiopxx_check_span(4, _flick_abort328);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t57_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t57_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(14, 3, 2, 0);
              flick_iiopxx_check_span(14, _flick_abort341);
              flick_cdr_swap_decode_float64(0, _return, CORBA::Double );
              flick_cdr_swap_decode_signed32(8, l, CORBA::Long );
              flick_cdr_swap_decode_signed16(12, s, CORBA::Short );
              flick_iiopxx_decode_end_chunk(14);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort341:
                goto _flick_abort328;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(22);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort342);
              break;
              {
              _flick_abort342:
                goto _flick_abort328;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort343);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort343:
                goto _flick_abort328;
              }
            }
          }
      }

    else
      {
        int _t56_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(22);
        flick_iiopxx_check_span(4, _flick_abort328);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t56_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t56_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(14, 3, 2, 0);
              flick_iiopxx_check_span(14, _flick_abort334);
              flick_cdr_decode_float64(0, _return, CORBA::Double );
              flick_cdr_decode_signed32(8, l, CORBA::Long );
              flick_cdr_decode_signed16(12, s, CORBA::Short );
              flick_iiopxx_decode_end_chunk(14);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort334:
                goto _flick_abort328;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(22);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort335);
              break;
              {
              _flick_abort335:
                goto _flick_abort328;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort336);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort336:
                goto _flick_abort328;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort328);
  }
  return _return;
  {
  _flick_abort328:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort327);
  _flick_abort327:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Long ex2::op3(/* ex2 *this, */ CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort345);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort345);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort345);
    }




    {
      flick_iiopxx_encode_new_glob(20, _flick_abort345);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '3', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, l, CORBA::Long );
      flick_cdr_encode_unsigned32(16, ul, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort345);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort345);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort345);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort345);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t59_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort345);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t59_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t59_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort358);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_swap_decode_signed16(4, s, CORBA::Short );
              flick_cdr_swap_decode_unsigned32(8, ul, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort358:
                goto _flick_abort345;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort359);
              break;
              {
              _flick_abort359:
                goto _flick_abort345;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort360);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort360:
                goto _flick_abort345;
              }
            }
          }
      }

    else
      {
        int _t58_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort345);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t58_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t58_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort351);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_decode_signed16(4, s, CORBA::Short );
              flick_cdr_decode_unsigned32(8, ul, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort351:
                goto _flick_abort345;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort352);
              break;
              {
              _flick_abort352:
                goto _flick_abort345;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort353);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort353:
                goto _flick_abort345;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort345);
  }
  return _return;
  {
  _flick_abort345:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort344);
  _flick_abort344:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Short ex2::op4(/* ex2 *this, */ CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Short _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort362);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort362);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort362);
    }




    {
      flick_iiopxx_encode_new_glob(16, _flick_abort362);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '4', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(12, s, CORBA::Short );
      flick_cdr_encode_unsigned16(14, us, CORBA::UShort );
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(16);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort362);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort362);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort362);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort362);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t61_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(14);
        flick_iiopxx_check_span(4, _flick_abort362);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t61_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t61_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(10, _flick_abort375);
              flick_iiopxx_decode_new_chunk(10);
              flick_cdr_swap_decode_signed16(0, _return, CORBA::Short );
              flick_cdr_swap_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_swap_decode_unsigned16(8, us, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(10);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort375:
                goto _flick_abort362;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(14);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort376);
              break;
              {
              _flick_abort376:
                goto _flick_abort362;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort377);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort377:
                goto _flick_abort362;
              }
            }
          }
      }

    else
      {
        int _t60_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(14);
        flick_iiopxx_check_span(4, _flick_abort362);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t60_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t60_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(10, _flick_abort368);
              flick_iiopxx_decode_new_chunk(10);
              flick_cdr_decode_signed16(0, _return, CORBA::Short );
              flick_cdr_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_decode_unsigned16(8, us, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(10);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort368:
                goto _flick_abort362;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(14);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort369);
              break;
              {
              _flick_abort369:
                goto _flick_abort362;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort370);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort370:
                goto _flick_abort362;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort362);
  }
  return _return;
  {
  _flick_abort362:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort361);
  _flick_abort361:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::ULong ex2::op5(/* ex2 *this, */ CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::ULong _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort379);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort379);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort379);
    }




    {
      flick_iiopxx_encode_new_glob(19, _flick_abort379);
      flick_iiopxx_encode_new_chunk(19);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '5', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(12, ul, CORBA::ULong );
      flick_cdr_encode_unsigned16(16, us, CORBA::UShort );
      flick_cdr_encode_unsigned8(18, b, CORBA::Boolean );
      flick_iiopxx_encode_end_chunk(19);
      flick_iiopxx_encode_end_glob(19);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort379);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort379);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort379);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort379);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t63_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(13);
        flick_iiopxx_check_span(4, _flick_abort379);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t63_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t63_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(9, _flick_abort392);
              flick_iiopxx_decode_new_chunk(9);
              flick_cdr_swap_decode_unsigned32(0, _return, CORBA::ULong );
              flick_cdr_swap_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_swap_decode_char8(8, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort392:
                goto _flick_abort379;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(13);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort393);
              break;
              {
              _flick_abort393:
                goto _flick_abort379;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort394);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort394:
                goto _flick_abort379;
              }
            }
          }
      }

    else
      {
        int _t62_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(13);
        flick_iiopxx_check_span(4, _flick_abort379);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t62_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t62_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(9, _flick_abort385);
              flick_iiopxx_decode_new_chunk(9);
              flick_cdr_decode_unsigned32(0, _return, CORBA::ULong );
              flick_cdr_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_decode_char8(8, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort385:
                goto _flick_abort379;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(13);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort386);
              break;
              {
              _flick_abort386:
                goto _flick_abort379;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort387);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort387:
                goto _flick_abort379;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort379);
  }
  return _return;
  {
  _flick_abort379:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort378);
  _flick_abort378:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::UShort ex2::op6(/* ex2 *this, */ ::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::UShort _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort396);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort396);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort396);
    }




    {
      flick_iiopxx_encode_new_glob(13, _flick_abort396);
      flick_iiopxx_encode_new_chunk(13);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '6', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_char8(12, c, CORBA::Char );
      flick_iiopxx_encode_end_chunk(13);
      flick_iiopxx_encode_end_glob(13);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort396);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort396);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort396);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort396);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t65_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(9);
        flick_iiopxx_check_span(4, _flick_abort396);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t65_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t65_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort409);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_swap_decode_unsigned16(0, _return, CORBA::UShort );
              flick_cdr_swap_decode_unsigned16(2, us, CORBA::UShort );
              flick_cdr_swap_decode_char8(4, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(5);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort409:
                goto _flick_abort396;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(9);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort410);
              break;
              {
              _flick_abort410:
                goto _flick_abort396;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort411);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort411:
                goto _flick_abort396;
              }
            }
          }
      }

    else
      {
        int _t64_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(9);
        flick_iiopxx_check_span(4, _flick_abort396);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t64_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t64_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort402);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_decode_unsigned16(0, _return, CORBA::UShort );
              flick_cdr_decode_unsigned16(2, us, CORBA::UShort );
              flick_cdr_decode_char8(4, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(5);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort402:
                goto _flick_abort396;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(9);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort403);
              break;
              {
              _flick_abort403:
                goto _flick_abort396;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort404);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort404:
                goto _flick_abort396;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort396);
  }
  return _return;
  {
  _flick_abort396:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort395);
  _flick_abort395:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Float ex3::float_attribute(/* ex3 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Float _return;


  _return = 0.000000;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort413);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort413);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort413);
    }




    {
      flick_iiopxx_encode_new_glob(32, _flick_abort413);
      flick_iiopxx_encode_new_chunk(32);
      flick_cdr_encode_unsigned32(0, 21, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'f', flick_char8_t );
      flick_cdr_encode_char8(10, 'l', flick_char8_t );
      flick_cdr_encode_char8(11, 'o', flick_char8_t );
      flick_cdr_encode_char8(12, 'a', flick_char8_t );
      flick_cdr_encode_char8(13, 't', flick_char8_t );
      flick_cdr_encode_char8(14, '_', flick_char8_t );
      flick_cdr_encode_char8(15, 'a', flick_char8_t );
      flick_cdr_encode_char8(16, 't', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 'r', flick_char8_t );
      flick_cdr_encode_char8(19, 'i', flick_char8_t );
      flick_cdr_encode_char8(20, 'b', flick_char8_t );
      flick_cdr_encode_char8(21, 'u', flick_char8_t );
      flick_cdr_encode_char8(22, 't', flick_char8_t );
      flick_cdr_encode_char8(23, 'e', flick_char8_t );
      flick_cdr_encode_char8(24, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(32);
      flick_iiopxx_encode_end_glob(32);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort413);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort413);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort413);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort413);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t67_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort413);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t67_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t67_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort426);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_float32(0, _return, CORBA::Float );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort426:
                goto _flick_abort413;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort427);
              break;
              {
              _flick_abort427:
                goto _flick_abort413;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort428);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort428:
                goto _flick_abort413;
              }
            }
          }
      }

    else
      {
        int _t66_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort413);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t66_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t66_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort419);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_float32(0, _return, CORBA::Float );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort419:
                goto _flick_abort413;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort420);
              break;
              {
              _flick_abort420:
                goto _flick_abort413;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort421);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort421:
                goto _flick_abort413;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort413);
  }
  return _return;
  {
  _flick_abort413:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort412);
  _flick_abort412:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Double ex3::double_attribute(/* ex3 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Double _return;


  _return = 0.000000;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort430);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort430);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort430);
    }




    {
      flick_iiopxx_encode_new_glob(32, _flick_abort430);
      flick_iiopxx_encode_new_chunk(32);
      flick_cdr_encode_unsigned32(0, 22, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'd', flick_char8_t );
      flick_cdr_encode_char8(10, 'o', flick_char8_t );
      flick_cdr_encode_char8(11, 'u', flick_char8_t );
      flick_cdr_encode_char8(12, 'b', flick_char8_t );
      flick_cdr_encode_char8(13, 'l', flick_char8_t );
      flick_cdr_encode_char8(14, 'e', flick_char8_t );
      flick_cdr_encode_char8(15, '_', flick_char8_t );
      flick_cdr_encode_char8(16, 'a', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 't', flick_char8_t );
      flick_cdr_encode_char8(19, 'r', flick_char8_t );
      flick_cdr_encode_char8(20, 'i', flick_char8_t );
      flick_cdr_encode_char8(21, 'b', flick_char8_t );
      flick_cdr_encode_char8(22, 'u', flick_char8_t );
      flick_cdr_encode_char8(23, 't', flick_char8_t );
      flick_cdr_encode_char8(24, 'e', flick_char8_t );
      flick_cdr_encode_char8(25, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(32);
      flick_iiopxx_encode_end_glob(32);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort430);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort430);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort430);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort430);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t69_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort430);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t69_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t69_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(8, _flick_abort443);
              flick_cdr_swap_decode_float64(0, _return, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort443:
                goto _flick_abort430;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort444);
              break;
              {
              _flick_abort444:
                goto _flick_abort430;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort445);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort445:
                goto _flick_abort430;
              }
            }
          }
      }

    else
      {
        int _t68_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort430);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t68_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t68_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(8, _flick_abort436);
              flick_cdr_decode_float64(0, _return, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort436:
                goto _flick_abort430;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort437);
              break;
              {
              _flick_abort437:
                goto _flick_abort430;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort438);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort438:
                goto _flick_abort430;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort430);
  }
  return _return;
  {
  _flick_abort430:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort429);
  _flick_abort429:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

void ex3::double_attribute(/* ex3 *this, */ CORBA::Double double_attribute, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();



  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort447);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort447);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort447);
    }




    {
      flick_iiopxx_encode_new_glob(44, _flick_abort447);
      flick_iiopxx_encode_new_chunk(32);
      flick_cdr_encode_unsigned32(0, 22, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 's', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'd', flick_char8_t );
      flick_cdr_encode_char8(10, 'o', flick_char8_t );
      flick_cdr_encode_char8(11, 'u', flick_char8_t );
      flick_cdr_encode_char8(12, 'b', flick_char8_t );
      flick_cdr_encode_char8(13, 'l', flick_char8_t );
      flick_cdr_encode_char8(14, 'e', flick_char8_t );
      flick_cdr_encode_char8(15, '_', flick_char8_t );
      flick_cdr_encode_char8(16, 'a', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 't', flick_char8_t );
      flick_cdr_encode_char8(19, 'r', flick_char8_t );
      flick_cdr_encode_char8(20, 'i', flick_char8_t );
      flick_cdr_encode_char8(21, 'b', flick_char8_t );
      flick_cdr_encode_char8(22, 'u', flick_char8_t );
      flick_cdr_encode_char8(23, 't', flick_char8_t );
      flick_cdr_encode_char8(24, 'e', flick_char8_t );
      flick_cdr_encode_char8(25, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(32);
      flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
      flick_cdr_encode_float64(0, double_attribute, CORBA::Double );
      flick_iiopxx_encode_end_chunk(8);
      flick_iiopxx_encode_end_glob(44);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort447);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort447);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort447);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort447);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t71_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort447);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t71_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t71_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort461);
              break;
              {
              _flick_abort461:
                goto _flick_abort447;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort462);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort462:
                goto _flick_abort447;
              }
            }
          }
      }

    else
      {
        int _t70_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort447);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t70_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t70_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort454);
              break;
              {
              _flick_abort454:
                goto _flick_abort447;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort455);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort455:
                goto _flick_abort447;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort447);
  }
  return;
  {
  _flick_abort447:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort446);
  _flick_abort446:
    goto _flick_reaper;
  }

_flick_reaper:
  return;

}

CORBA::Long ex3::long_attribute(/* ex3 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort464);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort464);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort464);
    }




    {
      flick_iiopxx_encode_new_glob(28, _flick_abort464);
      flick_iiopxx_encode_new_chunk(28);
      flick_cdr_encode_unsigned32(0, 20, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'l', flick_char8_t );
      flick_cdr_encode_char8(10, 'o', flick_char8_t );
      flick_cdr_encode_char8(11, 'n', flick_char8_t );
      flick_cdr_encode_char8(12, 'g', flick_char8_t );
      flick_cdr_encode_char8(13, '_', flick_char8_t );
      flick_cdr_encode_char8(14, 'a', flick_char8_t );
      flick_cdr_encode_char8(15, 't', flick_char8_t );
      flick_cdr_encode_char8(16, 't', flick_char8_t );
      flick_cdr_encode_char8(17, 'r', flick_char8_t );
      flick_cdr_encode_char8(18, 'i', flick_char8_t );
      flick_cdr_encode_char8(19, 'b', flick_char8_t );
      flick_cdr_encode_char8(20, 'u', flick_char8_t );
      flick_cdr_encode_char8(21, 't', flick_char8_t );
      flick_cdr_encode_char8(22, 'e', flick_char8_t );
      flick_cdr_encode_char8(23, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(24, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(28);
      flick_iiopxx_encode_end_glob(28);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort464);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort464);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort464);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort464);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t73_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort464);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t73_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t73_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort477);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort477:
                goto _flick_abort464;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort478);
              break;
              {
              _flick_abort478:
                goto _flick_abort464;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort479);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort479:
                goto _flick_abort464;
              }
            }
          }
      }

    else
      {
        int _t72_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort464);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t72_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t72_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort470);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort470:
                goto _flick_abort464;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort471);
              break;
              {
              _flick_abort471:
                goto _flick_abort464;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort472);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort472:
                goto _flick_abort464;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort464);
  }
  return _return;
  {
  _flick_abort464:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort463);
  _flick_abort463:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Short ex3::short_attribute(/* ex3 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Short _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort481);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort481);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort481);
    }




    {
      flick_iiopxx_encode_new_glob(32, _flick_abort481);
      flick_iiopxx_encode_new_chunk(32);
      flick_cdr_encode_unsigned32(0, 21, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 's', flick_char8_t );
      flick_cdr_encode_char8(10, 'h', flick_char8_t );
      flick_cdr_encode_char8(11, 'o', flick_char8_t );
      flick_cdr_encode_char8(12, 'r', flick_char8_t );
      flick_cdr_encode_char8(13, 't', flick_char8_t );
      flick_cdr_encode_char8(14, '_', flick_char8_t );
      flick_cdr_encode_char8(15, 'a', flick_char8_t );
      flick_cdr_encode_char8(16, 't', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 'r', flick_char8_t );
      flick_cdr_encode_char8(19, 'i', flick_char8_t );
      flick_cdr_encode_char8(20, 'b', flick_char8_t );
      flick_cdr_encode_char8(21, 'u', flick_char8_t );
      flick_cdr_encode_char8(22, 't', flick_char8_t );
      flick_cdr_encode_char8(23, 'e', flick_char8_t );
      flick_cdr_encode_char8(24, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(32);
      flick_iiopxx_encode_end_glob(32);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort481);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort481);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort481);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort481);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t75_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort481);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t75_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t75_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort494);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_signed16(0, _return, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort494:
                goto _flick_abort481;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort495);
              break;
              {
              _flick_abort495:
                goto _flick_abort481;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort496);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort496:
                goto _flick_abort481;
              }
            }
          }
      }

    else
      {
        int _t74_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort481);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t74_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t74_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort487);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_decode_signed16(0, _return, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort487:
                goto _flick_abort481;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort488);
              break;
              {
              _flick_abort488:
                goto _flick_abort481;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort489);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort489:
                goto _flick_abort481;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort481);
  }
  return _return;
  {
  _flick_abort481:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort480);
  _flick_abort480:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

void ex3::short_attribute(/* ex3 *this, */ CORBA::Short short_attribute, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();



  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort498);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort498);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort498);
    }




    {
      flick_iiopxx_encode_new_glob(34, _flick_abort498);
      flick_iiopxx_encode_new_chunk(34);
      flick_cdr_encode_unsigned32(0, 21, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 's', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 's', flick_char8_t );
      flick_cdr_encode_char8(10, 'h', flick_char8_t );
      flick_cdr_encode_char8(11, 'o', flick_char8_t );
      flick_cdr_encode_char8(12, 'r', flick_char8_t );
      flick_cdr_encode_char8(13, 't', flick_char8_t );
      flick_cdr_encode_char8(14, '_', flick_char8_t );
      flick_cdr_encode_char8(15, 'a', flick_char8_t );
      flick_cdr_encode_char8(16, 't', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 'r', flick_char8_t );
      flick_cdr_encode_char8(19, 'i', flick_char8_t );
      flick_cdr_encode_char8(20, 'b', flick_char8_t );
      flick_cdr_encode_char8(21, 'u', flick_char8_t );
      flick_cdr_encode_char8(22, 't', flick_char8_t );
      flick_cdr_encode_char8(23, 'e', flick_char8_t );
      flick_cdr_encode_char8(24, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(32, short_attribute, CORBA::Short );
      flick_iiopxx_encode_end_chunk(34);
      flick_iiopxx_encode_end_glob(34);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort498);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort498);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort498);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort498);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t77_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort498);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t77_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t77_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort512);
              break;
              {
              _flick_abort512:
                goto _flick_abort498;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort513);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort513:
                goto _flick_abort498;
              }
            }
          }
      }

    else
      {
        int _t76_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort498);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t76_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t76_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort505);
              break;
              {
              _flick_abort505:
                goto _flick_abort498;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort506);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort506:
                goto _flick_abort498;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort498);
  }
  return;
  {
  _flick_abort498:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort497);
  _flick_abort497:
    goto _flick_reaper;
  }

_flick_reaper:
  return;

}

CORBA::ULong ex3::unsigned_long_attribute(/* ex3 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::ULong _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort515);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort515);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort515);
    }




    {
      flick_iiopxx_encode_new_glob(40, _flick_abort515);
      flick_iiopxx_encode_new_chunk(40);
      flick_cdr_encode_unsigned32(0, 29, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'u', flick_char8_t );
      flick_cdr_encode_char8(10, 'n', flick_char8_t );
      flick_cdr_encode_char8(11, 's', flick_char8_t );
      flick_cdr_encode_char8(12, 'i', flick_char8_t );
      flick_cdr_encode_char8(13, 'g', flick_char8_t );
      flick_cdr_encode_char8(14, 'n', flick_char8_t );
      flick_cdr_encode_char8(15, 'e', flick_char8_t );
      flick_cdr_encode_char8(16, 'd', flick_char8_t );
      flick_cdr_encode_char8(17, '_', flick_char8_t );
      flick_cdr_encode_char8(18, 'l', flick_char8_t );
      flick_cdr_encode_char8(19, 'o', flick_char8_t );
      flick_cdr_encode_char8(20, 'n', flick_char8_t );
      flick_cdr_encode_char8(21, 'g', flick_char8_t );
      flick_cdr_encode_char8(22, '_', flick_char8_t );
      flick_cdr_encode_char8(23, 'a', flick_char8_t );
      flick_cdr_encode_char8(24, 't', flick_char8_t );
      flick_cdr_encode_char8(25, 't', flick_char8_t );
      flick_cdr_encode_char8(26, 'r', flick_char8_t );
      flick_cdr_encode_char8(27, 'i', flick_char8_t );
      flick_cdr_encode_char8(28, 'b', flick_char8_t );
      flick_cdr_encode_char8(29, 'u', flick_char8_t );
      flick_cdr_encode_char8(30, 't', flick_char8_t );
      flick_cdr_encode_char8(31, 'e', flick_char8_t );
      flick_cdr_encode_char8(32, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(36, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(40);
      flick_iiopxx_encode_end_glob(40);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort515);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort515);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort515);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort515);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t79_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort515);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t79_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t79_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort528);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _return, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort528:
                goto _flick_abort515;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort529);
              break;
              {
              _flick_abort529:
                goto _flick_abort515;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort530);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort530:
                goto _flick_abort515;
              }
            }
          }
      }

    else
      {
        int _t78_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort515);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t78_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t78_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort521);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _return, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort521:
                goto _flick_abort515;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort522);
              break;
              {
              _flick_abort522:
                goto _flick_abort515;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort523);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort523:
                goto _flick_abort515;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort515);
  }
  return _return;
  {
  _flick_abort515:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort514);
  _flick_abort514:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

void ex3::op0(/* ex3 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();



  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort532);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort532);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort532);
    }




    {
      flick_iiopxx_encode_new_glob(12, _flick_abort532);
      flick_iiopxx_encode_new_chunk(12);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '0', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(12);
      flick_iiopxx_encode_end_glob(12);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort532);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort532);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort532);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort532);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t81_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort532);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t81_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t81_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort546);
              break;
              {
              _flick_abort546:
                goto _flick_abort532;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort547);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort547:
                goto _flick_abort532;
              }
            }
          }
      }

    else
      {
        int _t80_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort532);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t80_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t80_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort539);
              break;
              {
              _flick_abort539:
                goto _flick_abort532;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort540);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort540:
                goto _flick_abort532;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort532);
  }
  return;
  {
  _flick_abort532:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort531);
  _flick_abort531:
    goto _flick_reaper;
  }

_flick_reaper:
  return;

}

CORBA::Float ex3::op1(/* ex3 *this, */ CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Float _return;


  _return = 0.000000;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort549);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort549);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort549);
    }




    {
      flick_iiopxx_encode_new_glob(20, _flick_abort549);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '1', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_float32(12, f, CORBA::Float );
      flick_cdr_encode_signed32(16, l, CORBA::Long );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort549);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort549);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort549);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort549);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t83_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(24);
        flick_iiopxx_check_span(4, _flick_abort549);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t83_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t83_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort562);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_float32(0, _return, CORBA::Float );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_new_chunk_align(12, 3, 2, 0);
              flick_iiopxx_check_span(12, _flick_abort562);
              flick_cdr_swap_decode_float64(0, d, CORBA::Double );
              flick_cdr_swap_decode_signed32(8, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort562:
                goto _flick_abort549;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(24);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort563);
              break;
              {
              _flick_abort563:
                goto _flick_abort549;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort564);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort564:
                goto _flick_abort549;
              }
            }
          }
      }

    else
      {
        int _t82_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(24);
        flick_iiopxx_check_span(4, _flick_abort549);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t82_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t82_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort555);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_float32(0, _return, CORBA::Float );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_new_chunk_align(12, 3, 2, 0);
              flick_iiopxx_check_span(12, _flick_abort555);
              flick_cdr_decode_float64(0, d, CORBA::Double );
              flick_cdr_decode_signed32(8, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort555:
                goto _flick_abort549;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(24);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort556);
              break;
              {
              _flick_abort556:
                goto _flick_abort549;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort557);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort557:
                goto _flick_abort549;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort549);
  }
  return _return;
  {
  _flick_abort549:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort548);
  _flick_abort548:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Double ex3::op2(/* ex3 *this, */ CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Double _return;


  _return = 0.000000;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort566);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort566);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort566);
    }




    {
      flick_iiopxx_encode_new_glob(26, _flick_abort566);
      flick_iiopxx_encode_new_chunk(12);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '2', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(12);
      flick_iiopxx_encode_new_chunk_align(10, 3, 2, 0);
      flick_cdr_encode_float64(0, d, CORBA::Double );
      flick_cdr_encode_signed16(8, s, CORBA::Short );
      flick_iiopxx_encode_end_chunk(10);
      flick_iiopxx_encode_end_glob(26);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort566);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort566);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort566);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort566);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t85_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(22);
        flick_iiopxx_check_span(4, _flick_abort566);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t85_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t85_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(14, 3, 2, 0);
              flick_iiopxx_check_span(14, _flick_abort579);
              flick_cdr_swap_decode_float64(0, _return, CORBA::Double );
              flick_cdr_swap_decode_signed32(8, l, CORBA::Long );
              flick_cdr_swap_decode_signed16(12, s, CORBA::Short );
              flick_iiopxx_decode_end_chunk(14);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort579:
                goto _flick_abort566;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(22);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort580);
              break;
              {
              _flick_abort580:
                goto _flick_abort566;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort581);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort581:
                goto _flick_abort566;
              }
            }
          }
      }

    else
      {
        int _t84_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(22);
        flick_iiopxx_check_span(4, _flick_abort566);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t84_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t84_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(14, 3, 2, 0);
              flick_iiopxx_check_span(14, _flick_abort572);
              flick_cdr_decode_float64(0, _return, CORBA::Double );
              flick_cdr_decode_signed32(8, l, CORBA::Long );
              flick_cdr_decode_signed16(12, s, CORBA::Short );
              flick_iiopxx_decode_end_chunk(14);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort572:
                goto _flick_abort566;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(22);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort573);
              break;
              {
              _flick_abort573:
                goto _flick_abort566;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort574);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort574:
                goto _flick_abort566;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort566);
  }
  return _return;
  {
  _flick_abort566:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort565);
  _flick_abort565:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Long ex3::op3(/* ex3 *this, */ CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort583);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort583);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort583);
    }




    {
      flick_iiopxx_encode_new_glob(20, _flick_abort583);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '3', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, l, CORBA::Long );
      flick_cdr_encode_unsigned32(16, ul, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort583);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort583);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort583);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort583);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t87_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort583);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t87_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t87_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort596);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_swap_decode_signed16(4, s, CORBA::Short );
              flick_cdr_swap_decode_unsigned32(8, ul, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort596:
                goto _flick_abort583;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort597);
              break;
              {
              _flick_abort597:
                goto _flick_abort583;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort598);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort598:
                goto _flick_abort583;
              }
            }
          }
      }

    else
      {
        int _t86_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort583);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t86_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t86_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort589);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_decode_signed16(4, s, CORBA::Short );
              flick_cdr_decode_unsigned32(8, ul, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort589:
                goto _flick_abort583;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort590);
              break;
              {
              _flick_abort590:
                goto _flick_abort583;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort591);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort591:
                goto _flick_abort583;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort583);
  }
  return _return;
  {
  _flick_abort583:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort582);
  _flick_abort582:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Short ex3::op4(/* ex3 *this, */ CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Short _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort600);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort600);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort600);
    }




    {
      flick_iiopxx_encode_new_glob(16, _flick_abort600);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '4', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(12, s, CORBA::Short );
      flick_cdr_encode_unsigned16(14, us, CORBA::UShort );
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(16);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort600);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort600);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort600);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort600);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t89_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(14);
        flick_iiopxx_check_span(4, _flick_abort600);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t89_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t89_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(10, _flick_abort613);
              flick_iiopxx_decode_new_chunk(10);
              flick_cdr_swap_decode_signed16(0, _return, CORBA::Short );
              flick_cdr_swap_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_swap_decode_unsigned16(8, us, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(10);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort613:
                goto _flick_abort600;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(14);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort614);
              break;
              {
              _flick_abort614:
                goto _flick_abort600;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort615);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort615:
                goto _flick_abort600;
              }
            }
          }
      }

    else
      {
        int _t88_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(14);
        flick_iiopxx_check_span(4, _flick_abort600);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t88_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t88_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(10, _flick_abort606);
              flick_iiopxx_decode_new_chunk(10);
              flick_cdr_decode_signed16(0, _return, CORBA::Short );
              flick_cdr_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_decode_unsigned16(8, us, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(10);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort606:
                goto _flick_abort600;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(14);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort607);
              break;
              {
              _flick_abort607:
                goto _flick_abort600;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort608);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort608:
                goto _flick_abort600;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort600);
  }
  return _return;
  {
  _flick_abort600:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort599);
  _flick_abort599:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::ULong ex3::op5(/* ex3 *this, */ CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::ULong _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort617);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort617);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort617);
    }




    {
      flick_iiopxx_encode_new_glob(19, _flick_abort617);
      flick_iiopxx_encode_new_chunk(19);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '5', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(12, ul, CORBA::ULong );
      flick_cdr_encode_unsigned16(16, us, CORBA::UShort );
      flick_cdr_encode_unsigned8(18, b, CORBA::Boolean );
      flick_iiopxx_encode_end_chunk(19);
      flick_iiopxx_encode_end_glob(19);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort617);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort617);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort617);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort617);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t91_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(13);
        flick_iiopxx_check_span(4, _flick_abort617);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t91_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t91_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(9, _flick_abort630);
              flick_iiopxx_decode_new_chunk(9);
              flick_cdr_swap_decode_unsigned32(0, _return, CORBA::ULong );
              flick_cdr_swap_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_swap_decode_char8(8, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort630:
                goto _flick_abort617;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(13);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort631);
              break;
              {
              _flick_abort631:
                goto _flick_abort617;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort632);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort632:
                goto _flick_abort617;
              }
            }
          }
      }

    else
      {
        int _t90_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(13);
        flick_iiopxx_check_span(4, _flick_abort617);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t90_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t90_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(9, _flick_abort623);
              flick_iiopxx_decode_new_chunk(9);
              flick_cdr_decode_unsigned32(0, _return, CORBA::ULong );
              flick_cdr_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_decode_char8(8, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort623:
                goto _flick_abort617;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(13);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort624);
              break;
              {
              _flick_abort624:
                goto _flick_abort617;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort625);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort625:
                goto _flick_abort617;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort617);
  }
  return _return;
  {
  _flick_abort617:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort616);
  _flick_abort616:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::UShort ex3::op6(/* ex3 *this, */ ::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::UShort _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort634);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort634);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort634);
    }




    {
      flick_iiopxx_encode_new_glob(13, _flick_abort634);
      flick_iiopxx_encode_new_chunk(13);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '6', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_char8(12, c, CORBA::Char );
      flick_iiopxx_encode_end_chunk(13);
      flick_iiopxx_encode_end_glob(13);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort634);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort634);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort634);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort634);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t93_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(9);
        flick_iiopxx_check_span(4, _flick_abort634);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t93_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t93_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort647);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_swap_decode_unsigned16(0, _return, CORBA::UShort );
              flick_cdr_swap_decode_unsigned16(2, us, CORBA::UShort );
              flick_cdr_swap_decode_char8(4, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(5);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort647:
                goto _flick_abort634;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(9);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort648);
              break;
              {
              _flick_abort648:
                goto _flick_abort634;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort649);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort649:
                goto _flick_abort634;
              }
            }
          }
      }

    else
      {
        int _t92_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(9);
        flick_iiopxx_check_span(4, _flick_abort634);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t92_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t92_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort640);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_decode_unsigned16(0, _return, CORBA::UShort );
              flick_cdr_decode_unsigned16(2, us, CORBA::UShort );
              flick_cdr_decode_char8(4, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(5);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort640:
                goto _flick_abort634;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(9);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort641);
              break;
              {
              _flick_abort641:
                goto _flick_abort634;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort642);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort642:
                goto _flick_abort634;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort634);
  }
  return _return;
  {
  _flick_abort634:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort633);
  _flick_abort633:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::UShort ex4::unsigned_short_attribute(/* ex4 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::UShort _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort651);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort651);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort651);
    }




    {
      flick_iiopxx_encode_new_glob(40, _flick_abort651);
      flick_iiopxx_encode_new_chunk(40);
      flick_cdr_encode_unsigned32(0, 30, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'u', flick_char8_t );
      flick_cdr_encode_char8(10, 'n', flick_char8_t );
      flick_cdr_encode_char8(11, 's', flick_char8_t );
      flick_cdr_encode_char8(12, 'i', flick_char8_t );
      flick_cdr_encode_char8(13, 'g', flick_char8_t );
      flick_cdr_encode_char8(14, 'n', flick_char8_t );
      flick_cdr_encode_char8(15, 'e', flick_char8_t );
      flick_cdr_encode_char8(16, 'd', flick_char8_t );
      flick_cdr_encode_char8(17, '_', flick_char8_t );
      flick_cdr_encode_char8(18, 's', flick_char8_t );
      flick_cdr_encode_char8(19, 'h', flick_char8_t );
      flick_cdr_encode_char8(20, 'o', flick_char8_t );
      flick_cdr_encode_char8(21, 'r', flick_char8_t );
      flick_cdr_encode_char8(22, 't', flick_char8_t );
      flick_cdr_encode_char8(23, '_', flick_char8_t );
      flick_cdr_encode_char8(24, 'a', flick_char8_t );
      flick_cdr_encode_char8(25, 't', flick_char8_t );
      flick_cdr_encode_char8(26, 't', flick_char8_t );
      flick_cdr_encode_char8(27, 'r', flick_char8_t );
      flick_cdr_encode_char8(28, 'i', flick_char8_t );
      flick_cdr_encode_char8(29, 'b', flick_char8_t );
      flick_cdr_encode_char8(30, 'u', flick_char8_t );
      flick_cdr_encode_char8(31, 't', flick_char8_t );
      flick_cdr_encode_char8(32, 'e', flick_char8_t );
      flick_cdr_encode_char8(33, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(36, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(40);
      flick_iiopxx_encode_end_glob(40);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort651);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort651);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort651);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort651);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t95_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort651);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t95_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t95_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort664);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_unsigned16(0, _return, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort664:
                goto _flick_abort651;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort665);
              break;
              {
              _flick_abort665:
                goto _flick_abort651;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort666);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort666:
                goto _flick_abort651;
              }
            }
          }
      }

    else
      {
        int _t94_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort651);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t94_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t94_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort657);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_decode_unsigned16(0, _return, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort657:
                goto _flick_abort651;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort658);
              break;
              {
              _flick_abort658:
                goto _flick_abort651;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort659);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort659:
                goto _flick_abort651;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort651);
  }
  return _return;
  {
  _flick_abort651:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort650);
  _flick_abort650:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

void ex4::unsigned_short_attribute(/* ex4 *this, */ CORBA::UShort unsigned_short_attribute, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();



  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort668);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort668);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort668);
    }




    {
      flick_iiopxx_encode_new_glob(42, _flick_abort668);
      flick_iiopxx_encode_new_chunk(42);
      flick_cdr_encode_unsigned32(0, 30, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 's', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'u', flick_char8_t );
      flick_cdr_encode_char8(10, 'n', flick_char8_t );
      flick_cdr_encode_char8(11, 's', flick_char8_t );
      flick_cdr_encode_char8(12, 'i', flick_char8_t );
      flick_cdr_encode_char8(13, 'g', flick_char8_t );
      flick_cdr_encode_char8(14, 'n', flick_char8_t );
      flick_cdr_encode_char8(15, 'e', flick_char8_t );
      flick_cdr_encode_char8(16, 'd', flick_char8_t );
      flick_cdr_encode_char8(17, '_', flick_char8_t );
      flick_cdr_encode_char8(18, 's', flick_char8_t );
      flick_cdr_encode_char8(19, 'h', flick_char8_t );
      flick_cdr_encode_char8(20, 'o', flick_char8_t );
      flick_cdr_encode_char8(21, 'r', flick_char8_t );
      flick_cdr_encode_char8(22, 't', flick_char8_t );
      flick_cdr_encode_char8(23, '_', flick_char8_t );
      flick_cdr_encode_char8(24, 'a', flick_char8_t );
      flick_cdr_encode_char8(25, 't', flick_char8_t );
      flick_cdr_encode_char8(26, 't', flick_char8_t );
      flick_cdr_encode_char8(27, 'r', flick_char8_t );
      flick_cdr_encode_char8(28, 'i', flick_char8_t );
      flick_cdr_encode_char8(29, 'b', flick_char8_t );
      flick_cdr_encode_char8(30, 'u', flick_char8_t );
      flick_cdr_encode_char8(31, 't', flick_char8_t );
      flick_cdr_encode_char8(32, 'e', flick_char8_t );
      flick_cdr_encode_char8(33, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(36, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned16(40, unsigned_short_attribute, CORBA::UShort );
      flick_iiopxx_encode_end_chunk(42);
      flick_iiopxx_encode_end_glob(42);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort668);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort668);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort668);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort668);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t97_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort668);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t97_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t97_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort682);
              break;
              {
              _flick_abort682:
                goto _flick_abort668;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort683);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort683:
                goto _flick_abort668;
              }
            }
          }
      }

    else
      {
        int _t96_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort668);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t96_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t96_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort675);
              break;
              {
              _flick_abort675:
                goto _flick_abort668;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort676);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort676:
                goto _flick_abort668;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort668);
  }
  return;
  {
  _flick_abort668:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort667);
  _flick_abort667:
    goto _flick_reaper;
  }

_flick_reaper:
  return;

}

CORBA::Char ex4::char_attribute(/* ex4 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Char _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort685);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort685);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort685);
    }




    {
      flick_iiopxx_encode_new_glob(28, _flick_abort685);
      flick_iiopxx_encode_new_chunk(28);
      flick_cdr_encode_unsigned32(0, 20, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'c', flick_char8_t );
      flick_cdr_encode_char8(10, 'h', flick_char8_t );
      flick_cdr_encode_char8(11, 'a', flick_char8_t );
      flick_cdr_encode_char8(12, 'r', flick_char8_t );
      flick_cdr_encode_char8(13, '_', flick_char8_t );
      flick_cdr_encode_char8(14, 'a', flick_char8_t );
      flick_cdr_encode_char8(15, 't', flick_char8_t );
      flick_cdr_encode_char8(16, 't', flick_char8_t );
      flick_cdr_encode_char8(17, 'r', flick_char8_t );
      flick_cdr_encode_char8(18, 'i', flick_char8_t );
      flick_cdr_encode_char8(19, 'b', flick_char8_t );
      flick_cdr_encode_char8(20, 'u', flick_char8_t );
      flick_cdr_encode_char8(21, 't', flick_char8_t );
      flick_cdr_encode_char8(22, 'e', flick_char8_t );
      flick_cdr_encode_char8(23, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(24, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(28);
      flick_iiopxx_encode_end_glob(28);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort685);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort685);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort685);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort685);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t99_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(5);
        flick_iiopxx_check_span(4, _flick_abort685);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t99_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t99_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(1, _flick_abort698);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, _return, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort698:
                goto _flick_abort685;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(5);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort699);
              break;
              {
              _flick_abort699:
                goto _flick_abort685;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort700);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort700:
                goto _flick_abort685;
              }
            }
          }
      }

    else
      {
        int _t98_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(5);
        flick_iiopxx_check_span(4, _flick_abort685);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t98_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t98_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(1, _flick_abort691);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_char8(0, _return, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort691:
                goto _flick_abort685;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(5);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort692);
              break;
              {
              _flick_abort692:
                goto _flick_abort685;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort693);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort693:
                goto _flick_abort685;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort685);
  }
  return _return;
  {
  _flick_abort685:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort684);
  _flick_abort684:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Boolean ex4::boolean_attribute(/* ex4 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Boolean _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort702);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort702);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort702);
    }




    {
      flick_iiopxx_encode_new_glob(32, _flick_abort702);
      flick_iiopxx_encode_new_chunk(32);
      flick_cdr_encode_unsigned32(0, 23, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'b', flick_char8_t );
      flick_cdr_encode_char8(10, 'o', flick_char8_t );
      flick_cdr_encode_char8(11, 'o', flick_char8_t );
      flick_cdr_encode_char8(12, 'l', flick_char8_t );
      flick_cdr_encode_char8(13, 'e', flick_char8_t );
      flick_cdr_encode_char8(14, 'a', flick_char8_t );
      flick_cdr_encode_char8(15, 'n', flick_char8_t );
      flick_cdr_encode_char8(16, '_', flick_char8_t );
      flick_cdr_encode_char8(17, 'a', flick_char8_t );
      flick_cdr_encode_char8(18, 't', flick_char8_t );
      flick_cdr_encode_char8(19, 't', flick_char8_t );
      flick_cdr_encode_char8(20, 'r', flick_char8_t );
      flick_cdr_encode_char8(21, 'i', flick_char8_t );
      flick_cdr_encode_char8(22, 'b', flick_char8_t );
      flick_cdr_encode_char8(23, 'u', flick_char8_t );
      flick_cdr_encode_char8(24, 't', flick_char8_t );
      flick_cdr_encode_char8(25, 'e', flick_char8_t );
      flick_cdr_encode_char8(26, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(32);
      flick_iiopxx_encode_end_glob(32);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort702);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort702);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort702);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort702);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t101_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(5);
        flick_iiopxx_check_span(4, _flick_abort702);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t101_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t101_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(1, _flick_abort715);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_unsigned8(0, _return, CORBA::Boolean );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort715:
                goto _flick_abort702;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(5);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort716);
              break;
              {
              _flick_abort716:
                goto _flick_abort702;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort717);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort717:
                goto _flick_abort702;
              }
            }
          }
      }

    else
      {
        int _t100_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(5);
        flick_iiopxx_check_span(4, _flick_abort702);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t100_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t100_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(1, _flick_abort708);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_unsigned8(0, _return, CORBA::Boolean );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort708:
                goto _flick_abort702;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(5);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort709);
              break;
              {
              _flick_abort709:
                goto _flick_abort702;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort710);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort710:
                goto _flick_abort702;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort702);
  }
  return _return;
  {
  _flick_abort702:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort701);
  _flick_abort701:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

void ex4::boolean_attribute(/* ex4 *this, */ CORBA::Boolean boolean_attribute, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();



  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort719);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort719);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort719);
    }




    {
      flick_iiopxx_encode_new_glob(33, _flick_abort719);
      flick_iiopxx_encode_new_chunk(33);
      flick_cdr_encode_unsigned32(0, 23, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 's', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'b', flick_char8_t );
      flick_cdr_encode_char8(10, 'o', flick_char8_t );
      flick_cdr_encode_char8(11, 'o', flick_char8_t );
      flick_cdr_encode_char8(12, 'l', flick_char8_t );
      flick_cdr_encode_char8(13, 'e', flick_char8_t );
      flick_cdr_encode_char8(14, 'a', flick_char8_t );
      flick_cdr_encode_char8(15, 'n', flick_char8_t );
      flick_cdr_encode_char8(16, '_', flick_char8_t );
      flick_cdr_encode_char8(17, 'a', flick_char8_t );
      flick_cdr_encode_char8(18, 't', flick_char8_t );
      flick_cdr_encode_char8(19, 't', flick_char8_t );
      flick_cdr_encode_char8(20, 'r', flick_char8_t );
      flick_cdr_encode_char8(21, 'i', flick_char8_t );
      flick_cdr_encode_char8(22, 'b', flick_char8_t );
      flick_cdr_encode_char8(23, 'u', flick_char8_t );
      flick_cdr_encode_char8(24, 't', flick_char8_t );
      flick_cdr_encode_char8(25, 'e', flick_char8_t );
      flick_cdr_encode_char8(26, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned8(32, boolean_attribute, CORBA::Boolean );
      flick_iiopxx_encode_end_chunk(33);
      flick_iiopxx_encode_end_glob(33);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort719);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort719);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort719);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort719);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t103_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort719);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t103_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t103_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort733);
              break;
              {
              _flick_abort733:
                goto _flick_abort719;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort734);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort734:
                goto _flick_abort719;
              }
            }
          }
      }

    else
      {
        int _t102_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort719);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t102_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t102_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort726);
              break;
              {
              _flick_abort726:
                goto _flick_abort719;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort727);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort727:
                goto _flick_abort719;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort719);
  }
  return;
  {
  _flick_abort719:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort718);
  _flick_abort718:
    goto _flick_reaper;
  }

_flick_reaper:
  return;

}

CORBA::Octet ex4::octet_attribute(/* ex4 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Octet _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort736);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort736);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort736);
    }




    {
      flick_iiopxx_encode_new_glob(32, _flick_abort736);
      flick_iiopxx_encode_new_chunk(32);
      flick_cdr_encode_unsigned32(0, 21, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'o', flick_char8_t );
      flick_cdr_encode_char8(10, 'c', flick_char8_t );
      flick_cdr_encode_char8(11, 't', flick_char8_t );
      flick_cdr_encode_char8(12, 'e', flick_char8_t );
      flick_cdr_encode_char8(13, 't', flick_char8_t );
      flick_cdr_encode_char8(14, '_', flick_char8_t );
      flick_cdr_encode_char8(15, 'a', flick_char8_t );
      flick_cdr_encode_char8(16, 't', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 'r', flick_char8_t );
      flick_cdr_encode_char8(19, 'i', flick_char8_t );
      flick_cdr_encode_char8(20, 'b', flick_char8_t );
      flick_cdr_encode_char8(21, 'u', flick_char8_t );
      flick_cdr_encode_char8(22, 't', flick_char8_t );
      flick_cdr_encode_char8(23, 'e', flick_char8_t );
      flick_cdr_encode_char8(24, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(32);
      flick_iiopxx_encode_end_glob(32);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort736);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort736);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort736);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort736);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t105_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(5);
        flick_iiopxx_check_span(4, _flick_abort736);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t105_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t105_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(1, _flick_abort749);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_unsigned8(0, _return, CORBA::Octet );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort749:
                goto _flick_abort736;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(5);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort750);
              break;
              {
              _flick_abort750:
                goto _flick_abort736;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort751);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort751:
                goto _flick_abort736;
              }
            }
          }
      }

    else
      {
        int _t104_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(5);
        flick_iiopxx_check_span(4, _flick_abort736);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t104_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t104_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(1, _flick_abort742);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_unsigned8(0, _return, CORBA::Octet );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort742:
                goto _flick_abort736;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(5);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort743);
              break;
              {
              _flick_abort743:
                goto _flick_abort736;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort744);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort744:
                goto _flick_abort736;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort736);
  }
  return _return;
  {
  _flick_abort736:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort735);
  _flick_abort735:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

char *ex4::string_attribute(/* ex4 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  char *_return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort753);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort753);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort753);
    }




    {
      flick_iiopxx_encode_new_glob(32, _flick_abort753);
      flick_iiopxx_encode_new_chunk(32);
      flick_cdr_encode_unsigned32(0, 22, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 's', flick_char8_t );
      flick_cdr_encode_char8(10, 't', flick_char8_t );
      flick_cdr_encode_char8(11, 'r', flick_char8_t );
      flick_cdr_encode_char8(12, 'i', flick_char8_t );
      flick_cdr_encode_char8(13, 'n', flick_char8_t );
      flick_cdr_encode_char8(14, 'g', flick_char8_t );
      flick_cdr_encode_char8(15, '_', flick_char8_t );
      flick_cdr_encode_char8(16, 'a', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 't', flick_char8_t );
      flick_cdr_encode_char8(19, 'r', flick_char8_t );
      flick_cdr_encode_char8(20, 'i', flick_char8_t );
      flick_cdr_encode_char8(21, 'b', flick_char8_t );
      flick_cdr_encode_char8(22, 'u', flick_char8_t );
      flick_cdr_encode_char8(23, 't', flick_char8_t );
      flick_cdr_encode_char8(24, 'e', flick_char8_t );
      flick_cdr_encode_char8(25, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(32);
      flick_iiopxx_encode_end_glob(32);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort753);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort753);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort753);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort753);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t109_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort753);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t109_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t109_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t111_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort775);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t111_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(1 * _t111_temp_string_len);
              flick_iiopxx_check_span(1 * _t111_temp_string_len, _flick_abort775);
              flick_iiopxx_decode_new_chunk(1 * _t111_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t111_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort775);
                _return = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return, 1 * _t111_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t111_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t111_temp_string_len);
              break;
              {
              _flick_abort775:
                goto _flick_abort753;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort779);
              break;
              {
              _flick_abort779:
                goto _flick_abort753;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort780);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort780:
                goto _flick_abort753;
              }
            }
          }
      }

    else
      {
        int _t106_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort753);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t106_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t106_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t108_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort762);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t108_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(1 * _t108_temp_string_len);
              flick_iiopxx_check_span(1 * _t108_temp_string_len, _flick_abort762);
              flick_iiopxx_decode_new_chunk(1 * _t108_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t108_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort762);
                _return = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return, 1 * _t108_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t108_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t108_temp_string_len);
              break;
              {
              _flick_abort762:
                goto _flick_abort753;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort766);
              break;
              {
              _flick_abort766:
                goto _flick_abort753;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort767);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort767:
                goto _flick_abort753;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort753);
  }
  return _return;
  {
  _flick_abort753:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort752);
  _flick_abort752:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

void ex4::string_attribute(/* ex4 *this, */ const char *string_attribute, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();



  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort782);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort782);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort782);
    }




    {
      flick_unsigned32_t _t113_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, (string_attribute), flick_unsigned32_t , _t113_temp_string_len);

      flick_iiopxx_encode_new_glob(36, _flick_abort782);
      flick_iiopxx_encode_new_chunk(36);
      flick_cdr_encode_unsigned32(0, 22, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 's', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 's', flick_char8_t );
      flick_cdr_encode_char8(10, 't', flick_char8_t );
      flick_cdr_encode_char8(11, 'r', flick_char8_t );
      flick_cdr_encode_char8(12, 'i', flick_char8_t );
      flick_cdr_encode_char8(13, 'n', flick_char8_t );
      flick_cdr_encode_char8(14, 'g', flick_char8_t );
      flick_cdr_encode_char8(15, '_', flick_char8_t );
      flick_cdr_encode_char8(16, 'a', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 't', flick_char8_t );
      flick_cdr_encode_char8(19, 'r', flick_char8_t );
      flick_cdr_encode_char8(20, 'i', flick_char8_t );
      flick_cdr_encode_char8(21, 'b', flick_char8_t );
      flick_cdr_encode_char8(22, 'u', flick_char8_t );
      flick_cdr_encode_char8(23, 't', flick_char8_t );
      flick_cdr_encode_char8(24, 'e', flick_char8_t );
      flick_cdr_encode_char8(25, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(32, _t113_temp_string_len, flick_unsigned32_t );
      flick_iiopxx_encode_end_chunk(36);
      flick_iiopxx_encode_end_glob(36);
      flick_iiopxx_encode_new_glob(1 * _t113_temp_string_len, _flick_abort782);
      flick_iiopxx_encode_new_chunk(1 * _t113_temp_string_len);
      flick_cdr_encode_bcopy(0, (string_attribute), 1 * _t113_temp_string_len);
      flick_iiopxx_encode_end_chunk(1 * _t113_temp_string_len);
      flick_iiopxx_encode_end_glob(1 * _t113_temp_string_len);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort782);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort782);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort782);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort782);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t115_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort782);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t115_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t115_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort800);
              break;
              {
              _flick_abort800:
                goto _flick_abort782;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort801);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort801:
                goto _flick_abort782;
              }
            }
          }
      }

    else
      {
        int _t114_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort782);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t114_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t114_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort793);
              break;
              {
              _flick_abort793:
                goto _flick_abort782;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort794);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort794:
                goto _flick_abort782;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort782);
  }
  return;
  {
  _flick_abort782:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort781);
  _flick_abort781:
    goto _flick_reaper;
  }

_flick_reaper:
  return;

}

char *ex4::limited_string_attribute(/* ex4 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  char *_return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort803);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort803);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort803);
    }




    {
      flick_iiopxx_encode_new_glob(40, _flick_abort803);
      flick_iiopxx_encode_new_chunk(40);
      flick_cdr_encode_unsigned32(0, 30, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'l', flick_char8_t );
      flick_cdr_encode_char8(10, 'i', flick_char8_t );
      flick_cdr_encode_char8(11, 'm', flick_char8_t );
      flick_cdr_encode_char8(12, 'i', flick_char8_t );
      flick_cdr_encode_char8(13, 't', flick_char8_t );
      flick_cdr_encode_char8(14, 'e', flick_char8_t );
      flick_cdr_encode_char8(15, 'd', flick_char8_t );
      flick_cdr_encode_char8(16, '_', flick_char8_t );
      flick_cdr_encode_char8(17, 's', flick_char8_t );
      flick_cdr_encode_char8(18, 't', flick_char8_t );
      flick_cdr_encode_char8(19, 'r', flick_char8_t );
      flick_cdr_encode_char8(20, 'i', flick_char8_t );
      flick_cdr_encode_char8(21, 'n', flick_char8_t );
      flick_cdr_encode_char8(22, 'g', flick_char8_t );
      flick_cdr_encode_char8(23, '_', flick_char8_t );
      flick_cdr_encode_char8(24, 'a', flick_char8_t );
      flick_cdr_encode_char8(25, 't', flick_char8_t );
      flick_cdr_encode_char8(26, 't', flick_char8_t );
      flick_cdr_encode_char8(27, 'r', flick_char8_t );
      flick_cdr_encode_char8(28, 'i', flick_char8_t );
      flick_cdr_encode_char8(29, 'b', flick_char8_t );
      flick_cdr_encode_char8(30, 'u', flick_char8_t );
      flick_cdr_encode_char8(31, 't', flick_char8_t );
      flick_cdr_encode_char8(32, 'e', flick_char8_t );
      flick_cdr_encode_char8(33, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(36, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(40);
      flick_iiopxx_encode_end_glob(40);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort803);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort803);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort803);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort803);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t119_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(19);
        flick_iiopxx_check_span(4, _flick_abort803);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t119_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t119_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t121_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort825);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t121_temp_string_len, flick_unsigned32_t );
              if (_t121_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort825);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t121_temp_string_len, _flick_abort825);
              flick_iiopxx_decode_new_chunk(1 * _t121_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t121_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort825);
                _return = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return, 1 * _t121_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t121_temp_string_len);
              flick_iiopxx_decode_end_glob(19);
              break;
              {
              _flick_abort825:
                goto _flick_abort803;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(19);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort829);
              break;
              {
              _flick_abort829:
                goto _flick_abort803;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort830);
              flick_iiopxx_decode_end_glob(19);
              break;
              {
              _flick_abort830:
                goto _flick_abort803;
              }
            }
          }
      }

    else
      {
        int _t116_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(19);
        flick_iiopxx_check_span(4, _flick_abort803);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t116_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t116_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t118_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort812);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t118_temp_string_len, flick_unsigned32_t );
              if (_t118_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort812);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t118_temp_string_len, _flick_abort812);
              flick_iiopxx_decode_new_chunk(1 * _t118_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t118_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort812);
                _return = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return, 1 * _t118_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t118_temp_string_len);
              flick_iiopxx_decode_end_glob(19);
              break;
              {
              _flick_abort812:
                goto _flick_abort803;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(19);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort816);
              break;
              {
              _flick_abort816:
                goto _flick_abort803;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort817);
              flick_iiopxx_decode_end_glob(19);
              break;
              {
              _flick_abort817:
                goto _flick_abort803;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort803);
  }
  return _return;
  {
  _flick_abort803:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort802);
  _flick_abort802:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Char ex4::op7(/* ex4 *this, */ CORBA::Char c, ::CORBA::Boolean &b, CORBA::Octet &o, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Char _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort832);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort832);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort832);
    }




    {
      flick_iiopxx_encode_new_glob(14, _flick_abort832);
      flick_iiopxx_encode_new_chunk(14);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '7', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_char8(12, c, CORBA::Char );
      flick_cdr_encode_unsigned8(13, o, CORBA::Octet );
      flick_iiopxx_encode_end_chunk(14);
      flick_iiopxx_encode_end_glob(14);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort832);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort832);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort832);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort832);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t123_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(7);
        flick_iiopxx_check_span(4, _flick_abort832);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t123_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t123_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort845);
              flick_iiopxx_decode_new_chunk(3);
              flick_cdr_swap_decode_char8(0, _return, CORBA::Char );
              flick_cdr_swap_decode_unsigned8(1, b, CORBA::Boolean );
              flick_cdr_swap_decode_unsigned8(2, o, CORBA::Octet );
              flick_iiopxx_decode_end_chunk(3);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort845:
                goto _flick_abort832;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(7);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort846);
              break;
              {
              _flick_abort846:
                goto _flick_abort832;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort847);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort847:
                goto _flick_abort832;
              }
            }
          }
      }

    else
      {
        int _t122_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(7);
        flick_iiopxx_check_span(4, _flick_abort832);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t122_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t122_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort838);
              flick_iiopxx_decode_new_chunk(3);
              flick_cdr_decode_char8(0, _return, CORBA::Char );
              flick_cdr_decode_unsigned8(1, b, CORBA::Boolean );
              flick_cdr_decode_unsigned8(2, o, CORBA::Octet );
              flick_iiopxx_decode_end_chunk(3);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort838:
                goto _flick_abort832;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(7);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort839);
              break;
              {
              _flick_abort839:
                goto _flick_abort832;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort840);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort840:
                goto _flick_abort832;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort832);
  }
  return _return;
  {
  _flick_abort832:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort831);
  _flick_abort831:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Boolean ex4::op8(/* ex4 *this, */ ::CORBA::Boolean &b, CORBA::Octet o, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Boolean _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort849);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort849);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort849);
    }




    {
      flick_iiopxx_encode_new_glob(13, _flick_abort849);
      flick_iiopxx_encode_new_chunk(13);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '8', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned8(12, o, CORBA::Octet );
      flick_iiopxx_encode_end_chunk(13);
      flick_iiopxx_encode_end_glob(13);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort849);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort849);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort849);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort849);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t125_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort849);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t125_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t125_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort862);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_unsigned8(0, _return, CORBA::Boolean );
              flick_cdr_swap_decode_unsigned8(1, b, CORBA::Boolean );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort862:
                goto _flick_abort849;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort863);
              break;
              {
              _flick_abort863:
                goto _flick_abort849;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort864);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort864:
                goto _flick_abort849;
              }
            }
          }
      }

    else
      {
        int _t124_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort849);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t124_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t124_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort855);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_decode_unsigned8(0, _return, CORBA::Boolean );
              flick_cdr_decode_unsigned8(1, b, CORBA::Boolean );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort855:
                goto _flick_abort849;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort856);
              break;
              {
              _flick_abort856:
                goto _flick_abort849;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort857);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort857:
                goto _flick_abort849;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort849);
  }
  return _return;
  {
  _flick_abort849:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort848);
  _flick_abort848:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Octet ex4::op9(/* ex4 *this, */ CORBA::Octet &o, ::CORBA::String_out s, const char *ls, CORBA::Long &l, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Octet _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort866);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort866);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort866);
    }




    {
      flick_unsigned32_t _t127_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, (ls), flick_unsigned32_t , _t127_temp_string_len);

      flick_iiopxx_encode_new_glob(38, _flick_abort866);
      flick_iiopxx_encode_new_chunk(20 + 1 * _t127_temp_string_len);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '9', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned8(12, o, CORBA::Octet );
      flick_cdr_encode_unsigned32(16, _t127_temp_string_len, flick_unsigned32_t );
      if (_t127_temp_string_len > 11)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort866);
      flick_cdr_encode_bcopy(20, (ls), 1 * _t127_temp_string_len);
      flick_iiopxx_encode_end_chunk(20 + 1 * _t127_temp_string_len);
      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_signed32(0, l, CORBA::Long );
      flick_iiopxx_encode_end_chunk(4);
      flick_iiopxx_encode_end_glob(38);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort866);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort866);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort866);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort866);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t131_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(12);
        flick_iiopxx_check_span(4, _flick_abort866);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t131_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t131_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t133_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(8, _flick_abort892);
              flick_iiopxx_decode_new_chunk(8);
              flick_cdr_swap_decode_unsigned8(0, _return, CORBA::Octet );
              flick_cdr_swap_decode_unsigned8(1, o, CORBA::Octet );
              flick_cdr_swap_decode_unsigned32(4, _t133_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(12);
              flick_iiopxx_decode_new_glob(1 * _t133_temp_string_len);
              flick_iiopxx_check_span(1 * _t133_temp_string_len, _flick_abort892);
              flick_iiopxx_decode_new_chunk(1 * _t133_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t133_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort892);
                s = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, s, 1 * _t133_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t133_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t133_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort895);
              flick_cdr_swap_decode_signed32(0, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort895:
                CORBA_string_flick_free(s);
              _flick_abort892:
                goto _flick_abort866;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(12);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort896);
              break;
              {
              _flick_abort896:
                goto _flick_abort866;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort897);
              flick_iiopxx_decode_end_glob(12);
              break;
              {
              _flick_abort897:
                goto _flick_abort866;
              }
            }
          }
      }

    else
      {
        int _t128_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(12);
        flick_iiopxx_check_span(4, _flick_abort866);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t128_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t128_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t130_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(8, _flick_abort879);
              flick_iiopxx_decode_new_chunk(8);
              flick_cdr_decode_unsigned8(0, _return, CORBA::Octet );
              flick_cdr_decode_unsigned8(1, o, CORBA::Octet );
              flick_cdr_decode_unsigned32(4, _t130_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(12);
              flick_iiopxx_decode_new_glob(1 * _t130_temp_string_len);
              flick_iiopxx_check_span(1 * _t130_temp_string_len, _flick_abort879);
              flick_iiopxx_decode_new_chunk(1 * _t130_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t130_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort879);
                s = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, s, 1 * _t130_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t130_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t130_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort882);
              flick_cdr_decode_signed32(0, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort882:
                CORBA_string_flick_free(s);
              _flick_abort879:
                goto _flick_abort866;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(12);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort883);
              break;
              {
              _flick_abort883:
                goto _flick_abort866;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort884);
              flick_iiopxx_decode_end_glob(12);
              break;
              {
              _flick_abort884:
                goto _flick_abort866;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort866);
  }
  return _return;
  {
  _flick_abort866:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort865);
  _flick_abort865:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

char *ex4::op10(/* ex4 *this, */ const char *s, ::CORBA::String_out ls, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  char *_return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort899);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort899);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort899);
    }




    {
      flick_unsigned32_t _t135_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, (s), flick_unsigned32_t , _t135_temp_string_len);

      flick_iiopxx_encode_new_glob(20, _flick_abort899);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 5, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '1', flick_char8_t );
      flick_cdr_encode_char8(7, '0', flick_char8_t );
      flick_cdr_encode_char8(8, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(16, _t135_temp_string_len, flick_unsigned32_t );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
      flick_iiopxx_encode_new_glob(1 * _t135_temp_string_len, _flick_abort899);
      flick_iiopxx_encode_new_chunk(1 * _t135_temp_string_len);
      flick_cdr_encode_bcopy(0, (s), 1 * _t135_temp_string_len);
      flick_iiopxx_encode_end_chunk(1 * _t135_temp_string_len);
      flick_iiopxx_encode_end_glob(1 * _t135_temp_string_len);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort899);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort899);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort899);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort899);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t141_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort899);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t141_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t141_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t144_temp_string_len;
              flick_unsigned32_t _t145_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort934);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t144_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(1 * _t144_temp_string_len);
              flick_iiopxx_check_span(1 * _t144_temp_string_len, _flick_abort934);
              flick_iiopxx_decode_new_chunk(1 * _t144_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t144_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort934);
                _return = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return, 1 * _t144_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t144_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t144_temp_string_len);
              flick_iiopxx_decode_new_glob(18);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort937);
              flick_cdr_swap_decode_unsigned32(0, _t145_temp_string_len, flick_unsigned32_t );
              if (_t145_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort937);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t145_temp_string_len, _flick_abort937);
              flick_iiopxx_decode_new_chunk(1 * _t145_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t145_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort937);
                ls = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, ls, 1 * _t145_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t145_temp_string_len);
              flick_iiopxx_decode_end_glob(18);
              break;
              {
              _flick_abort937:
                CORBA_string_flick_free(_return);
              _flick_abort934:
                goto _flick_abort899;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort941);
              break;
              {
              _flick_abort941:
                goto _flick_abort899;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort942);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort942:
                goto _flick_abort899;
              }
            }
          }
      }

    else
      {
        int _t136_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort899);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t136_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t136_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t139_temp_string_len;
              flick_unsigned32_t _t140_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort915);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t139_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(1 * _t139_temp_string_len);
              flick_iiopxx_check_span(1 * _t139_temp_string_len, _flick_abort915);
              flick_iiopxx_decode_new_chunk(1 * _t139_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t139_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort915);
                _return = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return, 1 * _t139_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t139_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t139_temp_string_len);
              flick_iiopxx_decode_new_glob(18);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort918);
              flick_cdr_decode_unsigned32(0, _t140_temp_string_len, flick_unsigned32_t );
              if (_t140_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort918);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t140_temp_string_len, _flick_abort918);
              flick_iiopxx_decode_new_chunk(1 * _t140_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t140_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort918);
                ls = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, ls, 1 * _t140_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t140_temp_string_len);
              flick_iiopxx_decode_end_glob(18);
              break;
              {
              _flick_abort918:
                CORBA_string_flick_free(_return);
              _flick_abort915:
                goto _flick_abort899;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort922);
              break;
              {
              _flick_abort922:
                goto _flick_abort899;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort923);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort923:
                goto _flick_abort899;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort899);
  }
  return _return;
  {
  _flick_abort899:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort898);
  _flick_abort898:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

char *ex4::op11(/* ex4 *this, */ char *&ls, ::CORBA::Long &l, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  char *_return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort944);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort944);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort944);
    }




    {
      flick_unsigned32_t _t147_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, (ls), flick_unsigned32_t , _t147_temp_string_len);

      flick_iiopxx_encode_new_glob(31, _flick_abort944);
      flick_iiopxx_encode_new_chunk(20 + 1 * _t147_temp_string_len);
      flick_cdr_encode_unsigned32(0, 5, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '1', flick_char8_t );
      flick_cdr_encode_char8(7, '1', flick_char8_t );
      flick_cdr_encode_char8(8, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(16, _t147_temp_string_len, flick_unsigned32_t );
      if (_t147_temp_string_len > 11)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort944);
      flick_cdr_encode_bcopy(20, (ls), 1 * _t147_temp_string_len);
      CORBA_string_flick_free((ls));
      (ls) = (CORBA::Char *)0;
      flick_iiopxx_encode_end_chunk(20 + 1 * _t147_temp_string_len);
      flick_iiopxx_encode_end_glob(31);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort944);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort944);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort944);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort944);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t153_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(44);
        flick_iiopxx_check_span(4, _flick_abort944);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t153_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t153_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t156_temp_string_len;
              flick_unsigned32_t _t157_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort979);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t156_temp_string_len, flick_unsigned32_t );
              if (_t156_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort979);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t156_temp_string_len, _flick_abort979);
              flick_iiopxx_decode_new_chunk(1 * _t156_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t156_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort979);
                _return = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return, 1 * _t156_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t156_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort982);
              flick_cdr_swap_decode_unsigned32(0, _t157_temp_string_len, flick_unsigned32_t );
              if (_t157_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort982);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t157_temp_string_len, _flick_abort982);
              flick_iiopxx_decode_new_chunk(1 * _t157_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t157_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort982);
                ls = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, ls, 1 * _t157_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t157_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort985);
              flick_cdr_swap_decode_signed32(0, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(44);
              break;
              {
              _flick_abort985:
                CORBA_string_flick_free(ls);
              _flick_abort982:
                CORBA_string_flick_free(_return);
              _flick_abort979:
                goto _flick_abort944;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(44);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort986);
              break;
              {
              _flick_abort986:
                goto _flick_abort944;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort987);
              flick_iiopxx_decode_end_glob(44);
              break;
              {
              _flick_abort987:
                goto _flick_abort944;
              }
            }
          }
      }

    else
      {
        int _t148_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(44);
        flick_iiopxx_check_span(4, _flick_abort944);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t148_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t148_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t151_temp_string_len;
              flick_unsigned32_t _t152_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort960);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t151_temp_string_len, flick_unsigned32_t );
              if (_t151_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort960);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t151_temp_string_len, _flick_abort960);
              flick_iiopxx_decode_new_chunk(1 * _t151_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t151_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort960);
                _return = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return, 1 * _t151_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t151_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort963);
              flick_cdr_decode_unsigned32(0, _t152_temp_string_len, flick_unsigned32_t );
              if (_t152_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort963);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t152_temp_string_len, _flick_abort963);
              flick_iiopxx_decode_new_chunk(1 * _t152_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t152_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort963);
                ls = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, ls, 1 * _t152_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t152_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort966);
              flick_cdr_decode_signed32(0, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(44);
              break;
              {
              _flick_abort966:
                CORBA_string_flick_free(ls);
              _flick_abort963:
                CORBA_string_flick_free(_return);
              _flick_abort960:
                goto _flick_abort944;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(44);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort967);
              break;
              {
              _flick_abort967:
                goto _flick_abort944;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort968);
              flick_iiopxx_decode_end_glob(44);
              break;
              {
              _flick_abort968:
                goto _flick_abort944;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort944);
  }
  return _return;
  {
  _flick_abort944:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort943);
  _flick_abort943:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Long ex4::op12(/* ex4 *this, */ CORBA::Long l, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort989);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort989);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort989);
    }




    {
      flick_iiopxx_encode_new_glob(20, _flick_abort989);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 5, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '1', flick_char8_t );
      flick_cdr_encode_char8(7, '2', flick_char8_t );
      flick_cdr_encode_char8(8, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(16, l, CORBA::Long );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort989);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort989);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort989);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort989);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t159_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort989);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t159_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t159_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort1002);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1002:
                goto _flick_abort989;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1003);
              break;
              {
              _flick_abort1003:
                goto _flick_abort989;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1004);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1004:
                goto _flick_abort989;
              }
            }
          }
      }

    else
      {
        int _t158_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort989);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t158_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t158_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort995);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort995:
                goto _flick_abort989;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort996);
              break;
              {
              _flick_abort996:
                goto _flick_abort989;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort997);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort997:
                goto _flick_abort989;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort989);
  }
  return _return;
  {
  _flick_abort989:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort988);
  _flick_abort988:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

void ex4::op0(/* ex4 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();



  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1006);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1006);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1006);
    }




    {
      flick_iiopxx_encode_new_glob(12, _flick_abort1006);
      flick_iiopxx_encode_new_chunk(12);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '0', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(12);
      flick_iiopxx_encode_end_glob(12);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1006);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1006);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1006);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1006);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t161_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort1006);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t161_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t161_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1020);
              break;
              {
              _flick_abort1020:
                goto _flick_abort1006;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1021);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort1021:
                goto _flick_abort1006;
              }
            }
          }
      }

    else
      {
        int _t160_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort1006);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t160_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t160_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1013);
              break;
              {
              _flick_abort1013:
                goto _flick_abort1006;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1014);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort1014:
                goto _flick_abort1006;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1006);
  }
  return;
  {
  _flick_abort1006:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1005);
  _flick_abort1005:
    goto _flick_reaper;
  }

_flick_reaper:
  return;

}

CORBA::Float ex4::op1(/* ex4 *this, */ CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Float _return;


  _return = 0.000000;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1023);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1023);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1023);
    }




    {
      flick_iiopxx_encode_new_glob(20, _flick_abort1023);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '1', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_float32(12, f, CORBA::Float );
      flick_cdr_encode_signed32(16, l, CORBA::Long );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1023);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1023);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1023);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1023);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t163_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(24);
        flick_iiopxx_check_span(4, _flick_abort1023);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t163_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t163_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort1036);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_float32(0, _return, CORBA::Float );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_new_chunk_align(12, 3, 2, 0);
              flick_iiopxx_check_span(12, _flick_abort1036);
              flick_cdr_swap_decode_float64(0, d, CORBA::Double );
              flick_cdr_swap_decode_signed32(8, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort1036:
                goto _flick_abort1023;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(24);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1037);
              break;
              {
              _flick_abort1037:
                goto _flick_abort1023;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1038);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort1038:
                goto _flick_abort1023;
              }
            }
          }
      }

    else
      {
        int _t162_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(24);
        flick_iiopxx_check_span(4, _flick_abort1023);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t162_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t162_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort1029);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_float32(0, _return, CORBA::Float );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_new_chunk_align(12, 3, 2, 0);
              flick_iiopxx_check_span(12, _flick_abort1029);
              flick_cdr_decode_float64(0, d, CORBA::Double );
              flick_cdr_decode_signed32(8, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort1029:
                goto _flick_abort1023;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(24);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1030);
              break;
              {
              _flick_abort1030:
                goto _flick_abort1023;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1031);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort1031:
                goto _flick_abort1023;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1023);
  }
  return _return;
  {
  _flick_abort1023:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1022);
  _flick_abort1022:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Double ex4::op2(/* ex4 *this, */ CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Double _return;


  _return = 0.000000;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1040);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1040);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1040);
    }




    {
      flick_iiopxx_encode_new_glob(26, _flick_abort1040);
      flick_iiopxx_encode_new_chunk(12);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '2', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(12);
      flick_iiopxx_encode_new_chunk_align(10, 3, 2, 0);
      flick_cdr_encode_float64(0, d, CORBA::Double );
      flick_cdr_encode_signed16(8, s, CORBA::Short );
      flick_iiopxx_encode_end_chunk(10);
      flick_iiopxx_encode_end_glob(26);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1040);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1040);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1040);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1040);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t165_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(22);
        flick_iiopxx_check_span(4, _flick_abort1040);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t165_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t165_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(14, 3, 2, 0);
              flick_iiopxx_check_span(14, _flick_abort1053);
              flick_cdr_swap_decode_float64(0, _return, CORBA::Double );
              flick_cdr_swap_decode_signed32(8, l, CORBA::Long );
              flick_cdr_swap_decode_signed16(12, s, CORBA::Short );
              flick_iiopxx_decode_end_chunk(14);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort1053:
                goto _flick_abort1040;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(22);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1054);
              break;
              {
              _flick_abort1054:
                goto _flick_abort1040;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1055);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort1055:
                goto _flick_abort1040;
              }
            }
          }
      }

    else
      {
        int _t164_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(22);
        flick_iiopxx_check_span(4, _flick_abort1040);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t164_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t164_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(14, 3, 2, 0);
              flick_iiopxx_check_span(14, _flick_abort1046);
              flick_cdr_decode_float64(0, _return, CORBA::Double );
              flick_cdr_decode_signed32(8, l, CORBA::Long );
              flick_cdr_decode_signed16(12, s, CORBA::Short );
              flick_iiopxx_decode_end_chunk(14);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort1046:
                goto _flick_abort1040;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(22);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1047);
              break;
              {
              _flick_abort1047:
                goto _flick_abort1040;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1048);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort1048:
                goto _flick_abort1040;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1040);
  }
  return _return;
  {
  _flick_abort1040:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1039);
  _flick_abort1039:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Long ex4::op3(/* ex4 *this, */ CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1057);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1057);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1057);
    }




    {
      flick_iiopxx_encode_new_glob(20, _flick_abort1057);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '3', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, l, CORBA::Long );
      flick_cdr_encode_unsigned32(16, ul, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1057);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1057);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1057);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1057);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t167_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort1057);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t167_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t167_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort1070);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_swap_decode_signed16(4, s, CORBA::Short );
              flick_cdr_swap_decode_unsigned32(8, ul, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort1070:
                goto _flick_abort1057;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1071);
              break;
              {
              _flick_abort1071:
                goto _flick_abort1057;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1072);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort1072:
                goto _flick_abort1057;
              }
            }
          }
      }

    else
      {
        int _t166_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort1057);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t166_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t166_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort1063);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_decode_signed16(4, s, CORBA::Short );
              flick_cdr_decode_unsigned32(8, ul, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort1063:
                goto _flick_abort1057;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1064);
              break;
              {
              _flick_abort1064:
                goto _flick_abort1057;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1065);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort1065:
                goto _flick_abort1057;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1057);
  }
  return _return;
  {
  _flick_abort1057:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1056);
  _flick_abort1056:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Short ex4::op4(/* ex4 *this, */ CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Short _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1074);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1074);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1074);
    }




    {
      flick_iiopxx_encode_new_glob(16, _flick_abort1074);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '4', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(12, s, CORBA::Short );
      flick_cdr_encode_unsigned16(14, us, CORBA::UShort );
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(16);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1074);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1074);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1074);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1074);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t169_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(14);
        flick_iiopxx_check_span(4, _flick_abort1074);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t169_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t169_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(10, _flick_abort1087);
              flick_iiopxx_decode_new_chunk(10);
              flick_cdr_swap_decode_signed16(0, _return, CORBA::Short );
              flick_cdr_swap_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_swap_decode_unsigned16(8, us, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(10);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort1087:
                goto _flick_abort1074;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(14);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1088);
              break;
              {
              _flick_abort1088:
                goto _flick_abort1074;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1089);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort1089:
                goto _flick_abort1074;
              }
            }
          }
      }

    else
      {
        int _t168_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(14);
        flick_iiopxx_check_span(4, _flick_abort1074);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t168_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t168_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(10, _flick_abort1080);
              flick_iiopxx_decode_new_chunk(10);
              flick_cdr_decode_signed16(0, _return, CORBA::Short );
              flick_cdr_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_decode_unsigned16(8, us, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(10);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort1080:
                goto _flick_abort1074;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(14);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1081);
              break;
              {
              _flick_abort1081:
                goto _flick_abort1074;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1082);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort1082:
                goto _flick_abort1074;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1074);
  }
  return _return;
  {
  _flick_abort1074:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1073);
  _flick_abort1073:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::ULong ex4::op5(/* ex4 *this, */ CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::ULong _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1091);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1091);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1091);
    }




    {
      flick_iiopxx_encode_new_glob(19, _flick_abort1091);
      flick_iiopxx_encode_new_chunk(19);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '5', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(12, ul, CORBA::ULong );
      flick_cdr_encode_unsigned16(16, us, CORBA::UShort );
      flick_cdr_encode_unsigned8(18, b, CORBA::Boolean );
      flick_iiopxx_encode_end_chunk(19);
      flick_iiopxx_encode_end_glob(19);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1091);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1091);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1091);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1091);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t171_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(13);
        flick_iiopxx_check_span(4, _flick_abort1091);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t171_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t171_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(9, _flick_abort1104);
              flick_iiopxx_decode_new_chunk(9);
              flick_cdr_swap_decode_unsigned32(0, _return, CORBA::ULong );
              flick_cdr_swap_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_swap_decode_char8(8, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort1104:
                goto _flick_abort1091;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(13);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1105);
              break;
              {
              _flick_abort1105:
                goto _flick_abort1091;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1106);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort1106:
                goto _flick_abort1091;
              }
            }
          }
      }

    else
      {
        int _t170_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(13);
        flick_iiopxx_check_span(4, _flick_abort1091);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t170_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t170_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(9, _flick_abort1097);
              flick_iiopxx_decode_new_chunk(9);
              flick_cdr_decode_unsigned32(0, _return, CORBA::ULong );
              flick_cdr_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_decode_char8(8, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort1097:
                goto _flick_abort1091;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(13);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1098);
              break;
              {
              _flick_abort1098:
                goto _flick_abort1091;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1099);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort1099:
                goto _flick_abort1091;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1091);
  }
  return _return;
  {
  _flick_abort1091:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1090);
  _flick_abort1090:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::UShort ex4::op6(/* ex4 *this, */ ::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::UShort _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1108);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1108);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1108);
    }




    {
      flick_iiopxx_encode_new_glob(13, _flick_abort1108);
      flick_iiopxx_encode_new_chunk(13);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '6', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_char8(12, c, CORBA::Char );
      flick_iiopxx_encode_end_chunk(13);
      flick_iiopxx_encode_end_glob(13);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1108);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1108);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1108);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1108);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t173_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(9);
        flick_iiopxx_check_span(4, _flick_abort1108);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t173_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t173_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort1121);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_swap_decode_unsigned16(0, _return, CORBA::UShort );
              flick_cdr_swap_decode_unsigned16(2, us, CORBA::UShort );
              flick_cdr_swap_decode_char8(4, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(5);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort1121:
                goto _flick_abort1108;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(9);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1122);
              break;
              {
              _flick_abort1122:
                goto _flick_abort1108;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1123);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort1123:
                goto _flick_abort1108;
              }
            }
          }
      }

    else
      {
        int _t172_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(9);
        flick_iiopxx_check_span(4, _flick_abort1108);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t172_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t172_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort1114);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_decode_unsigned16(0, _return, CORBA::UShort );
              flick_cdr_decode_unsigned16(2, us, CORBA::UShort );
              flick_cdr_decode_char8(4, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(5);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort1114:
                goto _flick_abort1108;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(9);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1115);
              break;
              {
              _flick_abort1115:
                goto _flick_abort1108;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1116);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort1116:
                goto _flick_abort1108;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1108);
  }
  return _return;
  {
  _flick_abort1108:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1107);
  _flick_abort1107:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Float ex4::float_attribute(/* ex4 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Float _return;


  _return = 0.000000;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1125);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1125);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1125);
    }




    {
      flick_iiopxx_encode_new_glob(32, _flick_abort1125);
      flick_iiopxx_encode_new_chunk(32);
      flick_cdr_encode_unsigned32(0, 21, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'f', flick_char8_t );
      flick_cdr_encode_char8(10, 'l', flick_char8_t );
      flick_cdr_encode_char8(11, 'o', flick_char8_t );
      flick_cdr_encode_char8(12, 'a', flick_char8_t );
      flick_cdr_encode_char8(13, 't', flick_char8_t );
      flick_cdr_encode_char8(14, '_', flick_char8_t );
      flick_cdr_encode_char8(15, 'a', flick_char8_t );
      flick_cdr_encode_char8(16, 't', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 'r', flick_char8_t );
      flick_cdr_encode_char8(19, 'i', flick_char8_t );
      flick_cdr_encode_char8(20, 'b', flick_char8_t );
      flick_cdr_encode_char8(21, 'u', flick_char8_t );
      flick_cdr_encode_char8(22, 't', flick_char8_t );
      flick_cdr_encode_char8(23, 'e', flick_char8_t );
      flick_cdr_encode_char8(24, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(32);
      flick_iiopxx_encode_end_glob(32);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1125);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1125);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1125);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1125);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t175_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort1125);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t175_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t175_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort1138);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_float32(0, _return, CORBA::Float );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1138:
                goto _flick_abort1125;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1139);
              break;
              {
              _flick_abort1139:
                goto _flick_abort1125;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1140);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1140:
                goto _flick_abort1125;
              }
            }
          }
      }

    else
      {
        int _t174_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort1125);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t174_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t174_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort1131);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_float32(0, _return, CORBA::Float );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1131:
                goto _flick_abort1125;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1132);
              break;
              {
              _flick_abort1132:
                goto _flick_abort1125;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1133);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1133:
                goto _flick_abort1125;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1125);
  }
  return _return;
  {
  _flick_abort1125:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1124);
  _flick_abort1124:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Double ex4::double_attribute(/* ex4 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Double _return;


  _return = 0.000000;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1142);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1142);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1142);
    }




    {
      flick_iiopxx_encode_new_glob(32, _flick_abort1142);
      flick_iiopxx_encode_new_chunk(32);
      flick_cdr_encode_unsigned32(0, 22, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'd', flick_char8_t );
      flick_cdr_encode_char8(10, 'o', flick_char8_t );
      flick_cdr_encode_char8(11, 'u', flick_char8_t );
      flick_cdr_encode_char8(12, 'b', flick_char8_t );
      flick_cdr_encode_char8(13, 'l', flick_char8_t );
      flick_cdr_encode_char8(14, 'e', flick_char8_t );
      flick_cdr_encode_char8(15, '_', flick_char8_t );
      flick_cdr_encode_char8(16, 'a', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 't', flick_char8_t );
      flick_cdr_encode_char8(19, 'r', flick_char8_t );
      flick_cdr_encode_char8(20, 'i', flick_char8_t );
      flick_cdr_encode_char8(21, 'b', flick_char8_t );
      flick_cdr_encode_char8(22, 'u', flick_char8_t );
      flick_cdr_encode_char8(23, 't', flick_char8_t );
      flick_cdr_encode_char8(24, 'e', flick_char8_t );
      flick_cdr_encode_char8(25, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(32);
      flick_iiopxx_encode_end_glob(32);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1142);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1142);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1142);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1142);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t177_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort1142);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t177_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t177_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(8, _flick_abort1155);
              flick_cdr_swap_decode_float64(0, _return, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort1155:
                goto _flick_abort1142;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1156);
              break;
              {
              _flick_abort1156:
                goto _flick_abort1142;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1157);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort1157:
                goto _flick_abort1142;
              }
            }
          }
      }

    else
      {
        int _t176_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort1142);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t176_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t176_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(8, _flick_abort1148);
              flick_cdr_decode_float64(0, _return, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort1148:
                goto _flick_abort1142;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1149);
              break;
              {
              _flick_abort1149:
                goto _flick_abort1142;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1150);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort1150:
                goto _flick_abort1142;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1142);
  }
  return _return;
  {
  _flick_abort1142:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1141);
  _flick_abort1141:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

void ex4::double_attribute(/* ex4 *this, */ CORBA::Double double_attribute, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();



  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1159);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1159);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1159);
    }




    {
      flick_iiopxx_encode_new_glob(44, _flick_abort1159);
      flick_iiopxx_encode_new_chunk(32);
      flick_cdr_encode_unsigned32(0, 22, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 's', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'd', flick_char8_t );
      flick_cdr_encode_char8(10, 'o', flick_char8_t );
      flick_cdr_encode_char8(11, 'u', flick_char8_t );
      flick_cdr_encode_char8(12, 'b', flick_char8_t );
      flick_cdr_encode_char8(13, 'l', flick_char8_t );
      flick_cdr_encode_char8(14, 'e', flick_char8_t );
      flick_cdr_encode_char8(15, '_', flick_char8_t );
      flick_cdr_encode_char8(16, 'a', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 't', flick_char8_t );
      flick_cdr_encode_char8(19, 'r', flick_char8_t );
      flick_cdr_encode_char8(20, 'i', flick_char8_t );
      flick_cdr_encode_char8(21, 'b', flick_char8_t );
      flick_cdr_encode_char8(22, 'u', flick_char8_t );
      flick_cdr_encode_char8(23, 't', flick_char8_t );
      flick_cdr_encode_char8(24, 'e', flick_char8_t );
      flick_cdr_encode_char8(25, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(32);
      flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
      flick_cdr_encode_float64(0, double_attribute, CORBA::Double );
      flick_iiopxx_encode_end_chunk(8);
      flick_iiopxx_encode_end_glob(44);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1159);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1159);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1159);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1159);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t179_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort1159);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t179_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t179_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1173);
              break;
              {
              _flick_abort1173:
                goto _flick_abort1159;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1174);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort1174:
                goto _flick_abort1159;
              }
            }
          }
      }

    else
      {
        int _t178_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort1159);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t178_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t178_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1166);
              break;
              {
              _flick_abort1166:
                goto _flick_abort1159;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1167);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort1167:
                goto _flick_abort1159;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1159);
  }
  return;
  {
  _flick_abort1159:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1158);
  _flick_abort1158:
    goto _flick_reaper;
  }

_flick_reaper:
  return;

}

CORBA::Long ex4::long_attribute(/* ex4 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1176);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1176);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1176);
    }




    {
      flick_iiopxx_encode_new_glob(28, _flick_abort1176);
      flick_iiopxx_encode_new_chunk(28);
      flick_cdr_encode_unsigned32(0, 20, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'l', flick_char8_t );
      flick_cdr_encode_char8(10, 'o', flick_char8_t );
      flick_cdr_encode_char8(11, 'n', flick_char8_t );
      flick_cdr_encode_char8(12, 'g', flick_char8_t );
      flick_cdr_encode_char8(13, '_', flick_char8_t );
      flick_cdr_encode_char8(14, 'a', flick_char8_t );
      flick_cdr_encode_char8(15, 't', flick_char8_t );
      flick_cdr_encode_char8(16, 't', flick_char8_t );
      flick_cdr_encode_char8(17, 'r', flick_char8_t );
      flick_cdr_encode_char8(18, 'i', flick_char8_t );
      flick_cdr_encode_char8(19, 'b', flick_char8_t );
      flick_cdr_encode_char8(20, 'u', flick_char8_t );
      flick_cdr_encode_char8(21, 't', flick_char8_t );
      flick_cdr_encode_char8(22, 'e', flick_char8_t );
      flick_cdr_encode_char8(23, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(24, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(28);
      flick_iiopxx_encode_end_glob(28);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1176);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1176);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1176);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1176);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t181_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort1176);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t181_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t181_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort1189);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1189:
                goto _flick_abort1176;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1190);
              break;
              {
              _flick_abort1190:
                goto _flick_abort1176;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1191);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1191:
                goto _flick_abort1176;
              }
            }
          }
      }

    else
      {
        int _t180_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort1176);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t180_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t180_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort1182);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1182:
                goto _flick_abort1176;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1183);
              break;
              {
              _flick_abort1183:
                goto _flick_abort1176;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1184);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1184:
                goto _flick_abort1176;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1176);
  }
  return _return;
  {
  _flick_abort1176:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1175);
  _flick_abort1175:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Short ex4::short_attribute(/* ex4 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Short _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1193);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1193);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1193);
    }




    {
      flick_iiopxx_encode_new_glob(32, _flick_abort1193);
      flick_iiopxx_encode_new_chunk(32);
      flick_cdr_encode_unsigned32(0, 21, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 's', flick_char8_t );
      flick_cdr_encode_char8(10, 'h', flick_char8_t );
      flick_cdr_encode_char8(11, 'o', flick_char8_t );
      flick_cdr_encode_char8(12, 'r', flick_char8_t );
      flick_cdr_encode_char8(13, 't', flick_char8_t );
      flick_cdr_encode_char8(14, '_', flick_char8_t );
      flick_cdr_encode_char8(15, 'a', flick_char8_t );
      flick_cdr_encode_char8(16, 't', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 'r', flick_char8_t );
      flick_cdr_encode_char8(19, 'i', flick_char8_t );
      flick_cdr_encode_char8(20, 'b', flick_char8_t );
      flick_cdr_encode_char8(21, 'u', flick_char8_t );
      flick_cdr_encode_char8(22, 't', flick_char8_t );
      flick_cdr_encode_char8(23, 'e', flick_char8_t );
      flick_cdr_encode_char8(24, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(32);
      flick_iiopxx_encode_end_glob(32);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1193);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1193);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1193);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1193);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t183_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort1193);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t183_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t183_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort1206);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_signed16(0, _return, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort1206:
                goto _flick_abort1193;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1207);
              break;
              {
              _flick_abort1207:
                goto _flick_abort1193;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1208);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort1208:
                goto _flick_abort1193;
              }
            }
          }
      }

    else
      {
        int _t182_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort1193);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t182_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t182_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort1199);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_decode_signed16(0, _return, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort1199:
                goto _flick_abort1193;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1200);
              break;
              {
              _flick_abort1200:
                goto _flick_abort1193;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1201);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort1201:
                goto _flick_abort1193;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1193);
  }
  return _return;
  {
  _flick_abort1193:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1192);
  _flick_abort1192:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

void ex4::short_attribute(/* ex4 *this, */ CORBA::Short short_attribute, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();



  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1210);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1210);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1210);
    }




    {
      flick_iiopxx_encode_new_glob(34, _flick_abort1210);
      flick_iiopxx_encode_new_chunk(34);
      flick_cdr_encode_unsigned32(0, 21, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 's', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 's', flick_char8_t );
      flick_cdr_encode_char8(10, 'h', flick_char8_t );
      flick_cdr_encode_char8(11, 'o', flick_char8_t );
      flick_cdr_encode_char8(12, 'r', flick_char8_t );
      flick_cdr_encode_char8(13, 't', flick_char8_t );
      flick_cdr_encode_char8(14, '_', flick_char8_t );
      flick_cdr_encode_char8(15, 'a', flick_char8_t );
      flick_cdr_encode_char8(16, 't', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 'r', flick_char8_t );
      flick_cdr_encode_char8(19, 'i', flick_char8_t );
      flick_cdr_encode_char8(20, 'b', flick_char8_t );
      flick_cdr_encode_char8(21, 'u', flick_char8_t );
      flick_cdr_encode_char8(22, 't', flick_char8_t );
      flick_cdr_encode_char8(23, 'e', flick_char8_t );
      flick_cdr_encode_char8(24, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(32, short_attribute, CORBA::Short );
      flick_iiopxx_encode_end_chunk(34);
      flick_iiopxx_encode_end_glob(34);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1210);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1210);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1210);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1210);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t185_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort1210);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t185_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t185_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1224);
              break;
              {
              _flick_abort1224:
                goto _flick_abort1210;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1225);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort1225:
                goto _flick_abort1210;
              }
            }
          }
      }

    else
      {
        int _t184_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort1210);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t184_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t184_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1217);
              break;
              {
              _flick_abort1217:
                goto _flick_abort1210;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1218);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort1218:
                goto _flick_abort1210;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1210);
  }
  return;
  {
  _flick_abort1210:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1209);
  _flick_abort1209:
    goto _flick_reaper;
  }

_flick_reaper:
  return;

}

CORBA::ULong ex4::unsigned_long_attribute(/* ex4 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::ULong _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1227);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1227);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1227);
    }




    {
      flick_iiopxx_encode_new_glob(40, _flick_abort1227);
      flick_iiopxx_encode_new_chunk(40);
      flick_cdr_encode_unsigned32(0, 29, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'u', flick_char8_t );
      flick_cdr_encode_char8(10, 'n', flick_char8_t );
      flick_cdr_encode_char8(11, 's', flick_char8_t );
      flick_cdr_encode_char8(12, 'i', flick_char8_t );
      flick_cdr_encode_char8(13, 'g', flick_char8_t );
      flick_cdr_encode_char8(14, 'n', flick_char8_t );
      flick_cdr_encode_char8(15, 'e', flick_char8_t );
      flick_cdr_encode_char8(16, 'd', flick_char8_t );
      flick_cdr_encode_char8(17, '_', flick_char8_t );
      flick_cdr_encode_char8(18, 'l', flick_char8_t );
      flick_cdr_encode_char8(19, 'o', flick_char8_t );
      flick_cdr_encode_char8(20, 'n', flick_char8_t );
      flick_cdr_encode_char8(21, 'g', flick_char8_t );
      flick_cdr_encode_char8(22, '_', flick_char8_t );
      flick_cdr_encode_char8(23, 'a', flick_char8_t );
      flick_cdr_encode_char8(24, 't', flick_char8_t );
      flick_cdr_encode_char8(25, 't', flick_char8_t );
      flick_cdr_encode_char8(26, 'r', flick_char8_t );
      flick_cdr_encode_char8(27, 'i', flick_char8_t );
      flick_cdr_encode_char8(28, 'b', flick_char8_t );
      flick_cdr_encode_char8(29, 'u', flick_char8_t );
      flick_cdr_encode_char8(30, 't', flick_char8_t );
      flick_cdr_encode_char8(31, 'e', flick_char8_t );
      flick_cdr_encode_char8(32, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(36, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(40);
      flick_iiopxx_encode_end_glob(40);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1227);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1227);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1227);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1227);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t187_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort1227);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t187_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t187_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort1240);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _return, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1240:
                goto _flick_abort1227;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1241);
              break;
              {
              _flick_abort1241:
                goto _flick_abort1227;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1242);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1242:
                goto _flick_abort1227;
              }
            }
          }
      }

    else
      {
        int _t186_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort1227);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t186_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t186_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort1233);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _return, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1233:
                goto _flick_abort1227;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1234);
              break;
              {
              _flick_abort1234:
                goto _flick_abort1227;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1235);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1235:
                goto _flick_abort1227;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1227);
  }
  return _return;
  {
  _flick_abort1227:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1226);
  _flick_abort1226:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

